/* Generated from posix.scm by the Chicken compiler
   2005-06-20 22:00
   Version 1, Build 942 - linux-unix-gnu-x86
   command line: posix.scm -quiet -debug-level 0 -optimize-level 2 -include-path . -output-file posix.c -explicit-use
   unit: posix
*/

#include "chicken.h"

#include <signal.h>
#include <errno.h>

static int C_not_implemented(void);
int C_not_implemented() { return -1; }

static C_TLS int C_wait_status;

#include <unistd.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/wait.h>
#include <sys/utsname.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <dirent.h>
#include <pwd.h>

#ifdef ECOS
#include <cyg/posix/signal.h>
#endif

#ifdef HAVE_GRP_H
#include <grp.h>
#endif

#include <sys/mman.h>
#include <time.h>

#ifndef O_FSYNC
# define O_FSYNC O_SYNC
#endif

#ifndef PIPE_BUF
# ifdef __CYGWIN__
#  define PIPE_BUF       _POSIX_PIPE_BUF
# else
#  define PIPE_BUF 1024
# endif
#endif

#ifndef O_BINARY
# define O_BINARY        0
#endif
#ifndef O_TEXT
# define O_TEXT          0
#endif

#ifndef ARG_MAX
# define ARG_MAX 256
#endif

#ifndef MAP_FILE
# define MAP_FILE    0
#endif

#ifndef MAP_ANONYMOUS
# define MAP_ANONYMOUS    0
#endif

#ifndef C_MACOSX
extern char **environ;
#endif

#ifndef ENV_MAX
# define ENV_MAX        1024
#endif

static C_TLS char *C_exec_args[ ARG_MAX ];
static C_TLS char *C_exec_env[ ENV_MAX ];
static C_TLS struct utsname C_utsname;
static C_TLS struct flock C_flock;
static C_TLS DIR *temphandle;
#ifndef ECOS
static C_TLS struct passwd *C_user;
static C_TLS struct group *C_group;
static C_TLS int C_pipefds[ 2 ];
#endif
static C_TLS time_t C_secs;
static C_TLS struct tm C_tm;
static C_TLS fd_set C_fd_sets[ 2 ];
static C_TLS struct timeval C_timeval;
static C_TLS char C_hostbuf[ 256 ];
static C_TLS struct stat C_statbuf;

#define C_mkdir(str)        C_fix(mkdir(C_c_string(str), S_IRWXU | S_IRWXG | S_IRWXO))
#define C_chdir(str)        C_fix(chdir(C_c_string(str)))
#define C_rmdir(str)        C_fix(rmdir(C_c_string(str)))

#define C_opendir(x,h)		C_set_block_item(h, 0, (C_word) opendir(C_c_string(x)))
#define C_closedir(h)   	(closedir((DIR *)C_block_item(h, 0)), C_SCHEME_UNDEFINED)
#define C_readdir(h,e)		C_set_block_item(e, 0, (C_word) readdir((DIR *)C_block_item(h, 0)))
#define C_foundfile(e,b)	(strcpy(C_c_string(b), ((struct dirent *) C_block_item(e, 0))->d_name),	C_fix(strlen(((struct dirent *) C_block_item(e, 0))->d_name)))

#define C_curdir(buf)       (getcwd(C_c_string(buf), 256) ? C_fix(strlen(C_c_string(buf))) : C_SCHEME_FALSE)

#define open_binary_input_pipe(a, n, name)   C_mpointer(a, popen(C_c_string(name), "r"))
#define open_text_input_pipe(a, n, name)     open_binary_input_pipe(a, n, name)
#define open_binary_output_pipe(a, n, name)  C_mpointer(a, popen(C_c_string(name), "w"))
#define open_text_output_pipe(a, n, name)    open_binary_output_pipe(a, n, name)
#define close_pipe(p)                        C_fix(pclose(C_port_file(p)))

#define C_set_file_ptr(port, ptr)  (C_set_block_item(port, 0, (C_block_item(ptr, 0))), C_SCHEME_UNDEFINED)

#ifndef ECOS
#define C_fork              fork
#define C_waitpid(id, o)    C_fix(waitpid(C_unfix(id), &C_wait_status, C_unfix(o)))
#define C_getpid            getpid
#define C_getppid           getppid
#define C_kill(id, s)       C_fix(kill(C_unfix(id), C_unfix(s)))
#define C_getuid            getuid
#define C_getgid            getgid
#define C_geteuid           geteuid
#define C_getegid           getegid
#define C_chown(fn, u, g)   C_fix(chown(C_data_pointer(fn), C_unfix(u), C_unfix(g)))
#define C_chmod(fn, m)      C_fix(chmod(C_data_pointer(fn), C_unfix(m)))
#define C_setuid(id)        C_fix(setuid(C_unfix(id)))
#define C_setgid(id)        C_fix(setgid(C_unfix(id)))
#define C_setsid(dummy)     C_fix(setsid())
#define C_setpgid(x, y)     C_fix(setpgid(C_unfix(x), C_unfix(y)))
#define C_getpgid(x)        C_fix(getpgid(C_unfix(x)))
#define C_symlink(o, n)     C_fix(symlink(C_data_pointer(o), C_data_pointer(n)))
#define C_readlink(f, b)    C_fix(readlink(C_data_pointer(f), C_data_pointer(b), FILENAME_MAX))
#define C_getpwnam(n)       C_mk_bool((C_user = getpwnam((char *)C_data_pointer(n))) != NULL)
#define C_getpwuid(u)       C_mk_bool((C_user = getpwuid(C_unfix(u))) != NULL)
#define C_getgrnam(n)       C_mk_bool((C_group = getgrnam((char *)C_data_pointer(n))) != NULL)
#define C_getgrgid(u)       C_mk_bool((C_group = getgrgid(C_unfix(u))) != NULL)
#define C_pipe(d)           C_fix(pipe(C_pipefds))
#define C_truncate(f, n)    C_fix(truncate((char *)C_data_pointer(f), C_num_to_int(n)))
#define C_ftruncate(f, n)   C_fix(ftruncate(C_unfix(f), C_num_to_int(n)))
#endif
#define C_uname             C_fix(uname(&C_utsname))
#define C_fdopen(a, n, fd, m) C_mpointer(a, fdopen(C_unfix(fd), C_c_string(m)))
#define C_C_fileno(p)       C_fix(fileno(C_port_file(p)))
#define C_dup(x)            C_fix(dup(C_unfix(x)))
#define C_dup2(x, y)        C_fix(dup2(C_unfix(x), C_unfix(y)))
#define C_alarm             alarm
#define C_setvbuf(p, m, s)  C_fix(setvbuf(C_port_file(p), NULL, C_unfix(m), C_unfix(s)))
#define C_access(fn, m)     C_fix(access((char *)C_data_pointer(fn), C_unfix(m)))
#define C_close(fd)         C_fix(close(C_unfix(fd)))
#define C_sleep             sleep

#ifdef C_MACOSX
# define C_getenventry(i)   NULL
#else
# define C_getenventry(i)   environ[ i ]
#endif

#define C_putenv(s)         C_fix(putenv((char *)C_data_pointer(s)))
#define C_stat(fn)          C_fix(stat((char *)C_data_pointer(fn), &C_statbuf))
#define C_lstat(fn)         C_fix(lstat((char *)C_data_pointer(fn), &C_statbuf))
#define C_fstat(f)          C_fix(fstat(C_unfix(f), &C_statbuf))

#define C_islink            ((C_statbuf.st_mode & S_IFMT) == S_IFLNK)
#define C_isreg             ((C_statbuf.st_mode & S_IFMT) == S_IFREG)

#ifdef C_GNU_ENV
# define C_setenv(x, y)     C_fix(setenv((char *)C_data_pointer(x), (char *)C_data_pointer(y), 1))
#else
static C_word C_fcall C_setenv(C_word x, C_word y);
C_word C_fcall C_setenv(C_word x, C_word y) {
  char *sx = C_data_pointer(x),
       *sy = C_data_pointer(y);
  int n1 = C_strlen(sx), n2 = C_strlen(sy);				       
  char *buf = (char *)C_malloc(n1 + n2 + 2);
  if(buf == NULL) return(C_fix(0));
  else {
    C_strcpy(buf, sx);
    buf[ n1 ] = '=';
    C_strcpy(buf + n1 + 1, sy);
    return(C_fix(putenv(buf)));
  }
}
#endif

static void C_fcall C_set_arg_string(char **where, int i, char *a, int len) {
  char *ptr;
  if(a != NULL) {
    ptr = (char *)C_malloc(len + 1);
    C_memcpy(ptr, a, len);
    ptr[ len ] = '\0';
  }
  else ptr = NULL;
  where[ i ] = ptr;
}

static void C_fcall C_free_exec_args() {
  char **a = C_exec_args;
  while((*a) != NULL) C_free(*(a++));
}

static void C_fcall C_free_exec_env() {
  char **a = C_exec_env;
  while((*a) != NULL) C_free(*(a++));
}

#define C_set_exec_arg(i, a, len)      C_set_arg_string(C_exec_args, i, a, len)
#define C_set_exec_env(i, a, len)      C_set_arg_string(C_exec_env, i, a, len)

#define C_execvp(f)         C_fix(execvp(C_data_pointer(f), C_exec_args))
#define C_execve(f)         C_fix(execve(C_data_pointer(f), C_exec_args, C_exec_env))

#if defined(__FreeBSD__) || defined(C_MACOSX) || defined(__NetBSD__) || defined(__OpenBSD__) || defined(__sgi__) || defined(sgi)
static C_TLS int C_uw;
# define C_WIFEXITED(n)      (C_uw = C_unfix(n), C_mk_bool(WIFEXITED(C_uw)))
# define C_WIFSIGNALED(n)    (C_uw = C_unfix(n), C_mk_bool(WIFSIGNALED(C_uw)))
# define C_WIFSTOPPED(n)     (C_uw = C_unfix(n), C_mk_bool(WIFSTOPPED(C_uw)))
# define C_WEXITSTATUS(n)    (C_uw = C_unfix(n), C_fix(WEXITSTATUS(C_uw)))
# define C_WTERMSIG(n)       (C_uw = C_unfix(n), C_fix(WTERMSIG(C_uw)))
# define C_WSTOPSIG(n)       (C_uw = C_unfix(n), C_fix(WSTOPSIG(C_uw)))
#else
# define C_WIFEXITED(n)      C_mk_bool(WIFEXITED(C_unfix(n)))
# define C_WIFSIGNALED(n)    C_mk_bool(WIFSIGNALED(C_unfix(n)))
# define C_WIFSTOPPED(n)     C_mk_bool(WIFSTOPPED(C_unfix(n)))
# define C_WEXITSTATUS(n)    C_fix(WEXITSTATUS(C_unfix(n)))
# define C_WTERMSIG(n)       C_fix(WTERMSIG(C_unfix(n)))
# define C_WSTOPSIG(n)       C_fix(WSTOPSIG(C_unfix(n)))
#endif

#ifdef __CYGWIN__
# define C_mkfifo(fn, m)    C_fix(-1);
#else
# define C_mkfifo(fn, m)    C_fix(mkfifo((char *)C_data_pointer(fn), C_unfix(m)))
#endif

#define C_flock_setup(t, s, n) (C_flock.l_type = C_unfix(t), C_flock.l_start = C_num_to_int(s), C_flock.l_whence = SEEK_SET, C_flock.l_len = C_num_to_int(n), C_SCHEME_UNDEFINED)
#define C_flock_test(p)     (fcntl(fileno(C_port_file(p)), F_GETLK, &C_flock) >= 0 ? (C_flock.l_type == F_UNLCK ? C_fix(0) : C_fix(C_flock.l_pid)) : C_SCHEME_FALSE)
#define C_flock_lock(p)     C_fix(fcntl(fileno(C_port_file(p)), F_SETLK, &C_flock))
#define C_flock_lockw(p)    C_fix(fcntl(fileno(C_port_file(p)), F_SETLKW, &C_flock))

#ifndef FILENAME_MAX
# define FILENAME_MAX          1024
#endif

static C_TLS sigset_t C_sigset;
#define C_sigemptyset(d)    (sigemptyset(&C_sigset), C_SCHEME_UNDEFINED)
#define C_sigaddset(s)      (sigaddset(&C_sigset, C_unfix(s)), C_SCHEME_UNDEFINED)
#define C_sigprocmask(d)    C_fix(sigprocmask(SIG_SETMASK, &C_sigset, NULL))

#define C_open(fn, fl, m)   C_fix(open(C_c_string(fn), C_unfix(fl), C_unfix(m)))
#define C_read(fd, b, n)    C_fix(read(C_unfix(fd), C_data_pointer(b), C_unfix(n)))
#define C_write(fd, b, n)   C_fix(write(C_unfix(fd), C_data_pointer(b), C_unfix(n)))
#define C_mkstemp(t)        C_fix(mkstemp(C_c_string(t)))

#define C_ftell(p)            C_fix(ftell(C_port_file(p)))
#define C_fseek(p, n, w)      C_mk_nbool(fseek(C_port_file(p), C_unfix(n), C_unfix(w)))
#define C_lseek(fd, o, w)     C_fix(lseek(C_unfix(fd), C_unfix(o), C_unfix(w)))

#define C_zero_fd_set(i)    FD_ZERO(&C_fd_sets[ i ])
#define C_set_fd_set(i, fd) FD_SET(fd, &C_fd_sets[ i ])
#define C_test_fd_set(i, fd) FD_ISSET(fd, &C_fd_sets[ i ])
#define C_C_select(m)         C_fix(select(C_unfix(m), &C_fd_sets[ 0 ], &C_fd_sets[ 1 ], NULL, NULL))
#define C_C_select_t(m, t)    (C_timeval.tv_sec = C_unfix(t), C_timeval.tv_usec = 0, C_fix(select(C_unfix(m), &C_fd_sets[ 0 ], &C_fd_sets[ 1 ], NULL, &C_timeval)))

#define C_ctime(n)          (C_secs = (n), ctime(&C_secs))

#if !defined(C_GNU_ENV)
# define C_asctime(v)        (memset(&C_tm, 0, sizeof(struct tm)), C_tm.tm_sec = C_unfix(C_block_item(v, 0)), C_tm.tm_min = C_unfix(C_block_item(v, 1)), C_tm.tm_hour = C_unfix(C_block_item(v, 2)), C_tm.tm_mday = C_unfix(C_block_item(v, 3)), C_tm.tm_mon = C_unfix(C_block_item(v, 4)), C_tm.tm_year = C_unfix(C_block_item(v, 5)), C_tm.tm_wday = C_unfix(C_block_item(v, 6)), C_tm.tm_yday = C_unfix(C_block_item(v, 7)), C_tm.tm_isdst = (C_block_item(v, 8) != C_SCHEME_FALSE), asctime(&C_tm) )
#else
# define C_asctime(v)        (memset(&C_tm, 0, sizeof(struct tm)), C_tm.tm_sec = C_unfix(C_block_item(v, 0)), C_tm.tm_min = C_unfix(C_block_item(v, 1)), C_tm.tm_hour = C_unfix(C_block_item(v, 2)), C_tm.tm_mday = C_unfix(C_block_item(v, 3)), C_tm.tm_mon = C_unfix(C_block_item(v, 4)), C_tm.tm_year = C_unfix(C_block_item(v, 5)), C_tm.tm_wday = C_unfix(C_block_item(v, 6)), C_tm.tm_yday = C_unfix(C_block_item(v, 7)), C_tm.tm_isdst = (C_block_item(v, 8) != C_SCHEME_FALSE), C_tm.tm_gmtoff = C_unfix(C_block_item(v, 9)), asctime(&C_tm) )
#endif

#ifndef ECOS
static gid_t *C_groups = NULL;

#define C_get_gid(n)      C_fix(C_groups[ C_unfix(n) ])
#define C_set_gid(n, id)  (C_groups[ C_unfix(n) ] = C_unfix(id), C_SCHEME_UNDEFINED)
#define C_set_groups(n)   C_fix(setgroups(C_unfix(n), C_groups))
#endif

C_externimport void C_scheduler_toplevel(C_word c,C_word d,C_word k) C_noret;
C_externimport void C_regex_toplevel(C_word c,C_word d,C_word k) C_noret;
C_externimport void C_extras_toplevel(C_word c,C_word d,C_word k) C_noret;
C_externimport void C_utils_toplevel(C_word c,C_word d,C_word k) C_noret;

static C_TLS C_word lf[355];


/* from k4969 in set-root-directory! in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static C_word C_fcall stub971(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub971(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_string_or_null(C_a0);
C_r=C_fix((C_word)chroot(t0));
return C_r;}

/* from k4406 */
#define return(x) C_cblock C_r = (C_fix((C_word)(x))); goto C_return; C_cblockend
static C_word C_fcall stub822(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub822(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int fd=(int )C_unfix(C_a0);
fd_set in;struct timeval tm;FD_ZERO(&in);FD_SET(fd, &in);tm.tv_sec = tm.tv_usec = 0;if(select(fd + 1, &in, NULL, NULL, &tm) == -1) return(-1);else return(FD_ISSET(fd, &in) ? 1 : 0);
C_return:
#undef return

return C_r;}

/* from k4328 */
static C_word C_fcall stub790(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub790(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_fix((C_word)C_sleep(t0));
return C_r;}

/* from parent-process-id in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static C_word C_fcall stub787(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub787(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_fix((C_word)C_getppid());
return C_r;}

/* from current-process-id in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static C_word C_fcall stub785(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub785(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_fix((C_word)C_getpid());
return C_r;}

/* from freeenv */
static C_word C_fcall stub721(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub721(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_free_exec_env();
return C_r;}

/* from k4056 */
static C_word C_fcall stub714(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2) C_regparm;
C_regparm static C_word C_fcall stub714(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
void * t1=(void * )C_data_pointer_or_null(C_a1);
int t2=(int )C_unfix(C_a2);
C_set_exec_env(t0,t1,t2);
return C_r;}

/* from freeargs */
static C_word C_fcall stub709(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub709(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_free_exec_args();
return C_r;}

/* from k4037 */
static C_word C_fcall stub702(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2) C_regparm;
C_regparm static C_word C_fcall stub702(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
void * t1=(void * )C_data_pointer_or_null(C_a1);
int t2=(int )C_unfix(C_a2);
C_set_exec_arg(t0,t1,t2);
return C_r;}

/* from k4013 */
static C_word C_fcall stub690(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub690(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
_exit(t0);
return C_r;}

/* from fork */
static C_word C_fcall stub685(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub685(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_fix((C_word)C_fork());
return C_r;}

/* from getit */
#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_return; C_cblockend
static C_word C_fcall stub648(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub648(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
if(gethostname(C_hostbuf, 256) == -1) return(NULL);
              else return(C_hostbuf);
C_return:
#undef return

return C_r;}

/* from k3833 */
static C_word C_fcall stub640(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub640(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)ttyname(t0));
return C_r;}

/* from k3744 */
static C_word C_fcall stub623(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub623(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_fix((C_word)C_alarm(t0));
return C_r;}

/* from k3719 */
static C_word C_fcall stub617(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub617(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
_exit(t0);
return C_r;}

/* from asctime */
static C_word C_fcall stub606(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub606(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word t0=(C_word )(C_a0);
C_r=C_mpointer(&C_a,(void*)C_asctime(t0));
return C_r;}

/* from k3668 */
static C_word C_fcall stub597(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub597(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_num_to_int(C_a0);
C_r=C_mpointer(&C_a,(void*)C_ctime(t0));
return C_r;}

/* from k3587 */
static C_word C_fcall stub566(C_word C_buf,C_word C_a0,C_word C_a1) C_regparm;
C_regparm static C_word C_fcall stub566(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_num_to_int(C_a1);
C_r=C_fix((C_word)munmap(t0,t1));
return C_r;}

/* from k3525 */
static C_word C_fcall stub541(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2,C_word C_a3,C_word C_a4,C_word C_a5) C_regparm;
C_regparm static C_word C_fcall stub541(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2,C_word C_a3,C_word C_a4,C_word C_a5){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_num_to_int(C_a1);
int t2=(int )C_unfix(C_a2);
int t3=(int )C_unfix(C_a3);
int t4=(int )C_unfix(C_a4);
int t5=(int )C_num_to_int(C_a5);
C_r=C_mpointer_or_false(&C_a,(void*)mmap(t0,t1,t2,t3,t4,t5));
return C_r;}

/* from k3425 */
static C_word C_fcall stub519(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub519(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenventry(t0));
return C_r;}

/* from k2917 in k2913 in file-link in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static C_word C_fcall stub399(C_word C_buf,C_word C_a0,C_word C_a1) C_regparm;
C_regparm static C_word C_fcall stub399(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_string_or_null(C_a0);
char * t1=(char * )C_string_or_null(C_a1);
C_r=C_fix((C_word)link(t0,t1));
return C_r;}

/* from current-effective-group-id in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static C_word C_fcall stub354(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub354(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_fix((C_word)C_getegid());
return C_r;}

/* from current-effective-user-id in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static C_word C_fcall stub352(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub352(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_fix((C_word)C_geteuid());
return C_r;}

/* from current-group-id in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static C_word C_fcall stub350(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub350(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_fix((C_word)C_getgid());
return C_r;}

/* from current-user-id in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static C_word C_fcall stub348(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub348(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_fix((C_word)C_getuid());
return C_r;}

/* from k2593 */
static C_word C_fcall stub319(C_word C_buf,C_word C_a0,C_word C_a1) C_regparm;
C_regparm static C_word C_fcall stub319(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_string_or_null(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_fix((C_word)initgroups(t0,t1));
return C_r;}

/* from k2462 */
#define return(x) C_cblock C_r = (C_mk_bool((x))); goto C_return; C_cblockend
static C_word C_fcall stub292(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub292(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int n=(int )C_unfix(C_a0);
if(C_groups != NULL) C_free(C_groups);C_groups = (gid_t *)C_malloc(sizeof(gid_t) * n);if(C_groups == NULL) return(0);else return(1);
C_return:
#undef return

return C_r;}

/* from k2455 */
#define return(x) C_cblock C_r = (C_fix((C_word)(x))); goto C_return; C_cblockend
static C_word C_fcall stub288(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub288(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int n=(int )C_unfix(C_a0);
return(getgroups(n, C_groups));
C_return:
#undef return

return C_r;}

/* from k2394 */
#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_return; C_cblockend
static C_word C_fcall stub276(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub276(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int i=(int )C_unfix(C_a0);
return(C_group->gr_mem[ i ]);
C_return:
#undef return

return C_r;}

/* from k1420 */
static C_word C_fcall stub74(C_word C_buf,C_word C_a0,C_word C_a1) C_regparm;
C_regparm static C_word C_fcall stub74(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_mk_bool(C_test_fd_set(t0,t1));
return C_r;}

/* from k1410 */
static C_word C_fcall stub68(C_word C_buf,C_word C_a0,C_word C_a1) C_regparm;
C_regparm static C_word C_fcall stub68(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
int t1=(int )C_unfix(C_a1);
C_set_fd_set(t0,t1);
return C_r;}

/* from k1400 */
static C_word C_fcall stub63(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub63(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_zero_fd_set(t0);
return C_r;}

/* from k1156 */
static C_word C_fcall stub9(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub9(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)strerror(t0));
return C_r;}

/* from k1145 */
#define return(x) C_cblock C_r = (C_mk_bool((x))); goto C_return; C_cblockend
static C_word C_fcall stub3(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub3(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int fd=(int )C_unfix(C_a0);
int val = fcntl(fd, F_GETFL, 0);if(val == -1) return(0);return(fcntl(fd, F_SETFL, val | O_NONBLOCK) != -1);
C_return:
#undef return

return C_r;}

C_externexport void C_posix_toplevel(C_word c,C_word t0,C_word t1) C_noret;
static void f_1128(C_word c,C_word t0,C_word t1) C_noret;
static void f_1131(C_word c,C_word t0,C_word t1) C_noret;
static void f_1134(C_word c,C_word t0,C_word t1) C_noret;
static void f_1137(C_word c,C_word t0,C_word t1) C_noret;
static void f_1140(C_word c,C_word t0,C_word t1) C_noret;
static void f_2247(C_word c,C_word t0,C_word t1) C_noret;
static void f_5002(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2305(C_word c,C_word t0,C_word t1) C_noret;
static void f_2883(C_word c,C_word t0,C_word t1) C_noret;
static void f_4979(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_4971(C_word c,C_word t0,C_word t1) C_noret;
static void f_4746(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_4746r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void C_fcall f_4897(C_word t0,C_word t1) C_noret;
static void f_4903(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void C_fcall f_4892(C_word t0,C_word t1,C_word t2) C_noret;
static void C_fcall f_4887(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void C_fcall f_4748(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
static void f_4874(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_4882(C_word c,C_word t0,C_word t1,...) C_noret;
static void C_fcall f_4755(C_word t0,C_word t1) C_noret;
static void f_4862(C_word c,C_word t0,C_word t1) C_noret;
static void f_4765(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_4767(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_4786(C_word c,C_word t0,C_word t1) C_noret;
static void f_4848(C_word c,C_word t0,C_word t1) C_noret;
static void f_4855(C_word c,C_word t0,C_word t1) C_noret;
static void f_4842(C_word c,C_word t0,C_word t1) C_noret;
static void f_4801(C_word c,C_word t0,C_word t1) C_noret;
static void f_4832(C_word c,C_word t0,C_word t1) C_noret;
static void f_4818(C_word c,C_word t0,C_word t1) C_noret;
static void f_4830(C_word c,C_word t0,C_word t1) C_noret;
static void f_4826(C_word c,C_word t0,C_word t1) C_noret;
static void f_4813(C_word c,C_word t0,C_word t1) C_noret;
static void f_4811(C_word c,C_word t0,C_word t1) C_noret;
static void f_4866(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_4429(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_4429r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void C_fcall f_4698(C_word t0,C_word t1) C_noret;
static void C_fcall f_4693(C_word t0,C_word t1,C_word t2) C_noret;
static void C_fcall f_4431(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_4446(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_4458(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_4642(C_word c,C_word t0,C_word t1) C_noret;
static void f_4646(C_word c,C_word t0,C_word t1) C_noret;
static void f_4649(C_word c,C_word t0,C_word t1) C_noret;
static void f_4689(C_word c,C_word t0,C_word t1) C_noret;
static void f_4652(C_word c,C_word t0,C_word t1) C_noret;
static void f_4680(C_word c,C_word t0,C_word t1) C_noret;
static void f_4655(C_word c,C_word t0,C_word t1) C_noret;
static void f_4664(C_word c,C_word t0,C_word t1) C_noret;
static void f_4462(C_word c,C_word t0,C_word t1) C_noret;
static void f_4465(C_word c,C_word t0,C_word t1) C_noret;
static void f_4468(C_word c,C_word t0,C_word t1) C_noret;
static void f_4481(C_word c,C_word t0,C_word t1) C_noret;
static void f_4629(C_word c,C_word t0,C_word t1) C_noret;
static void f_4633(C_word c,C_word t0,C_word t1) C_noret;
static void f_4613(C_word c,C_word t0,C_word t1) C_noret;
static void f_4594(C_word c,C_word t0,C_word t1) C_noret;
static void f_4598(C_word c,C_word t0,C_word t1) C_noret;
static void f_4525(C_word c,C_word t0,C_word t1) C_noret;
static void f_4581(C_word c,C_word t0,C_word t1) C_noret;
static void f_4585(C_word c,C_word t0,C_word t1) C_noret;
static void f_4531(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void C_fcall f_4540(C_word t0,C_word t1) C_noret;
static void f_4572(C_word c,C_word t0,C_word t1) C_noret;
static void f_4556(C_word c,C_word t0,C_word t1) C_noret;
static void f_4529(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_4483(C_word t0,C_word t1) C_noret;
static void C_fcall f_4497(C_word t0,C_word t1) C_noret;
static void f_4513(C_word c,C_word t0,C_word t1) C_noret;
static void f_4516(C_word c,C_word t0,C_word t1) C_noret;
static void f_4493(C_word c,C_word t0,C_word t1) C_noret;
static void f_4452(C_word c,C_word t0,C_word t1) C_noret;
static void f_4440(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_4409(C_word t0,C_word t1,C_word t2) C_noret;
static void f_4421(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
static void f_4415(C_word c,C_word t0,C_word t1) C_noret;
static void f_4359(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_4359r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_4366(C_word c,C_word t0,C_word t1) C_noret;
static void f_4381(C_word c,C_word t0,C_word t1) C_noret;
static void f_4332(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_4332r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_4325(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_4322(C_word c,C_word t0,C_word t1) C_noret;
static void f_4319(C_word c,C_word t0,C_word t1) C_noret;
static void f_4243(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_4243r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_4064(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_4064r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void C_fcall f_4195(C_word t0,C_word t1) C_noret;
static void C_fcall f_4190(C_word t0,C_word t1,C_word t2) C_noret;
static void C_fcall f_4066(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_4076(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_4084(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static C_word C_fcall f_4127(C_word t0,C_word t1,C_word t2);
static void C_fcall f_4097(C_word t0,C_word t1) C_noret;
static void f_4122(C_word c,C_word t0,C_word t1) C_noret;
static void f_4100(C_word c,C_word t0,C_word t1) C_noret;
static C_word C_fcall f_4045(C_word t0,C_word t1,C_word t2);
static C_word C_fcall f_4026(C_word t0,C_word t1,C_word t2);
static void f_3984(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_3984r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_4006(C_word c,C_word t0,C_word t1) C_noret;
static void f_4010(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_3878(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_3878r(C_word t0,C_word t1,C_word t3) C_noret;
static void C_fcall f_3884(C_word t0,C_word t1,C_word t2) C_noret;
static void f_3905(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
static void f_3976(C_word c,C_word t0,C_word t1) C_noret;
static void f_3909(C_word c,C_word t0,C_word t1) C_noret;
static void f_3916(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_3918(C_word t0,C_word t1,C_word t2) C_noret;
static void f_3935(C_word c,C_word t0,C_word t1) C_noret;
static void f_3945(C_word c,C_word t0,C_word t1) C_noret;
static void f_3949(C_word c,C_word t0,C_word t1) C_noret;
static void f_3899(C_word c,C_word t0,C_word t1) C_noret;
static void f_3866(C_word c,C_word t0,C_word t1) C_noret;
static void f_3870(C_word c,C_word t0,C_word t1) C_noret;
static void f_3873(C_word c,C_word t0,C_word t1) C_noret;
static void f_3836(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_3840(C_word c,C_word t0,C_word t1) C_noret;
static void f_3843(C_word c,C_word t0,C_word t1) C_noret;
static void f_3807(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_3811(C_word c,C_word t0,C_word t1) C_noret;
static void f_3814(C_word c,C_word t0,C_word t1) C_noret;
static void f_3748(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_3748r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_3752(C_word c,C_word t0,C_word t1) C_noret;
static void f_3758(C_word c,C_word t0,C_word t1) C_noret;
static void f_3741(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_3722(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_3722r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_3726(C_word c,C_word t0,C_word t1) C_noret;
static void f_3688(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_3695(C_word c,C_word t0,C_word t1) C_noret;
static void f_3698(C_word c,C_word t0,C_word t1) C_noret;
static void f_3701(C_word c,C_word t0,C_word t1) C_noret;
static void f_3671(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_3675(C_word c,C_word t0,C_word t1) C_noret;
static void f_3678(C_word c,C_word t0,C_word t1) C_noret;
static void f_3652(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_3643(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_3637(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_3628(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_3593(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_3593r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_3531(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6,...) C_noret;
static void f_3531r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6,C_word t8) C_noret;
static void f_3535(C_word c,C_word t0,C_word t1) C_noret;
static void f_3541(C_word c,C_word t0,C_word t1) C_noret;
static void f_3560(C_word c,C_word t0,C_word t1) C_noret;
static void f_3547(C_word c,C_word t0,C_word t1) C_noret;
static void f_3428(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_3434(C_word t0,C_word t1,C_word t2) C_noret;
static void f_3438(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_3446(C_word t0,C_word t1,C_word t2) C_noret;
static void f_3472(C_word c,C_word t0,C_word t1) C_noret;
static void f_3476(C_word c,C_word t0,C_word t1) C_noret;
static void f_3464(C_word c,C_word t0,C_word t1) C_noret;
static void f_3408(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_3416(C_word c,C_word t0,C_word t1) C_noret;
static void f_3391(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_3402(C_word c,C_word t0,C_word t1) C_noret;
static void f_3406(C_word c,C_word t0,C_word t1) C_noret;
static void f_3365(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_3389(C_word c,C_word t0,C_word t1) C_noret;
static void f_3372(C_word c,C_word t0,C_word t1) C_noret;
static void f_3322(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_3322r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void C_fcall f_3329(C_word t0,C_word t1) C_noret;
static void f_3350(C_word c,C_word t0,C_word t1) C_noret;
static void f_3346(C_word c,C_word t0,C_word t1) C_noret;
static void f_3294(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_3272(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_3272r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_3276(C_word c,C_word t0,C_word t1) C_noret;
static void f_3257(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_3257r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_3261(C_word c,C_word t0,C_word t1) C_noret;
static void f_3242(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_3242r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_3246(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_3224(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void C_fcall f_3150(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_3172(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_3178(C_word t0,C_word t1) C_noret;
static void f_3111(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_3139(C_word c,C_word t0,C_word t1) C_noret;
static void f_3135(C_word c,C_word t0,C_word t1) C_noret;
static void f_3128(C_word c,C_word t0,C_word t1) C_noret;
static void f_3084(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_3084r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void C_fcall f_3091(C_word t0,C_word t1) C_noret;
static void f_3094(C_word c,C_word t0,C_word t1) C_noret;
static void f_3039(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_3043(C_word c,C_word t0,C_word t1) C_noret;
static void f_3078(C_word c,C_word t0,C_word t1) C_noret;
static void f_3061(C_word c,C_word t0,C_word t1) C_noret;
static void f_3025(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_3025r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_3037(C_word c,C_word t0,C_word t1) C_noret;
static void f_3011(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_3011r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_3023(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2996(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
static void f_3009(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2959(C_word t0,C_word t1,C_word t2) C_noret;
static void f_2967(C_word c,C_word t0,C_word t1) C_noret;
static void f_2934(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_2915(C_word c,C_word t0,C_word t1) C_noret;
static void f_2919(C_word c,C_word t0,C_word t1) C_noret;
static void f_2884(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2908(C_word c,C_word t0,C_word t1) C_noret;
static void f_2892(C_word c,C_word t0,C_word t1) C_noret;
static void f_2895(C_word c,C_word t0,C_word t1) C_noret;
static void f_2846(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_2879(C_word c,C_word t0,C_word t1) C_noret;
static void f_2867(C_word c,C_word t0,C_word t1) C_noret;
static void f_2875(C_word c,C_word t0,C_word t1) C_noret;
static void f_2871(C_word c,C_word t0,C_word t1) C_noret;
static void f_2825(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_2841(C_word c,C_word t0,C_word t1) C_noret;
static void f_2807(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2820(C_word c,C_word t0,C_word t1) C_noret;
static void f_2814(C_word c,C_word t0,C_word t1) C_noret;
static void f_2792(C_word c,C_word t0,C_word t1) C_noret;
static void f_2802(C_word c,C_word t0,C_word t1) C_noret;
static void f_2796(C_word c,C_word t0,C_word t1) C_noret;
static void f_2786(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2780(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2774(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void C_fcall f_2750(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_2772(C_word c,C_word t0,C_word t1) C_noret;
static void f_2768(C_word c,C_word t0,C_word t1) C_noret;
static void f_2760(C_word c,C_word t0,C_word t1) C_noret;
static void f_2735(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2745(C_word c,C_word t0,C_word t1) C_noret;
static void f_2720(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2730(C_word c,C_word t0,C_word t1) C_noret;
static void f_2717(C_word c,C_word t0,C_word t1) C_noret;
static void f_2714(C_word c,C_word t0,C_word t1) C_noret;
static void f_2711(C_word c,C_word t0,C_word t1) C_noret;
static void f_2708(C_word c,C_word t0,C_word t1) C_noret;
static void f_2678(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
static void f_2706(C_word c,C_word t0,C_word t1) C_noret;
static void f_2702(C_word c,C_word t0,C_word t1) C_noret;
static void f_2651(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_2676(C_word c,C_word t0,C_word t1) C_noret;
static void f_2672(C_word c,C_word t0,C_word t1) C_noret;
static void f_2603(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_2591(C_word c,C_word t0,C_word t1) C_noret;
static void f_2619(C_word c,C_word t0,C_word t1) C_noret;
static void f_2529(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2533(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2538(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_2554(C_word c,C_word t0,C_word t1) C_noret;
static void f_2466(C_word c,C_word t0,C_word t1) C_noret;
static void f_2524(C_word c,C_word t0,C_word t1) C_noret;
static void f_2470(C_word c,C_word t0,C_word t1) C_noret;
static void f_2473(C_word c,C_word t0,C_word t1) C_noret;
static void f_2505(C_word c,C_word t0,C_word t1) C_noret;
static void f_2476(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2481(C_word t0,C_word t1,C_word t2) C_noret;
static void f_2495(C_word c,C_word t0,C_word t1) C_noret;
static C_word C_fcall f_2459(C_word t0);
static void f_2398(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2450(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2402(C_word t0,C_word t1) C_noret;
static void f_2412(C_word c,C_word t0,C_word t1) C_noret;
static void f_2416(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2422(C_word t0,C_word t1,C_word t2) C_noret;
static void f_2426(C_word c,C_word t0,C_word t1) C_noret;
static void f_2436(C_word c,C_word t0,C_word t1) C_noret;
static void f_2420(C_word c,C_word t0,C_word t1) C_noret;
static void f_2345(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2385(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2349(C_word t0,C_word t1) C_noret;
static void f_2359(C_word c,C_word t0,C_word t1) C_noret;
static void f_2363(C_word c,C_word t0,C_word t1) C_noret;
static void f_2367(C_word c,C_word t0,C_word t1) C_noret;
static void f_2371(C_word c,C_word t0,C_word t1) C_noret;
static void f_2375(C_word c,C_word t0,C_word t1) C_noret;
static void f_2307(C_word c,C_word t0,C_word t1) C_noret;
static void f_2340(C_word c,C_word t0,C_word t1) C_noret;
static void f_2311(C_word c,C_word t0,C_word t1) C_noret;
static void f_2318(C_word c,C_word t0,C_word t1) C_noret;
static void f_2322(C_word c,C_word t0,C_word t1) C_noret;
static void f_2326(C_word c,C_word t0,C_word t1) C_noret;
static void f_2330(C_word c,C_word t0,C_word t1) C_noret;
static void f_2334(C_word c,C_word t0,C_word t1) C_noret;
static void f_2280(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2298(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2287(C_word c,C_word t0,C_word t1) C_noret;
static void f_2262(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_2272(C_word c,C_word t0,C_word t1) C_noret;
static void f_2249(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_2206(C_word c,C_word t0,C_word t1) C_noret;
static void f_2210(C_word c,C_word t0,C_word t1) C_noret;
static void f_2186(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_2186r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_2190(C_word c,C_word t0,C_word t1) C_noret;
static void f_2196(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_2196r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_2200(C_word c,C_word t0,C_word t1) C_noret;
static void f_2166(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_2166r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_2170(C_word c,C_word t0,C_word t1) C_noret;
static void f_2176(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_2176r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_2180(C_word c,C_word t0,C_word t1) C_noret;
static void f_2142(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_2142r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_2146(C_word c,C_word t0,C_word t1) C_noret;
static void f_2157(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_2157r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_2161(C_word c,C_word t0,C_word t1) C_noret;
static void f_2151(C_word c,C_word t0,C_word t1) C_noret;
static void f_2118(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_2118r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_2122(C_word c,C_word t0,C_word t1) C_noret;
static void f_2133(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_2133r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_2137(C_word c,C_word t0,C_word t1) C_noret;
static void f_2127(C_word c,C_word t0,C_word t1) C_noret;
static void f_2102(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2106(C_word c,C_word t0,C_word t1) C_noret;
static void f_2109(C_word c,C_word t0,C_word t1) C_noret;
static void f_2066(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_2066r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_2097(C_word c,C_word t0,C_word t1) C_noret;
static void f_2087(C_word c,C_word t0,C_word t1) C_noret;
static void f_2080(C_word c,C_word t0,C_word t1) C_noret;
static void f_2030(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_2030r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_2061(C_word c,C_word t0,C_word t1) C_noret;
static void f_2051(C_word c,C_word t0,C_word t1) C_noret;
static void f_2044(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2015(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
static void f_2028(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2009(C_word t0,C_word t1) C_noret;
static C_word C_fcall f_1997(C_word t0);
static void f_1982(C_word c,C_word t0,C_word t1) C_noret;
static void f_1986(C_word c,C_word t0,C_word t1) C_noret;
static void f_1959(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1980(C_word c,C_word t0,C_word t1) C_noret;
static void f_1966(C_word c,C_word t0,C_word t1) C_noret;
static void f_1905(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1912(C_word c,C_word t0,C_word t1) C_noret;
static void f_1915(C_word c,C_word t0,C_word t1) C_noret;
static void f_1918(C_word c,C_word t0,C_word t1) C_noret;
static void f_1957(C_word c,C_word t0,C_word t1) C_noret;
static void f_1922(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1936(C_word t0,C_word t1) C_noret;
static void f_1946(C_word c,C_word t0,C_word t1) C_noret;
static void f_1953(C_word c,C_word t0,C_word t1) C_noret;
static void f_1881(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1903(C_word c,C_word t0,C_word t1) C_noret;
static void f_1899(C_word c,C_word t0,C_word t1) C_noret;
static void f_1857(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1879(C_word c,C_word t0,C_word t1) C_noret;
static void f_1875(C_word c,C_word t0,C_word t1) C_noret;
static void f_1833(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1855(C_word c,C_word t0,C_word t1) C_noret;
static void f_1851(C_word c,C_word t0,C_word t1) C_noret;
static void f_1775(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1775r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1788(C_word c,C_word t0,C_word t1) C_noret;
static void f_1800(C_word c,C_word t0,C_word t1) C_noret;
static void f_1794(C_word c,C_word t0,C_word t1) C_noret;
static void f_1738(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1754(C_word c,C_word t0,C_word t1) C_noret;
static void f_1742(C_word c,C_word t0,C_word t1) C_noret;
static void f_1745(C_word c,C_word t0,C_word t1) C_noret;
static void f_1729(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1736(C_word c,C_word t0,C_word t1) C_noret;
static void f_1720(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1727(C_word c,C_word t0,C_word t1) C_noret;
static void f_1714(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1718(C_word c,C_word t0,C_word t1) C_noret;
static void f_1708(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1712(C_word c,C_word t0,C_word t1) C_noret;
static void f_1702(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1706(C_word c,C_word t0,C_word t1) C_noret;
static void f_1696(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1700(C_word c,C_word t0,C_word t1) C_noret;
static void f_1690(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1694(C_word c,C_word t0,C_word t1) C_noret;
static void f_1684(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1688(C_word c,C_word t0,C_word t1) C_noret;
static void f_1652(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_1652r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_1663(C_word c,C_word t0,C_word t1) C_noret;
static void f_1656(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1615(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_1647(C_word c,C_word t0,C_word t1) C_noret;
static void f_1640(C_word c,C_word t0,C_word t1) C_noret;
static void f_1619(C_word c,C_word t0,C_word t1) C_noret;
static void f_1423(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1423r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1596(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1439(C_word c,C_word t0,C_word t1) C_noret;
static void f_1570(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1445(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1448(C_word t0,C_word t1) C_noret;
static void f_1530(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1528(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1487(C_word t0,C_word t1) C_noret;
static void f_1505(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1503(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1491(C_word t0,C_word t1) C_noret;
static C_word C_fcall f_1413(C_word t0,C_word t1);
static C_word C_fcall f_1403(C_word t0,C_word t1);
static C_word C_fcall f_1397(C_word t0);
static void f_1365(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1372(C_word c,C_word t0,C_word t1) C_noret;
static void f_1375(C_word c,C_word t0,C_word t1) C_noret;
static void f_1378(C_word c,C_word t0,C_word t1) C_noret;
static void f_1385(C_word c,C_word t0,C_word t1) C_noret;
static void f_1326(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1326r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1333(C_word c,C_word t0,C_word t1) C_noret;
static void f_1342(C_word c,C_word t0,C_word t1) C_noret;
static void f_1284(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1284r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1294(C_word c,C_word t0,C_word t1) C_noret;
static void f_1297(C_word c,C_word t0,C_word t1) C_noret;
static void f_1300(C_word c,C_word t0,C_word t1) C_noret;
static void f_1269(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1231(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1231r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1261(C_word c,C_word t0,C_word t1) C_noret;
static void f_1248(C_word c,C_word t0,C_word t1) C_noret;
static void f_1251(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1176(C_word t0) C_noret;
static void f_1182(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1191(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1159(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
static void f_1163(C_word c,C_word t0,C_word t1) C_noret;
static void f_1174(C_word c,C_word t0,C_word t1) C_noret;
static void f_1170(C_word c,C_word t0,C_word t1) C_noret;
static C_word C_fcall f_1142(C_word t0);

static void C_fcall trf_4897(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4897(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_4897(t0,t1);}

static void C_fcall trf_4892(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4892(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_4892(t0,t1,t2);}

static void C_fcall trf_4887(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4887(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_4887(t0,t1,t2,t3);}

static void C_fcall trf_4748(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4748(void *dummy){
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
f_4748(t0,t1,t2,t3,t4);}

static void C_fcall trf_4755(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4755(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_4755(t0,t1);}

static void C_fcall trf_4767(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4767(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_4767(t0,t1,t2,t3);}

static void C_fcall trf_4698(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4698(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_4698(t0,t1);}

static void C_fcall trf_4693(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4693(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_4693(t0,t1,t2);}

static void C_fcall trf_4431(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4431(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_4431(t0,t1,t2,t3);}

static void C_fcall trf_4540(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4540(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_4540(t0,t1);}

static void C_fcall trf_4483(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4483(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_4483(t0,t1);}

static void C_fcall trf_4497(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4497(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_4497(t0,t1);}

static void C_fcall trf_4409(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4409(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_4409(t0,t1,t2);}

static void C_fcall trf_4195(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4195(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_4195(t0,t1);}

static void C_fcall trf_4190(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4190(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_4190(t0,t1,t2);}

static void C_fcall trf_4066(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4066(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_4066(t0,t1,t2,t3);}

static void C_fcall trf_4084(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4084(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_4084(t0,t1,t2,t3);}

static void C_fcall trf_4097(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4097(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_4097(t0,t1);}

static void C_fcall trf_3884(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3884(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_3884(t0,t1,t2);}

static void C_fcall trf_3918(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3918(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_3918(t0,t1,t2);}

static void C_fcall trf_3434(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3434(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_3434(t0,t1,t2);}

static void C_fcall trf_3446(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3446(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_3446(t0,t1,t2);}

static void C_fcall trf_3329(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3329(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_3329(t0,t1);}

static void C_fcall trf_3224(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3224(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_3224(t0,t1,t2,t3);}

static void C_fcall trf_3150(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3150(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_3150(t0,t1,t2,t3);}

static void C_fcall trf_3178(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3178(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_3178(t0,t1);}

static void C_fcall trf_3091(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3091(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_3091(t0,t1);}

static void C_fcall trf_2996(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2996(void *dummy){
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
f_2996(t0,t1,t2,t3,t4);}

static void C_fcall trf_2959(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2959(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_2959(t0,t1,t2);}

static void C_fcall trf_2750(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2750(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_2750(t0,t1,t2,t3);}

static void C_fcall trf_2538(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2538(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_2538(t0,t1,t2,t3);}

static void C_fcall trf_2481(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2481(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_2481(t0,t1,t2);}

static void C_fcall trf_2402(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2402(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2402(t0,t1);}

static void C_fcall trf_2422(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2422(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_2422(t0,t1,t2);}

static void C_fcall trf_2349(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2349(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2349(t0,t1);}

static void C_fcall trf_2015(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2015(void *dummy){
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
f_2015(t0,t1,t2,t3,t4);}

static void C_fcall trf_2009(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2009(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2009(t0,t1);}

static void C_fcall trf_1936(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1936(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_1936(t0,t1);}

static void C_fcall trf_1615(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1615(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_1615(t0,t1,t2,t3);}

static void C_fcall trf_1448(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1448(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_1448(t0,t1);}

static void C_fcall trf_1487(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1487(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_1487(t0,t1);}

static void C_fcall trf_1491(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1491(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_1491(t0,t1);}

static void C_fcall trf_1176(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1176(void *dummy){
C_word t0=C_pick(0);
C_adjust_stack(-1);
f_1176(t0);}

static void C_fcall trf_1159(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1159(void *dummy){
C_word t5=C_pick(0);
C_word t4=C_pick(1);
C_word t3=C_pick(2);
C_word t2=C_pick(3);
C_word t1=C_pick(4);
C_word t0=C_pick(5);
C_adjust_stack(-6);
f_1159(t0,t1,t2,t3,t4,t5);}

static void C_fcall tr5(C_proc5 k) C_regparm C_noret;
C_regparm static void C_fcall tr5(C_proc5 k){
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
(k)(5,t0,t1,t2,t3,t4);}

static void C_fcall tr4(C_proc4 k) C_regparm C_noret;
C_regparm static void C_fcall tr4(C_proc4 k){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
(k)(4,t0,t1,t2,t3);}

static void C_fcall tr3(C_proc3 k) C_regparm C_noret;
C_regparm static void C_fcall tr3(C_proc3 k){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
(k)(3,t0,t1,t2);}

static void C_fcall tr2(C_proc2 k) C_regparm C_noret;
C_regparm static void C_fcall tr2(C_proc2 k){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
(k)(2,t0,t1);}

static void C_fcall tr2r(C_proc2 k) C_regparm C_noret;
C_regparm static void C_fcall tr2r(C_proc2 k){
int n;
C_word *a,t2;
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
n=C_rest_count(0);
a=C_alloc(n*3);
t2=C_restore_rest(a,n);
(k)(t0,t1,t2);}

static void C_fcall tr3r(C_proc3 k) C_regparm C_noret;
C_regparm static void C_fcall tr3r(C_proc3 k){
int n;
C_word *a,t3;
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
n=C_rest_count(0);
a=C_alloc(n*3);
t3=C_restore_rest(a,n);
(k)(t0,t1,t2,t3);}

static void C_fcall tr4r(C_proc4 k) C_regparm C_noret;
C_regparm static void C_fcall tr4r(C_proc4 k){
int n;
C_word *a,t4;
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
n=C_rest_count(0);
a=C_alloc(n*3);
t4=C_restore_rest(a,n);
(k)(t0,t1,t2,t3,t4);}

static void C_fcall tr7rv(C_proc7 k) C_regparm C_noret;
C_regparm static void C_fcall tr7rv(C_proc7 k){
int n;
C_word *a,t7;
C_word t6=C_pick(0);
C_word t5=C_pick(1);
C_word t4=C_pick(2);
C_word t3=C_pick(3);
C_word t2=C_pick(4);
C_word t1=C_pick(5);
C_word t0=C_pick(6);
C_adjust_stack(-7);
n=C_rest_count(0);
a=C_alloc(n+1);
t7=C_restore_rest_vector(a,n);
(k)(t0,t1,t2,t3,t4,t5,t6,t7);}

static void C_fcall tr4rv(C_proc4 k) C_regparm C_noret;
C_regparm static void C_fcall tr4rv(C_proc4 k){
int n;
C_word *a,t4;
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
n=C_rest_count(0);
a=C_alloc(n+1);
t4=C_restore_rest_vector(a,n);
(k)(t0,t1,t2,t3,t4);}

static void C_fcall tr2rv(C_proc2 k) C_regparm C_noret;
C_regparm static void C_fcall tr2rv(C_proc2 k){
int n;
C_word *a,t2;
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
n=C_rest_count(0);
a=C_alloc(n+1);
t2=C_restore_rest_vector(a,n);
(k)(t0,t1,t2);}

static void C_fcall tr3rv(C_proc3 k) C_regparm C_noret;
C_regparm static void C_fcall tr3rv(C_proc3 k){
int n;
C_word *a,t3;
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
n=C_rest_count(0);
a=C_alloc(n+1);
t3=C_restore_rest_vector(a,n);
(k)(t0,t1,t2,t3);}

/* toplevel */
static C_TLS int toplevel_initialized=0;
static void C_fcall toplevel_trampoline(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall toplevel_trampoline(void *dummy){
C_posix_toplevel(2,C_SCHEME_UNDEFINED,C_restore);}

void C_posix_toplevel(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(toplevel_initialized) C_kontinue(t1,C_SCHEME_UNDEFINED);
else C_toplevel_entry(C_text("posix_toplevel"));
C_check_nursery_minimum(3);
if(!C_demand(3)){
C_save(t1);
C_reclaim((void*)toplevel_trampoline,NULL);}
toplevel_initialized=1;
if(!C_demand_2(4466)){
C_save(t1);
C_rereclaim2(4466*sizeof(C_word), 1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,355);
lf[1]=C_string(C_heaptop,27,"too many optional arguments");
lf[3]=C_h_intern(&lf[3],13,"string-append");
lf[5]=C_h_intern(&lf[5],15,"\003syssignal-hook");
lf[6]=C_string(C_heaptop,3," - ");
lf[7]=C_h_intern(&lf[7],17,"\003syspeek-c-string");
lf[8]=C_h_intern(&lf[8],16,"\003sysupdate-errno");
lf[10]=C_h_intern(&lf[10],18,"\003syscurrent-thread");
lf[11]=C_h_intern(&lf[11],12,"\003sysschedule");
lf[12]=C_h_intern(&lf[12],8,"pipe/buf");
lf[13]=C_h_intern(&lf[13],11,"open/rdonly");
lf[14]=C_h_intern(&lf[14],11,"open/wronly");
lf[15]=C_h_intern(&lf[15],9,"open/rdwr");
lf[16]=C_h_intern(&lf[16],9,"open/read");
lf[17]=C_h_intern(&lf[17],10,"open/write");
lf[18]=C_h_intern(&lf[18],10,"open/creat");
lf[19]=C_h_intern(&lf[19],11,"open/append");
lf[20]=C_h_intern(&lf[20],9,"open/excl");
lf[21]=C_h_intern(&lf[21],11,"open/noctty");
lf[22]=C_h_intern(&lf[22],13,"open/nonblock");
lf[23]=C_h_intern(&lf[23],10,"open/trunc");
lf[24]=C_h_intern(&lf[24],9,"open/sync");
lf[25]=C_h_intern(&lf[25],10,"open/fsync");
lf[26]=C_h_intern(&lf[26],11,"open/binary");
lf[27]=C_h_intern(&lf[27],9,"open/text");
lf[28]=C_h_intern(&lf[28],10,"perm/irusr");
lf[29]=C_h_intern(&lf[29],10,"perm/iwusr");
lf[30]=C_h_intern(&lf[30],10,"perm/ixusr");
lf[31]=C_h_intern(&lf[31],10,"perm/irgrp");
lf[32]=C_h_intern(&lf[32],10,"perm/iwgrp");
lf[33]=C_h_intern(&lf[33],10,"perm/ixgrp");
lf[34]=C_h_intern(&lf[34],10,"perm/iroth");
lf[35]=C_h_intern(&lf[35],10,"perm/iwoth");
lf[36]=C_h_intern(&lf[36],10,"perm/ixoth");
lf[37]=C_h_intern(&lf[37],10,"perm/irwxu");
lf[38]=C_h_intern(&lf[38],10,"perm/irwxg");
lf[39]=C_h_intern(&lf[39],10,"perm/irwxo");
lf[40]=C_h_intern(&lf[40],10,"perm/isvtx");
lf[41]=C_h_intern(&lf[41],10,"perm/isuid");
lf[42]=C_h_intern(&lf[42],10,"perm/isgid");
lf[43]=C_h_intern(&lf[43],9,"file-open");
lf[44]=C_h_intern(&lf[44],11,"\000file-error");
lf[45]=C_string(C_heaptop,17,"can not open file");
lf[46]=C_h_intern(&lf[46],17,"\003sysmake-c-string");
lf[47]=C_h_intern(&lf[47],20,"\003sysexpand-home-path");
lf[48]=C_h_intern(&lf[48],10,"file-close");
lf[49]=C_string(C_heaptop,18,"can not close file");
lf[50]=C_h_intern(&lf[50],11,"make-string");
lf[51]=C_h_intern(&lf[51],9,"file-read");
lf[52]=C_string(C_heaptop,22,"can not read from file");
lf[53]=C_h_intern(&lf[53],11,"\000type-error");
lf[54]=C_string(C_heaptop,47,"bad argument type - not a string or byte-vector");
lf[55]=C_h_intern(&lf[55],10,"file-write");
lf[56]=C_string(C_heaptop,21,"can not write to file");
lf[57]=C_string(C_heaptop,47,"bad argument type - not a string or byte-vector");
lf[58]=C_h_intern(&lf[58],13,"string-length");
lf[59]=C_h_intern(&lf[59],12,"file-mkstemp");
lf[60]=C_h_intern(&lf[60],13,"\003syssubstring");
lf[61]=C_string(C_heaptop,29,"can not create temporary file");
lf[62]=C_h_intern(&lf[62],11,"file-select");
lf[63]=C_string(C_heaptop,6,"failed");
lf[64]=C_h_intern(&lf[64],12,"\003sysfor-each");
lf[65]=C_h_intern(&lf[65],8,"seek/set");
lf[66]=C_h_intern(&lf[66],8,"seek/end");
lf[67]=C_h_intern(&lf[67],8,"seek/cur");
lf[69]=C_string(C_heaptop,19,"can not access file");
lf[70]=C_string(C_heaptop,42,"bad argument type - not a fixnum or string");
lf[71]=C_h_intern(&lf[71],9,"file-stat");
lf[72]=C_h_intern(&lf[72],9,"\003syserror");
lf[73]=C_h_intern(&lf[73],9,"file-size");
lf[74]=C_h_intern(&lf[74],22,"file-modification-time");
lf[75]=C_h_intern(&lf[75],16,"file-access-time");
lf[76]=C_h_intern(&lf[76],16,"file-change-time");
lf[77]=C_h_intern(&lf[77],10,"file-owner");
lf[78]=C_h_intern(&lf[78],16,"file-permissions");
lf[79]=C_h_intern(&lf[79],13,"regular-file\077");
lf[80]=C_h_intern(&lf[80],14,"symbolic-link\077");
lf[81]=C_h_intern(&lf[81],13,"file-position");
lf[82]=C_string(C_heaptop,38,"can not retrieve file position of port");
lf[83]=C_h_intern(&lf[83],6,"stream");
lf[84]=C_string(C_heaptop,12,"invalid file");
lf[85]=C_h_intern(&lf[85],5,"port\077");
lf[86]=C_h_intern(&lf[86],18,"set-file-position!");
lf[87]=C_string(C_heaptop,25,"can not set file position");
lf[88]=C_string(C_heaptop,12,"invalid file");
lf[89]=C_h_intern(&lf[89],13,"\000bounds-error");
lf[90]=C_string(C_heaptop,30,"invalid negative port position");
lf[91]=C_h_intern(&lf[91],16,"create-directory");
lf[92]=C_string(C_heaptop,24,"can not create directory");
lf[93]=C_h_intern(&lf[93],16,"change-directory");
lf[94]=C_string(C_heaptop,32,"can not change current directory");
lf[95]=C_h_intern(&lf[95],16,"delete-directory");
lf[96]=C_string(C_heaptop,24,"can not delete directory");
lf[97]=C_h_intern(&lf[97],6,"string");
lf[98]=C_h_intern(&lf[98],9,"substring");
lf[99]=C_h_intern(&lf[99],9,"directory");
lf[100]=C_string(C_heaptop,22,"can not open directory");
lf[101]=C_h_intern(&lf[101],16,"\003sysmake-pointer");
lf[102]=C_h_intern(&lf[102],10,"directory\077");
lf[103]=C_h_intern(&lf[103],13,"\003sysfile-info");
lf[104]=C_h_intern(&lf[104],17,"current-directory");
lf[105]=C_string(C_heaptop,34,"can not retrieve current directory");
lf[106]=C_h_intern(&lf[106],5,"\000text");
lf[107]=C_string(C_heaptop,35,"illegal input/output mode specifier");
lf[108]=C_string(C_heaptop,17,"can not open pipe");
lf[109]=C_h_intern(&lf[109],13,"\003sysmake-port");
lf[110]=C_h_intern(&lf[110],21,"\003sysstream-port-class");
lf[111]=C_string(C_heaptop,6,"(pipe)");
lf[112]=C_h_intern(&lf[112],15,"open-input-pipe");
lf[113]=C_h_intern(&lf[113],7,"\000binary");
lf[114]=C_h_intern(&lf[114],16,"open-output-pipe");
lf[115]=C_h_intern(&lf[115],16,"close-input-pipe");
lf[116]=C_h_intern(&lf[116],23,"close-input/output-pipe");
lf[117]=C_string(C_heaptop,24,"error while closing pipe");
lf[118]=C_h_intern(&lf[118],14,"\003syscheck-port");
lf[119]=C_h_intern(&lf[119],17,"close-output-pipe");
lf[120]=C_h_intern(&lf[120],20,"call-with-input-pipe");
lf[121]=C_h_intern(&lf[121],21,"call-with-output-pipe");
lf[122]=C_h_intern(&lf[122],20,"with-input-from-pipe");
lf[123]=C_h_intern(&lf[123],18,"\003sysstandard-input");
lf[124]=C_h_intern(&lf[124],19,"with-output-to-pipe");
lf[125]=C_h_intern(&lf[125],19,"\003sysstandard-output");
lf[126]=C_h_intern(&lf[126],11,"create-pipe");
lf[127]=C_string(C_heaptop,19,"can not create pipe");
lf[128]=C_h_intern(&lf[128],11,"signal/term");
lf[129]=C_h_intern(&lf[129],11,"signal/kill");
lf[130]=C_h_intern(&lf[130],10,"signal/int");
lf[131]=C_h_intern(&lf[131],10,"signal/hup");
lf[132]=C_h_intern(&lf[132],10,"signal/fpe");
lf[133]=C_h_intern(&lf[133],10,"signal/ill");
lf[134]=C_h_intern(&lf[134],11,"signal/segv");
lf[135]=C_h_intern(&lf[135],11,"signal/abrt");
lf[136]=C_h_intern(&lf[136],11,"signal/trap");
lf[137]=C_h_intern(&lf[137],11,"signal/quit");
lf[138]=C_h_intern(&lf[138],11,"signal/alrm");
lf[139]=C_h_intern(&lf[139],13,"signal/vtalrm");
lf[140]=C_h_intern(&lf[140],11,"signal/prof");
lf[141]=C_h_intern(&lf[141],9,"signal/io");
lf[142]=C_h_intern(&lf[142],10,"signal/urg");
lf[143]=C_h_intern(&lf[143],11,"signal/chld");
lf[144]=C_h_intern(&lf[144],11,"signal/cont");
lf[145]=C_h_intern(&lf[145],11,"signal/stop");
lf[146]=C_h_intern(&lf[146],11,"signal/tstp");
lf[147]=C_h_intern(&lf[147],11,"signal/pipe");
lf[148]=C_h_intern(&lf[148],11,"signal/xcpu");
lf[149]=C_h_intern(&lf[149],11,"signal/xfsz");
lf[150]=C_h_intern(&lf[150],11,"signal/usr1");
lf[151]=C_h_intern(&lf[151],11,"signal/usr2");
lf[152]=C_h_intern(&lf[152],12,"signal/winch");
lf[153]=C_h_intern(&lf[153],18,"\003sysinterrupt-hook");
lf[154]=C_h_intern(&lf[154],19,"set-signal-handler!");
lf[155]=C_h_intern(&lf[155],18,"\003syscontext-switch");
lf[156]=C_h_intern(&lf[156],16,"set-signal-mask!");
lf[157]=C_h_intern(&lf[157],14,"\000process-error");
lf[158]=C_string(C_heaptop,23,"can not set signal mask");
lf[159]=C_h_intern(&lf[159],18,"system-information");
lf[160]=C_h_intern(&lf[160],25,"\003syspeek-nonnull-c-string");
lf[161]=C_string(C_heaptop,35,"can not retrieve system information");
lf[162]=C_h_intern(&lf[162],16,"user-information");
lf[163]=C_h_intern(&lf[163],17,"group-information");
lf[165]=C_h_intern(&lf[165],10,"get-groups");
lf[166]=C_string(C_heaptop,40,"can not retrieve supplementary group ids");
lf[167]=C_string(C_heaptop,13,"out of memory");
lf[168]=C_string(C_heaptop,40,"can not retrieve supplementary group ids");
lf[169]=C_h_intern(&lf[169],11,"set-groups!");
lf[170]=C_string(C_heaptop,35,"can not set supplementary group ids");
lf[171]=C_string(C_heaptop,13,"out of memory");
lf[172]=C_h_intern(&lf[172],17,"initialize-groups");
lf[173]=C_string(C_heaptop,42,"can not initialize supplementary group ids");
lf[174]=C_h_intern(&lf[174],10,"errno/perm");
lf[175]=C_h_intern(&lf[175],11,"errno/noent");
lf[176]=C_h_intern(&lf[176],10,"errno/srch");
lf[177]=C_h_intern(&lf[177],10,"errno/intr");
lf[178]=C_h_intern(&lf[178],8,"errno/io");
lf[179]=C_h_intern(&lf[179],12,"errno/noexec");
lf[180]=C_h_intern(&lf[180],10,"errno/badf");
lf[181]=C_h_intern(&lf[181],11,"errno/child");
lf[182]=C_h_intern(&lf[182],11,"errno/nomem");
lf[183]=C_h_intern(&lf[183],11,"errno/acces");
lf[184]=C_h_intern(&lf[184],11,"errno/fault");
lf[185]=C_h_intern(&lf[185],10,"errno/busy");
lf[186]=C_h_intern(&lf[186],12,"errno/notdir");
lf[187]=C_h_intern(&lf[187],11,"errno/isdir");
lf[188]=C_h_intern(&lf[188],11,"errno/inval");
lf[189]=C_h_intern(&lf[189],11,"errno/mfile");
lf[190]=C_h_intern(&lf[190],11,"errno/nospc");
lf[191]=C_h_intern(&lf[191],11,"errno/spipe");
lf[192]=C_h_intern(&lf[192],10,"errno/pipe");
lf[193]=C_h_intern(&lf[193],11,"errno/again");
lf[194]=C_h_intern(&lf[194],10,"errno/rofs");
lf[195]=C_h_intern(&lf[195],11,"errno/exist");
lf[196]=C_h_intern(&lf[196],16,"errno/wouldblock");
lf[197]=C_h_intern(&lf[197],16,"change-file-mode");
lf[198]=C_string(C_heaptop,24,"can not change file mode");
lf[199]=C_h_intern(&lf[199],17,"change-file-owner");
lf[200]=C_string(C_heaptop,25,"can not change file owner");
lf[201]=C_h_intern(&lf[201],15,"current-user-id");
lf[202]=C_h_intern(&lf[202],16,"current-group-id");
lf[203]=C_h_intern(&lf[203],25,"current-effective-user-id");
lf[204]=C_h_intern(&lf[204],26,"current-effective-group-id");
lf[205]=C_h_intern(&lf[205],12,"set-user-id!");
lf[206]=C_string(C_heaptop,19,"can not set user ID");
lf[207]=C_h_intern(&lf[207],13,"set-group-id!");
lf[208]=C_string(C_heaptop,20,"can not set group ID");
lf[209]=C_h_intern(&lf[209],17,"file-read-access\077");
lf[210]=C_h_intern(&lf[210],18,"file-write-access\077");
lf[211]=C_h_intern(&lf[211],20,"file-execute-access\077");
lf[212]=C_h_intern(&lf[212],14,"create-session");
lf[213]=C_string(C_heaptop,22,"can not create session");
lf[214]=C_h_intern(&lf[214],16,"process-group-id");
lf[215]=C_string(C_heaptop,33,"can not retrieve process group ID");
lf[216]=C_h_intern(&lf[216],21,"set-process-group-id!");
lf[217]=C_string(C_heaptop,28,"can not set process group ID");
lf[218]=C_h_intern(&lf[218],20,"create-symbolic-link");
lf[219]=C_h_intern(&lf[219],18,"create-symbol-link");
lf[220]=C_string(C_heaptop,28,"can not create symbolic link");
lf[221]=C_h_intern(&lf[221],18,"read-symbolic-link");
lf[222]=C_string(C_heaptop,26,"can not read symbolic link");
lf[223]=C_h_intern(&lf[223],9,"file-link");
lf[224]=C_h_intern(&lf[224],9,"hard-link");
lf[225]=C_string(C_heaptop,26,"could not create hard link");
lf[226]=C_h_intern(&lf[226],12,"fileno/stdin");
lf[227]=C_h_intern(&lf[227],13,"fileno/stdout");
lf[228]=C_h_intern(&lf[228],13,"fileno/stderr");
lf[229]=C_h_intern(&lf[229],7,"\000append");
lf[230]=C_string(C_heaptop,27,"invalid mode for input file");
lf[231]=C_string(C_heaptop,1,"a");
lf[232]=C_string(C_heaptop,21,"invalid mode argument");
lf[233]=C_string(C_heaptop,1,"r");
lf[234]=C_string(C_heaptop,1,"w");
lf[235]=C_string(C_heaptop,17,"can not open file");
lf[236]=C_string(C_heaptop,8,"(fdport)");
lf[237]=C_h_intern(&lf[237],16,"open-input-file*");
lf[238]=C_h_intern(&lf[238],17,"open-output-file*");
lf[239]=C_h_intern(&lf[239],12,"port->fileno");
lf[240]=C_h_intern(&lf[240],6,"socket");
lf[241]=C_h_intern(&lf[241],20,"\003systcp-port->fileno");
lf[242]=C_string(C_heaptop,25,"port has no attached file");
lf[243]=C_string(C_heaptop,38,"can not access file-descriptor of port");
lf[244]=C_h_intern(&lf[244],25,"\003syspeek-unsigned-integer");
lf[245]=C_h_intern(&lf[245],16,"duplicate-fileno");
lf[246]=C_string(C_heaptop,33,"can not duplicate file descriptor");
lf[247]=C_h_intern(&lf[247],13,"file-truncate");
lf[248]=C_string(C_heaptop,21,"can not truncate file");
lf[249]=C_string(C_heaptop,12,"invalid file");
lf[250]=C_h_intern(&lf[250],4,"lock");
lf[251]=C_h_intern(&lf[251],9,"file-lock");
lf[252]=C_string(C_heaptop,17,"can not lock file");
lf[253]=C_h_intern(&lf[253],18,"file-lock/blocking");
lf[254]=C_string(C_heaptop,17,"can not lock file");
lf[255]=C_h_intern(&lf[255],14,"file-test-lock");
lf[256]=C_string(C_heaptop,19,"can not unlock file");
lf[257]=C_h_intern(&lf[257],11,"file-unlock");
lf[258]=C_string(C_heaptop,19,"can not unlock file");
lf[259]=C_h_intern(&lf[259],11,"create-fifo");
lf[260]=C_string(C_heaptop,19,"can not create FIFO");
lf[261]=C_h_intern(&lf[261],5,"fifo\077");
lf[262]=C_string(C_heaptop,19,"file does not exist");
lf[263]=C_h_intern(&lf[263],6,"setenv");
lf[264]=C_h_intern(&lf[264],8,"unsetenv");
lf[265]=C_h_intern(&lf[265],19,"current-environment");
lf[266]=C_h_intern(&lf[266],9,"prot/read");
lf[267]=C_h_intern(&lf[267],10,"prot/write");
lf[268]=C_h_intern(&lf[268],9,"prot/exec");
lf[269]=C_h_intern(&lf[269],9,"prot/none");
lf[270]=C_h_intern(&lf[270],9,"map/fixed");
lf[271]=C_h_intern(&lf[271],10,"map/shared");
lf[272]=C_h_intern(&lf[272],11,"map/private");
lf[273]=C_h_intern(&lf[273],13,"map/anonymous");
lf[274]=C_h_intern(&lf[274],8,"map/file");
lf[275]=C_h_intern(&lf[275],18,"map-file-to-memory");
lf[276]=C_h_intern(&lf[276],4,"mmap");
lf[277]=C_string(C_heaptop,26,"can not map file to memory");
lf[278]=C_h_intern(&lf[278],20,"\003syspointer->address");
lf[279]=C_string(C_heaptop,41,"bad argument type - not a foreign pointer");
lf[280]=C_h_intern(&lf[280],16,"\003sysnull-pointer");
lf[281]=C_h_intern(&lf[281],22,"unmap-file-from-memory");
lf[282]=C_string(C_heaptop,30,"can not unmap file from memory");
lf[283]=C_h_intern(&lf[283],26,"memory-mapped-file-pointer");
lf[284]=C_h_intern(&lf[284],19,"memory-mapped-file\077");
lf[285]=C_h_intern(&lf[285],19,"seconds->local-time");
lf[286]=C_h_intern(&lf[286],18,"\003sysdecode-seconds");
lf[287]=C_h_intern(&lf[287],17,"seconds->utc-time");
lf[288]=C_h_intern(&lf[288],15,"seconds->string");
lf[289]=C_string(C_heaptop,33,"can not convert seconds to string");
lf[290]=C_h_intern(&lf[290],12,"time->string");
lf[291]=C_string(C_heaptop,29,"can not time vector to string");
lf[292]=C_string(C_heaptop,21,"time vector too short");
lf[293]=C_h_intern(&lf[293],5,"_exit");
lf[294]=C_h_intern(&lf[294],23,"\003syscleanup-before-exit");
lf[295]=C_h_intern(&lf[295],10,"set-alarm!");
lf[296]=C_h_intern(&lf[296],19,"set-buffering-mode!");
lf[297]=C_string(C_heaptop,26,"can not set buffering mode");
lf[298]=C_h_intern(&lf[298],5,"\000full");
lf[299]=C_h_intern(&lf[299],5,"\000line");
lf[300]=C_h_intern(&lf[300],5,"\000none");
lf[301]=C_string(C_heaptop,22,"invalid buffering-mode");
lf[302]=C_h_intern(&lf[302],14,"terminal-port\077");
lf[303]=C_h_intern(&lf[303],13,"terminal-name");
lf[304]=C_string(C_heaptop,35,"port is not connected to a terminal");
lf[305]=C_h_intern(&lf[305],13,"get-host-name");
lf[306]=C_h_intern(&lf[306],6,"\000error");
lf[307]=C_string(C_heaptop,26,"can not retrieve host-name");
lf[308]=C_h_intern(&lf[308],15,"pattern->regexp");
lf[309]=C_h_intern(&lf[309],13,"make-pathname");
lf[310]=C_h_intern(&lf[310],18,"decompose-pathname");
lf[311]=C_h_intern(&lf[311],4,"glob");
lf[312]=C_h_intern(&lf[312],12,"string-match");
lf[313]=C_string(C_heaptop,1,".");
lf[314]=C_string(C_heaptop,1,"*");
lf[315]=C_h_intern(&lf[315],12,"process-fork");
lf[316]=C_string(C_heaptop,28,"can not create child process");
lf[317]=C_h_intern(&lf[317],24,"pathname-strip-directory");
lf[318]=C_h_intern(&lf[318],15,"process-execute");
lf[319]=C_string(C_heaptop,23,"can not execute process");
lf[320]=C_h_intern(&lf[320],12,"process-wait");
lf[321]=C_string(C_heaptop,32,"waiting for child process failed");
lf[322]=C_h_intern(&lf[322],18,"current-process-id");
lf[323]=C_h_intern(&lf[323],17,"parent-process-id");
lf[324]=C_h_intern(&lf[324],5,"sleep");
lf[325]=C_h_intern(&lf[325],14,"process-signal");
lf[326]=C_string(C_heaptop,32,"could not send signal to process");
lf[327]=C_h_intern(&lf[327],6,"getenv");
lf[328]=C_h_intern(&lf[328],11,"process-run");
lf[329]=C_string(C_heaptop,7,"/bin/sh");
lf[330]=C_string(C_heaptop,2,"-c");
lf[331]=C_string(C_heaptop,5,"SHELL");
lf[332]=C_h_intern(&lf[332],15,"make-input-port");
lf[333]=C_h_intern(&lf[333],16,"make-output-port");
lf[334]=C_h_intern(&lf[334],7,"process");
lf[335]=C_string(C_heaptop,25,"process exited abnormally");
lf[336]=C_h_intern(&lf[336],25,"\003systhread-block-for-i/o!");
lf[337]=C_string(C_heaptop,22,"can not read from pipe");
lf[338]=C_string(C_heaptop,21,"can not write to pipe");
lf[339]=C_string(C_heaptop,7,"/bin/sh");
lf[340]=C_string(C_heaptop,2,"-c");
lf[341]=C_string(C_heaptop,5,"SHELL");
lf[342]=C_h_intern(&lf[342],10,"find-files");
lf[343]=C_string(C_heaptop,1,".");
lf[344]=C_string(C_heaptop,2,"..");
lf[345]=C_string(C_heaptop,1,"*");
lf[346]=C_h_intern(&lf[346],16,"\003sysdynamic-wind");
lf[347]=C_h_intern(&lf[347],13,"pathname-file");
lf[348]=C_string(C_heaptop,1,"*");
lf[349]=C_h_intern(&lf[349],19,"set-root-directory!");
lf[350]=C_string(C_heaptop,31,"unable to change root directory");
lf[351]=C_h_intern(&lf[351],23,"\003sysuser-interrupt-hook");
lf[352]=C_h_intern(&lf[352],11,"make-vector");
lf[353]=C_h_intern(&lf[353],17,"register-feature!");
lf[354]=C_h_intern(&lf[354],5,"posix");
C_register_lf(lf,355);
t2=C_mutate(&lf[0],lf[1]);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1128,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
C_scheduler_toplevel(2,C_SCHEME_UNDEFINED,t3);}

/* k1126 */
static void f_1128(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1128,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1131,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
C_regex_toplevel(2,C_SCHEME_UNDEFINED,t2);}

/* k1129 in k1126 */
static void f_1131(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1131,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1134,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
C_extras_toplevel(2,C_SCHEME_UNDEFINED,t2);}

/* k1132 in k1129 in k1126 */
static void f_1134(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1134,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1137,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
C_utils_toplevel(2,C_SCHEME_UNDEFINED,t2);}

/* k1135 in k1132 in k1129 in k1126 */
static void f_1137(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1137,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1140,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=*((C_word*)lf[353]+1);
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,lf[354]);}

/* k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1140(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word t67;
C_word t68;
C_word t69;
C_word t70;
C_word t71;
C_word t72;
C_word t73;
C_word t74;
C_word t75;
C_word t76;
C_word t77;
C_word t78;
C_word t79;
C_word t80;
C_word t81;
C_word t82;
C_word t83;
C_word t84;
C_word t85;
C_word t86;
C_word t87;
C_word t88;
C_word t89;
C_word t90;
C_word t91;
C_word t92;
C_word t93;
C_word t94;
C_word t95;
C_word t96;
C_word t97;
C_word t98;
C_word t99;
C_word t100;
C_word t101;
C_word t102;
C_word t103;
C_word t104;
C_word t105;
C_word t106;
C_word t107;
C_word t108;
C_word t109;
C_word t110;
C_word t111;
C_word t112;
C_word t113;
C_word t114;
C_word t115;
C_word t116;
C_word t117;
C_word t118;
C_word t119;
C_word t120;
C_word ab[119],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1140,2,t0,t1);}
t2=C_mutate(&lf[2],(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1142,tmp=(C_word)a,a+=2,tmp));
t3=*((C_word*)lf[3]+1);
t4=C_mutate(&lf[4],(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1159,a[2]=t3,tmp=(C_word)a,a+=3,tmp));
t5=C_mutate(&lf[9],(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1176,tmp=(C_word)a,a+=2,tmp));
t6=C_mutate((C_word*)lf[12]+1,C_fix((C_word)PIPE_BUF));
t7=C_mutate((C_word*)lf[13]+1,C_fix((C_word)O_RDONLY));
t8=C_mutate((C_word*)lf[14]+1,C_fix((C_word)O_WRONLY));
t9=C_mutate((C_word*)lf[15]+1,C_fix((C_word)O_RDWR));
t10=C_mutate((C_word*)lf[16]+1,C_fix((C_word)O_RDONLY));
t11=C_mutate((C_word*)lf[17]+1,C_fix((C_word)O_WRONLY));
t12=C_mutate((C_word*)lf[18]+1,C_fix((C_word)O_CREAT));
t13=C_mutate((C_word*)lf[19]+1,C_fix((C_word)O_APPEND));
t14=C_mutate((C_word*)lf[20]+1,C_fix((C_word)O_EXCL));
t15=C_mutate((C_word*)lf[21]+1,C_fix((C_word)O_NOCTTY));
t16=C_mutate((C_word*)lf[22]+1,C_fix((C_word)O_NONBLOCK));
t17=C_mutate((C_word*)lf[23]+1,C_fix((C_word)O_TRUNC));
t18=C_mutate((C_word*)lf[24]+1,C_fix((C_word)O_FSYNC));
t19=C_mutate((C_word*)lf[25]+1,C_fix((C_word)O_FSYNC));
t20=C_mutate((C_word*)lf[26]+1,C_fix((C_word)O_BINARY));
t21=C_mutate((C_word*)lf[27]+1,C_fix((C_word)O_TEXT));
t22=C_mutate((C_word*)lf[28]+1,C_fix((C_word)S_IRUSR));
t23=C_mutate((C_word*)lf[29]+1,C_fix((C_word)S_IWUSR));
t24=C_mutate((C_word*)lf[30]+1,C_fix((C_word)S_IXUSR));
t25=C_mutate((C_word*)lf[31]+1,C_fix((C_word)S_IRGRP));
t26=C_mutate((C_word*)lf[32]+1,C_fix((C_word)S_IWGRP));
t27=C_mutate((C_word*)lf[33]+1,C_fix((C_word)S_IXGRP));
t28=C_mutate((C_word*)lf[34]+1,C_fix((C_word)S_IROTH));
t29=C_mutate((C_word*)lf[35]+1,C_fix((C_word)S_IWOTH));
t30=C_mutate((C_word*)lf[36]+1,C_fix((C_word)S_IXOTH));
t31=C_mutate((C_word*)lf[37]+1,C_fix((C_word)S_IRWXU));
t32=C_mutate((C_word*)lf[38]+1,C_fix((C_word)S_IRWXG));
t33=C_mutate((C_word*)lf[39]+1,C_fix((C_word)S_IRWXO));
t34=C_mutate((C_word*)lf[40]+1,C_fix((C_word)S_ISVTX));
t35=C_mutate((C_word*)lf[41]+1,C_fix((C_word)S_ISUID));
t36=C_mutate((C_word*)lf[42]+1,C_fix((C_word)S_ISGID));
t37=(C_word)C_a_i_bitwise_ior(&a,2,C_fix((C_word)S_IRGRP),C_fix((C_word)S_IROTH));
t38=(C_word)C_a_i_bitwise_ior(&a,2,C_fix((C_word)S_IRWXU),t37);
t39=C_mutate((C_word*)lf[43]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1231,a[2]=t38,tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[48]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1269,tmp=(C_word)a,a+=2,tmp));
t41=*((C_word*)lf[50]+1);
t42=C_mutate((C_word*)lf[51]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1284,a[2]=t41,tmp=(C_word)a,a+=3,tmp));
t43=C_mutate((C_word*)lf[55]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1326,tmp=(C_word)a,a+=2,tmp));
t44=*((C_word*)lf[58]+1);
t45=C_mutate((C_word*)lf[59]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1365,a[2]=t44,tmp=(C_word)a,a+=3,tmp));
t46=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1397,tmp=(C_word)a,a+=2,tmp);
t47=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1403,tmp=(C_word)a,a+=2,tmp);
t48=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1413,tmp=(C_word)a,a+=2,tmp);
t49=C_mutate((C_word*)lf[62]+1,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1423,a[2]=t47,a[3]=t48,a[4]=t46,tmp=(C_word)a,a+=5,tmp));
t50=C_mutate((C_word*)lf[65]+1,C_fix((C_word)SEEK_SET));
t51=C_mutate((C_word*)lf[66]+1,C_fix((C_word)SEEK_END));
t52=C_mutate((C_word*)lf[67]+1,C_fix((C_word)SEEK_CUR));
t53=C_mutate(&lf[68],(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1615,tmp=(C_word)a,a+=2,tmp));
t54=C_mutate((C_word*)lf[71]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1652,tmp=(C_word)a,a+=2,tmp));
t55=C_mutate((C_word*)lf[73]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1684,tmp=(C_word)a,a+=2,tmp));
t56=C_mutate((C_word*)lf[74]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1690,tmp=(C_word)a,a+=2,tmp));
t57=C_mutate((C_word*)lf[75]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1696,tmp=(C_word)a,a+=2,tmp));
t58=C_mutate((C_word*)lf[76]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1702,tmp=(C_word)a,a+=2,tmp));
t59=C_mutate((C_word*)lf[77]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1708,tmp=(C_word)a,a+=2,tmp));
t60=C_mutate((C_word*)lf[78]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1714,tmp=(C_word)a,a+=2,tmp));
t61=C_mutate((C_word*)lf[79]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1720,tmp=(C_word)a,a+=2,tmp));
t62=C_mutate((C_word*)lf[80]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1729,tmp=(C_word)a,a+=2,tmp));
t63=C_mutate((C_word*)lf[81]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1738,tmp=(C_word)a,a+=2,tmp));
t64=C_mutate((C_word*)lf[86]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1775,tmp=(C_word)a,a+=2,tmp));
t65=C_mutate((C_word*)lf[91]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1833,tmp=(C_word)a,a+=2,tmp));
t66=C_mutate((C_word*)lf[93]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1857,tmp=(C_word)a,a+=2,tmp));
t67=C_mutate((C_word*)lf[95]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1881,tmp=(C_word)a,a+=2,tmp));
t68=*((C_word*)lf[3]+1);
t69=*((C_word*)lf[50]+1);
t70=*((C_word*)lf[97]+1);
t71=*((C_word*)lf[98]+1);
t72=C_mutate((C_word*)lf[99]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1905,a[2]=t69,a[3]=t71,tmp=(C_word)a,a+=4,tmp));
t73=C_mutate((C_word*)lf[102]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1959,tmp=(C_word)a,a+=2,tmp));
t74=*((C_word*)lf[50]+1);
t75=*((C_word*)lf[98]+1);
t76=C_mutate((C_word*)lf[104]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1982,a[2]=t74,a[3]=t75,tmp=(C_word)a,a+=4,tmp));
t77=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1997,tmp=(C_word)a,a+=2,tmp);
t78=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2009,tmp=(C_word)a,a+=2,tmp);
t79=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2015,tmp=(C_word)a,a+=2,tmp);
t80=C_mutate((C_word*)lf[112]+1,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2030,a[2]=t78,a[3]=t79,a[4]=t77,tmp=(C_word)a,a+=5,tmp));
t81=C_mutate((C_word*)lf[114]+1,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2066,a[2]=t78,a[3]=t79,a[4]=t77,tmp=(C_word)a,a+=5,tmp));
t82=C_mutate((C_word*)lf[115]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2102,tmp=(C_word)a,a+=2,tmp));
t83=C_mutate((C_word*)lf[119]+1,*((C_word*)lf[115]+1));
t84=*((C_word*)lf[112]+1);
t85=*((C_word*)lf[114]+1);
t86=*((C_word*)lf[115]+1);
t87=*((C_word*)lf[119]+1);
t88=C_mutate((C_word*)lf[120]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2118,a[2]=t84,a[3]=t86,tmp=(C_word)a,a+=4,tmp));
t89=C_mutate((C_word*)lf[121]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2142,a[2]=t85,a[3]=t87,tmp=(C_word)a,a+=4,tmp));
t90=C_mutate((C_word*)lf[122]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2166,a[2]=t84,a[3]=t86,tmp=(C_word)a,a+=4,tmp));
t91=C_mutate((C_word*)lf[124]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2186,a[2]=t85,a[3]=t87,tmp=(C_word)a,a+=4,tmp));
t92=C_mutate((C_word*)lf[126]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2206,tmp=(C_word)a,a+=2,tmp));
t93=C_mutate((C_word*)lf[128]+1,C_fix((C_word)SIGTERM));
t94=C_mutate((C_word*)lf[129]+1,C_fix((C_word)SIGKILL));
t95=C_mutate((C_word*)lf[130]+1,C_fix((C_word)SIGINT));
t96=C_mutate((C_word*)lf[131]+1,C_fix((C_word)SIGHUP));
t97=C_mutate((C_word*)lf[132]+1,C_fix((C_word)SIGFPE));
t98=C_mutate((C_word*)lf[133]+1,C_fix((C_word)SIGILL));
t99=C_mutate((C_word*)lf[134]+1,C_fix((C_word)SIGSEGV));
t100=C_mutate((C_word*)lf[135]+1,C_fix((C_word)SIGABRT));
t101=C_mutate((C_word*)lf[136]+1,C_fix((C_word)SIGTRAP));
t102=C_mutate((C_word*)lf[137]+1,C_fix((C_word)SIGQUIT));
t103=C_mutate((C_word*)lf[138]+1,C_fix((C_word)SIGALRM));
t104=C_mutate((C_word*)lf[139]+1,C_fix((C_word)SIGVTALRM));
t105=C_mutate((C_word*)lf[140]+1,C_fix((C_word)SIGPROF));
t106=C_mutate((C_word*)lf[141]+1,C_fix((C_word)SIGIO));
t107=C_mutate((C_word*)lf[142]+1,C_fix((C_word)SIGURG));
t108=C_mutate((C_word*)lf[143]+1,C_fix((C_word)SIGCHLD));
t109=C_mutate((C_word*)lf[144]+1,C_fix((C_word)SIGCONT));
t110=C_mutate((C_word*)lf[145]+1,C_fix((C_word)SIGSTOP));
t111=C_mutate((C_word*)lf[146]+1,C_fix((C_word)SIGTSTP));
t112=C_mutate((C_word*)lf[147]+1,C_fix((C_word)SIGPIPE));
t113=C_mutate((C_word*)lf[148]+1,C_fix((C_word)SIGXCPU));
t114=C_mutate((C_word*)lf[149]+1,C_fix((C_word)SIGXFSZ));
t115=C_mutate((C_word*)lf[150]+1,C_fix((C_word)SIGUSR1));
t116=C_mutate((C_word*)lf[151]+1,C_fix((C_word)SIGUSR2));
t117=C_mutate((C_word*)lf[152]+1,C_fix((C_word)SIGWINCH));
t118=*((C_word*)lf[153]+1);
t119=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2247,a[2]=((C_word*)t0)[2],a[3]=t118,tmp=(C_word)a,a+=4,tmp);
t120=*((C_word*)lf[352]+1);
((C_proc4)C_retrieve_proc(t120))(4,t120,t119,C_fix(256),C_SCHEME_FALSE);}

/* k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2247(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[14],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2247,2,t0,t1);}
t2=C_mutate((C_word*)lf[154]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2249,a[2]=t1,tmp=(C_word)a,a+=3,tmp));
t3=C_mutate((C_word*)lf[153]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2262,a[2]=((C_word*)t0)[3],a[3]=t1,tmp=(C_word)a,a+=4,tmp));
t4=C_mutate((C_word*)lf[156]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2280,tmp=(C_word)a,a+=2,tmp));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2305,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5002,tmp=(C_word)a,a+=2,tmp);
t7=*((C_word*)lf[154]+1);
((C_proc4)C_retrieve_proc(t7))(4,t7,t5,*((C_word*)lf[130]+1),t6);}

/* a5001 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_5002(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_5002,3,t0,t1,t2);}
t3=*((C_word*)lf[351]+1);
((C_proc2)C_retrieve_proc(t3))(2,t3,t1);}

/* k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2305(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word ab[53],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2305,2,t0,t1);}
t2=C_mutate((C_word*)lf[159]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2307,tmp=(C_word)a,a+=2,tmp));
t3=C_mutate((C_word*)lf[162]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2345,tmp=(C_word)a,a+=2,tmp));
t4=C_mutate((C_word*)lf[163]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2398,tmp=(C_word)a,a+=2,tmp));
t5=C_mutate(&lf[164],(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2459,tmp=(C_word)a,a+=2,tmp));
t6=C_mutate((C_word*)lf[165]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2466,tmp=(C_word)a,a+=2,tmp));
t7=C_mutate((C_word*)lf[169]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2529,tmp=(C_word)a,a+=2,tmp));
t8=C_mutate((C_word*)lf[172]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2603,tmp=(C_word)a,a+=2,tmp));
t9=C_mutate((C_word*)lf[174]+1,C_fix((C_word)EPERM));
t10=C_mutate((C_word*)lf[175]+1,C_fix((C_word)ENOENT));
t11=C_mutate((C_word*)lf[176]+1,C_fix((C_word)ESRCH));
t12=C_mutate((C_word*)lf[177]+1,C_fix((C_word)EINTR));
t13=C_mutate((C_word*)lf[178]+1,C_fix((C_word)EIO));
t14=C_mutate((C_word*)lf[179]+1,C_fix((C_word)ENOEXEC));
t15=C_mutate((C_word*)lf[180]+1,C_fix((C_word)EBADF));
t16=C_mutate((C_word*)lf[181]+1,C_fix((C_word)ECHILD));
t17=C_mutate((C_word*)lf[182]+1,C_fix((C_word)ENOMEM));
t18=C_mutate((C_word*)lf[183]+1,C_fix((C_word)EACCES));
t19=C_mutate((C_word*)lf[184]+1,C_fix((C_word)EFAULT));
t20=C_mutate((C_word*)lf[185]+1,C_fix((C_word)EBUSY));
t21=C_mutate((C_word*)lf[186]+1,C_fix((C_word)ENOTDIR));
t22=C_mutate((C_word*)lf[187]+1,C_fix((C_word)EISDIR));
t23=C_mutate((C_word*)lf[188]+1,C_fix((C_word)EINVAL));
t24=C_mutate((C_word*)lf[189]+1,C_fix((C_word)EMFILE));
t25=C_mutate((C_word*)lf[190]+1,C_fix((C_word)ENOSPC));
t26=C_mutate((C_word*)lf[191]+1,C_fix((C_word)ESPIPE));
t27=C_mutate((C_word*)lf[192]+1,C_fix((C_word)EPIPE));
t28=C_mutate((C_word*)lf[193]+1,C_fix((C_word)EAGAIN));
t29=C_mutate((C_word*)lf[194]+1,C_fix((C_word)EROFS));
t30=C_mutate((C_word*)lf[195]+1,C_fix((C_word)EEXIST));
t31=C_mutate((C_word*)lf[196]+1,C_fix((C_word)EWOULDBLOCK));
t32=C_mutate((C_word*)lf[197]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2651,tmp=(C_word)a,a+=2,tmp));
t33=C_mutate((C_word*)lf[199]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2678,tmp=(C_word)a,a+=2,tmp));
t34=C_mutate((C_word*)lf[201]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2708,tmp=(C_word)a,a+=2,tmp));
t35=C_mutate((C_word*)lf[202]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2711,tmp=(C_word)a,a+=2,tmp));
t36=C_mutate((C_word*)lf[203]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2714,tmp=(C_word)a,a+=2,tmp));
t37=C_mutate((C_word*)lf[204]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2717,tmp=(C_word)a,a+=2,tmp));
t38=C_mutate((C_word*)lf[205]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2720,tmp=(C_word)a,a+=2,tmp));
t39=C_mutate((C_word*)lf[207]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2735,tmp=(C_word)a,a+=2,tmp));
t40=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2750,tmp=(C_word)a,a+=2,tmp);
t41=C_mutate((C_word*)lf[209]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2774,a[2]=t40,tmp=(C_word)a,a+=3,tmp));
t42=C_mutate((C_word*)lf[210]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2780,a[2]=t40,tmp=(C_word)a,a+=3,tmp));
t43=C_mutate((C_word*)lf[211]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2786,a[2]=t40,tmp=(C_word)a,a+=3,tmp));
t44=C_mutate((C_word*)lf[212]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2792,tmp=(C_word)a,a+=2,tmp));
t45=C_mutate((C_word*)lf[214]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2807,tmp=(C_word)a,a+=2,tmp));
t46=C_mutate((C_word*)lf[216]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2825,tmp=(C_word)a,a+=2,tmp));
t47=C_mutate((C_word*)lf[218]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2846,tmp=(C_word)a,a+=2,tmp));
t48=*((C_word*)lf[98]+1);
t49=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2883,a[2]=((C_word*)t0)[2],a[3]=t48,tmp=(C_word)a,a+=4,tmp);
t50=(C_word)C_fixnum_plus(C_fix((C_word)FILENAME_MAX),C_fix(1));
t51=*((C_word*)lf[50]+1);
((C_proc3)C_retrieve_proc(t51))(3,t51,t49,t50);}

/* k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2883(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word t67;
C_word t68;
C_word t69;
C_word t70;
C_word t71;
C_word t72;
C_word t73;
C_word t74;
C_word t75;
C_word t76;
C_word t77;
C_word t78;
C_word t79;
C_word t80;
C_word t81;
C_word t82;
C_word t83;
C_word t84;
C_word t85;
C_word t86;
C_word t87;
C_word ab[134],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2883,2,t0,t1);}
t2=C_mutate((C_word*)lf[221]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2884,a[2]=((C_word*)t0)[3],a[3]=t1,tmp=(C_word)a,a+=4,tmp));
t3=C_mutate((C_word*)lf[223]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2934,tmp=(C_word)a,a+=2,tmp));
t4=C_mutate((C_word*)lf[226]+1,C_fix((C_word)STDIN_FILENO));
t5=C_mutate((C_word*)lf[227]+1,C_fix((C_word)STDOUT_FILENO));
t6=C_mutate((C_word*)lf[228]+1,C_fix((C_word)STDERR_FILENO));
t7=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2959,tmp=(C_word)a,a+=2,tmp);
t8=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2996,tmp=(C_word)a,a+=2,tmp);
t9=C_mutate((C_word*)lf[237]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3011,a[2]=t7,a[3]=t8,tmp=(C_word)a,a+=4,tmp));
t10=C_mutate((C_word*)lf[238]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3025,a[2]=t7,a[3]=t8,tmp=(C_word)a,a+=4,tmp));
t11=C_mutate((C_word*)lf[239]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3039,tmp=(C_word)a,a+=2,tmp));
t12=C_mutate((C_word*)lf[245]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3084,tmp=(C_word)a,a+=2,tmp));
t13=C_mutate((C_word*)lf[247]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3111,tmp=(C_word)a,a+=2,tmp));
t14=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3150,tmp=(C_word)a,a+=2,tmp);
t15=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3224,tmp=(C_word)a,a+=2,tmp);
t16=C_mutate((C_word*)lf[251]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3242,a[2]=t14,a[3]=t15,tmp=(C_word)a,a+=4,tmp));
t17=C_mutate((C_word*)lf[253]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3257,a[2]=t14,a[3]=t15,tmp=(C_word)a,a+=4,tmp));
t18=C_mutate((C_word*)lf[255]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3272,a[2]=t14,a[3]=t15,tmp=(C_word)a,a+=4,tmp));
t19=C_mutate((C_word*)lf[257]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3294,tmp=(C_word)a,a+=2,tmp));
t20=C_mutate((C_word*)lf[259]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3322,tmp=(C_word)a,a+=2,tmp));
t21=C_mutate((C_word*)lf[261]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3365,tmp=(C_word)a,a+=2,tmp));
t22=C_mutate((C_word*)lf[263]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3391,tmp=(C_word)a,a+=2,tmp));
t23=C_mutate((C_word*)lf[264]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3408,tmp=(C_word)a,a+=2,tmp));
t24=*((C_word*)lf[98]+1);
t25=C_mutate((C_word*)lf[265]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3428,a[2]=t24,tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[266]+1,C_fix((C_word)PROT_READ));
t27=C_mutate((C_word*)lf[267]+1,C_fix((C_word)PROT_WRITE));
t28=C_mutate((C_word*)lf[268]+1,C_fix((C_word)PROT_EXEC));
t29=C_mutate((C_word*)lf[269]+1,C_fix((C_word)PROT_NONE));
t30=C_mutate((C_word*)lf[270]+1,C_fix((C_word)MAP_FIXED));
t31=C_mutate((C_word*)lf[271]+1,C_fix((C_word)MAP_SHARED));
t32=C_mutate((C_word*)lf[272]+1,C_fix((C_word)MAP_PRIVATE));
t33=C_mutate((C_word*)lf[273]+1,C_fix((C_word)MAP_ANONYMOUS));
t34=C_mutate((C_word*)lf[274]+1,C_fix((C_word)MAP_FILE));
t35=C_mutate((C_word*)lf[275]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3531,tmp=(C_word)a,a+=2,tmp));
t36=C_mutate((C_word*)lf[281]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3593,tmp=(C_word)a,a+=2,tmp));
t37=C_mutate((C_word*)lf[283]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3628,tmp=(C_word)a,a+=2,tmp));
t38=C_mutate((C_word*)lf[284]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3637,tmp=(C_word)a,a+=2,tmp));
t39=C_mutate((C_word*)lf[285]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3643,tmp=(C_word)a,a+=2,tmp));
t40=C_mutate((C_word*)lf[287]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3652,tmp=(C_word)a,a+=2,tmp));
t41=C_mutate((C_word*)lf[288]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3671,tmp=(C_word)a,a+=2,tmp));
t42=C_mutate((C_word*)lf[290]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3688,tmp=(C_word)a,a+=2,tmp));
t43=C_mutate((C_word*)lf[293]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3722,tmp=(C_word)a,a+=2,tmp));
t44=C_mutate((C_word*)lf[295]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3741,tmp=(C_word)a,a+=2,tmp));
t45=C_mutate((C_word*)lf[296]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3748,tmp=(C_word)a,a+=2,tmp));
t46=C_mutate((C_word*)lf[302]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3807,tmp=(C_word)a,a+=2,tmp));
t47=C_mutate((C_word*)lf[303]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3836,tmp=(C_word)a,a+=2,tmp));
t48=C_mutate((C_word*)lf[305]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3866,tmp=(C_word)a,a+=2,tmp));
t49=*((C_word*)lf[308]+1);
t50=*((C_word*)lf[99]+1);
t51=*((C_word*)lf[309]+1);
t52=*((C_word*)lf[310]+1);
t53=C_mutate((C_word*)lf[311]+1,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3878,a[2]=t49,a[3]=t50,a[4]=t51,a[5]=t52,tmp=(C_word)a,a+=6,tmp));
t54=C_mutate((C_word*)lf[315]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3984,tmp=(C_word)a,a+=2,tmp));
t55=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4026,tmp=(C_word)a,a+=2,tmp);
t56=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4045,tmp=(C_word)a,a+=2,tmp);
t57=*((C_word*)lf[317]+1);
t58=C_mutate((C_word*)lf[318]+1,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4064,a[2]=t57,a[3]=t56,a[4]=t55,tmp=(C_word)a,a+=5,tmp));
t59=C_mutate((C_word*)lf[320]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4243,tmp=(C_word)a,a+=2,tmp));
t60=C_mutate((C_word*)lf[322]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4319,tmp=(C_word)a,a+=2,tmp));
t61=C_mutate((C_word*)lf[323]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4322,tmp=(C_word)a,a+=2,tmp));
t62=C_mutate((C_word*)lf[324]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4325,tmp=(C_word)a,a+=2,tmp));
t63=C_mutate((C_word*)lf[325]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4332,tmp=(C_word)a,a+=2,tmp));
t64=*((C_word*)lf[315]+1);
t65=*((C_word*)lf[318]+1);
t66=*((C_word*)lf[327]+1);
t67=C_mutate((C_word*)lf[328]+1,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4359,a[2]=t64,a[3]=t66,a[4]=t65,tmp=(C_word)a,a+=5,tmp));
t68=*((C_word*)lf[126]+1);
t69=*((C_word*)lf[315]+1);
t70=*((C_word*)lf[245]+1);
t71=*((C_word*)lf[48]+1);
t72=*((C_word*)lf[328]+1);
t73=*((C_word*)lf[50]+1);
t74=*((C_word*)lf[51]+1);
t75=*((C_word*)lf[332]+1);
t76=*((C_word*)lf[333]+1);
t77=*((C_word*)lf[55]+1);
t78=*((C_word*)lf[320]+1);
t79=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4409,a[2]=t78,tmp=(C_word)a,a+=3,tmp);
t80=C_mutate((C_word*)lf[334]+1,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_4429,a[2]=t69,a[3]=t70,a[4]=t73,a[5]=t75,a[6]=t76,a[7]=t71,a[8]=t79,a[9]=t68,tmp=(C_word)a,a+=10,tmp));
t81=*((C_word*)lf[311]+1);
t82=*((C_word*)lf[312]+1);
t83=*((C_word*)lf[309]+1);
t84=*((C_word*)lf[102]+1);
t85=C_mutate((C_word*)lf[342]+1,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4746,a[2]=t84,a[3]=t83,a[4]=t81,a[5]=t82,tmp=(C_word)a,a+=6,tmp));
t86=C_mutate((C_word*)lf[349]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4979,tmp=(C_word)a,a+=2,tmp));
t87=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t87+1)))(2,t87,C_SCHEME_UNDEFINED);}

/* set-root-directory! in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4979(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_4979,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[349]);
t4=t2;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4971,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t4)){
t6=(C_word)C_i_foreign_string_argumentp(t4);
t7=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t7+1)))(3,t7,t5,t6);}
else{
t6=t5;
f_4971(2,t6,C_SCHEME_FALSE);}}

/* k4969 in set-root-directory! in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4971(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4971,2,t0,t1);}
t2=(C_word)stub971(C_SCHEME_UNDEFINED,t1);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
t3=lf[4];
f_1159(t3,((C_word*)t0)[3],lf[44],lf[349],lf[350],(C_word)C_a_i_list(&a,1,((C_word*)t0)[2]));}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4746(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+17)){
C_save_and_reclaim((void*)tr4r,(void*)f_4746r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_4746r(t0,t1,t2,t3,t4);}}

static void f_4746r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a=C_alloc(17);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4748,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,a[7]=t2,tmp=(C_word)a,a+=8,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4887,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4892,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4897,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_nullp(t4))){
t9=t8;
f_4897(t9,t1);}
else{
t9=(C_word)C_i_car(t4);
t10=(C_word)C_i_cdr(t4);
if(C_truep((C_word)C_i_nullp(t10))){
t11=t7;
f_4892(t11,t1,t9);}
else{
t11=(C_word)C_i_car(t10);
t12=(C_word)C_i_cdr(t10);
if(C_truep((C_word)C_i_nullp(t12))){
t13=t6;
f_4887(t13,t1,t9,t11);}
else{
t13=(C_word)C_i_car(t12);
t14=(C_word)C_i_cdr(t12);
if(C_truep((C_word)C_i_nullp(t14))){
t15=t5;
f_4748(t15,t1,t9,t11,t13);}
else{
t15=*((C_word*)lf[72]+1);
((C_proc4)(void*)(*((C_word*)t15+1)))(4,t15,t1,lf[0],t14);}}}}}

/* def-action928 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_4897(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4897,NULL,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4903,tmp=(C_word)a,a+=2,tmp);
t3=((C_word*)t0)[2];
f_4892(t3,t1,t2);}

/* a4902 in def-action928 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4903(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word ab[3],*a=ab;
if(c!=4) C_bad_argc(c,4);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_4903,4,t0,t1,t2,t3);}
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,(C_word)C_a_i_cons(&a,2,t2,t3));}

/* def-id929 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_4892(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4892,NULL,3,t0,t1,t2);}
t3=((C_word*)t0)[2];
f_4887(t3,t1,t2,C_SCHEME_END_OF_LIST);}

/* def-limit930 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_4887(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4887,NULL,4,t0,t1,t2,t3);}
t4=((C_word*)t0)[2];
f_4748(t4,t1,t2,t3,C_SCHEME_FALSE);}

/* body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_4748(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word ab[20],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4748,NULL,5,t0,t1,t2,t3,t4);}
t5=(C_word)C_i_check_string_2(((C_word*)t0)[7],lf[342]);
t6=C_fix(0);
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_4755,a[2]=((C_word*)t0)[7],a[3]=t3,a[4]=t1,a[5]=((C_word*)t0)[2],a[6]=t2,a[7]=((C_word*)t0)[3],a[8]=((C_word*)t0)[4],a[9]=t7,a[10]=((C_word*)t0)[5],a[11]=((C_word*)t0)[6],tmp=(C_word)a,a+=12,tmp);
t9=t4;
if(C_truep(t9)){
t10=(C_word)C_fixnump(t4);
t11=t8;
f_4755(t11,(C_truep(t10)?(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4882,a[2]=t4,a[3]=t7,tmp=(C_word)a,a+=4,tmp):t4));}
else{
t10=t8;
f_4755(t10,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4874,tmp=(C_word)a,a+=2,tmp));}}

/* f_4874 in body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4874(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4874,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_TRUE);}

/* f_4882 in body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4882(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4882,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_fixnum_lessp(((C_word*)((C_word*)t0)[3])[1],((C_word*)t0)[2]));}

/* k4753 in body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_4755(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[19],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4755,NULL,2,t0,t1);}
t2=(C_word)C_i_stringp(((C_word*)t0)[11]);
t3=(C_truep(t2)?(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4866,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[10],tmp=(C_word)a,a+=4,tmp):((C_word*)t0)[11]);
t4=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_4765,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=t1,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4862,a[2]=t4,a[3]=((C_word*)t0)[8],tmp=(C_word)a,a+=4,tmp);
t6=((C_word*)t0)[7];
((C_proc4)C_retrieve_proc(t6))(4,t6,t5,((C_word*)t0)[2],lf[348]);}

/* k4860 in k4753 in body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4862(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,((C_word*)t0)[2],t1);}

/* k4763 in k4753 in body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4765(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[12],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4765,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_4767,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=t3,tmp=(C_word)a,a+=10,tmp));
t5=((C_word*)t3)[1];
f_4767(t5,((C_word*)t0)[3],t1,((C_word*)t0)[2]);}

/* loop in k4763 in k4753 in body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_4767(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[13],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4767,NULL,4,t0,t1,t2,t3);}
if(C_truep((C_word)C_i_nullp(t2))){
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t4=(C_word)C_slot(t2,C_fix(0));
t5=(C_word)C_slot(t2,C_fix(1));
t6=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_4786,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t4,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=t3,a[10]=t5,a[11]=t1,a[12]=((C_word*)t0)[9],tmp=(C_word)a,a+=13,tmp);
t7=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t7))(3,t7,t6,t4);}}

/* k4784 in loop in k4763 in k4753 in body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4786(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[19],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4786,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_4842,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],tmp=(C_word)a,a+=11,tmp);
t3=*((C_word*)lf[347]+1);
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,((C_word*)t0)[5]);}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4848,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[10],a[6]=((C_word*)t0)[11],a[7]=((C_word*)t0)[12],tmp=(C_word)a,a+=8,tmp);
t3=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,((C_word*)t0)[5]);}}

/* k4846 in k4784 in loop in k4763 in k4753 in body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4848(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4848,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4855,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[4];
((C_proc4)C_retrieve_proc(t3))(4,t3,t2,((C_word*)t0)[3],((C_word*)t0)[2]);}
else{
t2=((C_word*)((C_word*)t0)[7])[1];
f_4767(t2,((C_word*)t0)[6],((C_word*)t0)[5],((C_word*)t0)[2]);}}

/* k4853 in k4846 in k4784 in loop in k4763 in k4753 in body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4855(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)((C_word*)t0)[4])[1];
f_4767(t2,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* k4840 in k4784 in loop in k4763 in k4753 in body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4842(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4842,2,t0,t1);}
if(C_truep((C_truep((C_word)C_i_equalp(t1,lf[343]))?C_SCHEME_TRUE:(C_truep((C_word)C_i_equalp(t1,lf[344]))?C_SCHEME_TRUE:C_SCHEME_FALSE)))){
t2=((C_word*)((C_word*)t0)[10])[1];
f_4767(t2,((C_word*)t0)[9],((C_word*)t0)[8],((C_word*)t0)[7]);}
else{
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_4801,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[6],tmp=(C_word)a,a+=10,tmp);
t3=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,((C_word*)t0)[3]);}}

/* k4799 in k4840 in k4784 in loop in k4763 in k4753 in body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4801(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word ab[26],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4801,2,t0,t1);}
if(C_truep(t1)){
t2=(C_word)C_fixnum_plus(((C_word*)((C_word*)t0)[9])[1],C_fix(1));
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4811,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4813,a[2]=t4,a[3]=((C_word*)t0)[9],a[4]=t6,tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4818,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[8],tmp=(C_word)a,a+=7,tmp);
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4832,a[2]=t6,a[3]=((C_word*)t0)[9],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t11=*((C_word*)lf[346]+1);
((C_proc5)(void*)(*((C_word*)t11+1)))(5,t11,t7,t8,t9,t10);}
else{
t2=((C_word*)((C_word*)t0)[8])[1];
f_4767(t2,((C_word*)t0)[7],((C_word*)t0)[6],((C_word*)t0)[5]);}}

/* a4831 in k4799 in k4840 in k4784 in loop in k4763 in k4753 in body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4832(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4832,2,t0,t1);}
t2=C_mutate(((C_word *)((C_word*)t0)[4])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[2])[1]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* a4817 in k4799 in k4840 in k4784 in loop in k4763 in k4753 in body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4818(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[9],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4818,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4826,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4830,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
((C_proc4)C_retrieve_proc(t4))(4,t4,t3,((C_word*)t0)[2],lf[345]);}

/* k4828 in a4817 in k4799 in k4840 in k4784 in loop in k4763 in k4753 in body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4830(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,((C_word*)t0)[2],t1);}

/* k4824 in a4817 in k4799 in k4840 in k4784 in loop in k4763 in k4753 in body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4826(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)((C_word*)t0)[4])[1];
f_4767(t2,((C_word*)t0)[3],t1,((C_word*)t0)[2]);}

/* a4812 in k4799 in k4840 in k4784 in loop in k4763 in k4753 in body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4813(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4813,2,t0,t1);}
t2=C_mutate(((C_word *)((C_word*)t0)[4])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[2])[1]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k4809 in k4799 in k4840 in k4784 in loop in k4763 in k4753 in body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4811(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)((C_word*)t0)[4])[1];
f_4767(t2,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* f_4866 in k4753 in body926 in find-files in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4866(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_4866,3,t0,t1,t2);}
t3=((C_word*)t0)[3];
((C_proc4)C_retrieve_proc(t3))(4,t3,t1,((C_word*)t0)[2],t2);}

/* process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4429(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+17)){
C_save_and_reclaim((void*)tr3r,(void*)f_4429r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_4429r(t0,t1,t2,t3);}}

static void f_4429r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a=C_alloc(17);
t4=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_4431,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=t2,tmp=(C_word)a,a+=11,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4693,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4698,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_nullp(t3))){
t7=t6;
f_4698(t7,t1);}
else{
t7=(C_word)C_i_car(t3);
t8=(C_word)C_i_cdr(t3);
if(C_truep((C_word)C_i_nullp(t8))){
t9=t5;
f_4693(t9,t1,t7);}
else{
t9=(C_word)C_i_car(t8);
t10=(C_word)C_i_cdr(t8);
if(C_truep((C_word)C_i_nullp(t10))){
t11=t4;
f_4431(t11,t1,t7,t9);}
else{
t11=*((C_word*)lf[72]+1);
((C_proc4)(void*)(*((C_word*)t11+1)))(4,t11,t1,lf[0],t10);}}}}

/* def-args837 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_4698(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4698,NULL,2,t0,t1);}
t2=((C_word*)t0)[2];
f_4693(t2,t1,C_SCHEME_FALSE);}

/* def-env838 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_4693(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4693,NULL,3,t0,t1,t2);}
t3=((C_word*)t0)[2];
f_4431(t3,t1,t2,C_SCHEME_FALSE);}

/* body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_4431(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[16],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4431,NULL,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_string_2(((C_word*)t0)[10],lf[334]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4440,a[2]=((C_word*)t0)[9],tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_4446,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[9],tmp=(C_word)a,a+=13,tmp);
C_call_with_values(4,0,t1,t5,t6);}

/* a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4446(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word ab[17],*a=ab;
if(c!=4) C_bad_argc(c,4);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_4446,4,t0,t1,t2,t3);}
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4452,a[2]=((C_word*)t0)[12],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_4458,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=t3,tmp=(C_word)a,a+=14,tmp);
C_call_with_values(4,0,t1,t4,t5);}

/* a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4458(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word ab[24],*a=ab;
if(c!=4) C_bad_argc(c,4);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_4458,4,t0,t1,t2,t3);}
t4=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_4462,a[2]=((C_word*)t0)[6],a[3]=t3,a[4]=((C_word*)t0)[7],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[9],a[7]=((C_word*)t0)[10],a[8]=((C_word*)t0)[11],a[9]=t1,a[10]=((C_word*)t0)[12],a[11]=((C_word*)t0)[13],a[12]=t2,tmp=(C_word)a,a+=13,tmp);
t5=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_4642,a[2]=((C_word*)t0)[13],a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[10],a[7]=t3,a[8]=((C_word*)t0)[4],a[9]=((C_word*)t0)[12],a[10]=((C_word*)t0)[5],tmp=(C_word)a,a+=11,tmp);
t6=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t6))(3,t6,t4,t5);}

/* a4641 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4642(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[11],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4642,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_4646,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=t1,a[10]=((C_word*)t0)[10],tmp=(C_word)a,a+=11,tmp);
t3=((C_word*)t0)[6];
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,((C_word*)t0)[2]);}

/* k4644 in a4641 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4646(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4646,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_4649,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],tmp=(C_word)a,a+=10,tmp);
t3=((C_word*)t0)[5];
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,((C_word*)t0)[2]);}

/* k4647 in k4644 in a4641 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4649(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[14],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4649,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_4652,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],tmp=(C_word)a,a+=9,tmp);
t3=(C_word)C_eqp(*((C_word*)lf[226]+1),((C_word*)t0)[2]);
if(C_truep(t3)){
t4=t2;
f_4652(2,t4,C_SCHEME_UNDEFINED);}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4689,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t0)[3];
((C_proc4)C_retrieve_proc(t5))(4,t5,t4,((C_word*)t0)[2],*((C_word*)lf[226]+1));}}

/* k4687 in k4647 in k4644 in a4641 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4689(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[4];
((C_proc3)C_retrieve_proc(t2))(3,t2,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* k4650 in k4647 in k4644 in a4641 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4652(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4652,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4655,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],a[5]=((C_word*)t0)[8],tmp=(C_word)a,a+=6,tmp);
t3=(C_word)C_eqp(*((C_word*)lf[227]+1),((C_word*)t0)[4]);
if(C_truep(t3)){
t4=t2;
f_4655(2,t4,C_SCHEME_UNDEFINED);}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4680,a[2]=((C_word*)t0)[4],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t0)[2];
((C_proc4)C_retrieve_proc(t5))(4,t5,t4,((C_word*)t0)[4],*((C_word*)lf[227]+1));}}

/* k4678 in k4650 in k4647 in k4644 in a4641 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4680(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[4];
((C_proc3)C_retrieve_proc(t2))(3,t2,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* k4653 in k4650 in k4647 in k4644 in a4641 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4655(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4655,2,t0,t1);}
if(C_truep(((C_word*)t0)[5])){
t2=*((C_word*)lf[318]+1);
((C_proc5)C_retrieve_proc(t2))(5,t2,((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[5],((C_word*)t0)[2]);}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4664,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t3=*((C_word*)lf[327]+1);
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,lf[341]);}}

/* k4662 in k4653 in k4650 in k4647 in k4644 in a4641 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4664(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4664,2,t0,t1);}
t2=(C_truep(t1)?t1:lf[339]);
t3=(C_word)C_a_i_list(&a,2,lf[340],((C_word*)t0)[4]);
t4=*((C_word*)lf[318]+1);
((C_proc5)C_retrieve_proc(t4))(5,t4,((C_word*)t0)[3],t2,t3,((C_word*)t0)[2]);}

/* k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4462(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[19],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4462,2,t0,t1);}
t2=C_SCHEME_FALSE;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_4465,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=t3,a[9]=t5,a[10]=t1,a[11]=((C_word*)t0)[9],a[12]=((C_word*)t0)[10],a[13]=((C_word*)t0)[11],a[14]=((C_word*)t0)[12],tmp=(C_word)a,a+=15,tmp);
t7=((C_word*)t0)[7];
((C_proc3)C_retrieve_proc(t7))(3,t7,t6,((C_word*)t0)[2]);}

/* k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4465(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[14],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4465,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_4468,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],tmp=(C_word)a,a+=14,tmp);
t3=((C_word*)t0)[6];
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,((C_word*)t0)[2]);}

/* k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4468(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[13],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4468,2,t0,t1);}
t2=f_1142(((C_word*)t0)[13]);
t3=f_1142(((C_word*)t0)[12]);
t4=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_4481,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[12],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[13],tmp=(C_word)a,a+=13,tmp);
t5=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t5))(3,t5,t4,C_fix(256));}

/* k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4481(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word ab[41],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4481,2,t0,t1);}
t2=C_fix(0);
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_fix(0);
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4483,a[2]=((C_word*)t0)[11],a[3]=t1,a[4]=((C_word*)t0)[12],a[5]=t3,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
t7=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_4525,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[11],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],tmp=(C_word)a,a+=11,tmp);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4594,a[2]=t6,a[3]=t1,a[4]=t3,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4613,a[2]=((C_word*)t0)[12],a[3]=t3,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t10=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4629,a[2]=((C_word*)t0)[12],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t11=((C_word*)t0)[2];
((C_proc5)C_retrieve_proc(t11))(5,t11,t7,t8,t9,t10);}

/* a4628 in k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4629(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[7],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4629,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4633,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp);
t3=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,((C_word*)t0)[2]);}

/* k4631 in a4628 in k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4633(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=C_set_block_item(((C_word*)t0)[6],0,C_SCHEME_TRUE);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
t3=((C_word*)t0)[4];
f_4409(t3,((C_word*)t0)[3],((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* a4612 in k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4613(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4613,2,t0,t1);}
t2=(C_word)C_fixnum_lessp(((C_word*)((C_word*)t0)[4])[1],((C_word*)((C_word*)t0)[3])[1]);
if(C_truep(t2)){
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}
else{
t3=((C_word*)t0)[2];
t4=(C_word)C_i_foreign_fixnum_argumentp(t3);
t5=(C_word)stub822(C_SCHEME_UNDEFINED,t4);
t6=t1;
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,(C_word)C_eqp(C_fix(1),t5));}}

/* a4593 in k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4594(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4594,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4598,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=((C_word*)t0)[2];
f_4483(t3,t2);}

/* k4596 in a4593 in k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4598(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_truep((C_word)C_i_greater_or_equalp(((C_word*)((C_word*)t0)[5])[1],((C_word*)((C_word*)t0)[4])[1]))){
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_fudge(C_fix(1)));}
else{
t2=((C_word*)((C_word*)t0)[5])[1];
t3=(C_word)C_fixnum_plus(((C_word*)((C_word*)t0)[5])[1],C_fix(1));
t4=C_mutate(((C_word *)((C_word*)t0)[5])+1,t3);
t5=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,(C_word)C_subchar(((C_word*)t0)[2],t2));}}

/* k4523 in k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4525(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[17],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4525,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4529,a[2]=((C_word*)t0)[9],a[3]=t1,a[4]=((C_word*)t0)[10],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4531,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[8],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4581,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t5=((C_word*)t0)[2];
((C_proc4)C_retrieve_proc(t5))(4,t5,t2,t3,t4);}

/* a4580 in k4523 in k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4581(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[7],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4581,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4585,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp);
t3=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,((C_word*)t0)[2]);}

/* k4583 in a4580 in k4523 in k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4585(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=C_set_block_item(((C_word*)t0)[6],0,C_SCHEME_TRUE);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
t3=((C_word*)t0)[4];
f_4409(t3,((C_word*)t0)[3],((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* a4530 in k4523 in k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4531(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word ab[13],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_4531,3,t0,t1,t2);}
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(C_word)C_block_size(((C_word*)t3)[1]);
t5=t4;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4540,a[2]=((C_word*)t0)[2],a[3]=t8,a[4]=t6,a[5]=t3,a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp));
t10=((C_word*)t8)[1];
f_4540(t10,t1);}

/* loop in a4530 in k4523 in k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_4540(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[13],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4540,NULL,2,t0,t1);}
t2=(C_word)C_write(((C_word*)t0)[6],((C_word*)((C_word*)t0)[5])[1],((C_word*)((C_word*)t0)[4])[1]);
t3=(C_word)C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
t4=(C_word)C_eqp(C_fix((C_word)errno),C_fix((C_word)EWOULDBLOCK));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4556,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
f_1176(t5);}
else{
t5=lf[4];
f_1159(t5,t1,lf[44],lf[338],((C_word*)t0)[2],(C_word)C_a_i_list(&a,1,((C_word*)t0)[6]));}}
else{
if(C_truep((C_word)C_fixnum_lessp(t2,((C_word*)((C_word*)t0)[4])[1]))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4572,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t5=*((C_word*)lf[98]+1);
((C_proc5)C_retrieve_proc(t5))(5,t5,t4,((C_word*)((C_word*)t0)[5])[1],t2,((C_word*)((C_word*)t0)[4])[1]);}
else{
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_UNDEFINED);}}}

/* k4570 in loop in a4530 in k4523 in k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4572(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
t2=C_mutate(((C_word *)((C_word*)t0)[5])+1,t1);
t3=(C_word)C_block_size(((C_word*)((C_word*)t0)[5])[1]);
t4=C_mutate(((C_word *)((C_word*)t0)[4])+1,t3);
t5=((C_word*)((C_word*)t0)[3])[1];
f_4540(t5,((C_word*)t0)[2]);}

/* k4554 in loop in a4530 in k4523 in k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4556(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)((C_word*)t0)[3])[1];
f_4540(t2,((C_word*)t0)[2]);}

/* k4527 in k4523 in k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4529(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(5,0,((C_word*)t0)[4],((C_word*)t0)[3],t1,((C_word*)t0)[2]);}

/* fetch in k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_4483(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[13],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4483,NULL,2,t0,t1);}
if(C_truep((C_word)C_fixnum_greater_or_equal_p(((C_word*)((C_word*)t0)[6])[1],((C_word*)((C_word*)t0)[5])[1]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4493,a[2]=t1,a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4497,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_4497(t6,t2);}
else{
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_UNDEFINED);}}

/* loop in fetch in k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_4497(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4497,NULL,2,t0,t1);}
t2=(C_word)C_read(((C_word*)t0)[5],((C_word*)t0)[4],C_fix(256));
t3=(C_word)C_eqp(t2,C_fix(-1));
if(C_truep(t3)){
t4=(C_word)C_eqp(C_fix((C_word)errno),C_fix((C_word)EWOULDBLOCK));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4513,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t6=*((C_word*)lf[336]+1);
((C_proc5)C_retrieve_proc(t6))(5,t6,t5,*((C_word*)lf[10]+1),((C_word*)t0)[5],C_SCHEME_TRUE);}
else{
t5=lf[4];
f_1159(t5,t1,lf[44],lf[334],lf[337],(C_word)C_a_i_list(&a,2,((C_word*)t0)[2],((C_word*)t0)[5]));}}
else{
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t2);}}

/* k4511 in loop in fetch in k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4513(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4513,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4516,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
f_1176(t2);}

/* k4514 in k4511 in loop in fetch in k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4516(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)((C_word*)t0)[3])[1];
f_4497(t2,((C_word*)t0)[2]);}

/* k4491 in fetch in k4479 in k4466 in k4463 in k4460 in a4457 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4493(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
t2=C_mutate(((C_word *)((C_word*)t0)[4])+1,t1);
t3=C_set_block_item(((C_word*)t0)[3],0,C_fix(0));
t4=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* a4451 in a4445 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4452(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4452,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)C_retrieve_proc(t2))(2,t2,t1);}

/* a4439 in body835 in process in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4440(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4440,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)C_retrieve_proc(t2))(2,t2,t1);}

/* wait in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_4409(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4409,NULL,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4415,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4421,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
C_call_with_values(4,0,t1,t3,t4);}

/* a4420 in wait in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4421(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word *a;
if(c!=5) C_bad_argc(c,5);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr5,(void*)f_4421,5,t0,t1,t2,t3,t4);}
if(C_truep(t3)){
t5=t1;
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,C_SCHEME_UNDEFINED);}
else{
t5=*((C_word*)lf[72]+1);
((C_proc6)(void*)(*((C_word*)t5+1)))(6,t5,t1,lf[334],lf[335],((C_word*)t0)[2],t4);}}

/* a4414 in wait in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4415(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4415,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,t1,((C_word*)t0)[2]);}

/* process-run in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4359(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+7)){
C_save_and_reclaim((void*)tr3rv,(void*)f_4359r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest_vector(a,C_rest_count(0));
f_4359r(t0,t1,t2,t3);}}

static void f_4359r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(7);
t4=(C_word)C_notvemptyp(t3);
t5=(C_truep(t4)?(C_word)C_i_vector_ref(t3,C_fix(0)):C_SCHEME_FALSE);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4366,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t1,a[5]=((C_word*)t0)[4],a[6]=t5,tmp=(C_word)a,a+=7,tmp);
t7=((C_word*)t0)[2];
((C_proc2)C_retrieve_proc(t7))(2,t7,t6);}

/* k4364 in process-run in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4366(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4366,2,t0,t1);}
t2=(C_word)C_eqp(t1,C_fix(0));
if(C_truep(t2)){
if(C_truep(((C_word*)t0)[6])){
t3=((C_word*)t0)[5];
((C_proc4)C_retrieve_proc(t3))(4,t3,((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[6]);}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4381,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,lf[331]);}}
else{
t3=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t1);}}

/* k4379 in k4364 in process-run in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4381(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4381,2,t0,t1);}
t2=(C_truep(t1)?t1:lf[329]);
t3=(C_word)C_a_i_list(&a,2,lf[330],((C_word*)t0)[4]);
t4=((C_word*)t0)[3];
((C_proc4)C_retrieve_proc(t4))(4,t4,((C_word*)t0)[2],t2,t3);}

/* process-signal in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4332(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr3rv,(void*)f_4332r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest_vector(a,C_rest_count(0));
f_4332r(t0,t1,t2,t3);}}

static void f_4332r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a=C_alloc(6);
t4=(C_word)C_notvemptyp(t3);
t5=(C_truep(t4)?(C_word)C_i_vector_ref(t3,C_fix(0)):C_fix((C_word)SIGTERM));
t6=(C_word)C_i_check_exact_2(t2,lf[325]);
t7=(C_word)C_i_check_exact_2(t5,lf[325]);
t8=(C_word)C_kill(t2,t5);
t9=(C_word)C_eqp(t8,C_fix(-1));
if(C_truep(t9)){
t10=lf[4];
f_1159(t10,t1,lf[157],lf[325],lf[326],(C_word)C_a_i_list(&a,2,t2,t5));}
else{
t10=t1;
((C_proc2)(void*)(*((C_word*)t10+1)))(2,t10,C_SCHEME_UNDEFINED);}}

/* sleep in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4325(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_4325,3,t0,t1,t2);}
t3=(C_word)C_i_foreign_fixnum_argumentp(t2);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,(C_word)stub790(C_SCHEME_UNDEFINED,t3));}

/* parent-process-id in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4322(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4322,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)stub787(C_SCHEME_UNDEFINED));}

/* current-process-id in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4319(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4319,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)stub785(C_SCHEME_UNDEFINED));}

/* process-wait in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4243(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+3)){
C_save_and_reclaim((void*)tr2r,(void*)f_4243r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_4243r(t0,t1,t2);}}

static void f_4243r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a=C_alloc(3);
t3=(C_word)C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:(C_word)C_i_car(t2));
t5=(C_word)C_i_nullp(t2);
t6=(C_truep(t5)?C_SCHEME_END_OF_LIST:(C_word)C_i_cdr(t2));
t7=(C_word)C_i_nullp(t6);
t8=(C_truep(t7)?C_SCHEME_FALSE:(C_word)C_i_car(t6));
t9=(C_word)C_i_nullp(t6);
t10=(C_truep(t9)?C_SCHEME_END_OF_LIST:(C_word)C_i_cdr(t6));
if(C_truep((C_word)C_i_nullp(t10))){
t11=(C_truep(t4)?t4:C_fix(-1));
t12=(C_truep(t8)?C_fix((C_word)WNOHANG):C_fix(0));
t13=(C_word)C_i_check_exact_2(t11,lf[320]);
t14=(C_word)C_waitpid(t11,t12);
t15=(C_word)C_WIFEXITED(C_fix((C_word)C_wait_status));
t16=(C_word)C_eqp(t14,C_fix(-1));
if(C_truep(t16)){
t17=lf[4];
f_1159(t17,t1,lf[157],lf[320],lf[321],(C_word)C_a_i_list(&a,1,t11));}
else{
t17=(C_truep(t15)?(C_word)C_WEXITSTATUS(C_fix((C_word)C_wait_status)):(C_truep((C_word)C_WIFSIGNALED(C_fix((C_word)C_wait_status)))?(C_word)C_WTERMSIG(C_fix((C_word)C_wait_status)):(C_word)C_WSTOPSIG(C_fix((C_word)C_wait_status))));
C_values(5,0,t1,t14,t15,t17);}}
else{
t11=*((C_word*)lf[72]+1);
((C_proc4)(void*)(*((C_word*)t11+1)))(4,t11,t1,lf[0],t10);}}

/* process-execute in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4064(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+12)){
C_save_and_reclaim((void*)tr3r,(void*)f_4064r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_4064r(t0,t1,t2,t3);}}

static void f_4064r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4066,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4190,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4195,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_nullp(t3))){
t7=t6;
f_4195(t7,t1);}
else{
t7=(C_word)C_i_car(t3);
t8=(C_word)C_i_cdr(t3);
if(C_truep((C_word)C_i_nullp(t8))){
t9=t5;
f_4190(t9,t1,t7);}
else{
t9=(C_word)C_i_car(t8);
t10=(C_word)C_i_cdr(t8);
if(C_truep((C_word)C_i_nullp(t10))){
t11=t4;
f_4066(t11,t1,t7,t9);}
else{
t11=*((C_word*)lf[72]+1);
((C_proc4)(void*)(*((C_word*)t11+1)))(4,t11,t1,lf[0],t10);}}}}

/* def-arglist730 in process-execute in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_4195(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4195,NULL,2,t0,t1);}
t2=((C_word*)t0)[2];
f_4190(t2,t1,C_SCHEME_END_OF_LIST);}

/* def-envlist731 in process-execute in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_4190(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4190,NULL,3,t0,t1,t2);}
t3=((C_word*)t0)[2];
f_4066(t3,t1,t2,C_SCHEME_FALSE);}

/* body728 in process-execute in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_4066(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4066,NULL,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_string_2(((C_word*)t0)[5],lf[318]);
t5=(C_word)C_i_check_list_2(t2,lf[318]);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4076,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=t3,a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
t7=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t7))(3,t7,t6,((C_word*)t0)[5]);}

/* k4074 in body728 in process-execute in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4076(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4076,2,t0,t1);}
t2=(C_word)C_block_size(t1);
t3=f_4026(C_fix(0),t1,t2);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4084,a[2]=t5,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp));
t7=((C_word*)t5)[1];
f_4084(t7,((C_word*)t0)[3],((C_word*)t0)[2],C_fix(1));}

/* do737 in k4074 in body728 in process-execute in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_4084(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
a=C_alloc(8);
if(!C_stack_probe(a)){
C_save_and_reclaim((void*)trf_4084,NULL,4,t0,t1,t2,t3);}
if(C_truep((C_word)C_i_nullp(t2))){
t4=f_4026(t3,C_SCHEME_FALSE,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4097,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[5])){
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4127,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t7=t5;
f_4097(t7,f_4127(t6,((C_word*)t0)[5],C_fix(0)));}
else{
t6=t5;
f_4097(t6,C_SCHEME_UNDEFINED);}}
else{
t4=(C_word)C_i_car(t2);
t5=(C_word)C_i_check_string_2(t4,lf[318]);
t6=(C_word)C_block_size(t4);
t7=f_4026(t3,t4,t6);
t8=(C_word)C_i_cdr(t2);
t9=(C_word)C_fixnum_plus(t3,C_fix(1));
t14=t1;
t15=t8;
t16=t9;
t1=t14;
t2=t15;
t3=t16;
goto loop;}}

/* do741 in do737 in k4074 in body728 in process-execute in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static C_word C_fcall f_4127(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
loop:
C_stack_check;
if(C_truep((C_word)C_i_nullp(t1))){
return(f_4045(t2,C_SCHEME_FALSE,C_fix(0)));}
else{
t3=(C_word)C_i_car(t1);
t4=(C_word)C_i_check_string_2(t3,lf[318]);
t5=(C_word)C_block_size(t3);
t6=f_4045(t2,t3,t5);
t7=(C_word)C_i_cdr(t1);
t8=(C_word)C_fixnum_plus(t2,C_fix(1));
t10=t7;
t11=t8;
t1=t10;
t2=t11;
goto loop;}}

/* k4095 in do737 in k4074 in body728 in process-execute in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_4097(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4097,NULL,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4100,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4122,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t4=*((C_word*)lf[47]+1);
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[2]);}

/* k4120 in k4095 in do737 in k4074 in body728 in process-execute in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4122(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k4098 in k4095 in do737 in k4074 in body728 in process-execute in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4100(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4100,2,t0,t1);}
t2=(C_truep(((C_word*)t0)[4])?(C_word)C_execve(t1):(C_word)C_execvp(t1));
t3=(C_word)C_eqp(t2,C_fix(-1));
if(C_truep(t3)){
t4=(C_word)stub709(C_SCHEME_UNDEFINED);
t5=(C_word)stub721(C_SCHEME_UNDEFINED);
t6=lf[4];
f_1159(t6,((C_word*)t0)[3],lf[157],lf[318],lf[319],(C_word)C_a_i_list(&a,1,((C_word*)t0)[2]));}
else{
t4=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_UNDEFINED);}}

/* setenv in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static C_word C_fcall f_4045(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_check;
t4=(C_word)C_i_foreign_fixnum_argumentp(t1);
t5=(C_truep(t2)?(C_word)C_i_foreign_block_argumentp(t2):C_SCHEME_FALSE);
t6=(C_word)C_i_foreign_fixnum_argumentp(t3);
return((C_word)stub714(C_SCHEME_UNDEFINED,t4,t5,t6));}

/* setarg in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static C_word C_fcall f_4026(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_check;
t4=(C_word)C_i_foreign_fixnum_argumentp(t1);
t5=(C_truep(t2)?(C_word)C_i_foreign_block_argumentp(t2):C_SCHEME_FALSE);
t6=(C_word)C_i_foreign_fixnum_argumentp(t3);
return((C_word)stub702(C_SCHEME_UNDEFINED,t4,t5,t6));}

/* process-fork in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3984(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+3)){
C_save_and_reclaim((void*)tr2rv,(void*)f_3984r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest_vector(a,C_rest_count(0));
f_3984r(t0,t1,t2);}}

static void f_3984r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a=C_alloc(3);
t3=(C_word)stub685(C_SCHEME_UNDEFINED);
t4=(C_word)C_eqp(C_fix(-1),t3);
if(C_truep(t4)){
t5=lf[4];
f_1159(t5,t1,lf[157],lf[315],lf[316],C_SCHEME_END_OF_LIST);}
else{
t5=(C_word)C_notvemptyp(t2);
t6=(C_truep(t5)?(C_word)C_eqp(t3,C_fix(0)):C_SCHEME_FALSE);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4006,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t8=(C_word)C_i_vector_ref(t2,C_fix(0));
t9=t8;
((C_proc2)C_retrieve_proc(t9))(2,t9,t7);}
else{
t7=t1;
((C_proc2)(void*)(*((C_word*)t7+1)))(2,t7,t3);}}}

/* k4004 in process-fork in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4006(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4006,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4010,tmp=(C_word)a,a+=2,tmp);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],C_fix(0));}

/* f_4010 in k4004 in process-fork in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_4010(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_4010,3,t0,t1,t2);}
t3=(C_word)C_i_foreign_fixnum_argumentp(t2);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,(C_word)stub690(C_SCHEME_UNDEFINED,t3));}

/* glob in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3878(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+9)){
C_save_and_reclaim((void*)tr2r,(void*)f_3878r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_3878r(t0,t1,t2);}}

static void f_3878r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a=C_alloc(9);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3884,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t4,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_3884(t6,t1,t2);}

/* conc in glob in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_3884(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_3884,NULL,3,t0,t1,t2);}
if(C_truep((C_word)C_i_nullp(t2))){
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_END_OF_LIST);}
else{
t3=(C_word)C_i_car(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3899,a[2]=t3,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3905,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,tmp=(C_word)a,a+=7,tmp);
C_call_with_values(4,0,t1,t4,t5);}}

/* a3904 in conc in glob in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3905(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[12],*a=ab;
if(c!=5) C_bad_argc(c,5);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr5,(void*)f_3905,5,t0,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3909,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3976,a[2]=t5,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t7=(C_truep(t3)?t3:lf[314]);
t8=((C_word*)t0)[4];
((C_proc5)C_retrieve_proc(t8))(5,t8,t6,C_SCHEME_FALSE,t7,t4);}

/* k3974 in a3904 in conc in glob in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3976(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,((C_word*)t0)[2],t1);}

/* k3907 in a3904 in conc in glob in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3909(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3909,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3916,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=(C_truep(((C_word*)t0)[4])?((C_word*)t0)[4]:lf[313]);
t4=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t4))(3,t4,t2,t3);}

/* k3914 in k3907 in a3904 in conc in glob in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3916(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3916,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3918,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_3918(t5,((C_word*)t0)[2],t1);}

/* loop in k3914 in k3907 in a3904 in conc in glob in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_3918(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_3918,NULL,3,t0,t1,t2);}
if(C_truep((C_word)C_i_nullp(t2))){
t3=(C_word)C_i_cdr(((C_word*)t0)[7]);
t4=((C_word*)((C_word*)t0)[6])[1];
f_3884(t4,t1,t3);}
else{
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3935,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t2,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t4=(C_word)C_i_car(t2);
t5=*((C_word*)lf[312]+1);
((C_proc4)C_retrieve_proc(t5))(4,t5,t3,((C_word*)t0)[2],t4);}}

/* k3933 in loop in k3914 in k3907 in a3904 in conc in glob in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3935(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3935,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3945,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t3=(C_word)C_i_car(t1);
t4=((C_word*)t0)[3];
((C_proc4)C_retrieve_proc(t4))(4,t4,t2,((C_word*)t0)[2],t3);}
else{
t2=(C_word)C_i_cdr(((C_word*)t0)[5]);
t3=((C_word*)((C_word*)t0)[4])[1];
f_3918(t3,((C_word*)t0)[6],t2);}}

/* k3943 in k3933 in loop in k3914 in k3907 in a3904 in conc in glob in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3945(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3945,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3949,a[2]=t1,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(C_word)C_i_cdr(((C_word*)t0)[3]);
t4=((C_word*)((C_word*)t0)[2])[1];
f_3918(t4,t2,t3);}

/* k3947 in k3943 in k3933 in loop in k3914 in k3907 in a3904 in conc in glob in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3949(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3949,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_cons(&a,2,((C_word*)t0)[2],t1));}

/* a3898 in conc in glob in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3899(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3899,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,t1,((C_word*)t0)[2]);}

/* get-host-name in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3866(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3866,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3870,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t3=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t4=*((C_word*)lf[7]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t2,(C_word)stub648(t3),C_fix(0));}

/* k3868 in get-host-name in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3870(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3870,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3873,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t1)){
t3=t2;
f_3873(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=lf[4];
f_1159(t3,t2,lf[306],lf[305],lf[307],C_SCHEME_END_OF_LIST);}}

/* k3871 in k3868 in get-host-name in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3873(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* terminal-name in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3836(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3836,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3840,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[118]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t3,t2,lf[303]);}

/* k3838 in terminal-name in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3840(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3840,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3843,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(C_word)C_slot(((C_word*)t0)[2],C_fix(7));
t4=(C_word)C_eqp(lf[83],t3);
t5=(C_truep(t4)?(C_word)C_tty_portp(((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t5)){
t6=t2;
f_3843(2,t6,C_SCHEME_UNDEFINED);}
else{
t6=*((C_word*)lf[72]+1);
((C_proc5)(void*)(*((C_word*)t6+1)))(5,t6,t2,lf[303],lf[304],((C_word*)t0)[2]);}}

/* k3841 in k3838 in terminal-name in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3843(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3843,2,t0,t1);}
t2=((C_word*)t0)[3];
t3=(C_word)C_C_fileno(((C_word*)t0)[2]);
t4=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t5=(C_word)C_i_foreign_fixnum_argumentp(t3);
t6=(C_word)stub640(t4,t5);
t7=*((C_word*)lf[160]+1);
((C_proc4)(void*)(*((C_word*)t7+1)))(4,t7,t2,t6,C_fix(0));}

/* terminal-port? in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3807(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3807,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3811,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[118]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t3,t2,lf[302]);}

/* k3809 in terminal-port? in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3811(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3811,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3814,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[244]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,((C_word*)t0)[2],C_fix(0));}

/* k3812 in k3809 in terminal-port? in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3814(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_eqp(t1,C_fix(0));
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,(C_truep(t2)?C_SCHEME_FALSE:(C_word)C_tty_portp(((C_word*)t0)[2])));}

/* set-buffering-mode! in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3748(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4rv,(void*)f_3748r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_3748r(t0,t1,t2,t3,t4);}}

static void f_3748r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3752,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=*((C_word*)lf[118]+1);
((C_proc4)(void*)(*((C_word*)t6+1)))(4,t6,t5,t2,lf[296]);}

/* k3750 in set-buffering-mode! in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3752(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3752,2,t0,t1);}
t2=(C_word)C_notvemptyp(((C_word*)t0)[5]);
t3=(C_truep(t2)?(C_word)C_i_vector_ref(((C_word*)t0)[5],C_fix(0)):C_fix((C_word)BUFSIZ));
t4=((C_word*)t0)[4];
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3758,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t6=(C_word)C_eqp(t4,lf[298]);
if(C_truep(t6)){
t7=t5;
f_3758(2,t7,C_fix((C_word)_IOFBF));}
else{
t7=(C_word)C_eqp(t4,lf[299]);
if(C_truep(t7)){
t8=t5;
f_3758(2,t8,C_fix((C_word)_IOLBF));}
else{
t8=(C_word)C_eqp(t4,lf[300]);
if(C_truep(t8)){
t9=t5;
f_3758(2,t9,C_fix((C_word)_IONBF));}
else{
t9=*((C_word*)lf[72]+1);
((C_proc6)(void*)(*((C_word*)t9+1)))(6,t9,t5,lf[296],lf[301],((C_word*)t0)[4],((C_word*)t0)[3]);}}}}

/* k3756 in k3750 in set-buffering-mode! in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3758(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
t2=(C_word)C_i_check_exact_2(((C_word*)t0)[4],lf[296]);
t3=(C_word)C_slot(((C_word*)t0)[3],C_fix(7));
t4=(C_word)C_eqp(lf[83],t3);
t5=(C_truep(t4)?(C_word)C_setvbuf(((C_word*)t0)[3],t1,((C_word*)t0)[4]):C_fix(-1));
if(C_truep((C_word)C_fixnum_lessp(t5,C_fix(0)))){
t6=*((C_word*)lf[72]+1);
((C_proc7)(void*)(*((C_word*)t6+1)))(7,t6,((C_word*)t0)[2],lf[296],lf[297],((C_word*)t0)[3],t1,((C_word*)t0)[4]);}
else{
t6=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,C_SCHEME_UNDEFINED);}}

/* set-alarm! in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3741(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3741,3,t0,t1,t2);}
t3=(C_word)C_i_foreign_fixnum_argumentp(t2);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,(C_word)stub623(C_SCHEME_UNDEFINED,t3));}

/* _exit in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3722(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr2rv,(void*)f_3722r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest_vector(a,C_rest_count(0));
f_3722r(t0,t1,t2);}}

static void f_3722r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3726,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[294]+1);
((C_proc2)C_retrieve_proc(t4))(2,t4,t3);}

/* k3724 in _exit in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3726(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
t2=(C_word)C_notvemptyp(((C_word*)t0)[3]);
t3=(C_truep(t2)?(C_word)C_i_vector_ref(((C_word*)t0)[3],C_fix(0)):C_fix(0));
t4=((C_word*)t0)[2];
t5=(C_word)C_i_foreign_fixnum_argumentp(t3);
t6=t4;
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,(C_word)stub617(C_SCHEME_UNDEFINED,t5));}

/* time->string in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3688(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3688,3,t0,t1,t2);}
t3=(C_word)C_i_check_vector_2(t2,lf[290]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3695,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(C_word)C_block_size(t2);
if(C_truep((C_word)C_fixnum_lessp(t5,C_fix(10)))){
t6=*((C_word*)lf[72]+1);
((C_proc5)(void*)(*((C_word*)t6+1)))(5,t6,t4,lf[290],lf[292],t2);}
else{
t6=t4;
f_3695(2,t6,C_SCHEME_UNDEFINED);}}

/* k3693 in time->string in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3695(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3695,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3698,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[2];
t4=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t5=*((C_word*)lf[7]+1);
((C_proc4)(void*)(*((C_word*)t5+1)))(4,t5,t2,(C_word)stub606(t4,t3),C_fix(0));}

/* k3696 in k3693 in time->string in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3698(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3698,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3701,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t1)){
t3=t2;
f_3701(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=*((C_word*)lf[72]+1);
((C_proc5)(void*)(*((C_word*)t3+1)))(5,t3,t2,lf[290],lf[291],((C_word*)t0)[2]);}}

/* k3699 in k3696 in k3693 in time->string in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3701(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* seconds->string in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3671(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[9],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3671,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3675,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=t2;
t5=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t6=(C_word)C_i_foreign_integer_argumentp(t4);
t7=(C_word)stub597(t5,t6);
t8=*((C_word*)lf[7]+1);
((C_proc4)(void*)(*((C_word*)t8+1)))(4,t8,t3,t7,C_fix(0));}

/* k3673 in seconds->string in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3675(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3675,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3678,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t1)){
t3=t2;
f_3678(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=*((C_word*)lf[72]+1);
((C_proc5)(void*)(*((C_word*)t3+1)))(5,t3,t2,lf[288],lf[289],((C_word*)t0)[2]);}}

/* k3676 in k3673 in seconds->string in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3678(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* seconds->utc-time in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3652(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3652,3,t0,t1,t2);}
t3=(C_word)C_i_check_number_2(t2,lf[287]);
t4=*((C_word*)lf[286]+1);
((C_proc4)C_retrieve_proc(t4))(4,t4,t1,t2,C_SCHEME_TRUE);}

/* seconds->local-time in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3643(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3643,3,t0,t1,t2);}
t3=(C_word)C_i_check_number_2(t2,lf[285]);
t4=*((C_word*)lf[286]+1);
((C_proc4)C_retrieve_proc(t4))(4,t4,t1,t2,C_SCHEME_FALSE);}

/* memory-mapped-file? in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3637(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3637,3,t0,t1,t2);}
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,(C_word)C_i_structurep(t2,lf[276]));}

/* memory-mapped-file-pointer in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3628(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3628,3,t0,t1,t2);}
t3=(C_word)C_i_check_structure_2(t2,lf[276],lf[283]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,(C_word)C_slot(t2,C_fix(1)));}

/* unmap-file-from-memory in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3593(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr3rv,(void*)f_3593r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest_vector(a,C_rest_count(0));
f_3593r(t0,t1,t2,t3);}}

static void f_3593r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a=C_alloc(6);
t4=(C_word)C_i_check_structure_2(t2,lf[276],lf[281]);
t5=(C_word)C_notvemptyp(t3);
t6=(C_truep(t5)?(C_word)C_i_vector_ref(t3,C_fix(0)):(C_word)C_slot(t2,C_fix(2)));
t7=(C_word)C_slot(t2,C_fix(1));
t8=(C_truep(t7)?(C_word)C_i_foreign_pointer_argumentp(t7):C_SCHEME_FALSE);
t9=(C_word)C_i_foreign_integer_argumentp(t6);
t10=(C_word)stub566(C_SCHEME_UNDEFINED,t8,t9);
t11=(C_word)C_eqp(C_fix(0),t10);
if(C_truep(t11)){
t12=t1;
((C_proc2)(void*)(*((C_word*)t12+1)))(2,t12,C_SCHEME_UNDEFINED);}
else{
t12=lf[4];
f_1159(t12,t1,lf[44],lf[281],lf[282],(C_word)C_a_i_list(&a,2,t2,t6));}}

/* map-file-to-memory in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3531(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6,...){
C_word tmp;
C_word t7;
va_list v;
C_word *a,c2=c;
C_save_rest(t6,c2,7);
if(c<7) C_bad_min_argc(c,7);
if(!C_demand(c*C_SIZEOF_PAIR+8)){
C_save_and_reclaim((void*)tr7rv,(void*)f_3531r,7,t0,t1,t2,t3,t4,t5,t6);}
else{
a=C_alloc((c-7)*3);
t7=C_restore_rest_vector(a,C_rest_count(0));
f_3531r(t0,t1,t2,t3,t4,t5,t6,t7);}}

static void f_3531r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6,C_word t7){
C_word tmp;
C_word t8;
C_word t9;
C_word t10;
C_word *a=C_alloc(8);
t8=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3535,a[2]=t1,a[3]=t6,a[4]=t5,a[5]=t4,a[6]=t3,a[7]=t7,tmp=(C_word)a,a+=8,tmp);
t9=t2;
if(C_truep(t9)){
t10=t8;
f_3535(2,t10,t2);}
else{
t10=*((C_word*)lf[280]+1);
((C_proc2)C_retrieve_proc(t10))(2,t10,t8);}}

/* k3533 in map-file-to-memory in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3535(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3535,2,t0,t1);}
t2=(C_word)C_notvemptyp(((C_word*)t0)[7]);
t3=(C_truep(t2)?(C_word)C_i_vector_ref(((C_word*)t0)[7],C_fix(0)):C_fix(0));
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3541,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=t1,tmp=(C_word)a,a+=9,tmp);
t5=(C_truep((C_word)C_blockp(t1))?(C_word)C_specialp(t1):C_SCHEME_FALSE);
if(C_truep(t5)){
t6=t4;
f_3541(2,t6,C_SCHEME_UNDEFINED);}
else{
t6=*((C_word*)lf[5]+1);
((C_proc6)(void*)(*((C_word*)t6+1)))(6,t6,t4,lf[53],lf[275],lf[279],t1);}}

/* k3539 in k3533 in map-file-to-memory in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3541(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word ab[19],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3541,2,t0,t1);}
t2=((C_word*)t0)[8];
t3=((C_word*)t0)[7];
t4=((C_word*)t0)[6];
t5=((C_word*)t0)[5];
t6=((C_word*)t0)[4];
t7=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t8=(C_truep(t2)?(C_word)C_i_foreign_pointer_argumentp(t2):C_SCHEME_FALSE);
t9=(C_word)C_i_foreign_integer_argumentp(t3);
t10=(C_word)C_i_foreign_fixnum_argumentp(t4);
t11=(C_word)C_i_foreign_fixnum_argumentp(t5);
t12=(C_word)C_i_foreign_fixnum_argumentp(t6);
t13=(C_word)C_i_foreign_integer_argumentp(((C_word*)t0)[3]);
t14=(C_word)stub541(t7,t8,t9,t10,t11,t12,t13);
t15=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3547,a[2]=((C_word*)t0)[7],a[3]=t14,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t16=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3560,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=t15,tmp=(C_word)a,a+=9,tmp);
t17=*((C_word*)lf[278]+1);
((C_proc3)C_retrieve_proc(t17))(3,t17,t16,t14);}

/* k3558 in k3539 in k3533 in map-file-to-memory in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3560(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[18],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3560,2,t0,t1);}
t2=(C_word)C_eqp(C_fix(-1),t1);
if(C_truep(t2)){
t3=lf[4];
f_1159(t3,((C_word*)t0)[8],lf[44],lf[275],lf[277],(C_word)C_a_i_list(&a,6,((C_word*)t0)[7],((C_word*)t0)[6],((C_word*)t0)[5],((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[2]));}
else{
t3=((C_word*)t0)[8];
f_3547(2,t3,C_SCHEME_UNDEFINED);}}

/* k3545 in k3539 in k3533 in map-file-to-memory in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3547(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3547,2,t0,t1);}
t2=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_record(&a,3,lf[276],((C_word*)t0)[3],((C_word*)t0)[2]));}

/* current-environment in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3428(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[6],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3428,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3434,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_3434(t5,t1,C_fix(0));}

/* loop in current-environment in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_3434(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_3434,NULL,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3438,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=t2;
t5=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t6=(C_word)C_i_foreign_fixnum_argumentp(t4);
t7=(C_word)stub519(t5,t6);
t8=*((C_word*)lf[7]+1);
((C_proc4)(void*)(*((C_word*)t8+1)))(4,t8,t3,t7,C_fix(0));}

/* k3436 in loop in current-environment in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3438(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3438,2,t0,t1);}
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3446,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_3446(t5,((C_word*)t0)[2],C_fix(0));}
else{
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_END_OF_LIST);}}

/* scan in k3436 in loop in current-environment in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_3446(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
a=C_alloc(8);
if(!C_stack_probe(a)){
C_save_and_reclaim((void*)trf_3446,NULL,3,t0,t1,t2);}
t3=(C_word)C_eqp(C_make_character(61),(C_word)C_subchar(((C_word*)t0)[6],t2));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3472,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t5=((C_word*)t0)[3];
((C_proc5)C_retrieve_proc(t5))(5,t5,t4,((C_word*)t0)[6],C_fix(0),t2);}
else{
t4=(C_word)C_fixnum_plus(t2,C_fix(1));
t7=t1;
t8=t4;
t1=t7;
t2=t8;
goto loop;}}

/* k3470 in scan in k3436 in loop in current-environment in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3472(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3472,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3476,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t3=(C_word)C_fixnum_plus(((C_word*)t0)[4],C_fix(1));
t4=(C_word)C_block_size(((C_word*)t0)[3]);
t5=((C_word*)t0)[2];
((C_proc5)C_retrieve_proc(t5))(5,t5,t2,((C_word*)t0)[3],t3,t4);}

/* k3474 in k3470 in scan in k3436 in loop in current-environment in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3476(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3476,2,t0,t1);}
t2=(C_word)C_a_i_cons(&a,2,((C_word*)t0)[5],t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3464,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=(C_word)C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t5=((C_word*)((C_word*)t0)[2])[1];
f_3434(t5,t3,t4);}

/* k3462 in k3474 in k3470 in scan in k3436 in loop in current-environment in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3464(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3464,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_cons(&a,2,((C_word*)t0)[2],t1));}

/* unsetenv in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3408(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3408,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[264]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3416,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t4,t2);}

/* k3414 in unsetenv in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3416(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_putenv(t1);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}

/* setenv in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3391(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[4],*a=ab;
if(c!=4) C_bad_argc(c,4);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_3391,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_string_2(t2,lf[263]);
t5=(C_word)C_i_check_string_2(t3,lf[263]);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3402,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t7=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t7+1)))(3,t7,t6,t2);}

/* k3400 in setenv in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3402(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3402,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3406,a[2]=((C_word*)t0)[3],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,((C_word*)t0)[2]);}

/* k3404 in k3400 in setenv in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3406(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_setenv(((C_word*)t0)[3],t1);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}

/* fifo? in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3365(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3365,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[261]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3372,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3389,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[47]+1);
((C_proc3)C_retrieve_proc(t6))(3,t6,t5,t2);}

/* k3387 in fifo? in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3389(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[103]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k3370 in fifo? in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3372(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3372,2,t0,t1);}
if(C_truep(t1)){
t2=(C_word)C_slot(t1,C_fix(4));
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,(C_word)C_eqp(C_fix(3),t2));}
else{
t2=lf[4];
f_1159(t2,((C_word*)t0)[3],lf[44],lf[261],lf[262],(C_word)C_a_i_list(&a,1,((C_word*)t0)[2]));}}

/* create-fifo in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3322(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr3rv,(void*)f_3322r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest_vector(a,C_rest_count(0));
f_3322r(t0,t1,t2,t3);}}

static void f_3322r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(4);
t4=(C_word)C_i_check_string_2(t2,lf[259]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3329,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_notvemptyp(t3))){
t6=t5;
f_3329(t6,(C_word)C_i_vector_ref(t3,C_fix(0)));}
else{
t6=(C_word)C_fixnum_or(C_fix((C_word)S_IRWXG),C_fix((C_word)S_IRWXO));
t7=t5;
f_3329(t7,(C_word)C_fixnum_or(C_fix((C_word)S_IRWXU),t6));}}

/* k3327 in create-fifo in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_3329(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_3329,NULL,2,t0,t1);}
t2=(C_word)C_i_check_exact_2(t1,lf[259]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3346,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3350,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=*((C_word*)lf[47]+1);
((C_proc3)C_retrieve_proc(t5))(3,t5,t4,((C_word*)t0)[2]);}

/* k3348 in k3327 in create-fifo in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3350(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k3344 in k3327 in create-fifo in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3346(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3346,2,t0,t1);}
t2=(C_word)C_mkfifo(t1,((C_word*)t0)[4]);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
t3=lf[4];
f_1159(t3,((C_word*)t0)[3],lf[44],lf[259],lf[260],(C_word)C_a_i_list(&a,2,((C_word*)t0)[2],((C_word*)t0)[4]));}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* file-unlock in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3294(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3294,3,t0,t1,t2);}
t3=(C_word)C_i_check_structure_2(t2,lf[250],lf[257]);
t4=(C_word)C_slot(t2,C_fix(2));
t5=(C_word)C_slot(t2,C_fix(3));
t6=(C_word)C_flock_setup(C_fix((C_word)F_UNLCK),t4,t5);
t7=(C_word)C_slot(t2,C_fix(1));
t8=(C_word)C_flock_lock(t7);
if(C_truep((C_word)C_fixnum_lessp(t8,C_fix(0)))){
t9=lf[4];
f_1159(t9,t1,lf[44],lf[257],lf[258],(C_word)C_a_i_list(&a,1,t2));}
else{
t9=t1;
((C_proc2)(void*)(*((C_word*)t9+1)))(2,t9,C_SCHEME_UNDEFINED);}}

/* file-test-lock in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3272(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr3r,(void*)f_3272r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_3272r(t0,t1,t2,t3);}}

static void f_3272r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3276,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
f_3150(t4,t2,t3,lf[255]);}

/* k3274 in file-test-lock in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3276(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
t2=(C_word)C_flock_test(((C_word*)t0)[4]);
if(C_truep(t2)){
t3=(C_word)C_eqp(t2,C_fix(0));
t4=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,(C_truep(t3)?C_SCHEME_FALSE:t2));}
else{
f_3224(((C_word*)t0)[3],lf[256],t1,lf[255]);}}

/* file-lock/blocking in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3257(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr3r,(void*)f_3257r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_3257r(t0,t1,t2,t3);}}

static void f_3257r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3261,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
f_3150(t4,t2,t3,lf[253]);}

/* k3259 in file-lock/blocking in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3261(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_truep((C_word)C_fixnum_lessp((C_word)C_flock_lockw(((C_word*)t0)[4]),C_fix(0)))){
f_3224(((C_word*)t0)[2],lf[254],t1,lf[253]);}
else{
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,t1);}}

/* file-lock in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3242(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr3r,(void*)f_3242r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_3242r(t0,t1,t2,t3);}}

static void f_3242r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3246,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
f_3150(t4,t2,t3,lf[251]);}

/* k3244 in file-lock in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3246(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_truep((C_word)C_fixnum_lessp((C_word)C_flock_lock(((C_word*)t0)[4]),C_fix(0)))){
f_3224(((C_word*)t0)[2],lf[252],t1,lf[251]);}
else{
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,t1);}}

/* err in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_3224(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_3224,NULL,4,t1,t2,t3,t4);}
t5=(C_word)C_slot(t3,C_fix(1));
t6=(C_word)C_slot(t3,C_fix(2));
t7=(C_word)C_slot(t3,C_fix(3));
t8=lf[4];
f_1159(t8,t1,lf[44],t4,t2,(C_word)C_a_i_list(&a,3,t5,t6,t7));}

/* setup in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_3150(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_3150,NULL,4,t1,t2,t3,t4);}
t5=(C_word)C_i_nullp(t3);
t6=(C_truep(t5)?C_fix(0):(C_word)C_i_car(t3));
t7=(C_word)C_i_nullp(t3);
t8=(C_truep(t7)?C_SCHEME_END_OF_LIST:(C_word)C_i_cdr(t3));
t9=(C_word)C_i_nullp(t8);
t10=(C_truep(t9)?C_SCHEME_TRUE:(C_word)C_i_car(t8));
t11=t10;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=(C_word)C_i_nullp(t8);
t14=(C_truep(t13)?C_SCHEME_END_OF_LIST:(C_word)C_i_cdr(t8));
if(C_truep((C_word)C_i_nullp(t14))){
t15=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3172,a[2]=t1,a[3]=t12,a[4]=t2,a[5]=t4,a[6]=t6,tmp=(C_word)a,a+=7,tmp);
t16=*((C_word*)lf[118]+1);
((C_proc4)(void*)(*((C_word*)t16+1)))(4,t16,t15,t2,t4);}
else{
t15=*((C_word*)lf[72]+1);
((C_proc4)(void*)(*((C_word*)t15+1)))(4,t15,t1,lf[0],t14);}}

/* k3170 in setup in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3172(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3172,2,t0,t1);}
t2=(C_word)C_i_check_number_2(((C_word*)t0)[6],((C_word*)t0)[5]);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3178,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=(C_word)C_eqp(C_SCHEME_TRUE,((C_word*)((C_word*)t0)[3])[1]);
if(C_truep(t4)){
t5=C_set_block_item(((C_word*)t0)[3],0,C_fix(0));
t6=t3;
f_3178(t6,t5);}
else{
t5=t3;
f_3178(t5,(C_word)C_i_check_number_2(((C_word*)((C_word*)t0)[3])[1],((C_word*)t0)[5]));}}

/* k3176 in k3170 in setup in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_3178(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_3178,NULL,2,t0,t1);}
t2=(C_word)C_slot(((C_word*)t0)[5],C_fix(1));
t3=(C_truep(t2)?C_fix((C_word)F_RDLCK):C_fix((C_word)F_WRLCK));
t4=(C_word)C_flock_setup(t3,((C_word*)t0)[4],((C_word*)((C_word*)t0)[3])[1]);
t5=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,(C_word)C_a_i_record(&a,4,lf[250],((C_word*)t0)[5],((C_word*)t0)[4],((C_word*)((C_word*)t0)[3])[1]));}

/* file-truncate in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3111(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[12],*a=ab;
if(c!=4) C_bad_argc(c,4);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_3111,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_number_2(t3,lf[247]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3128,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep((C_word)C_i_stringp(t2))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3135,a[2]=t3,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3139,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=*((C_word*)lf[47]+1);
((C_proc3)C_retrieve_proc(t8))(3,t8,t7,t2);}
else{
if(C_truep((C_word)C_fixnump(t2))){
t6=t5;
f_3128(2,t6,(C_word)C_ftruncate(t2,t3));}
else{
t6=*((C_word*)lf[72]+1);
((C_proc5)(void*)(*((C_word*)t6+1)))(5,t6,t5,lf[247],lf[249],t2);}}}

/* k3137 in file-truncate in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3139(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k3133 in file-truncate in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3135(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
f_3128(2,t2,(C_word)C_truncate(t1,((C_word*)t0)[2]));}

/* k3126 in file-truncate in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3128(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3128,2,t0,t1);}
if(C_truep((C_word)C_fixnum_lessp(t1,C_fix(0)))){
t2=lf[4];
f_1159(t2,((C_word*)t0)[4],lf[44],lf[247],lf[248],(C_word)C_a_i_list(&a,2,((C_word*)t0)[3],((C_word*)t0)[2]));}
else{
t2=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_UNDEFINED);}}

/* duplicate-fileno in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3084(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr3rv,(void*)f_3084r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest_vector(a,C_rest_count(0));
f_3084r(t0,t1,t2,t3);}}

static void f_3084r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a=C_alloc(4);
t4=(C_word)C_i_check_exact_2(t2,*((C_word*)lf[245]+1));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3091,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_vemptyp(t3))){
t6=t5;
f_3091(t6,(C_word)C_dup(t2));}
else{
t6=(C_word)C_i_vector_ref(t3,C_fix(0));
t7=(C_word)C_i_check_exact_2(t6,lf[245]);
t8=t5;
f_3091(t8,(C_word)C_dup2(t2,t6));}}

/* k3089 in duplicate-fileno in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_3091(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_3091,NULL,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3094,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnum_lessp(t1,C_fix(0)))){
t3=lf[4];
f_1159(t3,t2,lf[44],lf[245],lf[246],(C_word)C_a_i_list(&a,1,((C_word*)t0)[2]));}
else{
t3=t2;
f_3094(2,t3,C_SCHEME_UNDEFINED);}}

/* k3092 in k3089 in duplicate-fileno in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3094(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* port->fileno in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3039(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3039,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3043,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[118]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t3,t2,lf[239]);}

/* k3041 in port->fileno in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3043(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3043,2,t0,t1);}
t2=(C_word)C_slot(((C_word*)t0)[3],C_fix(7));
t3=(C_word)C_eqp(lf[240],t2);
if(C_truep(t3)){
t4=*((C_word*)lf[241]+1);
((C_proc3)C_retrieve_proc(t4))(3,t4,((C_word*)t0)[2],((C_word*)t0)[3]);}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3078,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t5=*((C_word*)lf[244]+1);
((C_proc4)(void*)(*((C_word*)t5+1)))(4,t5,t4,((C_word*)t0)[3],C_fix(0));}}

/* k3076 in k3041 in port->fileno in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3078(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3078,2,t0,t1);}
if(C_truep((C_word)C_i_zerop(t1))){
t2=lf[4];
f_1159(t2,((C_word*)t0)[3],lf[53],lf[239],lf[242],(C_word)C_a_i_list(&a,1,((C_word*)t0)[2]));}
else{
t2=(C_word)C_C_fileno(((C_word*)t0)[2]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3061,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
t4=lf[4];
f_1159(t4,t3,lf[44],lf[239],lf[243],(C_word)C_a_i_list(&a,1,((C_word*)t0)[2]));}
else{
t4=t3;
f_3061(2,t4,C_SCHEME_UNDEFINED);}}}

/* k3059 in k3076 in k3041 in port->fileno in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3061(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* open-output-file* in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3025(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr3r,(void*)f_3025r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_3025r(t0,t1,t2,t3);}}

static void f_3025r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t4=(C_word)C_i_check_exact_2(t2,lf[238]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3037,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
f_2959(t5,C_SCHEME_FALSE,t3);}

/* k3035 in open-output-file* in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3037(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3037,2,t0,t1);}
t2=(C_word)C_fdopen(&a,2,((C_word*)t0)[4],t1);
f_2996(((C_word*)t0)[2],lf[238],((C_word*)t0)[4],C_SCHEME_FALSE,t2);}

/* open-input-file* in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3011(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr3r,(void*)f_3011r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_3011r(t0,t1,t2,t3);}}

static void f_3011r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t4=(C_word)C_i_check_exact_2(t2,lf[237]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3023,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
f_2959(t5,C_SCHEME_TRUE,t3);}

/* k3021 in open-input-file* in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3023(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3023,2,t0,t1);}
t2=(C_word)C_fdopen(&a,2,((C_word*)t0)[4],t1);
f_2996(((C_word*)t0)[2],lf[237],((C_word*)t0)[4],C_SCHEME_TRUE,t2);}

/* check in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_2996(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2996,NULL,5,t1,t2,t3,t4,t5);}
if(C_truep((C_word)C_null_pointerp(t5))){
t6=lf[4];
f_1159(t6,t1,lf[44],t2,lf[235],(C_word)C_a_i_list(&a,1,t3));}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3009,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=*((C_word*)lf[109]+1);
((C_proc6)(void*)(*((C_word*)t7+1)))(6,t7,t6,t4,*((C_word*)lf[110]+1),lf[236],lf[83]);}}

/* k3007 in check in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_3009(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_set_file_ptr(t1,((C_word*)t0)[3]);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t1);}

/* mode in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_2959(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2959,NULL,3,t1,t2,t3);}
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2967,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_pairp(t3))){
t5=(C_word)C_i_car(t3);
t6=(C_word)C_eqp(t5,lf[229]);
if(C_truep(t6)){
t7=t2;
if(C_truep(t7)){
t8=*((C_word*)lf[72]+1);
((C_proc4)(void*)(*((C_word*)t8+1)))(4,t8,t4,lf[230],t5);}
else{
t8=t4;
f_2967(2,t8,lf[231]);}}
else{
t7=*((C_word*)lf[72]+1);
((C_proc4)(void*)(*((C_word*)t7+1)))(4,t7,t4,lf[232],t5);}}
else{
t5=t4;
f_2967(2,t5,(C_truep(t2)?lf[233]:lf[234]));}}

/* k2965 in mode in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2967(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* file-link in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2934(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word ab[6],*a=ab;
if(c!=4) C_bad_argc(c,4);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_2934,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_string_2(t2,lf[223]);
t5=(C_word)C_i_check_string_2(t3,lf[223]);
t6=t2;
t7=t3;
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2915,a[2]=t7,a[3]=t3,a[4]=t2,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t6)){
t9=(C_word)C_i_foreign_string_argumentp(t6);
t10=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t10+1)))(3,t10,t8,t9);}
else{
t9=t8;
f_2915(2,t9,C_SCHEME_FALSE);}}

/* k2913 in file-link in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2915(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2915,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2919,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[2])){
t3=(C_word)C_i_foreign_string_argumentp(((C_word*)t0)[2]);
t4=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t2,t3);}
else{
t3=t2;
f_2919(2,t3,C_SCHEME_FALSE);}}

/* k2917 in k2913 in file-link in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2919(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2919,2,t0,t1);}
t2=(C_word)stub399(C_SCHEME_UNDEFINED,((C_word*)t0)[5],t1);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
t3=lf[4];
f_1159(t3,((C_word*)t0)[4],lf[44],lf[224],lf[225],(C_word)C_a_i_list(&a,2,((C_word*)t0)[3],((C_word*)t0)[2]));}
else{
t3=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* read-symbolic-link in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2884(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[9],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2884,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[221]);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2892,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2908,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[47]+1);
((C_proc3)C_retrieve_proc(t6))(3,t6,t5,t2);}

/* k2906 in read-symbolic-link in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2908(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2890 in read-symbolic-link in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2892(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2892,2,t0,t1);}
t2=(C_word)C_readlink(t1,((C_word*)t0)[5]);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2895,a[2]=t2,a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
t4=lf[4];
f_1159(t4,t3,lf[44],lf[221],lf[222],(C_word)C_a_i_list(&a,1,((C_word*)t0)[2]));}
else{
t4=t3;
f_2895(2,t4,C_SCHEME_UNDEFINED);}}

/* k2893 in k2890 in read-symbolic-link in k2881 in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2895(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[5];
((C_proc5)C_retrieve_proc(t2))(5,t2,((C_word*)t0)[4],((C_word*)t0)[3],C_fix(0),((C_word*)t0)[2]);}

/* create-symbolic-link in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2846(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[8],*a=ab;
if(c!=4) C_bad_argc(c,4);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_2846,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_string_2(t2,lf[218]);
t5=(C_word)C_i_check_string_2(t3,lf[218]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2867,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2879,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=*((C_word*)lf[47]+1);
((C_proc3)C_retrieve_proc(t8))(3,t8,t7,t2);}

/* k2877 in create-symbolic-link in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2879(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2865 in create-symbolic-link in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2867(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2867,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2871,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2875,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t4=*((C_word*)lf[47]+1);
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[2]);}

/* k2873 in k2865 in create-symbolic-link in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2875(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2869 in k2865 in create-symbolic-link in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2871(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2871,2,t0,t1);}
t2=(C_word)C_symlink(((C_word*)t0)[5],t1);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
t3=lf[4];
f_1159(t3,((C_word*)t0)[4],lf[44],lf[219],lf[220],(C_word)C_a_i_list(&a,2,((C_word*)t0)[3],((C_word*)t0)[2]));}
else{
t3=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* set-process-group-id! in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2825(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[5],*a=ab;
if(c!=4) C_bad_argc(c,4);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_2825,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_exact_2(t2,lf[216]);
t5=(C_word)C_i_check_exact_2(t3,lf[216]);
if(C_truep((C_word)C_fixnum_lessp((C_word)C_setpgid(t2,t3),C_fix(0)))){
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2841,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=*((C_word*)lf[8]+1);
((C_proc2)(void*)(*((C_word*)t7+1)))(2,t7,t6);}
else{
t6=t1;
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,C_SCHEME_UNDEFINED);}}

/* k2839 in set-process-group-id! in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2841(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[72]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[4],lf[216],lf[217],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* process-group-id in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2807(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[8],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2807,3,t0,t1,t2);}
t3=(C_word)C_i_check_exact_2(t2,lf[214]);
t4=(C_word)C_getpgid(t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2814,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnum_lessp(t4,C_fix(0)))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2820,a[2]=t2,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=*((C_word*)lf[8]+1);
((C_proc2)(void*)(*((C_word*)t7+1)))(2,t7,t6);}
else{
t6=t5;
f_2814(2,t6,C_SCHEME_UNDEFINED);}}

/* k2818 in process-group-id in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2820(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[72]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],lf[214],lf[215],((C_word*)t0)[2]);}

/* k2812 in process-group-id in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2814(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* create-session in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2792(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[7],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2792,2,t0,t1);}
t2=(C_word)C_setsid(C_SCHEME_FALSE);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2796,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2802,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=*((C_word*)lf[8]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}
else{
t4=t3;
f_2796(2,t4,C_SCHEME_UNDEFINED);}}

/* k2800 in create-session in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2802(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[72]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],lf[212],lf[213]);}

/* k2794 in create-session in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2796(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* file-execute-access? in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2786(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2786,3,t0,t1,t2);}
f_2750(t1,t2,C_fix((C_word)X_OK),lf[211]);}

/* file-write-access? in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2780(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2780,3,t0,t1,t2);}
f_2750(t1,t2,C_fix((C_word)W_OK),lf[210]);}

/* file-read-access? in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2774(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2774,3,t0,t1,t2);}
f_2750(t1,t2,C_fix((C_word)R_OK),lf[209]);}

/* check in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_2750(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2750,NULL,4,t1,t2,t3,t4);}
t5=(C_word)C_i_check_string_2(t2,t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2768,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2772,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=*((C_word*)lf[47]+1);
((C_proc3)C_retrieve_proc(t8))(3,t8,t7,t2);}

/* k2770 in check in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2772(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2766 in check in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2768(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2768,2,t0,t1);}
t2=(C_word)C_access(t1,((C_word*)t0)[3]);
t3=(C_word)C_eqp(C_fix(0),t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2760,a[2]=t3,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t3)){
t5=t4;
f_2760(2,t5,C_SCHEME_UNDEFINED);}
else{
t5=*((C_word*)lf[8]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}}

/* k2758 in k2766 in check in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2760(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* set-group-id! in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2735(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2735,3,t0,t1,t2);}
if(C_truep((C_word)C_fixnum_lessp((C_word)C_setgid(t2),C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2745,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[8]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* k2743 in set-group-id! in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2745(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[72]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],lf[205],lf[208],((C_word*)t0)[2]);}

/* set-user-id! in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2720(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2720,3,t0,t1,t2);}
if(C_truep((C_word)C_fixnum_lessp((C_word)C_setuid(t2),C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2730,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[8]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* k2728 in set-user-id! in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2730(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[72]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],lf[205],lf[206],((C_word*)t0)[2]);}

/* current-effective-group-id in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2717(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2717,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)stub354(C_SCHEME_UNDEFINED));}

/* current-effective-user-id in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2714(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2714,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)stub352(C_SCHEME_UNDEFINED));}

/* current-group-id in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2711(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2711,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)stub350(C_SCHEME_UNDEFINED));}

/* current-user-id in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2708(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2708,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)stub348(C_SCHEME_UNDEFINED));}

/* change-file-owner in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2678(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word ab[9],*a=ab;
if(c!=5) C_bad_argc(c,5);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr5,(void*)f_2678,5,t0,t1,t2,t3,t4);}
t5=(C_word)C_i_check_string_2(t2,lf[199]);
t6=(C_word)C_i_check_exact_2(t3,lf[199]);
t7=(C_word)C_i_check_exact_2(t4,lf[199]);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2702,a[2]=t2,a[3]=t1,a[4]=t4,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2706,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
t10=*((C_word*)lf[47]+1);
((C_proc3)C_retrieve_proc(t10))(3,t10,t9,t2);}

/* k2704 in change-file-owner in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2706(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2700 in change-file-owner in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2702(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2702,2,t0,t1);}
t2=(C_word)C_chown(t1,((C_word*)t0)[5],((C_word*)t0)[4]);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
t3=lf[4];
f_1159(t3,((C_word*)t0)[3],lf[44],lf[199],lf[200],(C_word)C_a_i_list(&a,3,((C_word*)t0)[2],((C_word*)t0)[5],((C_word*)t0)[4]));}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* change-file-mode in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2651(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[8],*a=ab;
if(c!=4) C_bad_argc(c,4);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_2651,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_string_2(t2,lf[197]);
t5=(C_word)C_i_check_exact_2(t3,lf[197]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2672,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2676,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=*((C_word*)lf[47]+1);
((C_proc3)C_retrieve_proc(t8))(3,t8,t7,t2);}

/* k2674 in change-file-mode in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2676(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2670 in change-file-mode in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2672(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2672,2,t0,t1);}
t2=(C_word)C_chmod(t1,((C_word*)t0)[4]);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
t3=lf[4];
f_1159(t3,((C_word*)t0)[3],lf[44],lf[197],lf[198],(C_word)C_a_i_list(&a,2,((C_word*)t0)[2],((C_word*)t0)[4]));}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* initialize-groups in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2603(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word ab[6],*a=ab;
if(c!=4) C_bad_argc(c,4);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_2603,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_string_2(t2,lf[172]);
t5=(C_word)C_i_check_exact_2(t3,lf[172]);
t6=t2;
t7=t3;
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2591,a[2]=t3,a[3]=t2,a[4]=t1,a[5]=t7,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t6)){
t9=(C_word)C_i_foreign_string_argumentp(t6);
t10=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t10+1)))(3,t10,t8,t9);}
else{
t9=t8;
f_2591(2,t9,C_SCHEME_FALSE);}}

/* k2589 in initialize-groups in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2591(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2591,2,t0,t1);}
t2=(C_word)C_i_foreign_fixnum_argumentp(((C_word*)t0)[5]);
t3=(C_word)stub319(C_SCHEME_UNDEFINED,t1,t2);
if(C_truep((C_word)C_fixnum_lessp(t3,C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2619,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t5=*((C_word*)lf[8]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}
else{
t4=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_UNDEFINED);}}

/* k2617 in k2589 in initialize-groups in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2619(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[72]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[4],lf[172],lf[173],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* set-groups! in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2529(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2529,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2533,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(C_word)C_i_length(t2);
t5=f_2459(t4);
if(C_truep(t5)){
t6=t3;
f_2533(2,t6,C_SCHEME_UNDEFINED);}
else{
t6=*((C_word*)lf[72]+1);
((C_proc4)(void*)(*((C_word*)t6+1)))(4,t6,t3,lf[169],lf[171]);}}

/* k2531 in set-groups! in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2533(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2533,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2538,a[2]=t3,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_2538(t5,((C_word*)t0)[2],((C_word*)t0)[3],C_fix(0));}

/* do306 in k2531 in set-groups! in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_2538(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
a=C_alloc(4);
if(!C_stack_probe(a)){
C_save_and_reclaim((void*)trf_2538,NULL,4,t0,t1,t2,t3);}
if(C_truep((C_word)C_i_nullp(t2))){
if(C_truep((C_word)C_fixnum_lessp((C_word)C_set_groups(t3),C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2554,a[2]=((C_word*)t0)[3],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=*((C_word*)lf[8]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}
else{
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_UNDEFINED);}}
else{
t4=(C_word)C_slot(t2,C_fix(0));
t5=(C_word)C_i_check_exact_2(t4,lf[169]);
t6=(C_word)C_set_gid(t3,t4);
t7=(C_word)C_slot(t2,C_fix(1));
t8=(C_word)C_fixnum_plus(t3,C_fix(1));
t11=t1;
t12=t7;
t13=t8;
t1=t11;
t2=t12;
t3=t13;
goto loop;}}

/* k2552 in do306 in k2531 in set-groups! in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2554(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[72]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],lf[169],lf[170],((C_word*)t0)[2]);}

/* get-groups in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2466(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[7],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2466,2,t0,t1);}
t2=C_fix((C_word)getgroups(0, C_groups));
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2470,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2524,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=*((C_word*)lf[8]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}
else{
t4=t3;
f_2470(2,t4,C_SCHEME_UNDEFINED);}}

/* k2522 in get-groups in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2524(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[72]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],lf[165],lf[168]);}

/* k2468 in get-groups in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2470(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2470,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2473,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=f_2459(((C_word*)t0)[3]);
if(C_truep(t3)){
t4=t2;
f_2473(2,t4,C_SCHEME_UNDEFINED);}
else{
t4=*((C_word*)lf[72]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t2,lf[165],lf[167]);}}

/* k2471 in k2468 in get-groups in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2473(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2473,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2476,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(C_word)C_i_foreign_fixnum_argumentp(((C_word*)t0)[3]);
t4=(C_word)stub288(C_SCHEME_UNDEFINED,t3);
if(C_truep((C_word)C_fixnum_lessp(t4,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2505,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[8]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}
else{
t5=t2;
f_2476(2,t5,C_SCHEME_UNDEFINED);}}

/* k2503 in k2471 in k2468 in get-groups in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2505(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[72]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],lf[165],lf[166]);}

/* k2474 in k2471 in k2468 in get-groups in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2476(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2476,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2481,a[2]=t3,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_2481(t5,((C_word*)t0)[2],C_fix(0));}

/* loop in k2474 in k2471 in k2468 in get-groups in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_2481(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
loop:
a=C_alloc(4);
if(!C_stack_probe(a)){
C_save_and_reclaim((void*)trf_2481,NULL,3,t0,t1,t2);}
if(C_truep((C_word)C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[3]))){
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_END_OF_LIST);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2495,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=(C_word)C_fixnum_plus(t2,C_fix(1));
t6=t3;
t7=t4;
t1=t6;
t2=t7;
goto loop;}}

/* k2493 in loop in k2474 in k2471 in k2468 in get-groups in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2495(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2495,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_cons(&a,2,(C_word)C_get_gid(((C_word*)t0)[2]),t1));}

/* _ensure-groups in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static C_word C_fcall f_2459(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_check;
t2=(C_word)C_i_foreign_fixnum_argumentp(t1);
return((C_word)stub292(C_SCHEME_UNDEFINED,t2));}

/* group-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2398(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2398,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2402,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_fixnump(t2))){
t4=t3;
f_2402(t4,(C_word)C_getgrgid(t2));}
else{
t4=(C_word)C_i_check_string_2(t2,lf[163]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2450,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t6+1)))(3,t6,t5,t2);}}

/* k2448 in group-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2450(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
f_2402(t2,(C_word)C_getgrnam(t1));}

/* k2400 in group-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_2402(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2402,NULL,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2412,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=*((C_word*)lf[160]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_group->gr_name),C_fix(0));}
else{
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_FALSE);}}

/* k2410 in k2400 in group-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2412(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2412,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2416,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[160]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_group->gr_passwd),C_fix(0));}

/* k2414 in k2410 in k2400 in group-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2416(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2416,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2420,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2422,a[2]=t4,tmp=(C_word)a,a+=3,tmp));
t6=((C_word*)t4)[1];
f_2422(t6,t2,C_fix(0));}

/* rec in k2414 in k2410 in k2400 in group-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_2422(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2422,NULL,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2426,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=t2;
t5=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t6=(C_word)C_i_foreign_fixnum_argumentp(t4);
t7=(C_word)stub276(t5,t6);
t8=*((C_word*)lf[7]+1);
((C_proc4)(void*)(*((C_word*)t8+1)))(4,t8,t3,t7,C_fix(0));}

/* k2424 in rec in k2414 in k2410 in k2400 in group-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2426(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2426,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2436,a[2]=t1,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(C_word)C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t4=((C_word*)((C_word*)t0)[2])[1];
f_2422(t4,t2,t3);}
else{
t2=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_END_OF_LIST);}}

/* k2434 in k2424 in rec in k2414 in k2410 in k2400 in group-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2436(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2436,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_cons(&a,2,((C_word*)t0)[2],t1));}

/* k2418 in k2414 in k2410 in k2400 in group-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2420(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(6,0,((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[2],C_fix((C_word)C_group->gr_gid),t1);}

/* user-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2345(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2345,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2349,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_fixnump(t2))){
t4=t3;
f_2349(t4,(C_word)C_getpwuid(t2));}
else{
t4=(C_word)C_i_check_string_2(t2,lf[162]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2385,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t6+1)))(3,t6,t5,t2);}}

/* k2383 in user-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2385(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
f_2349(t2,(C_word)C_getpwnam(t1));}

/* k2347 in user-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_2349(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2349,NULL,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2359,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=*((C_word*)lf[160]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_user->pw_name),C_fix(0));}
else{
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_FALSE);}}

/* k2357 in k2347 in user-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2359(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2359,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2363,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[160]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_user->pw_passwd),C_fix(0));}

/* k2361 in k2357 in k2347 in user-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2363(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2363,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2367,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t3=*((C_word*)lf[160]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_user->pw_gecos),C_fix(0));}

/* k2365 in k2361 in k2357 in k2347 in user-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2367(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2367,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2371,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=*((C_word*)lf[7]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_user->pw_dir),C_fix(0));}

/* k2369 in k2365 in k2361 in k2357 in k2347 in user-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2371(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2371,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2375,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t3=*((C_word*)lf[7]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_user->pw_shell),C_fix(0));}

/* k2373 in k2369 in k2365 in k2361 in k2357 in k2347 in user-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2375(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[21],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2375,2,t0,t1);}
t2=((C_word*)t0)[6];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_list(&a,7,((C_word*)t0)[5],((C_word*)t0)[4],C_fix((C_word)C_user->pw_uid),C_fix((C_word)C_user->pw_gid),((C_word*)t0)[3],((C_word*)t0)[2],t1));}

/* system-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2307(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2307,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2311,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_fixnum_lessp(C_fix((C_word)C_uname),C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2340,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t4=*((C_word*)lf[8]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=t2;
f_2311(2,t3,C_SCHEME_UNDEFINED);}}

/* k2338 in system-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2340(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[72]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],lf[159],lf[161]);}

/* k2309 in system-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2311(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2311,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2318,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=*((C_word*)lf[160]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_utsname.sysname),C_fix(0));}

/* k2316 in k2309 in system-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2318(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2318,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2322,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[160]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_utsname.nodename),C_fix(0));}

/* k2320 in k2316 in k2309 in system-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2322(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2322,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2326,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t3=*((C_word*)lf[160]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_utsname.release),C_fix(0));}

/* k2324 in k2320 in k2316 in k2309 in system-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2326(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2326,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2330,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=*((C_word*)lf[160]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_utsname.version),C_fix(0));}

/* k2328 in k2324 in k2320 in k2316 in k2309 in system-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2330(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2330,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2334,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t3=*((C_word*)lf[160]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_utsname.machine),C_fix(0));}

/* k2332 in k2328 in k2324 in k2320 in k2316 in k2309 in system-information in k2303 in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2334(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(7,0,((C_word*)t0)[6],((C_word*)t0)[5],((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* set-signal-mask! in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2280(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[5],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2280,3,t0,t1,t2);}
t3=(C_word)C_i_check_list_2(t2,lf[156]);
t4=(C_word)C_sigemptyset(C_fix(0));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2287,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2298,tmp=(C_word)a,a+=2,tmp);
t7=*((C_word*)lf[64]+1);
((C_proc4)(void*)(*((C_word*)t7+1)))(4,t7,t5,t6,t2);}

/* a2297 in set-signal-mask! in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2298(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2298,3,t0,t1,t2);}
t3=(C_word)C_i_check_exact_2(t2,lf[156]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,(C_word)C_sigaddset(t2));}

/* k2285 in set-signal-mask! in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2287(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_truep((C_word)C_fixnum_lessp((C_word)C_sigprocmask(C_fix(0)),C_fix(0)))){
t2=lf[4];
f_1159(t2,((C_word*)t0)[2],lf[157],lf[156],lf[158],C_SCHEME_END_OF_LIST);}
else{
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_UNDEFINED);}}

/* ##sys#interrupt-hook in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2262(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word ab[4],*a=ab;
if(c!=4) C_bad_argc(c,4);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_2262,4,t0,t1,t2,t3);}
t4=(C_word)C_slot(((C_word*)t0)[3],t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2272,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=t4;
((C_proc3)C_retrieve_proc(t6))(3,t6,t5,t2);}
else{
t5=((C_word*)t0)[2];
((C_proc4)C_retrieve_proc(t5))(4,t5,t1,t2,t3);}}

/* k2270 in ##sys#interrupt-hook in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2272(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[155]+1);
((C_proc3)C_retrieve_proc(t2))(3,t2,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* set-signal-handler! in k2245 in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2249(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc(c,4);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_2249,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_exact_2(t2,lf[154]);
t5=(C_truep(t3)?t2:C_SCHEME_FALSE);
t6=(C_word)C_establish_signal_handler(t2,t5);
t7=t1;
((C_proc2)(void*)(*((C_word*)t7+1)))(2,t7,(C_word)C_i_vector_set(((C_word*)t0)[2],t2,t3));}

/* create-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2206(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2206,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2210,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_fixnum_lessp((C_word)C_pipe(C_SCHEME_FALSE),C_fix(0)))){
t3=lf[4];
f_1159(t3,t2,lf[44],lf[126],lf[127],C_SCHEME_END_OF_LIST);}
else{
t3=t2;
f_2210(2,t3,C_SCHEME_UNDEFINED);}}

/* k2208 in create-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2210(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(4,0,((C_word*)t0)[2],C_fix((C_word)C_pipefds[ 0 ]),C_fix((C_word)C_pipefds[ 1 ]));}

/* with-output-to-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2186(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4r,(void*)f_2186r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_2186r(t0,t1,t2,t3,t4);}}

static void f_2186r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(6);
t5=*((C_word*)lf[125]+1);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2190,a[2]=t3,a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t5,tmp=(C_word)a,a+=6,tmp);
C_apply(5,0,t6,((C_word*)t0)[2],t2,t4);}

/* k2188 in with-output-to-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2190(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2190,2,t0,t1);}
t2=C_mutate((C_word*)lf[125]+1,t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2196,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
C_call_with_values(4,0,((C_word*)t0)[3],((C_word*)t0)[2],t3);}

/* a2195 in k2188 in with-output-to-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2196(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr2r,(void*)f_2196r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_2196r(t0,t1,t2);}}

static void f_2196r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2200,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[2]);}

/* k2198 in a2195 in k2188 in with-output-to-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2200(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=C_mutate((C_word*)lf[125]+1,((C_word*)t0)[4]);
C_apply_values(3,0,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* with-input-from-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2166(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4r,(void*)f_2166r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_2166r(t0,t1,t2,t3,t4);}}

static void f_2166r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(6);
t5=*((C_word*)lf[123]+1);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2170,a[2]=t3,a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t5,tmp=(C_word)a,a+=6,tmp);
C_apply(5,0,t6,((C_word*)t0)[2],t2,t4);}

/* k2168 in with-input-from-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2170(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2170,2,t0,t1);}
t2=C_mutate((C_word*)lf[123]+1,t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2176,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
C_call_with_values(4,0,((C_word*)t0)[3],((C_word*)t0)[2],t3);}

/* a2175 in k2168 in with-input-from-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2176(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr2r,(void*)f_2176r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_2176r(t0,t1,t2);}}

static void f_2176r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2180,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[2]);}

/* k2178 in a2175 in k2168 in with-input-from-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2180(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=C_mutate((C_word*)lf[123]+1,((C_word*)t0)[4]);
C_apply_values(3,0,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* call-with-output-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2142(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr4r,(void*)f_2142r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_2142r(t0,t1,t2,t3,t4);}}

static void f_2142r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2146,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
C_apply(5,0,t5,((C_word*)t0)[2],t2,t4);}

/* k2144 in call-with-output-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2146(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2146,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2151,a[2]=t1,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2157,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
C_call_with_values(4,0,((C_word*)t0)[2],t2,t3);}

/* a2156 in k2144 in call-with-output-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2157(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr2r,(void*)f_2157r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_2157r(t0,t1,t2);}}

static void f_2157r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2161,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[2]);}

/* k2159 in a2156 in k2144 in call-with-output-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2161(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_apply_values(3,0,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* a2150 in k2144 in call-with-output-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2151(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2151,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,t1,((C_word*)t0)[2]);}

/* call-with-input-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2118(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr4r,(void*)f_2118r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_2118r(t0,t1,t2,t3,t4);}}

static void f_2118r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2122,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
C_apply(5,0,t5,((C_word*)t0)[2],t2,t4);}

/* k2120 in call-with-input-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2122(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2122,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2127,a[2]=t1,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2133,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
C_call_with_values(4,0,((C_word*)t0)[2],t2,t3);}

/* a2132 in k2120 in call-with-input-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2133(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr2r,(void*)f_2133r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_2133r(t0,t1,t2);}}

static void f_2133r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2137,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[2]);}

/* k2135 in a2132 in k2120 in call-with-input-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2137(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_apply_values(3,0,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* a2126 in k2120 in call-with-input-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2127(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2127,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,t1,((C_word*)t0)[2]);}

/* close-input-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2102(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2102,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2106,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[118]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t3,t2,lf[115]);}

/* k2104 in close-input-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2106(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2106,2,t0,t1);}
t2=(C_word)close_pipe(((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2109,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(C_word)C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=lf[4];
f_1159(t5,t3,lf[44],lf[116],lf[117],(C_word)C_a_i_list(&a,1,((C_word*)t0)[3]));}
else{
t5=t3;
f_2109(2,t5,C_SCHEME_UNDEFINED);}}

/* k2107 in k2104 in close-input-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2109(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* open-output-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2066(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+11)){
C_save_and_reclaim((void*)tr3r,(void*)f_2066r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_2066r(t0,t1,t2,t3);}}

static void f_2066r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a=C_alloc(11);
t4=(C_word)C_i_check_string_2(t2,lf[114]);
t5=f_1997(t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2080,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t7=(C_word)C_eqp(t5,lf[106]);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2087,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t9=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t9+1)))(3,t9,t8,t2);}
else{
t8=(C_word)C_eqp(t5,lf[113]);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2097,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t10=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t10+1)))(3,t10,t9,t2);}
else{
f_2009(t6,t5);}}}

/* k2095 in open-output-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2097(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2097,2,t0,t1);}
t2=((C_word*)t0)[2];
f_2080(2,t2,(C_word)open_binary_output_pipe(&a,1,t1));}

/* k2085 in open-output-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2087(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2087,2,t0,t1);}
t2=((C_word*)t0)[2];
f_2080(2,t2,(C_word)open_text_output_pipe(&a,1,t1));}

/* k2078 in open-output-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2080(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
f_2015(((C_word*)t0)[3],lf[114],((C_word*)t0)[2],C_SCHEME_FALSE,t1);}

/* open-input-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2030(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+11)){
C_save_and_reclaim((void*)tr3r,(void*)f_2030r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_2030r(t0,t1,t2,t3);}}

static void f_2030r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a=C_alloc(11);
t4=(C_word)C_i_check_string_2(t2,lf[112]);
t5=f_1997(t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2044,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t7=(C_word)C_eqp(t5,lf[106]);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2051,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t9=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t9+1)))(3,t9,t8,t2);}
else{
t8=(C_word)C_eqp(t5,lf[113]);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2061,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t10=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t10+1)))(3,t10,t9,t2);}
else{
f_2009(t6,t5);}}}

/* k2059 in open-input-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2061(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2061,2,t0,t1);}
t2=((C_word*)t0)[2];
f_2044(2,t2,(C_word)open_binary_input_pipe(&a,1,t1));}

/* k2049 in open-input-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2051(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2051,2,t0,t1);}
t2=((C_word*)t0)[2];
f_2044(2,t2,(C_word)open_text_input_pipe(&a,1,t1));}

/* k2042 in open-input-pipe in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2044(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
f_2015(((C_word*)t0)[3],lf[112],((C_word*)t0)[2],C_SCHEME_TRUE,t1);}

/* check in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_2015(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2015,NULL,5,t1,t2,t3,t4,t5);}
if(C_truep((C_word)C_null_pointerp(t5))){
t6=lf[4];
f_1159(t6,t1,lf[44],t2,lf[108],(C_word)C_a_i_list(&a,1,t3));}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2028,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=*((C_word*)lf[109]+1);
((C_proc6)(void*)(*((C_word*)t7+1)))(6,t7,t6,t4,*((C_word*)lf[110]+1),lf[111],lf[83]);}}

/* k2026 in check in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_2028(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_set_file_ptr(t1,((C_word*)t0)[3]);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t1);}

/* badmode in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_2009(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2009,NULL,2,t1,t2);}
t3=*((C_word*)lf[72]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t1,lf[107],t2);}

/* mode in k1138 in k1135 in k1132 in k1129 in k1126 */
static C_word C_fcall f_1997(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_check;
t2=(C_word)C_i_pairp(t1);
return((C_truep(t2)?(C_word)C_slot(t1,C_fix(0)):lf[106]));}

/* current-directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1982(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1982,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1986,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,C_fix(256));}

/* k1984 in current-directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1986(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_curdir(t1);
if(C_truep(t2)){
t3=((C_word*)t0)[3];
((C_proc5)C_retrieve_proc(t3))(5,t3,((C_word*)t0)[2],t1,C_fix(0),t2);}
else{
t3=lf[4];
f_1159(t3,((C_word*)t0)[2],lf[44],lf[104],lf[105],C_SCHEME_END_OF_LIST);}}

/* directory? in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1959(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1959,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[102]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1966,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1980,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[47]+1);
((C_proc3)C_retrieve_proc(t6))(3,t6,t5,t2);}

/* k1978 in directory? in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1980(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[103]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1964 in directory? in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1966(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(t1,C_fix(4));
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,(C_word)C_eqp(C_fix(1),t2));}
else{
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_FALSE);}}

/* directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1905(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1905,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[99]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1912,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t5))(3,t5,t4,C_fix(256));}

/* k1910 in directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1912(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1912,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1915,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=*((C_word*)lf[101]+1);
((C_proc2)C_retrieve_proc(t3))(2,t3,t2);}

/* k1913 in k1910 in directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1915(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1915,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1918,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t3=*((C_word*)lf[101]+1);
((C_proc2)C_retrieve_proc(t3))(2,t3,t2);}

/* k1916 in k1913 in k1910 in directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1918(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1918,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1922,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1957,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t4=*((C_word*)lf[47]+1);
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[4]);}

/* k1955 in k1916 in k1913 in k1910 in directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1957(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1920 in k1916 in k1913 in k1910 in directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1922(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[12],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1922,2,t0,t1);}
t2=(C_word)C_opendir(t1,((C_word*)t0)[7]);
if(C_truep((C_word)C_null_pointerp(((C_word*)t0)[7]))){
t3=lf[4];
f_1159(t3,((C_word*)t0)[6],lf[44],lf[99],lf[100],(C_word)C_a_i_list(&a,1,((C_word*)t0)[5]));}
else{
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1936,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_1936(t6,((C_word*)t0)[6]);}}

/* loop in k1920 in k1916 in k1913 in k1910 in directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_1936(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1936,NULL,2,t0,t1);}
t2=(C_word)C_readdir(((C_word*)t0)[6],((C_word*)t0)[5]);
if(C_truep((C_word)C_null_pointerp(((C_word*)t0)[5]))){
t3=(C_word)C_closedir(((C_word*)t0)[6]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_END_OF_LIST);}
else{
t3=(C_word)C_foundfile(((C_word*)t0)[5],((C_word*)t0)[4]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1946,a[2]=((C_word*)t0)[3],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=((C_word*)t0)[2];
((C_proc5)C_retrieve_proc(t5))(5,t5,t4,((C_word*)t0)[4],C_fix(0),t3);}}

/* k1944 in loop in k1920 in k1916 in k1913 in k1910 in directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1946(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1946,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1953,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)((C_word*)t0)[2])[1];
f_1936(t3,t2);}

/* k1951 in k1944 in loop in k1920 in k1916 in k1913 in k1910 in directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1953(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1953,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_cons(&a,2,((C_word*)t0)[2],t1));}

/* delete-directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1881(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1881,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[95]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1899,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1903,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[47]+1);
((C_proc3)C_retrieve_proc(t6))(3,t6,t5,t2);}

/* k1901 in delete-directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1903(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1897 in delete-directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1899(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1899,2,t0,t1);}
t2=(C_word)C_rmdir(t1);
if(C_truep((C_word)C_i_zerop(t2))){
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=lf[4];
f_1159(t3,((C_word*)t0)[3],lf[44],lf[95],lf[96],(C_word)C_a_i_list(&a,1,((C_word*)t0)[2]));}}

/* change-directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1857(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1857,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[93]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1875,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1879,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[47]+1);
((C_proc3)C_retrieve_proc(t6))(3,t6,t5,t2);}

/* k1877 in change-directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1879(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1873 in change-directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1875(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1875,2,t0,t1);}
t2=(C_word)C_chdir(t1);
if(C_truep((C_word)C_i_zerop(t2))){
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=lf[4];
f_1159(t3,((C_word*)t0)[3],lf[44],lf[93],lf[94],(C_word)C_a_i_list(&a,1,((C_word*)t0)[2]));}}

/* create-directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1833(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1833,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[91]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1851,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1855,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[47]+1);
((C_proc3)C_retrieve_proc(t6))(3,t6,t5,t2);}

/* k1853 in create-directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1855(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1849 in create-directory in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1851(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1851,2,t0,t1);}
t2=(C_word)C_mkdir(t1);
if(C_truep((C_word)C_i_zerop(t2))){
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=lf[4];
f_1159(t3,((C_word*)t0)[3],lf[44],lf[91],lf[92],(C_word)C_a_i_list(&a,1,((C_word*)t0)[2]));}}

/* set-file-position! in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1775(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4rv,(void*)f_1775r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_1775r(t0,t1,t2,t3,t4);}}

static void f_1775r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a=C_alloc(6);
t5=(C_word)C_notvemptyp(t4);
t6=(C_truep(t5)?(C_word)C_i_vector_ref(t4,C_fix(0)):C_fix((C_word)SEEK_SET));
t7=(C_word)C_i_check_exact_2(t3,lf[86]);
t8=(C_word)C_i_check_exact_2(t6,lf[86]);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1788,a[2]=t6,a[3]=t3,a[4]=t2,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
if(C_truep((C_word)C_fixnum_lessp(t3,C_fix(0)))){
t10=*((C_word*)lf[5]+1);
((C_proc7)(void*)(*((C_word*)t10+1)))(7,t10,t9,lf[89],lf[86],lf[90],t3,t2);}
else{
t10=t9;
f_1788(2,t10,C_SCHEME_UNDEFINED);}}

/* k1786 in set-file-position! in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1788(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1788,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1794,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1800,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=*((C_word*)lf[85]+1);
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[4]);}

/* k1798 in k1786 in set-file-position! in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1800(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(((C_word*)t0)[5],C_fix(7));
t3=(C_word)C_eqp(t2,lf[83]);
t4=((C_word*)t0)[4];
f_1794(2,t4,(C_truep(t3)?(C_word)C_fseek(((C_word*)t0)[5],((C_word*)t0)[3],((C_word*)t0)[2]):C_SCHEME_FALSE));}
else{
if(C_truep((C_word)C_fixnump(((C_word*)t0)[5]))){
t2=((C_word*)t0)[4];
f_1794(2,t2,(C_word)C_lseek(((C_word*)t0)[5],((C_word*)t0)[3],((C_word*)t0)[2]));}
else{
t2=*((C_word*)lf[5]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[4],lf[53],lf[86],lf[88],((C_word*)t0)[5]);}}}

/* k1792 in k1786 in set-file-position! in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1794(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1794,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_UNDEFINED);}
else{
t2=lf[4];
f_1159(t2,((C_word*)t0)[4],lf[44],lf[86],lf[87],(C_word)C_a_i_list(&a,2,((C_word*)t0)[3],((C_word*)t0)[2]));}}

/* file-position in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1738(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1738,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1742,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1754,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=*((C_word*)lf[85]+1);
((C_proc3)C_retrieve_proc(t5))(3,t5,t4,t2);}

/* k1752 in file-position in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1754(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(((C_word*)t0)[3],C_fix(7));
t3=(C_word)C_eqp(t2,lf[83]);
t4=((C_word*)t0)[2];
f_1742(2,t4,(C_truep(t3)?(C_word)C_ftell(((C_word*)t0)[3]):C_fix(-1)));}
else{
if(C_truep((C_word)C_fixnump(((C_word*)t0)[3]))){
t2=((C_word*)t0)[2];
f_1742(2,t2,(C_word)C_lseek(((C_word*)t0)[3],C_fix(0),C_fix((C_word)SEEK_CUR)));}
else{
t2=*((C_word*)lf[5]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[2],lf[53],lf[81],lf[84],((C_word*)t0)[3]);}}}

/* k1740 in file-position in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1742(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1742,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1745,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnum_lessp(t1,C_fix(0)))){
t3=lf[4];
f_1159(t3,t2,lf[44],lf[81],lf[82],(C_word)C_a_i_list(&a,1,((C_word*)t0)[2]));}
else{
t3=t2;
f_1745(2,t3,C_SCHEME_UNDEFINED);}}

/* k1743 in k1740 in file-position in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1745(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* symbolic-link? in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1729(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1729,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[80]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1736,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_1615(t4,t2,C_SCHEME_TRUE,lf[80]);}

/* k1734 in symbolic-link? in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1736(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_mk_bool(C_islink));}

/* regular-file? in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1720(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1720,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[79]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1727,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_1615(t4,t2,C_SCHEME_TRUE,lf[79]);}

/* k1725 in regular-file? in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1727(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_mk_bool(C_isreg));}

/* file-permissions in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1714(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1714,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1718,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_1615(t3,t2,C_SCHEME_FALSE,lf[78]);}

/* k1716 in file-permissions in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1718(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_mode));}

/* file-owner in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1708(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1708,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1712,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_1615(t3,t2,C_SCHEME_FALSE,lf[77]);}

/* k1710 in file-owner in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1712(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_uid));}

/* file-change-time in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1702(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1702,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1706,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_1615(t3,t2,C_SCHEME_FALSE,lf[76]);}

/* k1704 in file-change-time in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1706(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1706,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_flonum(&a,C_statbuf.st_ctime));}

/* file-access-time in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1696(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1696,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1700,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_1615(t3,t2,C_SCHEME_FALSE,lf[75]);}

/* k1698 in file-access-time in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1700(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1700,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_flonum(&a,C_statbuf.st_atime));}

/* file-modification-time in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1690(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1690,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1694,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_1615(t3,t2,C_SCHEME_FALSE,lf[74]);}

/* k1692 in file-modification-time in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1694(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1694,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_flonum(&a,C_statbuf.st_mtime));}

/* file-size in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1684(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1684,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1688,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_1615(t3,t2,C_SCHEME_FALSE,lf[73]);}

/* k1686 in file-size in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1688(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_size));}

/* file-stat in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1652(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+7)){
C_save_and_reclaim((void*)tr3r,(void*)f_1652r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_1652r(t0,t1,t2,t3);}}

static void f_1652r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(7);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1656,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1663,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_i_nullp(t3))){
t6=t5;
f_1663(2,t6,C_SCHEME_FALSE);}
else{
t6=(C_word)C_i_cdr(t3);
if(C_truep((C_word)C_i_nullp(t6))){
t7=t5;
f_1663(2,t7,(C_word)C_i_car(t3));}
else{
t7=*((C_word*)lf[72]+1);
((C_proc4)(void*)(*((C_word*)t7+1)))(4,t7,t5,lf[0],t3);}}}

/* k1661 in file-stat in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1663(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
f_1615(((C_word*)t0)[3],((C_word*)t0)[2],t1,lf[71]);}

/* k1654 in file-stat in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1656(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[22],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1656,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_vector(&a,9,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_ino),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_mode),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_nlink),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_uid),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_gid),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_size),C_flonum(&a,C_statbuf.st_atime),C_flonum(&a,C_statbuf.st_ctime),C_flonum(&a,C_statbuf.st_mtime)));}

/* ##sys#stat in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_1615(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[12],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1615,NULL,4,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1619,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep((C_word)C_fixnump(t2))){
t6=t5;
f_1619(2,t6,(C_word)C_fstat(t2));}
else{
if(C_truep((C_word)C_i_stringp(t2))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1640,a[2]=t3,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1647,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=*((C_word*)lf[47]+1);
((C_proc3)C_retrieve_proc(t8))(3,t8,t7,t2);}
else{
t6=*((C_word*)lf[5]+1);
((C_proc5)(void*)(*((C_word*)t6+1)))(5,t6,t5,lf[53],lf[70],t2);}}}

/* k1645 in ##sys#stat in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1647(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1638 in ##sys#stat in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1640(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
f_1619(2,t2,(C_truep(((C_word*)t0)[2])?(C_word)C_lstat(t1):(C_word)C_stat(t1)));}

/* k1617 in ##sys#stat in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1619(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1619,2,t0,t1);}
if(C_truep((C_word)C_fixnum_lessp(t1,C_fix(0)))){
t2=lf[4];
f_1159(t2,((C_word*)t0)[4],lf[44],((C_word*)t0)[3],lf[69],(C_word)C_a_i_list(&a,1,((C_word*)t0)[2]));}
else{
t2=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_UNDEFINED);}}

/* file-select in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1423(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+15)){
C_save_and_reclaim((void*)tr4rv,(void*)f_1423r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_1423r(t0,t1,t2,t3,t4);}}

static void f_1423r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a=C_alloc(15);
t5=C_fix(0);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(C_word)C_notvemptyp(t4);
t8=(C_truep(t7)?(C_word)C_i_vector_ref(t4,C_fix(0)):C_SCHEME_FALSE);
t9=f_1397(C_fix(0));
t10=f_1397(C_fix(1));
t11=(C_word)C_i_not(t2);
t12=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_1439,a[2]=((C_word*)t0)[2],a[3]=t6,a[4]=t8,a[5]=((C_word*)t0)[3],a[6]=t2,a[7]=t1,a[8]=t3,tmp=(C_word)a,a+=9,tmp);
if(C_truep(t11)){
t13=t12;
f_1439(2,t13,t11);}
else{
if(C_truep((C_word)C_fixnump(t2))){
t13=C_set_block_item(t6,0,t2);
t14=t12;
f_1439(2,t14,f_1403(C_fix(0),t2));}
else{
t13=(C_word)C_i_check_list_2(t2,lf[62]);
t14=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1596,a[2]=((C_word*)t0)[2],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t15=*((C_word*)lf[64]+1);
((C_proc4)(void*)(*((C_word*)t15+1)))(4,t15,t12,t14,t2);}}}

/* a1595 in file-select in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1596(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1596,3,t0,t1,t2);}
t3=(C_word)C_i_check_exact_2(t2,lf[62]);
t4=C_mutate(((C_word *)((C_word*)t0)[3])+1,(C_word)C_i_fixnum_max(((C_word*)((C_word*)t0)[3])[1],t2));
t5=t1;
((C_proc2)C_retrieve_proc(t5))(2,t5,f_1403(C_fix(0),t2));}

/* k1437 in file-select in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1439(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[12],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1439,2,t0,t1);}
t2=(C_word)C_i_not(((C_word*)t0)[8]);
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1445,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t2)){
t4=t3;
f_1445(2,t4,t2);}
else{
if(C_truep((C_word)C_fixnump(((C_word*)t0)[8]))){
t4=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)t0)[8]);
t5=t3;
f_1445(2,t5,f_1403(C_fix(1),((C_word*)t0)[8]));}
else{
t4=(C_word)C_i_check_list_2(((C_word*)t0)[8],lf[62]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1570,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t6=*((C_word*)lf[64]+1);
((C_proc4)(void*)(*((C_word*)t6+1)))(4,t6,t3,t5,((C_word*)t0)[8]);}}}

/* a1569 in k1437 in file-select in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1570(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1570,3,t0,t1,t2);}
t3=(C_word)C_i_check_exact_2(t2,lf[62]);
t4=C_mutate(((C_word *)((C_word*)t0)[3])+1,(C_word)C_i_fixnum_max(((C_word*)((C_word*)t0)[3])[1],t2));
t5=t1;
((C_proc2)C_retrieve_proc(t5))(2,t5,f_1403(C_fix(1),t2));}

/* k1443 in k1437 in file-select in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1445(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1445,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1448,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[3])){
t3=(C_word)C_i_check_exact_2(((C_word*)t0)[3],lf[62]);
t4=(C_word)C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t5=t2;
f_1448(t5,(C_word)C_C_select_t(t4,((C_word*)t0)[3]));}
else{
t3=(C_word)C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t4=t2;
f_1448(t4,(C_word)C_C_select(t3));}}

/* k1446 in k1443 in k1437 in file-select in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_1448(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word ab[21],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1448,NULL,2,t0,t1);}
if(C_truep((C_word)C_fixnum_lessp(t1,C_fix(0)))){
t2=lf[4];
f_1159(t2,((C_word*)t0)[5],lf[44],lf[62],lf[63],(C_word)C_a_i_list(&a,2,((C_word*)t0)[4],((C_word*)t0)[3]));}
else{
t2=(C_word)C_eqp(t1,C_fix(0));
if(C_truep(t2)){
t3=(C_word)C_i_pairp(((C_word*)t0)[4]);
t4=(C_truep(t3)?C_SCHEME_END_OF_LIST:C_SCHEME_FALSE);
t5=(C_word)C_i_pairp(((C_word*)t0)[3]);
t6=(C_truep(t5)?C_SCHEME_END_OF_LIST:C_SCHEME_FALSE);
C_values(4,0,((C_word*)t0)[5],t4,t6);}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1487,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[4])){
if(C_truep((C_word)C_fixnump(((C_word*)t0)[4]))){
t4=t3;
f_1487(t4,f_1413(C_fix(0),((C_word*)t0)[4]));}
else{
t4=C_SCHEME_END_OF_LIST;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1528,a[2]=t5,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1530,a[2]=t5,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t8=*((C_word*)lf[64]+1);
((C_proc4)(void*)(*((C_word*)t8+1)))(4,t8,t6,t7,((C_word*)t0)[4]);}}
else{
t4=t3;
f_1487(t4,C_SCHEME_FALSE);}}}}

/* a1529 in k1446 in k1443 in k1437 in file-select in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1530(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1530,3,t0,t1,t2);}
t3=f_1413(C_fix(0),t2);
if(C_truep(t3)){
t4=(C_word)C_a_i_cons(&a,2,t2,((C_word*)((C_word*)t0)[2])[1]);
t5=C_mutate(((C_word *)((C_word*)t0)[2])+1,t4);
t6=t1;
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}
else{
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_UNDEFINED);}}

/* k1526 in k1446 in k1443 in k1437 in file-select in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1528(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
f_1487(t2,((C_word*)((C_word*)t0)[2])[1]);}

/* k1485 in k1446 in k1443 in k1437 in file-select in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_1487(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[14],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1487,NULL,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1491,a[2]=t1,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[3])){
if(C_truep((C_word)C_fixnump(((C_word*)t0)[3]))){
t3=t2;
f_1491(t3,f_1413(C_fix(1),((C_word*)t0)[3]));}
else{
t3=C_SCHEME_END_OF_LIST;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1503,a[2]=t4,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1505,a[2]=t4,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t7=*((C_word*)lf[64]+1);
((C_proc4)(void*)(*((C_word*)t7+1)))(4,t7,t5,t6,((C_word*)t0)[3]);}}
else{
t3=t2;
f_1491(t3,C_SCHEME_FALSE);}}

/* a1504 in k1485 in k1446 in k1443 in k1437 in file-select in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1505(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1505,3,t0,t1,t2);}
t3=f_1413(C_fix(1),t2);
if(C_truep(t3)){
t4=(C_word)C_a_i_cons(&a,2,t2,((C_word*)((C_word*)t0)[2])[1]);
t5=C_mutate(((C_word *)((C_word*)t0)[2])+1,t4);
t6=t1;
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}
else{
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_UNDEFINED);}}

/* k1501 in k1485 in k1446 in k1443 in k1437 in file-select in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1503(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
f_1491(t2,((C_word*)((C_word*)t0)[2])[1]);}

/* k1489 in k1485 in k1446 in k1443 in k1437 in file-select in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_1491(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(4,0,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* fd_test in k1138 in k1135 in k1132 in k1129 in k1126 */
static C_word C_fcall f_1413(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_stack_check;
t3=(C_word)C_i_foreign_fixnum_argumentp(t1);
t4=(C_word)C_i_foreign_fixnum_argumentp(t2);
return((C_word)stub74(C_SCHEME_UNDEFINED,t3,t4));}

/* fd_set in k1138 in k1135 in k1132 in k1129 in k1126 */
static C_word C_fcall f_1403(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_stack_check;
t3=(C_word)C_i_foreign_fixnum_argumentp(t1);
t4=(C_word)C_i_foreign_fixnum_argumentp(t2);
return((C_word)stub68(C_SCHEME_UNDEFINED,t3,t4));}

/* fd_zero in k1138 in k1135 in k1132 in k1129 in k1126 */
static C_word C_fcall f_1397(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_check;
t2=(C_word)C_i_foreign_fixnum_argumentp(t1);
return((C_word)stub63(C_SCHEME_UNDEFINED,t2));}

/* file-mkstemp in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1365(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1365,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[59]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1372,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t4,t2);}

/* k1370 in file-mkstemp in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1372(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1372,2,t0,t1);}
t2=(C_word)C_mkstemp(t1);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1375,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,t1);}

/* k1373 in k1370 in file-mkstemp in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1375(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1375,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1378,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(C_word)C_eqp(C_fix(-1),((C_word*)t0)[4]);
if(C_truep(t3)){
t4=lf[4];
f_1159(t4,t2,lf[44],lf[59],lf[61],(C_word)C_a_i_list(&a,1,((C_word*)t0)[2]));}
else{
t4=t2;
f_1378(2,t4,C_SCHEME_UNDEFINED);}}

/* k1376 in k1373 in k1370 in file-mkstemp in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1378(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1378,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1385,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
t3=(C_word)C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
t4=*((C_word*)lf[60]+1);
((C_proc5)C_retrieve_proc(t4))(5,t4,t2,((C_word*)t0)[2],C_fix(0),t3);}

/* k1383 in k1376 in k1373 in k1370 in file-mkstemp in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1385(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(4,0,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* file-write in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1326(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4rv,(void*)f_1326r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_1326r(t0,t1,t2,t3,t4);}}

static void f_1326r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a=C_alloc(6);
t5=(C_word)C_i_check_exact_2(t2,lf[55]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1333,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t7=(C_truep((C_word)C_blockp(t3))?(C_word)C_byteblockp(t3):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=t6;
f_1333(2,t8,C_SCHEME_UNDEFINED);}
else{
t8=*((C_word*)lf[5]+1);
((C_proc6)(void*)(*((C_word*)t8+1)))(6,t8,t6,lf[53],lf[55],lf[57],t3);}}

/* k1331 in file-write in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1333(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1333,2,t0,t1);}
t2=(C_word)C_notvemptyp(((C_word*)t0)[5]);
t3=(C_truep(t2)?(C_word)C_i_vector_ref(((C_word*)t0)[5],C_fix(0)):(C_word)C_block_size(((C_word*)t0)[4]));
t4=(C_word)C_i_check_exact_2(t3,lf[55]);
t5=(C_word)C_write(((C_word*)t0)[3],((C_word*)t0)[4],t3);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1342,a[2]=t5,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t7=(C_word)C_eqp(C_fix(-1),t5);
if(C_truep(t7)){
t8=lf[4];
f_1159(t8,t6,lf[44],lf[55],lf[56],(C_word)C_a_i_list(&a,2,((C_word*)t0)[3],t3));}
else{
t8=t6;
f_1342(2,t8,C_SCHEME_UNDEFINED);}}

/* k1340 in k1331 in file-write in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1342(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* file-read in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1284(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr4rv,(void*)f_1284r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_1284r(t0,t1,t2,t3,t4);}}

static void f_1284r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a=C_alloc(5);
t5=(C_word)C_i_check_exact_2(t2,lf[51]);
t6=(C_word)C_i_check_exact_2(t3,lf[51]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1294,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep((C_word)C_notvemptyp(t4))){
t8=t7;
f_1294(2,t8,(C_word)C_i_vector_ref(t4,C_fix(0)));}
else{
t8=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t8))(3,t8,t7,t3);}}

/* k1292 in file-read in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1294(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1294,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1297,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=(C_truep((C_word)C_blockp(t1))?(C_word)C_byteblockp(t1):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t2;
f_1297(2,t4,C_SCHEME_UNDEFINED);}
else{
t4=*((C_word*)lf[5]+1);
((C_proc6)(void*)(*((C_word*)t4+1)))(6,t4,t2,lf[53],lf[51],lf[54],t1);}}

/* k1295 in k1292 in file-read in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1297(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1297,2,t0,t1);}
t2=(C_word)C_read(((C_word*)t0)[5],((C_word*)t0)[4],((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1300,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t4=(C_word)C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=lf[4];
f_1159(t5,t3,lf[44],lf[51],lf[52],(C_word)C_a_i_list(&a,2,((C_word*)t0)[5],((C_word*)t0)[3]));}
else{
t5=t3;
f_1300(2,t5,C_SCHEME_UNDEFINED);}}

/* k1298 in k1295 in k1292 in file-read in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1300(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1300,2,t0,t1);}
t2=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_list(&a,2,((C_word*)t0)[3],((C_word*)t0)[2]));}

/* file-close in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1269(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1269,3,t0,t1,t2);}
t3=(C_word)C_i_check_exact_2(t2,lf[48]);
if(C_truep((C_word)C_fixnum_lessp((C_word)C_close(t2),C_fix(0)))){
t4=lf[4];
f_1159(t4,t1,lf[44],lf[48],lf[49],(C_word)C_a_i_list(&a,1,t2));}
else{
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_UNDEFINED);}}

/* file-open in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1231(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+9)){
C_save_and_reclaim((void*)tr4rv,(void*)f_1231r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_1231r(t0,t1,t2,t3,t4);}}

static void f_1231r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a=C_alloc(9);
t5=(C_word)C_notvemptyp(t4);
t6=(C_truep(t5)?(C_word)C_i_vector_ref(t4,C_fix(0)):((C_word*)t0)[2]);
t7=(C_word)C_i_check_string_2(t2,lf[43]);
t8=(C_word)C_i_check_exact_2(t3,lf[43]);
t9=(C_word)C_i_check_exact_2(t6,lf[43]);
t10=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1248,a[2]=t2,a[3]=t1,a[4]=t6,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1261,a[2]=t10,tmp=(C_word)a,a+=3,tmp);
t12=*((C_word*)lf[47]+1);
((C_proc3)C_retrieve_proc(t12))(3,t12,t11,t2);}

/* k1259 in file-open in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1261(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[46]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1246 in file-open in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1248(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[13],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1248,2,t0,t1);}
t2=(C_word)C_open(t1,((C_word*)t0)[5],((C_word*)t0)[4]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1251,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=(C_word)C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=lf[4];
f_1159(t5,t3,lf[44],lf[43],lf[45],(C_word)C_a_i_list(&a,3,((C_word*)t0)[2],((C_word*)t0)[5],((C_word*)t0)[4]));}
else{
t5=t3;
f_1251(2,t5,C_SCHEME_UNDEFINED);}}

/* k1249 in k1246 in file-open in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1251(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* yield in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_1176(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1176,NULL,1,t1);}
t2=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1182,tmp=(C_word)a,a+=2,tmp);
C_call_cc(3,0,t1,t2);}

/* a1181 in yield in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1182(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1182,3,t0,t1,t2);}
t3=*((C_word*)lf[10]+1);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1191,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t5=(C_word)C_i_setslot(t3,C_fix(1),t4);
t6=*((C_word*)lf[11]+1);
((C_proc2)C_retrieve_proc(t6))(2,t6,t1);}

/* a1190 in a1181 in yield in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1191(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1191,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t2))(3,t2,t1,C_SCHEME_UNDEFINED);}

/* posix-error in k1138 in k1135 in k1132 in k1129 in k1126 */
static void C_fcall f_1159(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1159,NULL,6,t0,t1,t2,t3,t4,t5);}
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1163,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t5,a[5]=t3,a[6]=t2,a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t7=*((C_word*)lf[8]+1);
((C_proc2)(void*)(*((C_word*)t7+1)))(2,t7,t6);}

/* k1161 in posix-error in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1163(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[16],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1163,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1170,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1174,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t5=(C_word)C_i_foreign_fixnum_argumentp(t1);
t6=(C_word)stub9(t4,t5);
t7=*((C_word*)lf[7]+1);
((C_proc4)(void*)(*((C_word*)t7+1)))(4,t7,t3,t6,C_fix(0));}

/* k1172 in k1161 in posix-error in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1174(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[4];
((C_proc5)C_retrieve_proc(t2))(5,t2,((C_word*)t0)[3],((C_word*)t0)[2],lf[6],t1);}

/* k1168 in k1161 in posix-error in k1138 in k1135 in k1132 in k1129 in k1126 */
static void f_1170(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_apply(7,0,((C_word*)t0)[5],*((C_word*)lf[5]+1),((C_word*)t0)[4],((C_word*)t0)[3],t1,((C_word*)t0)[2]);}

/* make-nonblocking in k1138 in k1135 in k1132 in k1129 in k1126 */
static C_word C_fcall f_1142(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_check;
t2=(C_word)C_i_foreign_fixnum_argumentp(t1);
return((C_word)stub3(C_SCHEME_UNDEFINED,t2));}
/* end of file */
