/* Generated from posixwin.scm by the Chicken compiler
   2005-07-13 19:35
   Version 1, Build 944 - linux-unix-gnu-x86 - [ libffi dload ]
   command line: posixwin.scm -quiet -debug-level 0 -optimize-level 2 -include-path . -output-file posixwin.c -explicit-use
   unit: posix
*/

#include "chicken.h"

#ifndef WIN32_LEAN_AND_MEAN
# define WIN32_LEAN_AND_MEAN
#endif
#include <windows.h>
#include <winsock2.h>

#include <errno.h>
#include <io.h>
#include <stdio.h>
#include <process.h>

static int C_not_implemented(void);
int C_not_implemented() { return -1; }

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <direct.h>

#include <time.h>

#define ARG_MAX 256
#define PIPE_BUF 512

static C_TLS char *C_exec_args[ ARG_MAX ];
static C_TLS struct group *C_group;
static C_TLS int C_pipefds[ 2 ];
static C_TLS time_t C_secs;
static C_TLS struct tm C_tm;
static C_TLS struct stat C_statbuf;
/* pipe handles */
static C_TLS HANDLE C_rd0, C_wr0, C_wr0_, C_rd1, C_wr1, C_rd1_;
static C_TLS HANDLE C_save0, C_save1; /* saved I/O handles */
static C_TLS char C_rdbuf; /* one-char buffer for read */
static C_TLS int C_exstatus;

static C_TLS char C_hostname[256];
static C_TLS char C_osver[16];
static C_TLS char C_osrel[16];
static C_TLS char C_processor[16];

#define C_mkdir(str)        C_fix(mkdir(C_c_string(str)))
#define C_chdir(str)        C_fix(chdir(C_c_string(str)))
#define C_rmdir(str)        C_fix(rmdir(C_c_string(str)))

/* DIRENT stuff */
struct dirent
{
    char *		d_name;
};

typedef struct
{
    struct _finddata_t	fdata;
    int			handle;
    struct dirent	current;
} DIR;

static DIR *opendir(const char *name);
static int closedir(DIR *dir);
static struct dirent *readdir(DIR *dir);

static DIR *opendir(const char *name)
{
    int name_len = strlen(name);
    DIR *dir = (DIR *)malloc(sizeof(DIR));
    char *what;
    if (!dir)
    {
	errno = ENOMEM;
	return NULL;
    }
    what = (char *)malloc(name_len + 3);
    if (!what)
    {
	free(dir);
	errno = ENOMEM;
	return NULL;
    }
    strcpy(what, name);
    if (strchr("\\/", name[name_len - 1]))
	strcat(what, "*");
    else
	strcat(what, "\\*");

    dir->handle = _findfirst(what, &dir->fdata);
    if (dir->handle == -1)
    {
	free(what);
	free(dir);
	return NULL;
    }
    dir->current.d_name = NULL; /* as the first-time indicator */
    free(what);
    return dir;
}
static int closedir(DIR * dir)
{
    if (dir)
    {
	int res = _findclose(dir->handle);
	free(dir);
	return res;
    }
    return -1;
}
static struct dirent *readdir(DIR * dir)
{
    if (dir)
    {
	if (!dir->current.d_name /* first time after opendir */
	     || _findnext(dir->handle, &dir->fdata) != -1)
	{
	    dir->current.d_name = dir->fdata.name;
	    return &dir->current;
	}
    }
    return NULL;
}

#define C_opendir(x,h)		C_set_block_item(h, 0, (C_word) opendir(C_c_string(x)))
#define C_closedir(h)   	(closedir((DIR *)C_block_item(h, 0)), C_SCHEME_UNDEFINED)
#define C_readdir(h,e)		C_set_block_item(e, 0, (C_word) readdir((DIR *)C_block_item(h, 0)))
#define C_foundfile(e,b)	(strcpy(C_c_string(b), ((struct dirent *) C_block_item(e, 0))->d_name),	C_fix(strlen(((struct dirent *) C_block_item(e, 0))->d_name)))

#define C_curdir(buf)       (getcwd(C_c_string(buf), 256) ? C_fix(strlen(C_c_string(buf))) : C_SCHEME_FALSE)

#define open_binary_input_pipe(a, n, name)   C_mpointer(a, _popen(C_c_string(name), "r"))
#define open_text_input_pipe(a, n, name)     open_binary_input_pipe(a, n, name)
#define open_binary_output_pipe(a, n, name)  C_mpointer(a, _popen(C_c_string(name), "w"))
#define open_text_output_pipe(a, n, name)    open_binary_output_pipe(a, n, name)
#define close_pipe(p)                        C_fix(_pclose(C_port_file(p)))

#define C_set_file_ptr(port, ptr)  (C_set_block_item(port, 0, (C_block_item(ptr, 0))), C_SCHEME_UNDEFINED)

#define C_getpid            getpid
#define C_chmod(fn, m)      C_fix(chmod(C_data_pointer(fn), C_unfix(m)))
#define C_fdopen(a, n, fd, m) C_mpointer(a, fdopen(C_unfix(fd), C_c_string(m)))
#define C_C_fileno(p)       C_fix(fileno(C_port_file(p)))
#define C_dup(x)            C_fix(dup(C_unfix(x)))
#define C_dup2(x, y)        C_fix(dup2(C_unfix(x), C_unfix(y)))
#define C_setvbuf(p, m, s)  C_fix(setvbuf(C_port_file(p), NULL, C_unfix(m), C_unfix(s)))
#define C_access(fn, m)     C_fix(access((char *)C_data_pointer(fn), C_unfix(m)))
#define C_pipe(d)           C_fix(_pipe(C_pipefds, PIPE_BUF, O_BINARY))
#define C_close(fd)         C_fix(close(C_unfix(fd)))

#define C_getenventry(i)   environ[ i ]

#define C_putenv(s)         C_fix(putenv((char *)C_data_pointer(s)))
#define C_stat(fn)          C_fix(stat((char *)C_data_pointer(fn), &C_statbuf))
#define C_fstat(f)          C_fix(fstat(C_unfix(f), &C_statbuf))

static C_word C_fcall C_setenv(C_word x, C_word y);
C_word C_fcall C_setenv(C_word x, C_word y) {
  char *sx = C_data_pointer(x),
       *sy = C_data_pointer(y);
  int n1 = C_strlen(sx), n2 = C_strlen(sy);				       
  char *buf = (char *)C_malloc(n1 + n2 + 2);
  if(buf == NULL) return(C_fix(0));
  else {
    C_strcpy(buf, sx);
    buf[ n1 ] = '=';
    C_strcpy(buf + n1 + 1, sy);
    return(C_fix(putenv(buf)));
  }
}

static void C_fcall C_set_exec_arg(int i, char *a, int len);
void C_fcall C_set_exec_arg(int i, char *a, int len) {
  char *ptr;
  if(a != NULL) {
    ptr = (char *)C_malloc(len + 1);
    C_memcpy(ptr, a, len);
    ptr[ len ] = '\0';
  }
  else ptr = NULL;
  C_exec_args[ i ] = ptr;
}

static void C_fcall C_free_exec_args();
void C_fcall C_free_exec_args() {
  char **a = C_exec_args;
  while((*a) != NULL) C_free(*(a++));
}

#define C_execvp(f)         C_fix(execvp(C_data_pointer(f), C_exec_args))

/* MS replacement for the fork-exec pair */
#define C_spawnvp(m, f)	    C_fix(spawnvp(C_unfix(m), C_data_pointer(f), C_exec_args))

#define C_open(fn, fl, m)   C_fix(open(C_c_string(fn), C_unfix(fl), C_unfix(m)))
#define C_read(fd, b, n)    C_fix(read(C_unfix(fd), C_data_pointer(b), C_unfix(n)))
#define C_write(fd, b, n)   C_fix(write(C_unfix(fd), C_data_pointer(b), C_unfix(n)))
#define C_mkstemp(t)        C_fix(mktemp(C_c_string(t)))

#define C_ftell(p)            C_fix(ftell(C_port_file(p)))
#define C_fseek(p, n, w)      C_mk_nbool(fseek(C_port_file(p), C_unfix(n), C_unfix(w)))
#define C_lseek(fd, o, w)     C_fix(lseek(C_unfix(fd), C_unfix(o), C_unfix(w)))

#define C_ctime(n)          (C_secs = (n), ctime(&C_secs))

#define C_asctime(v)        (memset(&C_tm, 0, sizeof(struct tm)), C_tm.tm_sec = C_unfix(C_block_item(v, 0)), C_tm.tm_min = C_unfix(C_block_item(v, 1)), C_tm.tm_hour = C_unfix(C_block_item(v, 2)), C_tm.tm_mday = C_unfix(C_block_item(v, 3)), C_tm.tm_mon = C_unfix(C_block_item(v, 4)), C_tm.tm_year = C_unfix(C_block_item(v, 5)), C_tm.tm_wday = C_unfix(C_block_item(v, 6)), C_tm.tm_yday = C_unfix(C_block_item(v, 7)), C_tm.tm_isdst = (C_block_item(v, 8) != C_SCHEME_FALSE), asctime(&C_tm) )

/* mapping from Win32 error codes to errno */
typedef struct
{
    DWORD   win32;
    int	    libc;
} errmap_t;
static errmap_t errmap[] =
{
    {ERROR_INVALID_FUNCTION,      EINVAL},
    {ERROR_FILE_NOT_FOUND,        ENOENT},
    {ERROR_PATH_NOT_FOUND,        ENOENT},
    {ERROR_TOO_MANY_OPEN_FILES,   EMFILE},
    {ERROR_ACCESS_DENIED,         EACCES},
    {ERROR_INVALID_HANDLE,        EBADF},
    {ERROR_ARENA_TRASHED,         ENOMEM},
    {ERROR_NOT_ENOUGH_MEMORY,     ENOMEM},
    {ERROR_INVALID_BLOCK,         ENOMEM},
    {ERROR_BAD_ENVIRONMENT,       E2BIG},
    {ERROR_BAD_FORMAT,            ENOEXEC},
    {ERROR_INVALID_ACCESS,        EINVAL},
    {ERROR_INVALID_DATA,          EINVAL},
    {ERROR_INVALID_DRIVE,         ENOENT},
    {ERROR_CURRENT_DIRECTORY,     EACCES},
    {ERROR_NOT_SAME_DEVICE,       EXDEV},
    {ERROR_NO_MORE_FILES,         ENOENT},
    {ERROR_LOCK_VIOLATION,        EACCES},
    {ERROR_BAD_NETPATH,           ENOENT},
    {ERROR_NETWORK_ACCESS_DENIED, EACCES},
    {ERROR_BAD_NET_NAME,          ENOENT},
    {ERROR_FILE_EXISTS,           EEXIST},
    {ERROR_CANNOT_MAKE,           EACCES},
    {ERROR_FAIL_I24,              EACCES},
    {ERROR_INVALID_PARAMETER,     EINVAL},
    {ERROR_NO_PROC_SLOTS,         EAGAIN},
    {ERROR_DRIVE_LOCKED,          EACCES},
    {ERROR_BROKEN_PIPE,           EPIPE},
    {ERROR_DISK_FULL,             ENOSPC},
    {ERROR_INVALID_TARGET_HANDLE, EBADF},
    {ERROR_INVALID_HANDLE,        EINVAL},
    {ERROR_WAIT_NO_CHILDREN,      ECHILD},
    {ERROR_CHILD_NOT_COMPLETE,    ECHILD},
    {ERROR_DIRECT_ACCESS_HANDLE,  EBADF},
    {ERROR_NEGATIVE_SEEK,         EINVAL},
    {ERROR_SEEK_ON_DEVICE,        EACCES},
    {ERROR_DIR_NOT_EMPTY,         ENOTEMPTY},
    {ERROR_NOT_LOCKED,            EACCES},
    {ERROR_BAD_PATHNAME,          ENOENT},
    {ERROR_MAX_THRDS_REACHED,     EAGAIN},
    {ERROR_LOCK_FAILED,           EACCES},
    {ERROR_ALREADY_EXISTS,        EEXIST},
    {ERROR_FILENAME_EXCED_RANGE,  ENOENT},
    {ERROR_NESTING_NOT_ALLOWED,   EAGAIN},
    {ERROR_NOT_ENOUGH_QUOTA,      ENOMEM},
    {0, 0}
};

static void set_errno(DWORD w32err)
{
    errmap_t *map = errmap;
    for (; errmap->win32; ++map)
    {
	if (errmap->win32 == w32err)
	{
	    errno = errmap->libc;
	    return;
	}
    }
}

/* functions for creating process with redirected I/O */
static int zero_handles()
{
    C_rd0 = C_wr0 = C_wr0_ = INVALID_HANDLE_VALUE;
    C_rd1 = C_wr1 = C_rd1_ = INVALID_HANDLE_VALUE;
    C_save0 = C_save1 = INVALID_HANDLE_VALUE;
    return 1;
}
static int close_handles()
{
    if (C_rd0 != INVALID_HANDLE_VALUE)
	CloseHandle(C_rd0);
    if (C_rd1 != INVALID_HANDLE_VALUE)
	CloseHandle(C_rd1);
    if (C_wr0 != INVALID_HANDLE_VALUE)
	CloseHandle(C_wr0);
    if (C_wr1 != INVALID_HANDLE_VALUE)
	CloseHandle(C_wr1);
    if (C_rd1_ != INVALID_HANDLE_VALUE)
	CloseHandle(C_rd1_);
    if (C_wr0_ != INVALID_HANDLE_VALUE)
	CloseHandle(C_wr0_);
    if (C_save0 != INVALID_HANDLE_VALUE)
    {
	SetStdHandle(STD_INPUT_HANDLE, C_save0);
	CloseHandle(C_save0);
    }
    if (C_save1 != INVALID_HANDLE_VALUE)
    {
	SetStdHandle(STD_OUTPUT_HANDLE, C_save1);
	CloseHandle(C_save1);
    }
    return zero_handles();
}
static int redir_io()
{
    SECURITY_ATTRIBUTES sa;
    sa.nLength = sizeof(SECURITY_ATTRIBUTES);
    sa.bInheritHandle = TRUE;
    sa.lpSecurityDescriptor = NULL;

    zero_handles();

    C_save0 = GetStdHandle(STD_INPUT_HANDLE);
    C_save1 = GetStdHandle(STD_OUTPUT_HANDLE);
    if (!CreatePipe(&C_rd0, &C_wr0, &sa, 0)
	    || !SetStdHandle(STD_INPUT_HANDLE, C_rd0)
	    || !DuplicateHandle(GetCurrentProcess(), C_wr0, GetCurrentProcess(),
		&C_wr0_, 0, FALSE, DUPLICATE_SAME_ACCESS)
	    || !CreatePipe(&C_rd1, &C_wr1, &sa, 0)
	    || !SetStdHandle(STD_OUTPUT_HANDLE, C_wr1)
	    || !DuplicateHandle(GetCurrentProcess(), C_rd1, GetCurrentProcess(),
		&C_rd1_, 0, FALSE, DUPLICATE_SAME_ACCESS))
    {
	set_errno(GetLastError());
	close_handles();
	return 0;
    }

    CloseHandle(C_wr0);
    C_wr0 = INVALID_HANDLE_VALUE;
    CloseHandle(C_rd1);
    C_rd1 = INVALID_HANDLE_VALUE;
    return 1;
}
static int run_process(char *cmdline)
{
    PROCESS_INFORMATION pi;
    STARTUPINFO si;

    ZeroMemory(&pi, sizeof(PROCESS_INFORMATION));
    ZeroMemory(&si, sizeof(STARTUPINFO));
    si.cb = sizeof(STARTUPINFO);

    C_wr0_ = C_rd1_ = INVALID_HANDLE_VALUE; /* these handles are saved */

    if (CreateProcess(NULL, cmdline, NULL, NULL, TRUE, 0, NULL,
		NULL, &si, &pi))
    {
	CloseHandle(pi.hThread);

	SetStdHandle(STD_INPUT_HANDLE, C_save0);
	SetStdHandle(STD_OUTPUT_HANDLE, C_save1);
	C_save0 = C_save1 = INVALID_HANDLE_VALUE;

	CloseHandle(C_rd0);
	CloseHandle(C_wr1);
	C_rd0 = C_wr1 = INVALID_HANDLE_VALUE;
	return (int)pi.hProcess;
    }
    else
    {
	set_errno(GetLastError());
	return 0;
    }
}
static int pipe_write(int hpipe, void* buf, int count)
{
    DWORD done = 0;
    if (WriteFile((HANDLE)hpipe, buf, count, &done, NULL))
	return 1;
    else
    {
	set_errno(GetLastError());
	return 0;
    }
}
static int pipe_read(int hpipe)
{
    DWORD done = 0;
    /* TODO:
    if (!pipe_ready(hpipe))
	go_to_sleep;
    */
    if (ReadFile((HANDLE)hpipe, &C_rdbuf, 1, &done, NULL))
    {
	if (done > 0) /* not EOF yet */
	    return 1;
	else
	    return -1;
    }
    set_errno(GetLastError());
    return 0;
}
static int pipe_ready(int hpipe)
{
    DWORD avail = 0;
    if (PeekNamedPipe((HANDLE)hpipe, NULL, 0, NULL, &avail, NULL) && avail)
	return 1;
    else 
    {
	Sleep(0); /* give pipe a chance */
	if (PeekNamedPipe((HANDLE)hpipe, NULL, 0, NULL, &avail, NULL))
	    return (avail > 0);
	else
	    return 0;
    }
}

#define C_zero_handles() C_fix(zero_handles())
#define C_close_handles() C_fix(close_handles())
#define C_redir_io() (redir_io() ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_run_process(cmdline) C_fix(run_process(C_c_string(cmdline)))
#define C_pipe_write(h, b, n) (pipe_write(C_unfix(h), C_c_string(b), C_unfix(n)) ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_pipe_read(h) C_fix(pipe_read(C_unfix(h)))
#define C_pipe_ready(h) (pipe_ready(C_unfix(h)) ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define close_handle(h) CloseHandle((HANDLE)h)

int process_wait(int h, int t)
{   
    if (WaitForSingleObject((HANDLE)h, (t ? 0 : INFINITE)) == WAIT_OBJECT_0)
    {
	DWORD ret;
	if (GetExitCodeProcess((HANDLE)h, &ret))
	{
	    CloseHandle((HANDLE)h);
	    C_exstatus = ret;
	    return 1;
	}
    }
    set_errno(GetLastError());
    return 0;
}

#define C_process_wait(p, t) (process_wait(C_unfix(p), C_truep(t)) ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_sleep(t) (Sleep(C_unfix(t) * 1000), C_SCHEME_UNDEFINED)

int get_hostname()
{
    WSADATA wsa;
    if (WSAStartup(MAKEWORD(1, 1), &wsa) == 0)
    {
	int nok = gethostname(C_hostname, 256);
	WSACleanup();
	return !nok;
    }
    return 0;
}

int sysinfo()
{
    OSVERSIONINFO ovf;
    ZeroMemory(&ovf, sizeof(ovf));
    ovf.dwOSVersionInfoSize = sizeof(ovf);
    if (get_hostname() && GetVersionEx(&ovf))
    {
	SYSTEM_INFO si;
	_snprintf(C_osver, sizeof(C_osver) - 1, "%d.%d.%d", 
			   ovf.dwMajorVersion, ovf.dwMinorVersion, ovf.dwBuildNumber);
	switch (ovf.dwPlatformId)
	{
	case VER_PLATFORM_WIN32s:
	    strncpy(C_osrel, "Win32s", sizeof(C_osrel) - 1);
	    break;
	case VER_PLATFORM_WIN32_WINDOWS:
	    strncpy(C_osrel, "Win9x", sizeof(C_osrel) - 1);
	    break;
	case VER_PLATFORM_WIN32_NT:
	default:
	    strncpy(C_osrel, "WinNT", sizeof(C_osrel) - 1);
	    break;
	}
	GetSystemInfo(&si);
	switch (si.wProcessorArchitecture)
	{
    	case PROCESSOR_ARCHITECTURE_INTEL:
	    strncpy(C_processor, "Intel", sizeof(C_processor) - 1);
	    break;
    	case PROCESSOR_ARCHITECTURE_UNKNOWN:
	default:
	    strncpy(C_processor, "Unknown", sizeof(C_processor) - 1);
	    break;
	}
	return 1;
    }
    set_errno(GetLastError());
    return 0;
}

#define C_get_hostname() (get_hostname() ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_sysinfo() (sysinfo() ? C_SCHEME_TRUE : C_SCHEME_FALSE)


C_externimport void C_scheduler_toplevel(C_word c,C_word d,C_word k) C_noret;
C_externimport void C_regex_toplevel(C_word c,C_word d,C_word k) C_noret;
C_externimport void C_extras_toplevel(C_word c,C_word d,C_word k) C_noret;
C_externimport void C_utils_toplevel(C_word c,C_word d,C_word k) C_noret;

static C_TLS C_word lf[244];


/* from close-handle in k685 in k682 in k679 in k676 in k673 */
static C_word C_fcall stub437(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub437(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_truep(C_a0);
C_r=C_fix((C_word)close_handle(t0));
return C_r;}

/* from get-shell in k685 in k682 in k679 in k676 in k673 */
#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_return; C_cblockend
static C_word C_fcall stub428(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub428(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
    char *ret = getenv("COMSPEC");
    if (ret)
	return (ret);
    else
    {
	OSVERSIONINFO ovf;
	ovf.dwOSVersionInfoSize = sizeof(ovf);
	if (GetVersionEx(&ovf) && (ovf.dwPlatformId == VER_PLATFORM_WIN32_NT))
	    return ("cmd.exe");
	else
	    return ("command.com");
    }
C_return:
#undef return

return C_r;}

/* from current-process-id in k685 in k682 in k679 in k676 in k673 */
static C_word C_fcall stub426(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub426(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_fix((C_word)C_getpid());
return C_r;}

/* from freeargs */
static C_word C_fcall stub403(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub403(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_free_exec_args();
return C_r;}

/* from k2371 */
static C_word C_fcall stub396(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2) C_regparm;
C_regparm static C_word C_fcall stub396(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
void * t1=(void * )C_data_pointer_or_null(C_a1);
int t2=(int )C_unfix(C_a2);
C_set_exec_arg(t0,t1,t2);
return C_r;}

/* from freeargs */
static C_word C_fcall stub351(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub351(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_free_exec_args();
return C_r;}

/* from k2208 */
static C_word C_fcall stub344(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2) C_regparm;
C_regparm static C_word C_fcall stub344(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
void * t1=(void * )C_data_pointer_or_null(C_a1);
int t2=(int )C_unfix(C_a2);
C_set_exec_arg(t0,t1,t2);
return C_r;}

/* from k2007 */
static C_word C_fcall stub295(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub295(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
_exit(t0);
return C_r;}

/* from asctime */
static C_word C_fcall stub284(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub284(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word t0=(C_word )(C_a0);
C_r=C_mpointer(&C_a,(void*)C_asctime(t0));
return C_r;}

/* from k1956 */
static C_word C_fcall stub275(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub275(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_num_to_int(C_a0);
C_r=C_mpointer(&C_a,(void*)C_ctime(t0));
return C_r;}

/* from k1863 */
static C_word C_fcall stub258(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub258(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenventry(t0));
return C_r;}

C_externexport void C_posix_toplevel(C_word c,C_word t0,C_word t1) C_noret;
static void f_675(C_word c,C_word t0,C_word t1) C_noret;
static void f_678(C_word c,C_word t0,C_word t1) C_noret;
static void f_681(C_word c,C_word t0,C_word t1) C_noret;
static void f_684(C_word c,C_word t0,C_word t1) C_noret;
static void f_687(C_word c,C_word t0,C_word t1) C_noret;
static void f_2752(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_2752r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void C_fcall f_2903(C_word t0,C_word t1) C_noret;
static void f_2909(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void C_fcall f_2898(C_word t0,C_word t1,C_word t2) C_noret;
static void C_fcall f_2893(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void C_fcall f_2754(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
static void f_2880(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_2888(C_word c,C_word t0,C_word t1,...) C_noret;
static void C_fcall f_2761(C_word t0,C_word t1) C_noret;
static void f_2868(C_word c,C_word t0,C_word t1) C_noret;
static void f_2771(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2773(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_2792(C_word c,C_word t0,C_word t1) C_noret;
static void f_2854(C_word c,C_word t0,C_word t1) C_noret;
static void f_2861(C_word c,C_word t0,C_word t1) C_noret;
static void f_2848(C_word c,C_word t0,C_word t1) C_noret;
static void f_2807(C_word c,C_word t0,C_word t1) C_noret;
static void f_2838(C_word c,C_word t0,C_word t1) C_noret;
static void f_2824(C_word c,C_word t0,C_word t1) C_noret;
static void f_2836(C_word c,C_word t0,C_word t1) C_noret;
static void f_2832(C_word c,C_word t0,C_word t1) C_noret;
static void f_2819(C_word c,C_word t0,C_word t1) C_noret;
static void f_2817(C_word c,C_word t0,C_word t1) C_noret;
static void f_2872(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2721(C_word c,C_word t0,C_word t1) C_noret;
static void f_2747(C_word c,C_word t0,C_word t1) C_noret;
static void f_2732(C_word c,C_word t0,C_word t1) C_noret;
static void f_2736(C_word c,C_word t0,C_word t1) C_noret;
static void f_2740(C_word c,C_word t0,C_word t1) C_noret;
static void f_2744(C_word c,C_word t0,C_word t1) C_noret;
static void f_2709(C_word c,C_word t0,C_word t1) C_noret;
static void f_2706(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2664(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_2664r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_2686(C_word c,C_word t0,C_word t1) C_noret;
static void f_2513(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_2513r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void C_fcall f_2616(C_word t0,C_word t1) C_noret;
static void C_fcall f_2611(C_word t0,C_word t1) C_noret;
static void C_fcall f_2515(C_word t0,C_word t1) C_noret;
static void f_2607(C_word c,C_word t0,C_word t1) C_noret;
static void f_2522(C_word c,C_word t0,C_word t1) C_noret;
static void f_2594(C_word c,C_word t0,C_word t1) C_noret;
static void f_2597(C_word c,C_word t0,C_word t1) C_noret;
static void f_2600(C_word c,C_word t0,C_word t1) C_noret;
static void f_2587(C_word c,C_word t0,C_word t1) C_noret;
static void f_2584(C_word c,C_word t0,C_word t1) C_noret;
static void f_2560(C_word c,C_word t0,C_word t1) C_noret;
static void f_2535(C_word c,C_word t0,C_word t1) C_noret;
static void f_2554(C_word c,C_word t0,C_word t1) C_noret;
static void f_2541(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2539(C_word c,C_word t0,C_word t1) C_noret;
static C_word C_fcall f_2510(C_word t0);
static void f_2481(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_2481r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_2498(C_word c,C_word t0,C_word t1) C_noret;
static void f_2475(C_word c,C_word t0,C_word t1) C_noret;
static void f_2472(C_word c,C_word t0,C_word t1) C_noret;
static void f_2379(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_2379r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_2395(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2403(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_2436(C_word c,C_word t0,C_word t1) C_noret;
static void f_2417(C_word c,C_word t0,C_word t1) C_noret;
static void f_2420(C_word c,C_word t0,C_word t1) C_noret;
static C_word C_fcall f_2360(C_word t0,C_word t1,C_word t2);
static void f_2216(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_2216r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void C_fcall f_2312(C_word t0,C_word t1) C_noret;
static void C_fcall f_2307(C_word t0,C_word t1,C_word t2) C_noret;
static void C_fcall f_2218(C_word t0,C_word t1,C_word t2) C_noret;
static void f_2231(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2239(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_2272(C_word c,C_word t0,C_word t1) C_noret;
static void f_2253(C_word c,C_word t0,C_word t1) C_noret;
static void f_2256(C_word c,C_word t0,C_word t1) C_noret;
static C_word C_fcall f_2197(C_word t0,C_word t1,C_word t2);
static void f_2088(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_2088r(C_word t0,C_word t1,C_word t3) C_noret;
static void C_fcall f_2094(C_word t0,C_word t1,C_word t2) C_noret;
static void f_2115(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
static void f_2186(C_word c,C_word t0,C_word t1) C_noret;
static void f_2119(C_word c,C_word t0,C_word t1) C_noret;
static void f_2126(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2128(C_word t0,C_word t1,C_word t2) C_noret;
static void f_2145(C_word c,C_word t0,C_word t1) C_noret;
static void f_2155(C_word c,C_word t0,C_word t1) C_noret;
static void f_2159(C_word c,C_word t0,C_word t1) C_noret;
static void f_2109(C_word c,C_word t0,C_word t1) C_noret;
static void f_2029(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_2029r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_2033(C_word c,C_word t0,C_word t1) C_noret;
static void f_2039(C_word c,C_word t0,C_word t1) C_noret;
static void f_2010(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_2010r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_2014(C_word c,C_word t0,C_word t1) C_noret;
static void f_1976(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1983(C_word c,C_word t0,C_word t1) C_noret;
static void f_1986(C_word c,C_word t0,C_word t1) C_noret;
static void f_1989(C_word c,C_word t0,C_word t1) C_noret;
static void f_1959(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1963(C_word c,C_word t0,C_word t1) C_noret;
static void f_1966(C_word c,C_word t0,C_word t1) C_noret;
static void f_1940(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1931(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1866(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1872(C_word t0,C_word t1,C_word t2) C_noret;
static void f_1876(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1884(C_word t0,C_word t1,C_word t2) C_noret;
static void f_1910(C_word c,C_word t0,C_word t1) C_noret;
static void f_1914(C_word c,C_word t0,C_word t1) C_noret;
static void f_1902(C_word c,C_word t0,C_word t1) C_noret;
static void f_1846(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1854(C_word c,C_word t0,C_word t1) C_noret;
static void f_1829(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_1840(C_word c,C_word t0,C_word t1) C_noret;
static void f_1844(C_word c,C_word t0,C_word t1) C_noret;
static void f_1799(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_1799r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void C_fcall f_1806(C_word t0,C_word t1) C_noret;
static void f_1815(C_word c,C_word t0,C_word t1) C_noret;
static void f_1809(C_word c,C_word t0,C_word t1) C_noret;
static void f_1764(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1768(C_word c,C_word t0,C_word t1) C_noret;
static void f_1797(C_word c,C_word t0,C_word t1) C_noret;
static void f_1783(C_word c,C_word t0,C_word t1) C_noret;
static void f_1777(C_word c,C_word t0,C_word t1) C_noret;
static void f_1750(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_1750r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_1762(C_word c,C_word t0,C_word t1) C_noret;
static void f_1736(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_1736r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_1748(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1718(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_1722(C_word c,C_word t0,C_word t1) C_noret;
static void f_1734(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1681(C_word t0,C_word t1,C_word t2) C_noret;
static void f_1689(C_word c,C_word t0,C_word t1) C_noret;
static void f_1672(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1666(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1660(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void C_fcall f_1636(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_1658(C_word c,C_word t0,C_word t1) C_noret;
static void f_1654(C_word c,C_word t0,C_word t1) C_noret;
static void f_1646(C_word c,C_word t0,C_word t1) C_noret;
static void f_1606(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_1634(C_word c,C_word t0,C_word t1) C_noret;
static void f_1630(C_word c,C_word t0,C_word t1) C_noret;
static void f_1622(C_word c,C_word t0,C_word t1) C_noret;
static void f_1550(C_word c,C_word t0,C_word t1) C_noret;
static void f_1563(C_word c,C_word t0,C_word t1) C_noret;
static void f_1554(C_word c,C_word t0,C_word t1) C_noret;
static void f_1530(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1530r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1534(C_word c,C_word t0,C_word t1) C_noret;
static void f_1540(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_1540r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_1544(C_word c,C_word t0,C_word t1) C_noret;
static void f_1510(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1510r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1514(C_word c,C_word t0,C_word t1) C_noret;
static void f_1520(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_1520r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_1524(C_word c,C_word t0,C_word t1) C_noret;
static void f_1486(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1486r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1490(C_word c,C_word t0,C_word t1) C_noret;
static void f_1501(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_1501r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_1505(C_word c,C_word t0,C_word t1) C_noret;
static void f_1495(C_word c,C_word t0,C_word t1) C_noret;
static void f_1462(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1462r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1466(C_word c,C_word t0,C_word t1) C_noret;
static void f_1477(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_1477r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_1481(C_word c,C_word t0,C_word t1) C_noret;
static void f_1471(C_word c,C_word t0,C_word t1) C_noret;
static void f_1443(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1447(C_word c,C_word t0,C_word t1) C_noret;
static void f_1450(C_word c,C_word t0,C_word t1) C_noret;
static void f_1407(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_1407r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_1438(C_word c,C_word t0,C_word t1) C_noret;
static void f_1428(C_word c,C_word t0,C_word t1) C_noret;
static void f_1421(C_word c,C_word t0,C_word t1) C_noret;
static void f_1371(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_1371r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_1402(C_word c,C_word t0,C_word t1) C_noret;
static void f_1392(C_word c,C_word t0,C_word t1) C_noret;
static void f_1385(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1353(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_1357(C_word c,C_word t0,C_word t1) C_noret;
static void f_1369(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1347(C_word t0,C_word t1) C_noret;
static C_word C_fcall f_1335(C_word t0);
static void f_1317(C_word c,C_word t0,C_word t1) C_noret;
static void f_1321(C_word c,C_word t0,C_word t1) C_noret;
static void f_1324(C_word c,C_word t0,C_word t1) C_noret;
static void f_1294(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1315(C_word c,C_word t0,C_word t1) C_noret;
static void f_1301(C_word c,C_word t0,C_word t1) C_noret;
static void f_1237(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1244(C_word c,C_word t0,C_word t1) C_noret;
static void f_1247(C_word c,C_word t0,C_word t1) C_noret;
static void f_1250(C_word c,C_word t0,C_word t1) C_noret;
static void f_1292(C_word c,C_word t0,C_word t1) C_noret;
static void f_1254(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1271(C_word t0,C_word t1) C_noret;
static void f_1281(C_word c,C_word t0,C_word t1) C_noret;
static void f_1288(C_word c,C_word t0,C_word t1) C_noret;
static void f_1263(C_word c,C_word t0,C_word t1) C_noret;
static void f_1210(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1235(C_word c,C_word t0,C_word t1) C_noret;
static void f_1231(C_word c,C_word t0,C_word t1) C_noret;
static void f_1223(C_word c,C_word t0,C_word t1) C_noret;
static void f_1183(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1208(C_word c,C_word t0,C_word t1) C_noret;
static void f_1204(C_word c,C_word t0,C_word t1) C_noret;
static void f_1196(C_word c,C_word t0,C_word t1) C_noret;
static void f_1156(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1181(C_word c,C_word t0,C_word t1) C_noret;
static void f_1177(C_word c,C_word t0,C_word t1) C_noret;
static void f_1169(C_word c,C_word t0,C_word t1) C_noret;
static void f_1095(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1095r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1108(C_word c,C_word t0,C_word t1) C_noret;
static void f_1123(C_word c,C_word t0,C_word t1) C_noret;
static void f_1114(C_word c,C_word t0,C_word t1) C_noret;
static void f_1117(C_word c,C_word t0,C_word t1) C_noret;
static void f_1055(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1074(C_word c,C_word t0,C_word t1) C_noret;
static void f_1059(C_word c,C_word t0,C_word t1) C_noret;
static void f_1068(C_word c,C_word t0,C_word t1) C_noret;
static void f_1062(C_word c,C_word t0,C_word t1) C_noret;
static void f_1049(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1026(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1047(C_word c,C_word t0,C_word t1) C_noret;
static void f_1033(C_word c,C_word t0,C_word t1) C_noret;
static void f_1020(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1024(C_word c,C_word t0,C_word t1) C_noret;
static void f_1014(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1018(C_word c,C_word t0,C_word t1) C_noret;
static void f_1008(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1012(C_word c,C_word t0,C_word t1) C_noret;
static void f_1002(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1006(C_word c,C_word t0,C_word t1) C_noret;
static void f_996(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1000(C_word c,C_word t0,C_word t1) C_noret;
static void f_990(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_994(C_word c,C_word t0,C_word t1) C_noret;
static void f_959(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_959r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_963(C_word c,C_word t0,C_word t1) C_noret;
static void f_966(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_921(C_word t0,C_word t1) C_noret;
static void f_954(C_word c,C_word t0,C_word t1) C_noret;
static void f_950(C_word c,C_word t0,C_word t1) C_noret;
static void f_925(C_word c,C_word t0,C_word t1) C_noret;
static void f_934(C_word c,C_word t0,C_word t1) C_noret;
static void f_883(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_890(C_word c,C_word t0,C_word t1) C_noret;
static void f_893(C_word c,C_word t0,C_word t1) C_noret;
static void f_913(C_word c,C_word t0,C_word t1) C_noret;
static void f_896(C_word c,C_word t0,C_word t1) C_noret;
static void f_903(C_word c,C_word t0,C_word t1) C_noret;
static void f_841(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_841r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_848(C_word c,C_word t0,C_word t1) C_noret;
static void f_863(C_word c,C_word t0,C_word t1) C_noret;
static void f_857(C_word c,C_word t0,C_word t1) C_noret;
static void f_796(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_796r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_806(C_word c,C_word t0,C_word t1) C_noret;
static void f_809(C_word c,C_word t0,C_word t1) C_noret;
static void f_821(C_word c,C_word t0,C_word t1) C_noret;
static void f_812(C_word c,C_word t0,C_word t1) C_noret;
static void f_778(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_791(C_word c,C_word t0,C_word t1) C_noret;
static void f_737(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_737r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_770(C_word c,C_word t0,C_word t1) C_noret;
static void f_754(C_word c,C_word t0,C_word t1) C_noret;
static void f_763(C_word c,C_word t0,C_word t1) C_noret;
static void f_757(C_word c,C_word t0,C_word t1) C_noret;
static void f_689(C_word c,C_word t0,C_word t1) C_noret;
static void f_695(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_704(C_word c,C_word t0,C_word t1) C_noret;

static void C_fcall trf_2903(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2903(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2903(t0,t1);}

static void C_fcall trf_2898(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2898(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_2898(t0,t1,t2);}

static void C_fcall trf_2893(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2893(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_2893(t0,t1,t2,t3);}

static void C_fcall trf_2754(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2754(void *dummy){
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
f_2754(t0,t1,t2,t3,t4);}

static void C_fcall trf_2761(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2761(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2761(t0,t1);}

static void C_fcall trf_2773(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2773(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_2773(t0,t1,t2,t3);}

static void C_fcall trf_2616(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2616(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2616(t0,t1);}

static void C_fcall trf_2611(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2611(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2611(t0,t1);}

static void C_fcall trf_2515(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2515(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2515(t0,t1);}

static void C_fcall trf_2403(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2403(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_2403(t0,t1,t2,t3);}

static void C_fcall trf_2312(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2312(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2312(t0,t1);}

static void C_fcall trf_2307(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2307(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_2307(t0,t1,t2);}

static void C_fcall trf_2218(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2218(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_2218(t0,t1,t2);}

static void C_fcall trf_2239(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2239(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_2239(t0,t1,t2,t3);}

static void C_fcall trf_2094(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2094(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_2094(t0,t1,t2);}

static void C_fcall trf_2128(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2128(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_2128(t0,t1,t2);}

static void C_fcall trf_1872(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1872(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_1872(t0,t1,t2);}

static void C_fcall trf_1884(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1884(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_1884(t0,t1,t2);}

static void C_fcall trf_1806(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1806(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_1806(t0,t1);}

static void C_fcall trf_1718(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1718(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_1718(t0,t1,t2,t3);}

static void C_fcall trf_1681(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1681(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_1681(t0,t1,t2);}

static void C_fcall trf_1636(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1636(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_1636(t0,t1,t2,t3);}

static void C_fcall trf_1353(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1353(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_1353(t0,t1,t2,t3);}

static void C_fcall trf_1347(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1347(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_1347(t0,t1);}

static void C_fcall trf_1271(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1271(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_1271(t0,t1);}

static void C_fcall trf_921(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_921(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_921(t0,t1);}

static void C_fcall tr5(C_proc5 k) C_regparm C_noret;
C_regparm static void C_fcall tr5(C_proc5 k){
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
(k)(5,t0,t1,t2,t3,t4);}

static void C_fcall tr3(C_proc3 k) C_regparm C_noret;
C_regparm static void C_fcall tr3(C_proc3 k){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
(k)(3,t0,t1,t2);}

static void C_fcall tr4(C_proc4 k) C_regparm C_noret;
C_regparm static void C_fcall tr4(C_proc4 k){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
(k)(4,t0,t1,t2,t3);}

static void C_fcall tr2(C_proc2 k) C_regparm C_noret;
C_regparm static void C_fcall tr2(C_proc2 k){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
(k)(2,t0,t1);}

static void C_fcall tr2r(C_proc2 k) C_regparm C_noret;
C_regparm static void C_fcall tr2r(C_proc2 k){
int n;
C_word *a,t2;
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
n=C_rest_count(0);
a=C_alloc(n*3);
t2=C_restore_rest(a,n);
(k)(t0,t1,t2);}

static void C_fcall tr3r(C_proc3 k) C_regparm C_noret;
C_regparm static void C_fcall tr3r(C_proc3 k){
int n;
C_word *a,t3;
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
n=C_rest_count(0);
a=C_alloc(n*3);
t3=C_restore_rest(a,n);
(k)(t0,t1,t2,t3);}

static void C_fcall tr4r(C_proc4 k) C_regparm C_noret;
C_regparm static void C_fcall tr4r(C_proc4 k){
int n;
C_word *a,t4;
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
n=C_rest_count(0);
a=C_alloc(n*3);
t4=C_restore_rest(a,n);
(k)(t0,t1,t2,t3,t4);}

static void C_fcall tr2rv(C_proc2 k) C_regparm C_noret;
C_regparm static void C_fcall tr2rv(C_proc2 k){
int n;
C_word *a,t2;
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
n=C_rest_count(0);
a=C_alloc(n+1);
t2=C_restore_rest_vector(a,n);
(k)(t0,t1,t2);}

static void C_fcall tr4rv(C_proc4 k) C_regparm C_noret;
C_regparm static void C_fcall tr4rv(C_proc4 k){
int n;
C_word *a,t4;
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
n=C_rest_count(0);
a=C_alloc(n+1);
t4=C_restore_rest_vector(a,n);
(k)(t0,t1,t2,t3,t4);}

static void C_fcall tr3rv(C_proc3 k) C_regparm C_noret;
C_regparm static void C_fcall tr3rv(C_proc3 k){
int n;
C_word *a,t3;
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
n=C_rest_count(0);
a=C_alloc(n+1);
t3=C_restore_rest_vector(a,n);
(k)(t0,t1,t2,t3);}

/* toplevel */
static C_TLS int toplevel_initialized=0;
static void C_fcall toplevel_trampoline(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall toplevel_trampoline(void *dummy){
C_posix_toplevel(2,C_SCHEME_UNDEFINED,C_restore);}

void C_posix_toplevel(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(toplevel_initialized) C_kontinue(t1,C_SCHEME_UNDEFINED);
else C_toplevel_entry(C_text("posix_toplevel"));
C_check_nursery_minimum(3);
if(!C_demand(3)){
C_save(t1);
C_reclaim((void*)toplevel_trampoline,NULL);}
toplevel_initialized=1;
if(!C_demand_2(3065)){
C_save(t1);
C_rereclaim2(3065*sizeof(C_word), 1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,244);
lf[1]=C_string(C_heaptop,27,"too many optional arguments");
lf[3]=C_h_intern(&lf[3],18,"\003syscurrent-thread");
lf[4]=C_h_intern(&lf[4],12,"\003sysschedule");
lf[5]=C_h_intern(&lf[5],8,"pipe/buf");
lf[6]=C_h_intern(&lf[6],11,"open/rdonly");
lf[7]=C_h_intern(&lf[7],11,"open/wronly");
lf[8]=C_h_intern(&lf[8],9,"open/rdwr");
lf[9]=C_h_intern(&lf[9],9,"open/read");
lf[10]=C_h_intern(&lf[10],10,"open/write");
lf[11]=C_h_intern(&lf[11],10,"open/creat");
lf[12]=C_h_intern(&lf[12],11,"open/append");
lf[13]=C_h_intern(&lf[13],9,"open/excl");
lf[14]=C_h_intern(&lf[14],10,"open/trunc");
lf[15]=C_h_intern(&lf[15],11,"open/binary");
lf[16]=C_h_intern(&lf[16],9,"open/text");
lf[17]=C_h_intern(&lf[17],10,"perm/irusr");
lf[18]=C_h_intern(&lf[18],10,"perm/iwusr");
lf[19]=C_h_intern(&lf[19],10,"perm/ixusr");
lf[20]=C_h_intern(&lf[20],10,"perm/irgrp");
lf[21]=C_h_intern(&lf[21],10,"perm/iwgrp");
lf[22]=C_h_intern(&lf[22],10,"perm/ixgrp");
lf[23]=C_h_intern(&lf[23],10,"perm/iroth");
lf[24]=C_h_intern(&lf[24],10,"perm/iwoth");
lf[25]=C_h_intern(&lf[25],10,"perm/ixoth");
lf[26]=C_h_intern(&lf[26],10,"perm/irwxu");
lf[27]=C_h_intern(&lf[27],10,"perm/irwxg");
lf[28]=C_h_intern(&lf[28],10,"perm/irwxo");
lf[29]=C_h_intern(&lf[29],9,"file-open");
lf[30]=C_h_intern(&lf[30],15,"\003syssignal-hook");
lf[31]=C_h_intern(&lf[31],11,"\000file-error");
lf[32]=C_string(C_heaptop,17,"can not open file");
lf[33]=C_h_intern(&lf[33],16,"\003sysupdate-errno");
lf[34]=C_h_intern(&lf[34],17,"\003sysmake-c-string");
lf[35]=C_h_intern(&lf[35],20,"\003sysexpand-home-path");
lf[36]=C_h_intern(&lf[36],10,"file-close");
lf[37]=C_string(C_heaptop,18,"can not close file");
lf[38]=C_h_intern(&lf[38],11,"make-string");
lf[39]=C_h_intern(&lf[39],9,"file-read");
lf[40]=C_string(C_heaptop,22,"can not read from file");
lf[41]=C_h_intern(&lf[41],11,"\000type-error");
lf[42]=C_string(C_heaptop,47,"bad argument type - not a string or byte-vector");
lf[43]=C_h_intern(&lf[43],10,"file-write");
lf[44]=C_string(C_heaptop,21,"can not write to file");
lf[45]=C_string(C_heaptop,47,"bad argument type - not a string or byte-vector");
lf[46]=C_h_intern(&lf[46],13,"string-length");
lf[47]=C_h_intern(&lf[47],12,"file-mkstemp");
lf[48]=C_h_intern(&lf[48],13,"\003syssubstring");
lf[49]=C_string(C_heaptop,29,"can not create temporary file");
lf[50]=C_h_intern(&lf[50],8,"seek/set");
lf[51]=C_h_intern(&lf[51],8,"seek/end");
lf[52]=C_h_intern(&lf[52],8,"seek/cur");
lf[54]=C_string(C_heaptop,19,"can not access file");
lf[55]=C_string(C_heaptop,42,"bad argument type - not a fixnum or string");
lf[56]=C_h_intern(&lf[56],9,"file-stat");
lf[57]=C_h_intern(&lf[57],9,"\003syserror");
lf[58]=C_h_intern(&lf[58],9,"file-size");
lf[59]=C_h_intern(&lf[59],22,"file-modification-time");
lf[60]=C_h_intern(&lf[60],16,"file-access-time");
lf[61]=C_h_intern(&lf[61],16,"file-change-time");
lf[62]=C_h_intern(&lf[62],10,"file-owner");
lf[63]=C_h_intern(&lf[63],16,"file-permissions");
lf[64]=C_h_intern(&lf[64],13,"regular-file\077");
lf[65]=C_h_intern(&lf[65],13,"\003sysfile-info");
lf[66]=C_h_intern(&lf[66],14,"symbolic-link\077");
lf[67]=C_h_intern(&lf[67],13,"file-position");
lf[68]=C_string(C_heaptop,38,"can not retrieve file position of port");
lf[69]=C_h_intern(&lf[69],6,"stream");
lf[70]=C_string(C_heaptop,12,"invalid file");
lf[71]=C_h_intern(&lf[71],5,"port\077");
lf[72]=C_h_intern(&lf[72],18,"set-file-position!");
lf[73]=C_string(C_heaptop,25,"can not set file position");
lf[74]=C_string(C_heaptop,12,"invalid file");
lf[75]=C_h_intern(&lf[75],13,"\000bounds-error");
lf[76]=C_string(C_heaptop,30,"invalid negative port position");
lf[77]=C_h_intern(&lf[77],16,"create-directory");
lf[78]=C_string(C_heaptop,24,"can not create directory");
lf[79]=C_h_intern(&lf[79],16,"change-directory");
lf[80]=C_string(C_heaptop,32,"can not change current directory");
lf[81]=C_h_intern(&lf[81],16,"delete-directory");
lf[82]=C_string(C_heaptop,24,"can not delete directory");
lf[83]=C_h_intern(&lf[83],13,"string-append");
lf[84]=C_h_intern(&lf[84],6,"string");
lf[85]=C_h_intern(&lf[85],9,"substring");
lf[86]=C_h_intern(&lf[86],9,"directory");
lf[87]=C_string(C_heaptop,22,"can not open directory");
lf[88]=C_h_intern(&lf[88],16,"\003sysmake-pointer");
lf[89]=C_h_intern(&lf[89],10,"directory\077");
lf[90]=C_h_intern(&lf[90],17,"current-directory");
lf[91]=C_string(C_heaptop,34,"can not retrieve current directory");
lf[92]=C_h_intern(&lf[92],5,"\000text");
lf[93]=C_string(C_heaptop,35,"illegal input/output mode specifier");
lf[94]=C_string(C_heaptop,17,"can not open pipe");
lf[95]=C_h_intern(&lf[95],13,"\003sysmake-port");
lf[96]=C_h_intern(&lf[96],21,"\003sysstream-port-class");
lf[97]=C_string(C_heaptop,6,"(pipe)");
lf[98]=C_h_intern(&lf[98],15,"open-input-pipe");
lf[99]=C_h_intern(&lf[99],7,"\000binary");
lf[100]=C_h_intern(&lf[100],16,"open-output-pipe");
lf[101]=C_h_intern(&lf[101],16,"close-input-pipe");
lf[102]=C_string(C_heaptop,24,"error while closing pipe");
lf[103]=C_h_intern(&lf[103],14,"\003syscheck-port");
lf[104]=C_h_intern(&lf[104],17,"close-output-pipe");
lf[105]=C_h_intern(&lf[105],20,"call-with-input-pipe");
lf[106]=C_h_intern(&lf[106],21,"call-with-output-pipe");
lf[107]=C_h_intern(&lf[107],20,"with-input-from-pipe");
lf[108]=C_h_intern(&lf[108],18,"\003sysstandard-input");
lf[109]=C_h_intern(&lf[109],19,"with-output-to-pipe");
lf[110]=C_h_intern(&lf[110],19,"\003sysstandard-output");
lf[111]=C_h_intern(&lf[111],11,"create-pipe");
lf[112]=C_string(C_heaptop,19,"can not create pipe");
lf[113]=C_h_intern(&lf[113],10,"errno/perm");
lf[114]=C_h_intern(&lf[114],11,"errno/noent");
lf[115]=C_h_intern(&lf[115],10,"errno/srch");
lf[116]=C_h_intern(&lf[116],10,"errno/intr");
lf[117]=C_h_intern(&lf[117],8,"errno/io");
lf[118]=C_h_intern(&lf[118],12,"errno/noexec");
lf[119]=C_h_intern(&lf[119],10,"errno/badf");
lf[120]=C_h_intern(&lf[120],11,"errno/child");
lf[121]=C_h_intern(&lf[121],11,"errno/nomem");
lf[122]=C_h_intern(&lf[122],11,"errno/acces");
lf[123]=C_h_intern(&lf[123],11,"errno/fault");
lf[124]=C_h_intern(&lf[124],10,"errno/busy");
lf[125]=C_h_intern(&lf[125],11,"errno/exist");
lf[126]=C_h_intern(&lf[126],12,"errno/notdir");
lf[127]=C_h_intern(&lf[127],11,"errno/isdir");
lf[128]=C_h_intern(&lf[128],11,"errno/inval");
lf[129]=C_h_intern(&lf[129],11,"errno/mfile");
lf[130]=C_h_intern(&lf[130],11,"errno/nospc");
lf[131]=C_h_intern(&lf[131],11,"errno/spipe");
lf[132]=C_h_intern(&lf[132],10,"errno/pipe");
lf[133]=C_h_intern(&lf[133],11,"errno/again");
lf[134]=C_h_intern(&lf[134],10,"errno/rofs");
lf[135]=C_h_intern(&lf[135],10,"errno/nxio");
lf[136]=C_h_intern(&lf[136],10,"errno/2big");
lf[137]=C_h_intern(&lf[137],10,"errno/xdev");
lf[138]=C_h_intern(&lf[138],11,"errno/nodev");
lf[139]=C_h_intern(&lf[139],11,"errno/nfile");
lf[140]=C_h_intern(&lf[140],11,"errno/notty");
lf[141]=C_h_intern(&lf[141],10,"errno/fbig");
lf[142]=C_h_intern(&lf[142],11,"errno/mlink");
lf[143]=C_h_intern(&lf[143],9,"errno/dom");
lf[144]=C_h_intern(&lf[144],11,"errno/range");
lf[145]=C_h_intern(&lf[145],12,"errno/deadlk");
lf[146]=C_h_intern(&lf[146],17,"errno/nametoolong");
lf[147]=C_h_intern(&lf[147],11,"errno/nolck");
lf[148]=C_h_intern(&lf[148],11,"errno/nosys");
lf[149]=C_h_intern(&lf[149],14,"errno/notempty");
lf[150]=C_h_intern(&lf[150],11,"errno/ilseq");
lf[151]=C_h_intern(&lf[151],16,"change-file-mode");
lf[152]=C_string(C_heaptop,24,"can not change file mode");
lf[153]=C_h_intern(&lf[153],17,"file-read-access\077");
lf[154]=C_h_intern(&lf[154],18,"file-write-access\077");
lf[155]=C_h_intern(&lf[155],20,"file-execute-access\077");
lf[156]=C_h_intern(&lf[156],12,"fileno/stdin");
lf[157]=C_h_intern(&lf[157],13,"fileno/stdout");
lf[158]=C_h_intern(&lf[158],13,"fileno/stderr");
lf[159]=C_h_intern(&lf[159],7,"\000append");
lf[160]=C_string(C_heaptop,27,"invalid mode for input file");
lf[161]=C_string(C_heaptop,1,"a");
lf[162]=C_string(C_heaptop,21,"invalid mode argument");
lf[163]=C_string(C_heaptop,1,"r");
lf[164]=C_string(C_heaptop,1,"w");
lf[165]=C_string(C_heaptop,17,"can not open file");
lf[166]=C_string(C_heaptop,8,"(fdport)");
lf[167]=C_h_intern(&lf[167],16,"open-input-file*");
lf[168]=C_h_intern(&lf[168],17,"open-output-file*");
lf[169]=C_h_intern(&lf[169],12,"port->fileno");
lf[170]=C_string(C_heaptop,25,"port has no attached file");
lf[171]=C_string(C_heaptop,38,"can not access file-descriptor of port");
lf[172]=C_h_intern(&lf[172],25,"\003syspeek-unsigned-integer");
lf[173]=C_h_intern(&lf[173],16,"duplicate-fileno");
lf[174]=C_string(C_heaptop,33,"can not duplicate file descriptor");
lf[175]=C_h_intern(&lf[175],6,"setenv");
lf[176]=C_h_intern(&lf[176],8,"unsetenv");
lf[177]=C_h_intern(&lf[177],19,"current-environment");
lf[178]=C_h_intern(&lf[178],17,"\003syspeek-c-string");
lf[179]=C_h_intern(&lf[179],19,"seconds->local-time");
lf[180]=C_h_intern(&lf[180],18,"\003sysdecode-seconds");
lf[181]=C_h_intern(&lf[181],17,"seconds->utc-time");
lf[182]=C_h_intern(&lf[182],15,"seconds->string");
lf[183]=C_string(C_heaptop,33,"can not convert seconds to string");
lf[184]=C_h_intern(&lf[184],12,"time->string");
lf[185]=C_string(C_heaptop,29,"can not time vector to string");
lf[186]=C_string(C_heaptop,21,"time vector too short");
lf[187]=C_h_intern(&lf[187],5,"_exit");
lf[188]=C_h_intern(&lf[188],23,"\003syscleanup-before-exit");
lf[189]=C_h_intern(&lf[189],19,"set-buffering-mode!");
lf[190]=C_string(C_heaptop,26,"can not set buffering mode");
lf[191]=C_h_intern(&lf[191],5,"\000full");
lf[192]=C_h_intern(&lf[192],5,"\000line");
lf[193]=C_h_intern(&lf[193],5,"\000none");
lf[194]=C_string(C_heaptop,22,"invalid buffering-mode");
lf[195]=C_h_intern(&lf[195],15,"pattern->regexp");
lf[196]=C_h_intern(&lf[196],13,"make-pathname");
lf[197]=C_h_intern(&lf[197],18,"decompose-pathname");
lf[198]=C_h_intern(&lf[198],4,"glob");
lf[199]=C_h_intern(&lf[199],12,"string-match");
lf[200]=C_string(C_heaptop,1,".");
lf[201]=C_string(C_heaptop,1,"*");
lf[202]=C_h_intern(&lf[202],13,"spawn/overlay");
lf[203]=C_h_intern(&lf[203],10,"spawn/wait");
lf[204]=C_h_intern(&lf[204],12,"spawn/nowait");
lf[205]=C_h_intern(&lf[205],13,"spawn/nowaito");
lf[206]=C_h_intern(&lf[206],12,"spawn/detach");
lf[207]=C_h_intern(&lf[207],24,"pathname-strip-directory");
lf[208]=C_h_intern(&lf[208],15,"process-execute");
lf[209]=C_string(C_heaptop,23,"can not execute process");
lf[210]=C_h_intern(&lf[210],13,"process-spawn");
lf[211]=C_string(C_heaptop,23,"can not execute process");
lf[212]=C_h_intern(&lf[212],18,"current-process-id");
lf[213]=C_h_intern(&lf[213],9,"get-shell");
lf[214]=C_h_intern(&lf[214],6,"getenv");
lf[215]=C_h_intern(&lf[215],11,"process-run");
lf[216]=C_string(C_heaptop,2,"/c");
lf[218]=C_h_intern(&lf[218],15,"make-input-port");
lf[219]=C_h_intern(&lf[219],16,"make-output-port");
lf[220]=C_h_intern(&lf[220],7,"process");
lf[221]=C_string(C_heaptop,23,"could not write to pipe");
lf[222]=C_string(C_heaptop,24,"could not read from pipe");
lf[223]=C_string(C_heaptop,24,"could not create process");
lf[224]=C_h_intern(&lf[224],14,"C_close_handle");
lf[225]=C_string(C_heaptop,4," /c ");
lf[226]=C_string(C_heaptop,1,"\000");
lf[227]=C_string(C_heaptop,22,"could not redirect I/O");
lf[228]=C_h_intern(&lf[228],12,"process-wait");
lf[229]=C_h_intern(&lf[229],5,"sleep");
lf[230]=C_h_intern(&lf[230],13,"get-host-name");
lf[231]=C_string(C_heaptop,26,"can not retrieve host-name");
lf[232]=C_h_intern(&lf[232],18,"system-information");
lf[233]=C_string(C_heaptop,7,"windows");
lf[234]=C_string(C_heaptop,35,"can not retrieve system-information");
lf[235]=C_h_intern(&lf[235],10,"find-files");
lf[236]=C_string(C_heaptop,1,".");
lf[237]=C_string(C_heaptop,2,"..");
lf[238]=C_string(C_heaptop,1,"*");
lf[239]=C_h_intern(&lf[239],16,"\003sysdynamic-wind");
lf[240]=C_h_intern(&lf[240],13,"pathname-file");
lf[241]=C_string(C_heaptop,1,"*");
lf[242]=C_h_intern(&lf[242],17,"register-feature!");
lf[243]=C_h_intern(&lf[243],5,"posix");
C_register_lf(lf,244);
t2=C_mutate(&lf[0],lf[1]);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_675,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
C_scheduler_toplevel(2,C_SCHEME_UNDEFINED,t3);}

/* k673 */
static void f_675(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_675,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_678,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
C_regex_toplevel(2,C_SCHEME_UNDEFINED,t2);}

/* k676 in k673 */
static void f_678(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_678,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_681,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
C_extras_toplevel(2,C_SCHEME_UNDEFINED,t2);}

/* k679 in k676 in k673 */
static void f_681(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_681,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_684,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
C_utils_toplevel(2,C_SCHEME_UNDEFINED,t2);}

/* k682 in k679 in k676 in k673 */
static void f_684(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_684,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_687,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=*((C_word*)lf[242]+1);
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,lf[243]);}

/* k685 in k682 in k679 in k676 in k673 */
static void f_687(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word t67;
C_word t68;
C_word t69;
C_word t70;
C_word t71;
C_word t72;
C_word t73;
C_word t74;
C_word t75;
C_word t76;
C_word t77;
C_word t78;
C_word t79;
C_word t80;
C_word t81;
C_word t82;
C_word t83;
C_word t84;
C_word t85;
C_word t86;
C_word t87;
C_word t88;
C_word t89;
C_word t90;
C_word t91;
C_word t92;
C_word t93;
C_word t94;
C_word t95;
C_word t96;
C_word t97;
C_word t98;
C_word t99;
C_word t100;
C_word t101;
C_word t102;
C_word t103;
C_word t104;
C_word t105;
C_word t106;
C_word t107;
C_word t108;
C_word t109;
C_word t110;
C_word t111;
C_word t112;
C_word t113;
C_word t114;
C_word t115;
C_word t116;
C_word t117;
C_word t118;
C_word t119;
C_word t120;
C_word t121;
C_word t122;
C_word t123;
C_word t124;
C_word t125;
C_word t126;
C_word t127;
C_word t128;
C_word t129;
C_word t130;
C_word t131;
C_word t132;
C_word t133;
C_word t134;
C_word t135;
C_word t136;
C_word t137;
C_word t138;
C_word t139;
C_word t140;
C_word t141;
C_word t142;
C_word t143;
C_word t144;
C_word t145;
C_word t146;
C_word t147;
C_word t148;
C_word t149;
C_word t150;
C_word t151;
C_word t152;
C_word t153;
C_word t154;
C_word t155;
C_word t156;
C_word t157;
C_word t158;
C_word t159;
C_word t160;
C_word t161;
C_word t162;
C_word t163;
C_word t164;
C_word t165;
C_word t166;
C_word t167;
C_word t168;
C_word t169;
C_word t170;
C_word t171;
C_word t172;
C_word t173;
C_word t174;
C_word t175;
C_word ab[188],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_687,2,t0,t1);}
t2=C_mutate(&lf[2],(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_689,tmp=(C_word)a,a+=2,tmp));
t3=C_mutate((C_word*)lf[5]+1,C_fix((C_word)PIPE_BUF));
t4=C_mutate((C_word*)lf[6]+1,C_fix((C_word)O_RDONLY));
t5=C_mutate((C_word*)lf[7]+1,C_fix((C_word)O_WRONLY));
t6=C_mutate((C_word*)lf[8]+1,C_fix((C_word)O_RDWR));
t7=C_mutate((C_word*)lf[9]+1,C_fix((C_word)O_RDWR));
t8=C_mutate((C_word*)lf[10]+1,C_fix((C_word)O_WRONLY));
t9=C_mutate((C_word*)lf[11]+1,C_fix((C_word)O_CREAT));
t10=C_mutate((C_word*)lf[12]+1,C_fix((C_word)O_APPEND));
t11=C_mutate((C_word*)lf[13]+1,C_fix((C_word)O_EXCL));
t12=C_mutate((C_word*)lf[14]+1,C_fix((C_word)O_TRUNC));
t13=C_mutate((C_word*)lf[15]+1,C_fix((C_word)O_BINARY));
t14=C_mutate((C_word*)lf[16]+1,C_fix((C_word)O_TEXT));
t15=C_mutate((C_word*)lf[17]+1,C_fix((C_word)S_IREAD));
t16=C_mutate((C_word*)lf[18]+1,C_fix((C_word)S_IWRITE));
t17=C_mutate((C_word*)lf[19]+1,C_fix((C_word)S_IEXEC));
t18=C_mutate((C_word*)lf[20]+1,C_fix((C_word)S_IREAD));
t19=C_mutate((C_word*)lf[21]+1,C_fix((C_word)S_IWRITE));
t20=C_mutate((C_word*)lf[22]+1,C_fix((C_word)S_IEXEC));
t21=C_mutate((C_word*)lf[23]+1,C_fix((C_word)S_IREAD));
t22=C_mutate((C_word*)lf[24]+1,C_fix((C_word)S_IWRITE));
t23=C_mutate((C_word*)lf[25]+1,C_fix((C_word)S_IEXEC));
t24=C_mutate((C_word*)lf[26]+1,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t25=C_mutate((C_word*)lf[27]+1,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t26=C_mutate((C_word*)lf[28]+1,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t27=(C_word)C_fixnum_or(C_fix((C_word)S_IREAD),C_fix((C_word)S_IREAD));
t28=(C_word)C_a_i_bitwise_ior(&a,2,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC),t27);
t29=C_mutate((C_word*)lf[29]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_737,a[2]=t28,tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[36]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_778,tmp=(C_word)a,a+=2,tmp));
t31=*((C_word*)lf[38]+1);
t32=C_mutate((C_word*)lf[39]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_796,a[2]=t31,tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[43]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_841,tmp=(C_word)a,a+=2,tmp));
t34=*((C_word*)lf[46]+1);
t35=C_mutate((C_word*)lf[47]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_883,a[2]=t34,tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[50]+1,C_fix((C_word)SEEK_SET));
t37=C_mutate((C_word*)lf[51]+1,C_fix((C_word)SEEK_END));
t38=C_mutate((C_word*)lf[52]+1,C_fix((C_word)SEEK_CUR));
t39=C_mutate(&lf[53],(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_921,tmp=(C_word)a,a+=2,tmp));
t40=C_mutate((C_word*)lf[56]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_959,tmp=(C_word)a,a+=2,tmp));
t41=C_mutate((C_word*)lf[58]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_990,tmp=(C_word)a,a+=2,tmp));
t42=C_mutate((C_word*)lf[59]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_996,tmp=(C_word)a,a+=2,tmp));
t43=C_mutate((C_word*)lf[60]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1002,tmp=(C_word)a,a+=2,tmp));
t44=C_mutate((C_word*)lf[61]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1008,tmp=(C_word)a,a+=2,tmp));
t45=C_mutate((C_word*)lf[62]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1014,tmp=(C_word)a,a+=2,tmp));
t46=C_mutate((C_word*)lf[63]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1020,tmp=(C_word)a,a+=2,tmp));
t47=C_mutate((C_word*)lf[64]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1026,tmp=(C_word)a,a+=2,tmp));
t48=C_mutate((C_word*)lf[66]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1049,tmp=(C_word)a,a+=2,tmp));
t49=C_mutate((C_word*)lf[67]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1055,tmp=(C_word)a,a+=2,tmp));
t50=C_mutate((C_word*)lf[72]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1095,tmp=(C_word)a,a+=2,tmp));
t51=C_mutate((C_word*)lf[77]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1156,tmp=(C_word)a,a+=2,tmp));
t52=C_mutate((C_word*)lf[79]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1183,tmp=(C_word)a,a+=2,tmp));
t53=C_mutate((C_word*)lf[81]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1210,tmp=(C_word)a,a+=2,tmp));
t54=*((C_word*)lf[83]+1);
t55=*((C_word*)lf[38]+1);
t56=*((C_word*)lf[84]+1);
t57=*((C_word*)lf[85]+1);
t58=C_mutate((C_word*)lf[86]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1237,a[2]=t55,a[3]=t57,tmp=(C_word)a,a+=4,tmp));
t59=C_mutate((C_word*)lf[89]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1294,tmp=(C_word)a,a+=2,tmp));
t60=*((C_word*)lf[38]+1);
t61=*((C_word*)lf[85]+1);
t62=C_mutate((C_word*)lf[90]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1317,a[2]=t60,a[3]=t61,tmp=(C_word)a,a+=4,tmp));
t63=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1335,tmp=(C_word)a,a+=2,tmp);
t64=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1347,tmp=(C_word)a,a+=2,tmp);
t65=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1353,tmp=(C_word)a,a+=2,tmp);
t66=C_mutate((C_word*)lf[98]+1,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1371,a[2]=t64,a[3]=t65,a[4]=t63,tmp=(C_word)a,a+=5,tmp));
t67=C_mutate((C_word*)lf[100]+1,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1407,a[2]=t64,a[3]=t65,a[4]=t63,tmp=(C_word)a,a+=5,tmp));
t68=C_mutate((C_word*)lf[101]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1443,tmp=(C_word)a,a+=2,tmp));
t69=C_mutate((C_word*)lf[104]+1,*((C_word*)lf[101]+1));
t70=*((C_word*)lf[98]+1);
t71=*((C_word*)lf[100]+1);
t72=*((C_word*)lf[101]+1);
t73=*((C_word*)lf[104]+1);
t74=C_mutate((C_word*)lf[105]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1462,a[2]=t70,a[3]=t72,tmp=(C_word)a,a+=4,tmp));
t75=C_mutate((C_word*)lf[106]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1486,a[2]=t71,a[3]=t73,tmp=(C_word)a,a+=4,tmp));
t76=C_mutate((C_word*)lf[107]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1510,a[2]=t70,a[3]=t72,tmp=(C_word)a,a+=4,tmp));
t77=C_mutate((C_word*)lf[109]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1530,a[2]=t71,a[3]=t73,tmp=(C_word)a,a+=4,tmp));
t78=C_mutate((C_word*)lf[111]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1550,tmp=(C_word)a,a+=2,tmp));
t79=C_mutate((C_word*)lf[113]+1,C_fix((C_word)EPERM));
t80=C_mutate((C_word*)lf[114]+1,C_fix((C_word)ENOENT));
t81=C_mutate((C_word*)lf[115]+1,C_fix((C_word)ESRCH));
t82=C_mutate((C_word*)lf[116]+1,C_fix((C_word)EINTR));
t83=C_mutate((C_word*)lf[117]+1,C_fix((C_word)EIO));
t84=C_mutate((C_word*)lf[118]+1,C_fix((C_word)ENOEXEC));
t85=C_mutate((C_word*)lf[119]+1,C_fix((C_word)EBADF));
t86=C_mutate((C_word*)lf[120]+1,C_fix((C_word)ECHILD));
t87=C_mutate((C_word*)lf[121]+1,C_fix((C_word)ENOMEM));
t88=C_mutate((C_word*)lf[122]+1,C_fix((C_word)EACCES));
t89=C_mutate((C_word*)lf[123]+1,C_fix((C_word)EFAULT));
t90=C_mutate((C_word*)lf[124]+1,C_fix((C_word)EBUSY));
t91=C_mutate((C_word*)lf[125]+1,C_fix((C_word)EEXIST));
t92=C_mutate((C_word*)lf[126]+1,C_fix((C_word)ENOTDIR));
t93=C_mutate((C_word*)lf[127]+1,C_fix((C_word)EISDIR));
t94=C_mutate((C_word*)lf[128]+1,C_fix((C_word)EINVAL));
t95=C_mutate((C_word*)lf[129]+1,C_fix((C_word)EMFILE));
t96=C_mutate((C_word*)lf[130]+1,C_fix((C_word)ENOSPC));
t97=C_mutate((C_word*)lf[131]+1,C_fix((C_word)ESPIPE));
t98=C_mutate((C_word*)lf[132]+1,C_fix((C_word)EPIPE));
t99=C_mutate((C_word*)lf[133]+1,C_fix((C_word)EAGAIN));
t100=C_mutate((C_word*)lf[134]+1,C_fix((C_word)EROFS));
t101=C_mutate((C_word*)lf[135]+1,C_fix((C_word)ENXIO));
t102=C_mutate((C_word*)lf[136]+1,C_fix((C_word)E2BIG));
t103=C_mutate((C_word*)lf[137]+1,C_fix((C_word)EXDEV));
t104=C_mutate((C_word*)lf[138]+1,C_fix((C_word)ENODEV));
t105=C_mutate((C_word*)lf[139]+1,C_fix((C_word)ENFILE));
t106=C_mutate((C_word*)lf[140]+1,C_fix((C_word)ENOTTY));
t107=C_mutate((C_word*)lf[141]+1,C_fix((C_word)EFBIG));
t108=C_mutate((C_word*)lf[142]+1,C_fix((C_word)EMLINK));
t109=C_mutate((C_word*)lf[143]+1,C_fix((C_word)EDOM));
t110=C_mutate((C_word*)lf[144]+1,C_fix((C_word)ERANGE));
t111=C_mutate((C_word*)lf[145]+1,C_fix((C_word)EDEADLK));
t112=C_mutate((C_word*)lf[146]+1,C_fix((C_word)ENAMETOOLONG));
t113=C_mutate((C_word*)lf[147]+1,C_fix((C_word)ENOLCK));
t114=C_mutate((C_word*)lf[148]+1,C_fix((C_word)ENOSYS));
t115=C_mutate((C_word*)lf[149]+1,C_fix((C_word)ENOTEMPTY));
t116=C_mutate((C_word*)lf[150]+1,C_fix((C_word)EILSEQ));
t117=C_mutate((C_word*)lf[151]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1606,tmp=(C_word)a,a+=2,tmp));
t118=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1636,tmp=(C_word)a,a+=2,tmp);
t119=C_mutate((C_word*)lf[153]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1660,a[2]=t118,tmp=(C_word)a,a+=3,tmp));
t120=C_mutate((C_word*)lf[154]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1666,a[2]=t118,tmp=(C_word)a,a+=3,tmp));
t121=C_mutate((C_word*)lf[155]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1672,a[2]=t118,tmp=(C_word)a,a+=3,tmp));
t122=C_mutate((C_word*)lf[156]+1,C_fix((C_word)0));
t123=C_mutate((C_word*)lf[157]+1,C_fix((C_word)1));
t124=C_mutate((C_word*)lf[158]+1,C_fix((C_word)2));
t125=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1681,tmp=(C_word)a,a+=2,tmp);
t126=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1718,tmp=(C_word)a,a+=2,tmp);
t127=C_mutate((C_word*)lf[167]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1736,a[2]=t125,a[3]=t126,tmp=(C_word)a,a+=4,tmp));
t128=C_mutate((C_word*)lf[168]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1750,a[2]=t125,a[3]=t126,tmp=(C_word)a,a+=4,tmp));
t129=C_mutate((C_word*)lf[169]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1764,tmp=(C_word)a,a+=2,tmp));
t130=C_mutate((C_word*)lf[173]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1799,tmp=(C_word)a,a+=2,tmp));
t131=C_mutate((C_word*)lf[175]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1829,tmp=(C_word)a,a+=2,tmp));
t132=C_mutate((C_word*)lf[176]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1846,tmp=(C_word)a,a+=2,tmp));
t133=*((C_word*)lf[85]+1);
t134=C_mutate((C_word*)lf[177]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1866,a[2]=t133,tmp=(C_word)a,a+=3,tmp));
t135=C_mutate((C_word*)lf[179]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1931,tmp=(C_word)a,a+=2,tmp));
t136=C_mutate((C_word*)lf[181]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1940,tmp=(C_word)a,a+=2,tmp));
t137=C_mutate((C_word*)lf[182]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1959,tmp=(C_word)a,a+=2,tmp));
t138=C_mutate((C_word*)lf[184]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1976,tmp=(C_word)a,a+=2,tmp));
t139=C_mutate((C_word*)lf[187]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2010,tmp=(C_word)a,a+=2,tmp));
t140=C_mutate((C_word*)lf[189]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2029,tmp=(C_word)a,a+=2,tmp));
t141=*((C_word*)lf[195]+1);
t142=*((C_word*)lf[86]+1);
t143=*((C_word*)lf[196]+1);
t144=*((C_word*)lf[197]+1);
t145=C_mutate((C_word*)lf[198]+1,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2088,a[2]=t141,a[3]=t142,a[4]=t143,a[5]=t144,tmp=(C_word)a,a+=6,tmp));
t146=C_mutate((C_word*)lf[202]+1,C_fix((C_word)P_OVERLAY));
t147=C_mutate((C_word*)lf[203]+1,C_fix((C_word)P_WAIT));
t148=C_mutate((C_word*)lf[204]+1,C_fix((C_word)P_NOWAIT));
t149=C_mutate((C_word*)lf[205]+1,C_fix((C_word)P_NOWAITO));
t150=C_mutate((C_word*)lf[206]+1,C_fix((C_word)P_DETACH));
t151=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2197,tmp=(C_word)a,a+=2,tmp);
t152=*((C_word*)lf[207]+1);
t153=C_mutate((C_word*)lf[208]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2216,a[2]=t152,a[3]=t151,tmp=(C_word)a,a+=4,tmp));
t154=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2360,tmp=(C_word)a,a+=2,tmp);
t155=*((C_word*)lf[207]+1);
t156=C_mutate((C_word*)lf[210]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2379,a[2]=t155,a[3]=t154,tmp=(C_word)a,a+=4,tmp));
t157=C_mutate((C_word*)lf[212]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2472,tmp=(C_word)a,a+=2,tmp));
t158=C_mutate((C_word*)lf[213]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2475,tmp=(C_word)a,a+=2,tmp));
t159=*((C_word*)lf[210]+1);
t160=*((C_word*)lf[214]+1);
t161=C_mutate((C_word*)lf[215]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2481,a[2]=t159,tmp=(C_word)a,a+=3,tmp));
t162=C_mutate(&lf[217],(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2510,tmp=(C_word)a,a+=2,tmp));
t163=*((C_word*)lf[218]+1);
t164=*((C_word*)lf[219]+1);
t165=C_mutate((C_word*)lf[220]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2513,a[2]=t163,a[3]=t164,tmp=(C_word)a,a+=4,tmp));
t166=C_mutate((C_word*)lf[228]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2664,tmp=(C_word)a,a+=2,tmp));
t167=C_mutate((C_word*)lf[229]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2706,tmp=(C_word)a,a+=2,tmp));
t168=C_mutate((C_word*)lf[230]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2709,tmp=(C_word)a,a+=2,tmp));
t169=C_mutate((C_word*)lf[232]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2721,tmp=(C_word)a,a+=2,tmp));
t170=*((C_word*)lf[198]+1);
t171=*((C_word*)lf[199]+1);
t172=*((C_word*)lf[196]+1);
t173=*((C_word*)lf[89]+1);
t174=C_mutate((C_word*)lf[235]+1,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2752,a[2]=t173,a[3]=t172,a[4]=t170,a[5]=t171,tmp=(C_word)a,a+=6,tmp));
t175=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t175+1)))(2,t175,C_SCHEME_UNDEFINED);}

/* find-files in k685 in k682 in k679 in k676 in k673 */
static void f_2752(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+17)){
C_save_and_reclaim((void*)tr4r,(void*)f_2752r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_2752r(t0,t1,t2,t3,t4);}}

static void f_2752r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a=C_alloc(17);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2754,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,a[7]=t2,tmp=(C_word)a,a+=8,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2893,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2898,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2903,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_nullp(t4))){
t9=t8;
f_2903(t9,t1);}
else{
t9=(C_word)C_i_car(t4);
t10=(C_word)C_i_cdr(t4);
if(C_truep((C_word)C_i_nullp(t10))){
t11=t7;
f_2898(t11,t1,t9);}
else{
t11=(C_word)C_i_car(t10);
t12=(C_word)C_i_cdr(t10);
if(C_truep((C_word)C_i_nullp(t12))){
t13=t6;
f_2893(t13,t1,t9,t11);}
else{
t13=(C_word)C_i_car(t12);
t14=(C_word)C_i_cdr(t12);
if(C_truep((C_word)C_i_nullp(t14))){
t15=t5;
f_2754(t15,t1,t9,t11,t13);}
else{
t15=*((C_word*)lf[57]+1);
((C_proc4)(void*)(*((C_word*)t15+1)))(4,t15,t1,lf[0],t14);}}}}}

/* def-action495 in find-files in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_2903(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2903,NULL,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2909,tmp=(C_word)a,a+=2,tmp);
t3=((C_word*)t0)[2];
f_2898(t3,t1,t2);}

/* a2908 in def-action495 in find-files in k685 in k682 in k679 in k676 in k673 */
static void f_2909(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word ab[3],*a=ab;
if(c!=4) C_bad_argc(c,4);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_2909,4,t0,t1,t2,t3);}
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,(C_word)C_a_i_cons(&a,2,t2,t3));}

/* def-id496 in find-files in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_2898(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2898,NULL,3,t0,t1,t2);}
t3=((C_word*)t0)[2];
f_2893(t3,t1,t2,C_SCHEME_END_OF_LIST);}

/* def-limit497 in find-files in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_2893(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2893,NULL,4,t0,t1,t2,t3);}
t4=((C_word*)t0)[2];
f_2754(t4,t1,t2,t3,C_SCHEME_FALSE);}

/* body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_2754(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word ab[20],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2754,NULL,5,t0,t1,t2,t3,t4);}
t5=(C_word)C_i_check_string_2(((C_word*)t0)[7],lf[235]);
t6=C_fix(0);
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_2761,a[2]=((C_word*)t0)[7],a[3]=t3,a[4]=t1,a[5]=((C_word*)t0)[2],a[6]=t2,a[7]=((C_word*)t0)[3],a[8]=((C_word*)t0)[4],a[9]=t7,a[10]=((C_word*)t0)[5],a[11]=((C_word*)t0)[6],tmp=(C_word)a,a+=12,tmp);
t9=t4;
if(C_truep(t9)){
t10=(C_word)C_fixnump(t4);
t11=t8;
f_2761(t11,(C_truep(t10)?(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2888,a[2]=t4,a[3]=t7,tmp=(C_word)a,a+=4,tmp):t4));}
else{
t10=t8;
f_2761(t10,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2880,tmp=(C_word)a,a+=2,tmp));}}

/* f_2880 in body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void f_2880(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2880,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_TRUE);}

/* f_2888 in body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void f_2888(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2888,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_fixnum_lessp(((C_word*)((C_word*)t0)[3])[1],((C_word*)t0)[2]));}

/* k2759 in body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_2761(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[19],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2761,NULL,2,t0,t1);}
t2=(C_word)C_i_stringp(((C_word*)t0)[11]);
t3=(C_truep(t2)?(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2872,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[10],tmp=(C_word)a,a+=4,tmp):((C_word*)t0)[11]);
t4=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_2771,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=t1,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2868,a[2]=t4,a[3]=((C_word*)t0)[8],tmp=(C_word)a,a+=4,tmp);
t6=((C_word*)t0)[7];
((C_proc4)C_retrieve_proc(t6))(4,t6,t5,((C_word*)t0)[2],lf[241]);}

/* k2866 in k2759 in body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void f_2868(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,((C_word*)t0)[2],t1);}

/* k2769 in k2759 in body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void f_2771(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[12],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2771,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_2773,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=t3,tmp=(C_word)a,a+=10,tmp));
t5=((C_word*)t3)[1];
f_2773(t5,((C_word*)t0)[3],t1,((C_word*)t0)[2]);}

/* loop in k2769 in k2759 in body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_2773(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[13],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2773,NULL,4,t0,t1,t2,t3);}
if(C_truep((C_word)C_i_nullp(t2))){
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t4=(C_word)C_slot(t2,C_fix(0));
t5=(C_word)C_slot(t2,C_fix(1));
t6=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_2792,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t4,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=t3,a[10]=t5,a[11]=t1,a[12]=((C_word*)t0)[9],tmp=(C_word)a,a+=13,tmp);
t7=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t7))(3,t7,t6,t4);}}

/* k2790 in loop in k2769 in k2759 in body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void f_2792(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[19],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2792,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_2848,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],tmp=(C_word)a,a+=11,tmp);
t3=*((C_word*)lf[240]+1);
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,((C_word*)t0)[5]);}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2854,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[10],a[6]=((C_word*)t0)[11],a[7]=((C_word*)t0)[12],tmp=(C_word)a,a+=8,tmp);
t3=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,((C_word*)t0)[5]);}}

/* k2852 in k2790 in loop in k2769 in k2759 in body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void f_2854(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2854,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2861,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[4];
((C_proc4)C_retrieve_proc(t3))(4,t3,t2,((C_word*)t0)[3],((C_word*)t0)[2]);}
else{
t2=((C_word*)((C_word*)t0)[7])[1];
f_2773(t2,((C_word*)t0)[6],((C_word*)t0)[5],((C_word*)t0)[2]);}}

/* k2859 in k2852 in k2790 in loop in k2769 in k2759 in body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void f_2861(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)((C_word*)t0)[4])[1];
f_2773(t2,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* k2846 in k2790 in loop in k2769 in k2759 in body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void f_2848(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2848,2,t0,t1);}
if(C_truep((C_truep((C_word)C_i_equalp(t1,lf[236]))?C_SCHEME_TRUE:(C_truep((C_word)C_i_equalp(t1,lf[237]))?C_SCHEME_TRUE:C_SCHEME_FALSE)))){
t2=((C_word*)((C_word*)t0)[10])[1];
f_2773(t2,((C_word*)t0)[9],((C_word*)t0)[8],((C_word*)t0)[7]);}
else{
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_2807,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[6],tmp=(C_word)a,a+=10,tmp);
t3=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,((C_word*)t0)[3]);}}

/* k2805 in k2846 in k2790 in loop in k2769 in k2759 in body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void f_2807(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word ab[26],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2807,2,t0,t1);}
if(C_truep(t1)){
t2=(C_word)C_fixnum_plus(((C_word*)((C_word*)t0)[9])[1],C_fix(1));
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2817,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2819,a[2]=t4,a[3]=((C_word*)t0)[9],a[4]=t6,tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2824,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[8],tmp=(C_word)a,a+=7,tmp);
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2838,a[2]=t6,a[3]=((C_word*)t0)[9],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t11=*((C_word*)lf[239]+1);
((C_proc5)(void*)(*((C_word*)t11+1)))(5,t11,t7,t8,t9,t10);}
else{
t2=((C_word*)((C_word*)t0)[8])[1];
f_2773(t2,((C_word*)t0)[7],((C_word*)t0)[6],((C_word*)t0)[5]);}}

/* a2837 in k2805 in k2846 in k2790 in loop in k2769 in k2759 in body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void f_2838(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2838,2,t0,t1);}
t2=C_mutate(((C_word *)((C_word*)t0)[4])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[2])[1]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* a2823 in k2805 in k2846 in k2790 in loop in k2769 in k2759 in body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void f_2824(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[9],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2824,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2832,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2836,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
((C_proc4)C_retrieve_proc(t4))(4,t4,t3,((C_word*)t0)[2],lf[238]);}

/* k2834 in a2823 in k2805 in k2846 in k2790 in loop in k2769 in k2759 in body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void f_2836(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,((C_word*)t0)[2],t1);}

/* k2830 in a2823 in k2805 in k2846 in k2790 in loop in k2769 in k2759 in body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void f_2832(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)((C_word*)t0)[4])[1];
f_2773(t2,((C_word*)t0)[3],t1,((C_word*)t0)[2]);}

/* a2818 in k2805 in k2846 in k2790 in loop in k2769 in k2759 in body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void f_2819(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2819,2,t0,t1);}
t2=C_mutate(((C_word *)((C_word*)t0)[4])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[2])[1]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k2815 in k2805 in k2846 in k2790 in loop in k2769 in k2759 in body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void f_2817(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)((C_word*)t0)[4])[1];
f_2773(t2,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* f_2872 in k2759 in body493 in find-files in k685 in k682 in k679 in k676 in k673 */
static void f_2872(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2872,3,t0,t1,t2);}
t3=((C_word*)t0)[3];
((C_proc4)C_retrieve_proc(t3))(4,t3,t1,((C_word*)t0)[2],t2);}

/* system-information in k685 in k682 in k679 in k676 in k673 */
static void f_2721(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[9],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2721,2,t0,t1);}
if(C_truep((C_word)C_sysinfo())){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2732,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t3=*((C_word*)lf[178]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_hostname),C_fix(0));}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2747,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t3=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}}

/* k2745 in system-information in k685 in k682 in k679 in k676 in k673 */
static void f_2747(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[57]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],lf[232],lf[234]);}

/* k2730 in system-information in k685 in k682 in k679 in k676 in k673 */
static void f_2732(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2732,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2736,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[178]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_osrel),C_fix(0));}

/* k2734 in k2730 in system-information in k685 in k682 in k679 in k676 in k673 */
static void f_2736(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2736,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2740,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t3=*((C_word*)lf[178]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_osver),C_fix(0));}

/* k2738 in k2734 in k2730 in system-information in k685 in k682 in k679 in k676 in k673 */
static void f_2740(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2740,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2744,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=*((C_word*)lf[178]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_processor),C_fix(0));}

/* k2742 in k2738 in k2734 in k2730 in system-information in k685 in k682 in k679 in k676 in k673 */
static void f_2744(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(7,0,((C_word*)t0)[5],lf[233],((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* get-host-name in k685 in k682 in k679 in k676 in k673 */
static void f_2709(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2709,2,t0,t1);}
if(C_truep((C_word)C_get_hostname())){
t2=*((C_word*)lf[178]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,C_mpointer(&a,(void*)C_hostname),C_fix(0));}
else{
t2=*((C_word*)lf[57]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[230],lf[231]);}}

/* sleep in k685 in k682 in k679 in k676 in k673 */
static void f_2706(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2706,3,t0,t1,t2);}
t3=(C_word)C_sleep(t2);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_fix(0));}

/* process-wait in k685 in k682 in k679 in k676 in k673 */
static void f_2664(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+3)){
C_save_and_reclaim((void*)tr3r,(void*)f_2664r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_2664r(t0,t1,t2,t3);}}

static void f_2664r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a=C_alloc(3);
t4=(C_word)C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:(C_word)C_i_car(t3));
t6=(C_word)C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:(C_word)C_i_cdr(t3));
if(C_truep((C_word)C_i_nullp(t7))){
if(C_truep((C_word)C_process_wait(t2,t5))){
C_values(5,0,t1,t2,C_SCHEME_TRUE,C_fix((C_word)C_exstatus));}
else{
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2686,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t9=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t9+1)))(2,t9,t8);}}
else{
t8=*((C_word*)lf[57]+1);
((C_proc4)(void*)(*((C_word*)t8+1)))(4,t8,t1,lf[0],t7);}}

/* k2684 in process-wait in k685 in k682 in k679 in k676 in k673 */
static void f_2686(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(5,0,((C_word*)t0)[2],C_fix(0),C_SCHEME_FALSE,C_fix(0));}

/* process in k685 in k682 in k679 in k676 in k673 */
static void f_2513(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+11)){
C_save_and_reclaim((void*)tr3r,(void*)f_2513r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_2513r(t0,t1,t2,t3);}}

static void f_2513r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2515,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2611,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2616,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_nullp(t3))){
t7=t6;
f_2616(t7,t1);}
else{
t7=(C_word)C_i_car(t3);
t8=(C_word)C_i_cdr(t3);
if(C_truep((C_word)C_i_nullp(t8))){
t9=t5;
f_2611(t9,t1);}
else{
t9=(C_word)C_i_car(t8);
t10=(C_word)C_i_cdr(t8);
if(C_truep((C_word)C_i_nullp(t10))){
t11=t4;
f_2515(t11,t1);}
else{
t11=*((C_word*)lf[57]+1);
((C_proc4)(void*)(*((C_word*)t11+1)))(4,t11,t1,lf[0],t10);}}}}

/* def-args449 in process in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_2616(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2616,NULL,2,t0,t1);}
t2=((C_word*)t0)[2];
f_2611(t2,t1);}

/* def-env450 in process in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_2611(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2611,NULL,2,t0,t1);}
t2=((C_word*)t0)[2];
f_2515(t2,t1);}

/* body447 in process in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_2515(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2515,NULL,2,t0,t1);}
if(C_truep((C_word)C_redir_io())){
t2=C_fix((C_word)C_wr0_);
t3=C_fix((C_word)C_rd1_);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2522,a[2]=((C_word*)t0)[3],a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2607,a[2]=((C_word*)t0)[2],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=*((C_word*)lf[213]+1);
((C_proc2)C_retrieve_proc(t6))(2,t6,t5);}
else{
t2=*((C_word*)lf[57]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[220],lf[227]);}}

/* k2605 in body447 in process in k685 in k682 in k679 in k676 in k673 */
static void f_2607(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[83]+1);
((C_proc6)C_retrieve_proc(t2))(6,t2,((C_word*)t0)[3],t1,lf[225],((C_word*)t0)[2],lf[226]);}

/* k2520 in body447 in process in k685 in k682 in k679 in k676 in k673 */
static void f_2522(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[20],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2522,2,t0,t1);}
t2=(C_word)C_run_process(t1);
if(C_truep((C_word)C_fixnum_greaterp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2535,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=t2,a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2560,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2584,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2587,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t7=((C_word*)t0)[2];
((C_proc5)C_retrieve_proc(t7))(5,t7,t3,t4,t5,t6);}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2594,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}}

/* k2592 in k2520 in body447 in process in k685 in k682 in k679 in k676 in k673 */
static void f_2594(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2594,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2597,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[224]+1);
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,((C_word*)t0)[2]);}

/* k2595 in k2592 in k2520 in body447 in process in k685 in k682 in k679 in k676 in k673 */
static void f_2597(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2597,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2600,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t3=*((C_word*)lf[224]+1);
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,((C_word*)t0)[2]);}

/* k2598 in k2595 in k2592 in k2520 in body447 in process in k685 in k682 in k679 in k676 in k673 */
static void f_2600(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[57]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],lf[220],lf[223]);}

/* a2586 in k2520 in body447 in process in k685 in k682 in k679 in k676 in k673 */
static void f_2587(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2587,2,t0,t1);}
t2=t1;
((C_proc2)C_retrieve_proc(t2))(2,t2,f_2510(((C_word*)t0)[2]));}

/* a2583 in k2520 in body447 in process in k685 in k682 in k679 in k676 in k673 */
static void f_2584(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2584,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_pipe_ready(((C_word*)t0)[2]));}

/* a2559 in k2520 in body447 in process in k685 in k682 in k679 in k676 in k673 */
static void f_2560(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2560,2,t0,t1);}
t2=(C_word)C_pipe_read(((C_word*)t0)[2]);
switch(t2){
case C_fix(-1):
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_END_OF_FILE);
case C_fix(0):
t3=*((C_word*)lf[57]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t1,lf[220],lf[222]);
default:
t3=(C_word)C_eqp(t2,C_fix(1));
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,(C_truep(t3)?C_make_character((C_word)C_rdbuf):C_SCHEME_UNDEFINED));}}

/* k2533 in k2520 in body447 in process in k685 in k682 in k679 in k676 in k673 */
static void f_2535(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2535,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2539,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2541,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2554,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t5=((C_word*)t0)[2];
((C_proc4)C_retrieve_proc(t5))(4,t5,t2,t3,t4);}

/* a2553 in k2533 in k2520 in body447 in process in k685 in k682 in k679 in k676 in k673 */
static void f_2554(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2554,2,t0,t1);}
t2=t1;
((C_proc2)C_retrieve_proc(t2))(2,t2,f_2510(((C_word*)t0)[2]));}

/* a2540 in k2533 in k2520 in body447 in process in k685 in k682 in k679 in k676 in k673 */
static void f_2541(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2541,3,t0,t1,t2);}
t3=(C_word)C_i_string_length(t2);
if(C_truep((C_word)C_pipe_write(((C_word*)t0)[2],t2,t3))){
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_UNDEFINED);}
else{
t4=*((C_word*)lf[57]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t1,lf[220],lf[221]);}}

/* k2537 in k2533 in k2520 in body447 in process in k685 in k682 in k679 in k676 in k673 */
static void f_2539(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(5,0,((C_word*)t0)[4],((C_word*)t0)[3],t1,((C_word*)t0)[2]);}

/* close-handle in k685 in k682 in k679 in k676 in k673 */
static C_word C_fcall f_2510(C_word t1){
C_word tmp;
C_word t2;
C_stack_check;
return((C_word)stub437(C_SCHEME_UNDEFINED,t1));}

/* process-run in k685 in k682 in k679 in k676 in k673 */
static void f_2481(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr3rv,(void*)f_2481r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest_vector(a,C_rest_count(0));
f_2481r(t0,t1,t2,t3);}}

static void f_2481r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(5);
t4=(C_word)C_notvemptyp(t3);
t5=(C_truep(t4)?(C_word)C_i_vector_ref(t3,C_fix(0)):C_SCHEME_FALSE);
if(C_truep(t5)){
t6=((C_word*)t0)[2];
((C_proc5)C_retrieve_proc(t6))(5,t6,t1,*((C_word*)lf[204]+1),t2,t5);}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2498,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t7=*((C_word*)lf[213]+1);
((C_proc2)C_retrieve_proc(t7))(2,t7,t6);}}

/* k2496 in process-run in k685 in k682 in k679 in k676 in k673 */
static void f_2498(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2498,2,t0,t1);}
t2=(C_word)C_a_i_list(&a,2,lf[216],((C_word*)t0)[4]);
t3=((C_word*)t0)[3];
((C_proc5)C_retrieve_proc(t3))(5,t3,((C_word*)t0)[2],*((C_word*)lf[204]+1),t1,t2);}

/* get-shell in k685 in k682 in k679 in k676 in k673 */
static void f_2475(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[5],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2475,2,t0,t1);}
t2=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t3=*((C_word*)lf[178]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t1,(C_word)stub428(t2),C_fix(0));}

/* current-process-id in k685 in k682 in k679 in k676 in k673 */
static void f_2472(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2472,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)stub426(C_SCHEME_UNDEFINED));}

/* process-spawn in k685 in k682 in k679 in k676 in k673 */
static void f_2379(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+7)){
C_save_and_reclaim((void*)tr4rv,(void*)f_2379r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_2379r(t0,t1,t2,t3,t4);}}

static void f_2379r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a=C_alloc(7);
t5=(C_word)C_i_check_exact_2(t2,lf[210]);
t6=(C_word)C_i_check_string_2(t3,lf[210]);
t7=(C_word)C_notvemptyp(t4);
t8=(C_truep(t7)?(C_word)C_i_vector_ref(t4,C_fix(0)):C_SCHEME_END_OF_LIST);
t9=(C_word)C_i_check_list_2(t8,lf[210]);
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2395,a[2]=t8,a[3]=t1,a[4]=t3,a[5]=t2,a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
t11=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t11))(3,t11,t10,t3);}

/* k2393 in process-spawn in k685 in k682 in k679 in k676 in k673 */
static void f_2395(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2395,2,t0,t1);}
t2=(C_word)C_block_size(t1);
t3=f_2360(C_fix(0),t1,t2);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2403,a[2]=t5,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_2403(t7,((C_word*)t0)[3],((C_word*)t0)[2],C_fix(1));}

/* do410 in k2393 in process-spawn in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_2403(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
a=C_alloc(8);
if(!C_stack_probe(a)){
C_save_and_reclaim((void*)trf_2403,NULL,4,t0,t1,t2,t3);}
if(C_truep((C_word)C_i_nullp(t2))){
t4=f_2360(t3,C_SCHEME_FALSE,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2417,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2436,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t7))(3,t7,t6,((C_word*)t0)[3]);}
else{
t4=(C_word)C_i_car(t2);
t5=(C_word)C_i_check_string_2(t4,lf[210]);
t6=(C_word)C_block_size(t4);
t7=f_2360(t3,t4,t6);
t8=(C_word)C_i_cdr(t2);
t9=(C_word)C_fixnum_plus(t3,C_fix(1));
t14=t1;
t15=t8;
t16=t9;
t1=t14;
t2=t15;
t3=t16;
goto loop;}}

/* k2434 in do410 in k2393 in process-spawn in k685 in k682 in k679 in k676 in k673 */
static void f_2436(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2415 in do410 in k2393 in process-spawn in k685 in k682 in k679 in k676 in k673 */
static void f_2417(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2417,2,t0,t1);}
t2=(C_word)C_spawnvp(((C_word*)t0)[4],t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2420,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k2418 in k2415 in do410 in k2393 in process-spawn in k685 in k682 in k679 in k676 in k673 */
static void f_2420(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
t2=(C_word)C_eqp(((C_word*)t0)[4],C_fix(-1));
if(C_truep(t2)){
t3=(C_word)stub403(C_SCHEME_UNDEFINED);
t4=*((C_word*)lf[57]+1);
((C_proc5)(void*)(*((C_word*)t4+1)))(5,t4,((C_word*)t0)[3],lf[210],lf[211],((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* setarg in k685 in k682 in k679 in k676 in k673 */
static C_word C_fcall f_2360(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_check;
t4=(C_word)C_i_foreign_fixnum_argumentp(t1);
t5=(C_truep(t2)?(C_word)C_i_foreign_block_argumentp(t2):C_SCHEME_FALSE);
t6=(C_word)C_i_foreign_fixnum_argumentp(t3);
return((C_word)stub396(C_SCHEME_UNDEFINED,t4,t5,t6));}

/* process-execute in k685 in k682 in k679 in k676 in k673 */
static void f_2216(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+11)){
C_save_and_reclaim((void*)tr3r,(void*)f_2216r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_2216r(t0,t1,t2,t3);}}

static void f_2216r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2218,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2307,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2312,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_nullp(t3))){
t7=t6;
f_2312(t7,t1);}
else{
t7=(C_word)C_i_car(t3);
t8=(C_word)C_i_cdr(t3);
if(C_truep((C_word)C_i_nullp(t8))){
t9=t5;
f_2307(t9,t1,t7);}
else{
t9=(C_word)C_i_car(t8);
t10=(C_word)C_i_cdr(t8);
if(C_truep((C_word)C_i_nullp(t10))){
t11=t4;
f_2218(t11,t1,t7);}
else{
t11=*((C_word*)lf[57]+1);
((C_proc4)(void*)(*((C_word*)t11+1)))(4,t11,t1,lf[0],t10);}}}}

/* def-arglist360 in process-execute in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_2312(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2312,NULL,2,t0,t1);}
t2=((C_word*)t0)[2];
f_2307(t2,t1,C_SCHEME_END_OF_LIST);}

/* def-envlist361 in process-execute in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_2307(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2307,NULL,3,t0,t1,t2);}
t3=((C_word*)t0)[2];
f_2218(t3,t1,t2);}

/* body358 in process-execute in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_2218(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2218,NULL,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(((C_word*)t0)[4],lf[208]);
t4=(C_word)C_i_pairp(t2);
t5=(C_truep(t4)?(C_word)C_i_car(t2):C_SCHEME_END_OF_LIST);
t6=(C_word)C_i_check_list_2(t5,lf[208]);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2231,a[2]=t5,a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t8=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t8))(3,t8,t7,((C_word*)t0)[4]);}

/* k2229 in body358 in process-execute in k685 in k682 in k679 in k676 in k673 */
static void f_2231(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2231,2,t0,t1);}
t2=(C_word)C_block_size(t1);
t3=f_2197(C_fix(0),t1,t2);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2239,a[2]=t5,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_2239(t7,((C_word*)t0)[3],((C_word*)t0)[2],C_fix(1));}

/* do368 in k2229 in body358 in process-execute in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_2239(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
a=C_alloc(7);
if(!C_stack_probe(a)){
C_save_and_reclaim((void*)trf_2239,NULL,4,t0,t1,t2,t3);}
if(C_truep((C_word)C_i_nullp(t2))){
t4=f_2197(t3,C_SCHEME_FALSE,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2253,a[2]=((C_word*)t0)[3],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2272,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t7))(3,t7,t6,((C_word*)t0)[3]);}
else{
t4=(C_word)C_i_car(t2);
t5=(C_word)C_i_check_string_2(t4,lf[208]);
t6=(C_word)C_block_size(t4);
t7=f_2197(t3,t4,t6);
t8=(C_word)C_i_cdr(t2);
t9=(C_word)C_fixnum_plus(t3,C_fix(1));
t14=t1;
t15=t8;
t16=t9;
t1=t14;
t2=t15;
t3=t16;
goto loop;}}

/* k2270 in do368 in k2229 in body358 in process-execute in k685 in k682 in k679 in k676 in k673 */
static void f_2272(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2251 in do368 in k2229 in body358 in process-execute in k685 in k682 in k679 in k676 in k673 */
static void f_2253(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2253,2,t0,t1);}
t2=(C_word)C_execvp(t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2256,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k2254 in k2251 in do368 in k2229 in body358 in process-execute in k685 in k682 in k679 in k676 in k673 */
static void f_2256(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
t2=(C_word)C_eqp(((C_word*)t0)[4],C_fix(-1));
if(C_truep(t2)){
t3=(C_word)stub351(C_SCHEME_UNDEFINED);
t4=*((C_word*)lf[57]+1);
((C_proc5)(void*)(*((C_word*)t4+1)))(5,t4,((C_word*)t0)[3],lf[208],lf[209],((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* setarg in k685 in k682 in k679 in k676 in k673 */
static C_word C_fcall f_2197(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_check;
t4=(C_word)C_i_foreign_fixnum_argumentp(t1);
t5=(C_truep(t2)?(C_word)C_i_foreign_block_argumentp(t2):C_SCHEME_FALSE);
t6=(C_word)C_i_foreign_fixnum_argumentp(t3);
return((C_word)stub344(C_SCHEME_UNDEFINED,t4,t5,t6));}

/* glob in k685 in k682 in k679 in k676 in k673 */
static void f_2088(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+9)){
C_save_and_reclaim((void*)tr2r,(void*)f_2088r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_2088r(t0,t1,t2);}}

static void f_2088r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a=C_alloc(9);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2094,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t4,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_2094(t6,t1,t2);}

/* conc in glob in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_2094(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2094,NULL,3,t0,t1,t2);}
if(C_truep((C_word)C_i_nullp(t2))){
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_END_OF_LIST);}
else{
t3=(C_word)C_i_car(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2109,a[2]=t3,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2115,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,tmp=(C_word)a,a+=7,tmp);
C_call_with_values(4,0,t1,t4,t5);}}

/* a2114 in conc in glob in k685 in k682 in k679 in k676 in k673 */
static void f_2115(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[12],*a=ab;
if(c!=5) C_bad_argc(c,5);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr5,(void*)f_2115,5,t0,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2119,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2186,a[2]=t5,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t7=(C_truep(t3)?t3:lf[201]);
t8=((C_word*)t0)[4];
((C_proc5)C_retrieve_proc(t8))(5,t8,t6,C_SCHEME_FALSE,t7,t4);}

/* k2184 in a2114 in conc in glob in k685 in k682 in k679 in k676 in k673 */
static void f_2186(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,((C_word*)t0)[2],t1);}

/* k2117 in a2114 in conc in glob in k685 in k682 in k679 in k676 in k673 */
static void f_2119(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2119,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2126,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=(C_truep(((C_word*)t0)[4])?((C_word*)t0)[4]:lf[200]);
t4=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t4))(3,t4,t2,t3);}

/* k2124 in k2117 in a2114 in conc in glob in k685 in k682 in k679 in k676 in k673 */
static void f_2126(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2126,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2128,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_2128(t5,((C_word*)t0)[2],t1);}

/* loop in k2124 in k2117 in a2114 in conc in glob in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_2128(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2128,NULL,3,t0,t1,t2);}
if(C_truep((C_word)C_i_nullp(t2))){
t3=(C_word)C_i_cdr(((C_word*)t0)[7]);
t4=((C_word*)((C_word*)t0)[6])[1];
f_2094(t4,t1,t3);}
else{
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2145,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t2,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t4=(C_word)C_i_car(t2);
t5=*((C_word*)lf[199]+1);
((C_proc4)C_retrieve_proc(t5))(4,t5,t3,((C_word*)t0)[2],t4);}}

/* k2143 in loop in k2124 in k2117 in a2114 in conc in glob in k685 in k682 in k679 in k676 in k673 */
static void f_2145(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2145,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2155,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t3=(C_word)C_i_car(t1);
t4=((C_word*)t0)[3];
((C_proc4)C_retrieve_proc(t4))(4,t4,t2,((C_word*)t0)[2],t3);}
else{
t2=(C_word)C_i_cdr(((C_word*)t0)[5]);
t3=((C_word*)((C_word*)t0)[4])[1];
f_2128(t3,((C_word*)t0)[6],t2);}}

/* k2153 in k2143 in loop in k2124 in k2117 in a2114 in conc in glob in k685 in k682 in k679 in k676 in k673 */
static void f_2155(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2155,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2159,a[2]=t1,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(C_word)C_i_cdr(((C_word*)t0)[3]);
t4=((C_word*)((C_word*)t0)[2])[1];
f_2128(t4,t2,t3);}

/* k2157 in k2153 in k2143 in loop in k2124 in k2117 in a2114 in conc in glob in k685 in k682 in k679 in k676 in k673 */
static void f_2159(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2159,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_cons(&a,2,((C_word*)t0)[2],t1));}

/* a2108 in conc in glob in k685 in k682 in k679 in k676 in k673 */
static void f_2109(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2109,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,t1,((C_word*)t0)[2]);}

/* set-buffering-mode! in k685 in k682 in k679 in k676 in k673 */
static void f_2029(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4rv,(void*)f_2029r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_2029r(t0,t1,t2,t3,t4);}}

static void f_2029r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2033,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=*((C_word*)lf[103]+1);
((C_proc4)(void*)(*((C_word*)t6+1)))(4,t6,t5,t2,lf[189]);}

/* k2031 in set-buffering-mode! in k685 in k682 in k679 in k676 in k673 */
static void f_2033(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2033,2,t0,t1);}
t2=(C_word)C_notvemptyp(((C_word*)t0)[5]);
t3=(C_truep(t2)?(C_word)C_i_vector_ref(((C_word*)t0)[5],C_fix(0)):C_fix((C_word)BUFSIZ));
t4=((C_word*)t0)[4];
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2039,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t6=(C_word)C_eqp(t4,lf[191]);
if(C_truep(t6)){
t7=t5;
f_2039(2,t7,C_fix((C_word)_IOFBF));}
else{
t7=(C_word)C_eqp(t4,lf[192]);
if(C_truep(t7)){
t8=t5;
f_2039(2,t8,C_fix((C_word)_IOLBF));}
else{
t8=(C_word)C_eqp(t4,lf[193]);
if(C_truep(t8)){
t9=t5;
f_2039(2,t9,C_fix((C_word)_IONBF));}
else{
t9=*((C_word*)lf[57]+1);
((C_proc6)(void*)(*((C_word*)t9+1)))(6,t9,t5,lf[189],lf[194],((C_word*)t0)[4],((C_word*)t0)[3]);}}}}

/* k2037 in k2031 in set-buffering-mode! in k685 in k682 in k679 in k676 in k673 */
static void f_2039(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
t2=(C_word)C_i_check_exact_2(((C_word*)t0)[4],lf[189]);
t3=(C_word)C_slot(((C_word*)t0)[3],C_fix(7));
t4=(C_word)C_eqp(lf[69],t3);
t5=(C_truep(t4)?(C_word)C_setvbuf(((C_word*)t0)[3],t1,((C_word*)t0)[4]):C_fix(-1));
if(C_truep((C_word)C_fixnum_lessp(t5,C_fix(0)))){
t6=*((C_word*)lf[57]+1);
((C_proc7)(void*)(*((C_word*)t6+1)))(7,t6,((C_word*)t0)[2],lf[189],lf[190],((C_word*)t0)[3],t1,((C_word*)t0)[4]);}
else{
t6=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,C_SCHEME_UNDEFINED);}}

/* _exit in k685 in k682 in k679 in k676 in k673 */
static void f_2010(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr2rv,(void*)f_2010r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest_vector(a,C_rest_count(0));
f_2010r(t0,t1,t2);}}

static void f_2010r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2014,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[188]+1);
((C_proc2)C_retrieve_proc(t4))(2,t4,t3);}

/* k2012 in _exit in k685 in k682 in k679 in k676 in k673 */
static void f_2014(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
t2=(C_word)C_notvemptyp(((C_word*)t0)[3]);
t3=(C_truep(t2)?(C_word)C_i_vector_ref(((C_word*)t0)[3],C_fix(0)):C_fix(0));
t4=((C_word*)t0)[2];
t5=(C_word)C_i_foreign_fixnum_argumentp(t3);
t6=t4;
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,(C_word)stub295(C_SCHEME_UNDEFINED,t5));}

/* time->string in k685 in k682 in k679 in k676 in k673 */
static void f_1976(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1976,3,t0,t1,t2);}
t3=(C_word)C_i_check_vector_2(t2,lf[184]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1983,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(C_word)C_block_size(t2);
if(C_truep((C_word)C_fixnum_lessp(t5,C_fix(10)))){
t6=*((C_word*)lf[57]+1);
((C_proc5)(void*)(*((C_word*)t6+1)))(5,t6,t4,lf[184],lf[186],t2);}
else{
t6=t4;
f_1983(2,t6,C_SCHEME_UNDEFINED);}}

/* k1981 in time->string in k685 in k682 in k679 in k676 in k673 */
static void f_1983(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1983,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1986,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[2];
t4=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t5=*((C_word*)lf[178]+1);
((C_proc4)(void*)(*((C_word*)t5+1)))(4,t5,t2,(C_word)stub284(t4,t3),C_fix(0));}

/* k1984 in k1981 in time->string in k685 in k682 in k679 in k676 in k673 */
static void f_1986(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1986,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1989,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t1)){
t3=t2;
f_1989(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=*((C_word*)lf[57]+1);
((C_proc5)(void*)(*((C_word*)t3+1)))(5,t3,t2,lf[184],lf[185],((C_word*)t0)[2]);}}

/* k1987 in k1984 in k1981 in time->string in k685 in k682 in k679 in k676 in k673 */
static void f_1989(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* seconds->string in k685 in k682 in k679 in k676 in k673 */
static void f_1959(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[9],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1959,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1963,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=t2;
t5=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t6=(C_word)C_i_foreign_integer_argumentp(t4);
t7=(C_word)stub275(t5,t6);
t8=*((C_word*)lf[178]+1);
((C_proc4)(void*)(*((C_word*)t8+1)))(4,t8,t3,t7,C_fix(0));}

/* k1961 in seconds->string in k685 in k682 in k679 in k676 in k673 */
static void f_1963(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1963,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1966,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t1)){
t3=t2;
f_1966(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=*((C_word*)lf[57]+1);
((C_proc5)(void*)(*((C_word*)t3+1)))(5,t3,t2,lf[182],lf[183],((C_word*)t0)[2]);}}

/* k1964 in k1961 in seconds->string in k685 in k682 in k679 in k676 in k673 */
static void f_1966(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* seconds->utc-time in k685 in k682 in k679 in k676 in k673 */
static void f_1940(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1940,3,t0,t1,t2);}
t3=(C_word)C_i_check_number_2(t2,lf[181]);
t4=*((C_word*)lf[180]+1);
((C_proc4)C_retrieve_proc(t4))(4,t4,t1,t2,C_SCHEME_TRUE);}

/* seconds->local-time in k685 in k682 in k679 in k676 in k673 */
static void f_1931(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1931,3,t0,t1,t2);}
t3=(C_word)C_i_check_number_2(t2,lf[179]);
t4=*((C_word*)lf[180]+1);
((C_proc4)C_retrieve_proc(t4))(4,t4,t1,t2,C_SCHEME_FALSE);}

/* current-environment in k685 in k682 in k679 in k676 in k673 */
static void f_1866(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[6],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1866,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1872,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_1872(t5,t1,C_fix(0));}

/* loop in current-environment in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_1872(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1872,NULL,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1876,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=t2;
t5=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t6=(C_word)C_i_foreign_fixnum_argumentp(t4);
t7=(C_word)stub258(t5,t6);
t8=*((C_word*)lf[178]+1);
((C_proc4)(void*)(*((C_word*)t8+1)))(4,t8,t3,t7,C_fix(0));}

/* k1874 in loop in current-environment in k685 in k682 in k679 in k676 in k673 */
static void f_1876(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1876,2,t0,t1);}
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1884,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_1884(t5,((C_word*)t0)[2],C_fix(0));}
else{
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_END_OF_LIST);}}

/* scan in k1874 in loop in current-environment in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_1884(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
a=C_alloc(8);
if(!C_stack_probe(a)){
C_save_and_reclaim((void*)trf_1884,NULL,3,t0,t1,t2);}
t3=(C_word)C_eqp(C_make_character(61),(C_word)C_subchar(((C_word*)t0)[6],t2));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1910,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t5=((C_word*)t0)[3];
((C_proc5)C_retrieve_proc(t5))(5,t5,t4,((C_word*)t0)[6],C_fix(0),t2);}
else{
t4=(C_word)C_fixnum_plus(t2,C_fix(1));
t7=t1;
t8=t4;
t1=t7;
t2=t8;
goto loop;}}

/* k1908 in scan in k1874 in loop in current-environment in k685 in k682 in k679 in k676 in k673 */
static void f_1910(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1910,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1914,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t3=(C_word)C_fixnum_plus(((C_word*)t0)[4],C_fix(1));
t4=(C_word)C_block_size(((C_word*)t0)[3]);
t5=((C_word*)t0)[2];
((C_proc5)C_retrieve_proc(t5))(5,t5,t2,((C_word*)t0)[3],t3,t4);}

/* k1912 in k1908 in scan in k1874 in loop in current-environment in k685 in k682 in k679 in k676 in k673 */
static void f_1914(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1914,2,t0,t1);}
t2=(C_word)C_a_i_cons(&a,2,((C_word*)t0)[5],t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1902,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=(C_word)C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t5=((C_word*)((C_word*)t0)[2])[1];
f_1872(t5,t3,t4);}

/* k1900 in k1912 in k1908 in scan in k1874 in loop in current-environment in k685 in k682 in k679 in k676 in k673 */
static void f_1902(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1902,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_cons(&a,2,((C_word*)t0)[2],t1));}

/* unsetenv in k685 in k682 in k679 in k676 in k673 */
static void f_1846(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1846,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[176]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1854,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t4,t2);}

/* k1852 in unsetenv in k685 in k682 in k679 in k676 in k673 */
static void f_1854(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_putenv(t1);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}

/* setenv in k685 in k682 in k679 in k676 in k673 */
static void f_1829(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[4],*a=ab;
if(c!=4) C_bad_argc(c,4);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_1829,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_string_2(t2,lf[175]);
t5=(C_word)C_i_check_string_2(t3,lf[175]);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1840,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t7=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t7+1)))(3,t7,t6,t2);}

/* k1838 in setenv in k685 in k682 in k679 in k676 in k673 */
static void f_1840(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1840,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1844,a[2]=((C_word*)t0)[3],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,((C_word*)t0)[2]);}

/* k1842 in k1838 in setenv in k685 in k682 in k679 in k676 in k673 */
static void f_1844(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_setenv(((C_word*)t0)[3],t1);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}

/* duplicate-fileno in k685 in k682 in k679 in k676 in k673 */
static void f_1799(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr3rv,(void*)f_1799r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest_vector(a,C_rest_count(0));
f_1799r(t0,t1,t2,t3);}}

static void f_1799r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a=C_alloc(4);
t4=(C_word)C_i_check_exact_2(t2,*((C_word*)lf[173]+1));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1806,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_vemptyp(t3))){
t6=t5;
f_1806(t6,(C_word)C_dup(t2));}
else{
t6=(C_word)C_i_vector_ref(t3,C_fix(0));
t7=(C_word)C_i_check_exact_2(t6,lf[173]);
t8=t5;
f_1806(t8,(C_word)C_dup2(t2,t6));}}

/* k1804 in duplicate-fileno in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_1806(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1806,NULL,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1809,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnum_lessp(t1,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1815,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=t2;
f_1809(2,t3,C_SCHEME_UNDEFINED);}}

/* k1813 in k1804 in duplicate-fileno in k685 in k682 in k679 in k676 in k673 */
static void f_1815(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[173],lf[174],((C_word*)t0)[2]);}

/* k1807 in k1804 in duplicate-fileno in k685 in k682 in k679 in k676 in k673 */
static void f_1809(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* port->fileno in k685 in k682 in k679 in k676 in k673 */
static void f_1764(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1764,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1768,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[103]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t3,t2,lf[169]);}

/* k1766 in port->fileno in k685 in k682 in k679 in k676 in k673 */
static void f_1768(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1768,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1797,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[172]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,((C_word*)t0)[2],C_fix(0));}

/* k1795 in k1766 in port->fileno in k685 in k682 in k679 in k676 in k673 */
static void f_1797(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1797,2,t0,t1);}
if(C_truep((C_word)C_i_zerop(t1))){
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[41],lf[169],lf[170],((C_word*)t0)[2]);}
else{
t2=(C_word)C_C_fileno(((C_word*)t0)[2]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1777,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1783,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}
else{
t4=t3;
f_1777(2,t4,C_SCHEME_UNDEFINED);}}}

/* k1781 in k1795 in k1766 in port->fileno in k685 in k682 in k679 in k676 in k673 */
static void f_1783(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[169],lf[171],((C_word*)t0)[2]);}

/* k1775 in k1795 in k1766 in port->fileno in k685 in k682 in k679 in k676 in k673 */
static void f_1777(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* open-output-file* in k685 in k682 in k679 in k676 in k673 */
static void f_1750(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr3r,(void*)f_1750r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_1750r(t0,t1,t2,t3);}}

static void f_1750r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t4=(C_word)C_i_check_exact_2(t2,lf[168]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1762,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
f_1681(t5,C_SCHEME_FALSE,t3);}

/* k1760 in open-output-file* in k685 in k682 in k679 in k676 in k673 */
static void f_1762(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1762,2,t0,t1);}
t2=(C_word)C_fdopen(&a,2,((C_word*)t0)[4],t1);
f_1718(((C_word*)t0)[2],((C_word*)t0)[4],C_SCHEME_FALSE,t2);}

/* open-input-file* in k685 in k682 in k679 in k676 in k673 */
static void f_1736(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr3r,(void*)f_1736r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_1736r(t0,t1,t2,t3);}}

static void f_1736r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t4=(C_word)C_i_check_exact_2(t2,lf[167]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1748,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
f_1681(t5,C_SCHEME_TRUE,t3);}

/* k1746 in open-input-file* in k685 in k682 in k679 in k676 in k673 */
static void f_1748(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1748,2,t0,t1);}
t2=(C_word)C_fdopen(&a,2,((C_word*)t0)[4],t1);
f_1718(((C_word*)t0)[2],((C_word*)t0)[4],C_SCHEME_TRUE,t2);}

/* check in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_1718(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1718,NULL,4,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1722,a[2]=t3,a[3]=t2,a[4]=t1,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}

/* k1720 in check in k685 in k682 in k679 in k676 in k673 */
static void f_1722(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1722,2,t0,t1);}
if(C_truep((C_word)C_null_pointerp(((C_word*)t0)[5]))){
t2=*((C_word*)lf[30]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[4],lf[31],lf[165],((C_word*)t0)[3]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1734,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[95]+1);
((C_proc6)(void*)(*((C_word*)t3+1)))(6,t3,t2,((C_word*)t0)[2],*((C_word*)lf[96]+1),lf[166],lf[69]);}}

/* k1732 in k1720 in check in k685 in k682 in k679 in k676 in k673 */
static void f_1734(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_set_file_ptr(t1,((C_word*)t0)[3]);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t1);}

/* mode in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_1681(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1681,NULL,3,t1,t2,t3);}
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1689,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_pairp(t3))){
t5=(C_word)C_i_car(t3);
t6=(C_word)C_eqp(t5,lf[159]);
if(C_truep(t6)){
t7=t2;
if(C_truep(t7)){
t8=*((C_word*)lf[57]+1);
((C_proc4)(void*)(*((C_word*)t8+1)))(4,t8,t4,lf[160],t5);}
else{
t8=t4;
f_1689(2,t8,lf[161]);}}
else{
t7=*((C_word*)lf[57]+1);
((C_proc4)(void*)(*((C_word*)t7+1)))(4,t7,t4,lf[162],t5);}}
else{
t5=t4;
f_1689(2,t5,(C_truep(t2)?lf[163]:lf[164]));}}

/* k1687 in mode in k685 in k682 in k679 in k676 in k673 */
static void f_1689(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* file-execute-access? in k685 in k682 in k679 in k676 in k673 */
static void f_1672(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1672,3,t0,t1,t2);}
f_1636(t1,t2,C_fix((C_word)2),lf[155]);}

/* file-write-access? in k685 in k682 in k679 in k676 in k673 */
static void f_1666(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1666,3,t0,t1,t2);}
f_1636(t1,t2,C_fix((C_word)4),lf[154]);}

/* file-read-access? in k685 in k682 in k679 in k676 in k673 */
static void f_1660(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1660,3,t0,t1,t2);}
f_1636(t1,t2,C_fix((C_word)2),lf[153]);}

/* check in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_1636(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1636,NULL,4,t1,t2,t3,t4);}
t5=(C_word)C_i_check_string_2(t2,t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1654,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1658,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t8))(3,t8,t7,t2);}

/* k1656 in check in k685 in k682 in k679 in k676 in k673 */
static void f_1658(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1652 in check in k685 in k682 in k679 in k676 in k673 */
static void f_1654(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1654,2,t0,t1);}
t2=(C_word)C_access(t1,((C_word*)t0)[3]);
t3=(C_word)C_eqp(C_fix(0),t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1646,a[2]=t3,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t3)){
t5=t4;
f_1646(2,t5,C_SCHEME_UNDEFINED);}
else{
t5=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}}

/* k1644 in k1652 in check in k685 in k682 in k679 in k676 in k673 */
static void f_1646(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* change-file-mode in k685 in k682 in k679 in k676 in k673 */
static void f_1606(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[8],*a=ab;
if(c!=4) C_bad_argc(c,4);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_1606,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_string_2(t2,lf[151]);
t5=(C_word)C_i_check_exact_2(t3,lf[151]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1630,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1634,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t8))(3,t8,t7,t2);}

/* k1632 in change-file-mode in k685 in k682 in k679 in k676 in k673 */
static void f_1634(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1628 in change-file-mode in k685 in k682 in k679 in k676 in k673 */
static void f_1630(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1630,2,t0,t1);}
t2=(C_word)C_chmod(t1,((C_word*)t0)[4]);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1622,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* k1620 in k1628 in change-file-mode in k685 in k682 in k679 in k676 in k673 */
static void f_1622(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc7)(void*)(*((C_word*)t2+1)))(7,t2,((C_word*)t0)[4],lf[31],lf[151],lf[152],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* create-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1550(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1550,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1554,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_fixnum_lessp((C_word)C_pipe(C_SCHEME_FALSE),C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1563,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=t2;
f_1554(2,t3,C_SCHEME_UNDEFINED);}}

/* k1561 in create-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1563(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[2],lf[31],lf[111],lf[112]);}

/* k1552 in create-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1554(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(4,0,((C_word*)t0)[2],C_fix((C_word)C_pipefds[ 0 ]),C_fix((C_word)C_pipefds[ 1 ]));}

/* with-output-to-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1530(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4r,(void*)f_1530r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_1530r(t0,t1,t2,t3,t4);}}

static void f_1530r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(6);
t5=*((C_word*)lf[110]+1);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1534,a[2]=t3,a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t5,tmp=(C_word)a,a+=6,tmp);
C_apply(5,0,t6,((C_word*)t0)[2],t2,t4);}

/* k1532 in with-output-to-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1534(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1534,2,t0,t1);}
t2=C_mutate((C_word*)lf[110]+1,t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1540,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
C_call_with_values(4,0,((C_word*)t0)[3],((C_word*)t0)[2],t3);}

/* a1539 in k1532 in with-output-to-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1540(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr2r,(void*)f_1540r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_1540r(t0,t1,t2);}}

static void f_1540r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1544,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[2]);}

/* k1542 in a1539 in k1532 in with-output-to-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1544(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=C_mutate((C_word*)lf[110]+1,((C_word*)t0)[4]);
C_apply_values(3,0,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* with-input-from-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1510(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4r,(void*)f_1510r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_1510r(t0,t1,t2,t3,t4);}}

static void f_1510r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(6);
t5=*((C_word*)lf[108]+1);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1514,a[2]=t3,a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t5,tmp=(C_word)a,a+=6,tmp);
C_apply(5,0,t6,((C_word*)t0)[2],t2,t4);}

/* k1512 in with-input-from-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1514(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1514,2,t0,t1);}
t2=C_mutate((C_word*)lf[108]+1,t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1520,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
C_call_with_values(4,0,((C_word*)t0)[3],((C_word*)t0)[2],t3);}

/* a1519 in k1512 in with-input-from-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1520(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr2r,(void*)f_1520r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_1520r(t0,t1,t2);}}

static void f_1520r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1524,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[2]);}

/* k1522 in a1519 in k1512 in with-input-from-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1524(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=C_mutate((C_word*)lf[108]+1,((C_word*)t0)[4]);
C_apply_values(3,0,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* call-with-output-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1486(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr4r,(void*)f_1486r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_1486r(t0,t1,t2,t3,t4);}}

static void f_1486r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1490,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
C_apply(5,0,t5,((C_word*)t0)[2],t2,t4);}

/* k1488 in call-with-output-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1490(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1490,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1495,a[2]=t1,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1501,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
C_call_with_values(4,0,((C_word*)t0)[2],t2,t3);}

/* a1500 in k1488 in call-with-output-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1501(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr2r,(void*)f_1501r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_1501r(t0,t1,t2);}}

static void f_1501r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1505,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[2]);}

/* k1503 in a1500 in k1488 in call-with-output-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1505(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_apply_values(3,0,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* a1494 in k1488 in call-with-output-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1495(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1495,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,t1,((C_word*)t0)[2]);}

/* call-with-input-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1462(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr4r,(void*)f_1462r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_1462r(t0,t1,t2,t3,t4);}}

static void f_1462r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1466,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
C_apply(5,0,t5,((C_word*)t0)[2],t2,t4);}

/* k1464 in call-with-input-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1466(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1466,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1471,a[2]=t1,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1477,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
C_call_with_values(4,0,((C_word*)t0)[2],t2,t3);}

/* a1476 in k1464 in call-with-input-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1477(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr2r,(void*)f_1477r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_1477r(t0,t1,t2);}}

static void f_1477r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1481,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[2]);}

/* k1479 in a1476 in k1464 in call-with-input-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1481(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_apply_values(3,0,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* a1470 in k1464 in call-with-input-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1471(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1471,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc3)C_retrieve_proc(t2))(3,t2,t1,((C_word*)t0)[2]);}

/* close-input-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1443(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1443,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1447,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[103]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t3,t2,lf[101]);}

/* k1445 in close-input-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1447(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1447,2,t0,t1);}
t2=(C_word)close_pipe(((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1450,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k1448 in k1445 in close-input-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1450(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_eqp(C_fix(-1),((C_word*)t0)[4]);
if(C_truep(t2)){
t3=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t3+1)))(6,t3,((C_word*)t0)[3],lf[31],lf[101],lf[102],((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* open-output-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1407(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+11)){
C_save_and_reclaim((void*)tr3r,(void*)f_1407r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_1407r(t0,t1,t2,t3);}}

static void f_1407r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a=C_alloc(11);
t4=(C_word)C_i_check_string_2(t2,lf[100]);
t5=f_1335(t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1421,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t7=(C_word)C_eqp(t5,lf[92]);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1428,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t9=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t9+1)))(3,t9,t8,t2);}
else{
t8=(C_word)C_eqp(t5,lf[99]);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1438,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t10=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t10+1)))(3,t10,t9,t2);}
else{
f_1347(t6,t5);}}}

/* k1436 in open-output-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1438(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1438,2,t0,t1);}
t2=((C_word*)t0)[2];
f_1421(2,t2,(C_word)open_binary_output_pipe(&a,1,t1));}

/* k1426 in open-output-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1428(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1428,2,t0,t1);}
t2=((C_word*)t0)[2];
f_1421(2,t2,(C_word)open_text_output_pipe(&a,1,t1));}

/* k1419 in open-output-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1421(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
f_1353(((C_word*)t0)[3],((C_word*)t0)[2],C_SCHEME_FALSE,t1);}

/* open-input-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1371(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+11)){
C_save_and_reclaim((void*)tr3r,(void*)f_1371r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_1371r(t0,t1,t2,t3);}}

static void f_1371r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a=C_alloc(11);
t4=(C_word)C_i_check_string_2(t2,lf[98]);
t5=f_1335(t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1385,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t7=(C_word)C_eqp(t5,lf[92]);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1392,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t9=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t9+1)))(3,t9,t8,t2);}
else{
t8=(C_word)C_eqp(t5,lf[99]);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1402,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t10=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t10+1)))(3,t10,t9,t2);}
else{
f_1347(t6,t5);}}}

/* k1400 in open-input-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1402(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1402,2,t0,t1);}
t2=((C_word*)t0)[2];
f_1385(2,t2,(C_word)open_binary_input_pipe(&a,1,t1));}

/* k1390 in open-input-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1392(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1392,2,t0,t1);}
t2=((C_word*)t0)[2];
f_1385(2,t2,(C_word)open_text_input_pipe(&a,1,t1));}

/* k1383 in open-input-pipe in k685 in k682 in k679 in k676 in k673 */
static void f_1385(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
f_1353(((C_word*)t0)[3],((C_word*)t0)[2],C_SCHEME_TRUE,t1);}

/* check in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_1353(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1353,NULL,4,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1357,a[2]=t3,a[3]=t2,a[4]=t1,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}

/* k1355 in check in k685 in k682 in k679 in k676 in k673 */
static void f_1357(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1357,2,t0,t1);}
if(C_truep((C_word)C_null_pointerp(((C_word*)t0)[5]))){
t2=*((C_word*)lf[30]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[4],lf[31],lf[94],((C_word*)t0)[3]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1369,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[95]+1);
((C_proc6)(void*)(*((C_word*)t3+1)))(6,t3,t2,((C_word*)t0)[2],*((C_word*)lf[96]+1),lf[97],lf[69]);}}

/* k1367 in k1355 in check in k685 in k682 in k679 in k676 in k673 */
static void f_1369(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_set_file_ptr(t1,((C_word*)t0)[3]);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t1);}

/* badmode in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_1347(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1347,NULL,2,t1,t2);}
t3=*((C_word*)lf[57]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t1,lf[93],t2);}

/* mode in k685 in k682 in k679 in k676 in k673 */
static C_word C_fcall f_1335(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_check;
t2=(C_word)C_i_pairp(t1);
return((C_truep(t2)?(C_word)C_slot(t1,C_fix(0)):lf[92]));}

/* current-directory in k685 in k682 in k679 in k676 in k673 */
static void f_1317(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1317,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1321,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t3))(3,t3,t2,C_fix(256));}

/* k1319 in current-directory in k685 in k682 in k679 in k676 in k673 */
static void f_1321(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1321,2,t0,t1);}
t2=(C_word)C_curdir(t1);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1324,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k1322 in k1319 in current-directory in k685 in k682 in k679 in k676 in k673 */
static void f_1324(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_truep(((C_word*)t0)[5])){
t2=((C_word*)t0)[4];
((C_proc5)C_retrieve_proc(t2))(5,t2,((C_word*)t0)[3],((C_word*)t0)[2],C_fix(0),((C_word*)t0)[5]);}
else{
t2=*((C_word*)lf[30]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],lf[31],lf[90],lf[91]);}}

/* directory? in k685 in k682 in k679 in k676 in k673 */
static void f_1294(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1294,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[89]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1301,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1315,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t6))(3,t6,t5,t2);}

/* k1313 in directory? in k685 in k682 in k679 in k676 in k673 */
static void f_1315(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[65]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1299 in directory? in k685 in k682 in k679 in k676 in k673 */
static void f_1301(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(t1,C_fix(4));
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,(C_word)C_eqp(C_fix(1),t2));}
else{
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_FALSE);}}

/* directory in k685 in k682 in k679 in k676 in k673 */
static void f_1237(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1237,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[86]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1244,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t5))(3,t5,t4,C_fix(256));}

/* k1242 in directory in k685 in k682 in k679 in k676 in k673 */
static void f_1244(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1244,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1247,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=*((C_word*)lf[88]+1);
((C_proc2)C_retrieve_proc(t3))(2,t3,t2);}

/* k1245 in k1242 in directory in k685 in k682 in k679 in k676 in k673 */
static void f_1247(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1247,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1250,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t3=*((C_word*)lf[88]+1);
((C_proc2)C_retrieve_proc(t3))(2,t3,t2);}

/* k1248 in k1245 in k1242 in directory in k685 in k682 in k679 in k676 in k673 */
static void f_1250(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1250,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1254,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1292,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t4=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[4]);}

/* k1290 in k1248 in k1245 in k1242 in directory in k685 in k682 in k679 in k676 in k673 */
static void f_1292(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1252 in k1248 in k1245 in k1242 in directory in k685 in k682 in k679 in k676 in k673 */
static void f_1254(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[13],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1254,2,t0,t1);}
t2=(C_word)C_opendir(t1,((C_word*)t0)[7]);
if(C_truep((C_word)C_null_pointerp(((C_word*)t0)[7]))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1263,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1271,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_1271(t6,((C_word*)t0)[6]);}}

/* loop in k1252 in k1248 in k1245 in k1242 in directory in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_1271(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1271,NULL,2,t0,t1);}
t2=(C_word)C_readdir(((C_word*)t0)[6],((C_word*)t0)[5]);
if(C_truep((C_word)C_null_pointerp(((C_word*)t0)[5]))){
t3=(C_word)C_closedir(((C_word*)t0)[6]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_END_OF_LIST);}
else{
t3=(C_word)C_foundfile(((C_word*)t0)[5],((C_word*)t0)[4]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1281,a[2]=((C_word*)t0)[3],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=((C_word*)t0)[2];
((C_proc5)C_retrieve_proc(t5))(5,t5,t4,((C_word*)t0)[4],C_fix(0),t3);}}

/* k1279 in loop in k1252 in k1248 in k1245 in k1242 in directory in k685 in k682 in k679 in k676 in k673 */
static void f_1281(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1281,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1288,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)((C_word*)t0)[2])[1];
f_1271(t3,t2);}

/* k1286 in k1279 in loop in k1252 in k1248 in k1245 in k1242 in directory in k685 in k682 in k679 in k676 in k673 */
static void f_1288(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1288,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_cons(&a,2,((C_word*)t0)[2],t1));}

/* k1261 in k1252 in k1248 in k1245 in k1242 in directory in k685 in k682 in k679 in k676 in k673 */
static void f_1263(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[86],lf[87],((C_word*)t0)[2]);}

/* delete-directory in k685 in k682 in k679 in k676 in k673 */
static void f_1210(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1210,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[81]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1231,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1235,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t6))(3,t6,t5,t2);}

/* k1233 in delete-directory in k685 in k682 in k679 in k676 in k673 */
static void f_1235(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1229 in delete-directory in k685 in k682 in k679 in k676 in k673 */
static void f_1231(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1231,2,t0,t1);}
t2=(C_word)C_rmdir(t1);
if(C_truep((C_word)C_i_zerop(t2))){
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1223,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}}

/* k1221 in k1229 in delete-directory in k685 in k682 in k679 in k676 in k673 */
static void f_1223(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[81],lf[82],((C_word*)t0)[2]);}

/* change-directory in k685 in k682 in k679 in k676 in k673 */
static void f_1183(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1183,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[79]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1204,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1208,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t6))(3,t6,t5,t2);}

/* k1206 in change-directory in k685 in k682 in k679 in k676 in k673 */
static void f_1208(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1202 in change-directory in k685 in k682 in k679 in k676 in k673 */
static void f_1204(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1204,2,t0,t1);}
t2=(C_word)C_chdir(t1);
if(C_truep((C_word)C_i_zerop(t2))){
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1196,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}}

/* k1194 in k1202 in change-directory in k685 in k682 in k679 in k676 in k673 */
static void f_1196(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[79],lf[80],((C_word*)t0)[2]);}

/* create-directory in k685 in k682 in k679 in k676 in k673 */
static void f_1156(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1156,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[77]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1177,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1181,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t6))(3,t6,t5,t2);}

/* k1179 in create-directory in k685 in k682 in k679 in k676 in k673 */
static void f_1181(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1175 in create-directory in k685 in k682 in k679 in k676 in k673 */
static void f_1177(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1177,2,t0,t1);}
t2=(C_word)C_mkdir(t1);
if(C_truep((C_word)C_i_zerop(t2))){
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1169,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}}

/* k1167 in k1175 in create-directory in k685 in k682 in k679 in k676 in k673 */
static void f_1169(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[77],lf[78],((C_word*)t0)[2]);}

/* set-file-position! in k685 in k682 in k679 in k676 in k673 */
static void f_1095(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4rv,(void*)f_1095r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_1095r(t0,t1,t2,t3,t4);}}

static void f_1095r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a=C_alloc(6);
t5=(C_word)C_notvemptyp(t4);
t6=(C_truep(t5)?(C_word)C_i_vector_ref(t4,C_fix(0)):C_fix((C_word)SEEK_SET));
t7=(C_word)C_i_check_exact_2(t3,lf[72]);
t8=(C_word)C_i_check_exact_2(t6,lf[72]);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1108,a[2]=t6,a[3]=t3,a[4]=t2,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
if(C_truep((C_word)C_fixnum_lessp(t3,C_fix(0)))){
t10=*((C_word*)lf[30]+1);
((C_proc7)(void*)(*((C_word*)t10+1)))(7,t10,t9,lf[75],lf[72],lf[76],t3,t2);}
else{
t10=t9;
f_1108(2,t10,C_SCHEME_UNDEFINED);}}

/* k1106 in set-file-position! in k685 in k682 in k679 in k676 in k673 */
static void f_1108(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1108,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1114,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1123,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=*((C_word*)lf[71]+1);
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,((C_word*)t0)[4]);}

/* k1121 in k1106 in set-file-position! in k685 in k682 in k679 in k676 in k673 */
static void f_1123(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(((C_word*)t0)[5],C_fix(7));
t3=(C_word)C_eqp(t2,lf[69]);
t4=((C_word*)t0)[4];
f_1114(2,t4,(C_truep(t3)?(C_word)C_fseek(((C_word*)t0)[5],((C_word*)t0)[3],((C_word*)t0)[2]):C_SCHEME_FALSE));}
else{
if(C_truep((C_word)C_fixnump(((C_word*)t0)[5]))){
t2=((C_word*)t0)[4];
f_1114(2,t2,(C_word)C_lseek(((C_word*)t0)[5],((C_word*)t0)[3],((C_word*)t0)[2]));}
else{
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[4],lf[41],lf[72],lf[74],((C_word*)t0)[5]);}}}

/* k1112 in k1106 in set-file-position! in k685 in k682 in k679 in k676 in k673 */
static void f_1114(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1114,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_UNDEFINED);}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1117,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}}

/* k1115 in k1112 in k1106 in set-file-position! in k685 in k682 in k679 in k676 in k673 */
static void f_1117(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc7)(void*)(*((C_word*)t2+1)))(7,t2,((C_word*)t0)[4],lf[31],lf[72],lf[73],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* file-position in k685 in k682 in k679 in k676 in k673 */
static void f_1055(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1055,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1059,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1074,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=*((C_word*)lf[71]+1);
((C_proc3)C_retrieve_proc(t5))(3,t5,t4,t2);}

/* k1072 in file-position in k685 in k682 in k679 in k676 in k673 */
static void f_1074(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(((C_word*)t0)[3],C_fix(7));
t3=(C_word)C_eqp(t2,lf[69]);
t4=((C_word*)t0)[2];
f_1059(2,t4,(C_truep(t3)?(C_word)C_ftell(((C_word*)t0)[3]):C_fix(-1)));}
else{
if(C_truep((C_word)C_fixnump(((C_word*)t0)[3]))){
t2=((C_word*)t0)[2];
f_1059(2,t2,(C_word)C_lseek(((C_word*)t0)[3],C_fix(0),C_fix((C_word)SEEK_CUR)));}
else{
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[2],lf[41],lf[67],lf[70],((C_word*)t0)[3]);}}}

/* k1057 in file-position in k685 in k682 in k679 in k676 in k673 */
static void f_1059(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1059,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1062,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnum_lessp(t1,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1068,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=t2;
f_1062(2,t3,C_SCHEME_UNDEFINED);}}

/* k1066 in k1057 in file-position in k685 in k682 in k679 in k676 in k673 */
static void f_1068(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[67],lf[68],((C_word*)t0)[2]);}

/* k1060 in k1057 in file-position in k685 in k682 in k679 in k676 in k673 */
static void f_1062(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* symbolic-link? in k685 in k682 in k679 in k676 in k673 */
static void f_1049(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1049,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[66]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_FALSE);}

/* regular-file? in k685 in k682 in k679 in k676 in k673 */
static void f_1026(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1026,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[64]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1033,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1047,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t6))(3,t6,t5,t2);}

/* k1045 in regular-file? in k685 in k682 in k679 in k676 in k673 */
static void f_1047(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[65]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1031 in regular-file? in k685 in k682 in k679 in k676 in k673 */
static void f_1033(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(t1,C_fix(4));
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,(C_word)C_eqp(C_fix(0),t2));}
else{
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_FALSE);}}

/* file-permissions in k685 in k682 in k679 in k676 in k673 */
static void f_1020(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1020,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1024,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_921(t3,t2);}

/* k1022 in file-permissions in k685 in k682 in k679 in k676 in k673 */
static void f_1024(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_mode));}

/* file-owner in k685 in k682 in k679 in k676 in k673 */
static void f_1014(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1014,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1018,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_921(t3,t2);}

/* k1016 in file-owner in k685 in k682 in k679 in k676 in k673 */
static void f_1018(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_uid));}

/* file-change-time in k685 in k682 in k679 in k676 in k673 */
static void f_1008(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1008,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1012,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_921(t3,t2);}

/* k1010 in file-change-time in k685 in k682 in k679 in k676 in k673 */
static void f_1012(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1012,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_flonum(&a,C_statbuf.st_ctime));}

/* file-access-time in k685 in k682 in k679 in k676 in k673 */
static void f_1002(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1002,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1006,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_921(t3,t2);}

/* k1004 in file-access-time in k685 in k682 in k679 in k676 in k673 */
static void f_1006(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1006,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_flonum(&a,C_statbuf.st_atime));}

/* file-modification-time in k685 in k682 in k679 in k676 in k673 */
static void f_996(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_996,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1000,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_921(t3,t2);}

/* k998 in file-modification-time in k685 in k682 in k679 in k676 in k673 */
static void f_1000(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1000,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_flonum(&a,C_statbuf.st_mtime));}

/* file-size in k685 in k682 in k679 in k676 in k673 */
static void f_990(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_990,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_994,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_921(t3,t2);}

/* k992 in file-size in k685 in k682 in k679 in k676 in k673 */
static void f_994(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_size));}

/* file-stat in k685 in k682 in k679 in k676 in k673 */
static void f_959(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(c<3) C_bad_min_argc(c,3);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr3r,(void*)f_959r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_959r(t0,t1,t2,t3);}}

static void f_959r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_963,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_i_nullp(t3))){
t5=t4;
f_963(2,t5,C_SCHEME_FALSE);}
else{
t5=(C_word)C_i_cdr(t3);
if(C_truep((C_word)C_i_nullp(t5))){
t6=t4;
f_963(2,t6,(C_word)C_i_car(t3));}
else{
t6=*((C_word*)lf[57]+1);
((C_proc4)(void*)(*((C_word*)t6+1)))(4,t6,t4,lf[0],t3);}}}

/* k961 in file-stat in k685 in k682 in k679 in k676 in k673 */
static void f_963(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_963,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_966,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
f_921(t2,((C_word*)t0)[2]);}

/* k964 in k961 in file-stat in k685 in k682 in k679 in k676 in k673 */
static void f_966(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[22],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_966,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_vector(&a,9,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_ino),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_mode),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_nlink),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_uid),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_gid),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_size),C_flonum(&a,C_statbuf.st_atime),C_flonum(&a,C_statbuf.st_ctime),C_flonum(&a,C_statbuf.st_mtime)));}

/* ##sys#stat in k685 in k682 in k679 in k676 in k673 */
static void C_fcall f_921(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_921,NULL,2,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_925,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnump(t2))){
t4=t3;
f_925(2,t4,(C_word)C_fstat(t2));}
else{
if(C_truep((C_word)C_i_stringp(t2))){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_950,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_954,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t6))(3,t6,t5,t2);}
else{
t4=*((C_word*)lf[30]+1);
((C_proc5)(void*)(*((C_word*)t4+1)))(5,t4,t3,lf[41],lf[55],t2);}}}

/* k952 in ##sys#stat in k685 in k682 in k679 in k676 in k673 */
static void f_954(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k948 in ##sys#stat in k685 in k682 in k679 in k676 in k673 */
static void f_950(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
f_925(2,t2,(C_word)C_stat(t1));}

/* k923 in ##sys#stat in k685 in k682 in k679 in k676 in k673 */
static void f_925(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_925,2,t0,t1);}
if(C_truep((C_word)C_fixnum_lessp(t1,C_fix(0)))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_934,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}
else{
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_UNDEFINED);}}

/* k932 in k923 in ##sys#stat in k685 in k682 in k679 in k676 in k673 */
static void f_934(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],lf[31],lf[54],((C_word*)t0)[2]);}

/* file-mkstemp in k685 in k682 in k679 in k676 in k673 */
static void f_883(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_883,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[47]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_890,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t4,t2);}

/* k888 in file-mkstemp in k685 in k682 in k679 in k676 in k673 */
static void f_890(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_890,2,t0,t1);}
t2=(C_word)C_mkstemp(t1);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_893,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t4))(3,t4,t3,t1);}

/* k891 in k888 in file-mkstemp in k685 in k682 in k679 in k676 in k673 */
static void f_893(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_893,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_896,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(C_word)C_eqp(C_fix(-1),((C_word*)t0)[4]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_913,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}
else{
t4=t2;
f_896(2,t4,C_SCHEME_UNDEFINED);}}

/* k911 in k891 in k888 in file-mkstemp in k685 in k682 in k679 in k676 in k673 */
static void f_913(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[47],lf[49],((C_word*)t0)[2]);}

/* k894 in k891 in k888 in file-mkstemp in k685 in k682 in k679 in k676 in k673 */
static void f_896(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_896,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_903,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
t3=(C_word)C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
t4=*((C_word*)lf[48]+1);
((C_proc5)C_retrieve_proc(t4))(5,t4,t2,((C_word*)t0)[2],C_fix(0),t3);}

/* k901 in k894 in k891 in k888 in file-mkstemp in k685 in k682 in k679 in k676 in k673 */
static void f_903(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(4,0,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* file-write in k685 in k682 in k679 in k676 in k673 */
static void f_841(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4rv,(void*)f_841r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_841r(t0,t1,t2,t3,t4);}}

static void f_841r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a=C_alloc(6);
t5=(C_word)C_i_check_exact_2(t2,lf[43]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_848,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t7=(C_truep((C_word)C_blockp(t3))?(C_word)C_byteblockp(t3):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=t6;
f_848(2,t8,C_SCHEME_UNDEFINED);}
else{
t8=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t8+1)))(6,t8,t6,lf[41],lf[43],lf[45],t3);}}

/* k846 in file-write in k685 in k682 in k679 in k676 in k673 */
static void f_848(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_848,2,t0,t1);}
t2=(C_word)C_notvemptyp(((C_word*)t0)[5]);
t3=(C_truep(t2)?(C_word)C_i_vector_ref(((C_word*)t0)[5],C_fix(0)):(C_word)C_block_size(((C_word*)t0)[4]));
t4=(C_word)C_i_check_exact_2(t3,lf[43]);
t5=(C_word)C_write(((C_word*)t0)[3],((C_word*)t0)[4],t3);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_857,a[2]=t5,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t7=(C_word)C_eqp(C_fix(-1),t5);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_863,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=t6,tmp=(C_word)a,a+=5,tmp);
t9=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t9+1)))(2,t9,t8);}
else{
t8=t6;
f_857(2,t8,C_SCHEME_UNDEFINED);}}

/* k861 in k846 in file-write in k685 in k682 in k679 in k676 in k673 */
static void f_863(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc7)(void*)(*((C_word*)t2+1)))(7,t2,((C_word*)t0)[4],lf[31],lf[43],lf[44],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* k855 in k846 in file-write in k685 in k682 in k679 in k676 in k673 */
static void f_857(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* file-read in k685 in k682 in k679 in k676 in k673 */
static void f_796(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr4rv,(void*)f_796r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_796r(t0,t1,t2,t3,t4);}}

static void f_796r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a=C_alloc(5);
t5=(C_word)C_i_check_exact_2(t2,lf[39]);
t6=(C_word)C_i_check_exact_2(t3,lf[39]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_806,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep((C_word)C_notvemptyp(t4))){
t8=t7;
f_806(2,t8,(C_word)C_i_vector_ref(t4,C_fix(0)));}
else{
t8=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t8))(3,t8,t7,t3);}}

/* k804 in file-read in k685 in k682 in k679 in k676 in k673 */
static void f_806(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_806,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_809,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=(C_truep((C_word)C_blockp(t1))?(C_word)C_byteblockp(t1):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t2;
f_809(2,t4,C_SCHEME_UNDEFINED);}
else{
t4=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t4+1)))(6,t4,t2,lf[41],lf[39],lf[42],t1);}}

/* k807 in k804 in file-read in k685 in k682 in k679 in k676 in k673 */
static void f_809(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_809,2,t0,t1);}
t2=(C_word)C_read(((C_word*)t0)[5],((C_word*)t0)[4],((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_812,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t4=(C_word)C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_821,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t6=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}
else{
t5=t3;
f_812(2,t5,C_SCHEME_UNDEFINED);}}

/* k819 in k807 in k804 in file-read in k685 in k682 in k679 in k676 in k673 */
static void f_821(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc7)(void*)(*((C_word*)t2+1)))(7,t2,((C_word*)t0)[4],lf[31],lf[39],lf[40],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* k810 in k807 in k804 in file-read in k685 in k682 in k679 in k676 in k673 */
static void f_812(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_812,2,t0,t1);}
t2=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_list(&a,2,((C_word*)t0)[3],((C_word*)t0)[2]));}

/* file-close in k685 in k682 in k679 in k676 in k673 */
static void f_778(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_778,3,t0,t1,t2);}
t3=(C_word)C_i_check_exact_2(t2,lf[36]);
if(C_truep((C_word)C_fixnum_lessp((C_word)C_close(t2),C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_791,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}
else{
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_UNDEFINED);}}

/* k789 in file-close in k685 in k682 in k679 in k676 in k673 */
static void f_791(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[36],lf[37],((C_word*)t0)[2]);}

/* file-open in k685 in k682 in k679 in k676 in k673 */
static void f_737(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(c<4) C_bad_min_argc(c,4);
if(!C_demand(c*C_SIZEOF_PAIR+9)){
C_save_and_reclaim((void*)tr4rv,(void*)f_737r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_737r(t0,t1,t2,t3,t4);}}

static void f_737r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a=C_alloc(9);
t5=(C_word)C_notvemptyp(t4);
t6=(C_truep(t5)?(C_word)C_i_vector_ref(t4,C_fix(0)):((C_word*)t0)[2]);
t7=(C_word)C_i_check_string_2(t2,lf[29]);
t8=(C_word)C_i_check_exact_2(t3,lf[29]);
t9=(C_word)C_i_check_exact_2(t6,lf[29]);
t10=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_754,a[2]=t2,a[3]=t1,a[4]=t6,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_770,a[2]=t10,tmp=(C_word)a,a+=3,tmp);
t12=*((C_word*)lf[35]+1);
((C_proc3)C_retrieve_proc(t12))(3,t12,t11,t2);}

/* k768 in file-open in k685 in k682 in k679 in k676 in k673 */
static void f_770(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k752 in file-open in k685 in k682 in k679 in k676 in k673 */
static void f_754(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_754,2,t0,t1);}
t2=(C_word)C_open(t1,((C_word*)t0)[5],((C_word*)t0)[4]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_757,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=(C_word)C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_763,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t6=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}
else{
t5=t3;
f_757(2,t5,C_SCHEME_UNDEFINED);}}

/* k761 in k752 in file-open in k685 in k682 in k679 in k676 in k673 */
static void f_763(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc8)(void*)(*((C_word*)t2+1)))(8,t2,((C_word*)t0)[5],lf[31],lf[29],lf[32],((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* k755 in k752 in file-open in k685 in k682 in k679 in k676 in k673 */
static void f_757(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* yield in k685 in k682 in k679 in k676 in k673 */
static void f_689(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_689,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_695,tmp=(C_word)a,a+=2,tmp);
C_call_cc(3,0,t1,t2);}

/* a694 in yield in k685 in k682 in k679 in k676 in k673 */
static void f_695(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc(c,3);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_695,3,t0,t1,t2);}
t3=*((C_word*)lf[3]+1);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_704,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t5=(C_word)C_i_setslot(t3,C_fix(1),t4);
t6=*((C_word*)lf[4]+1);
((C_proc2)C_retrieve_proc(t6))(2,t6,t1);}

/* a703 in a694 in yield in k685 in k682 in k679 in k676 in k673 */
static void f_704(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(c!=2) C_bad_argc(c,2);
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_704,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc3)C_retrieve_proc(t2))(3,t2,t1,C_SCHEME_UNDEFINED);}
/* end of file */
