/* Generated from posixwin.scm by the Chicken compiler
   2005-07-13 19:35
   Version 1, Build 944 - linux-unix-gnu-x86 - [ libffi dload ]
   command line: posixwin.scm -quiet -debug-level 0 -optimize-level 2 -unsafe -feature unsafe -include-path . -output-file uposixwin.c -explicit-use
   unit: posix
*/

#include "chicken.h"

#ifndef WIN32_LEAN_AND_MEAN
# define WIN32_LEAN_AND_MEAN
#endif
#include <windows.h>
#include <winsock2.h>

#include <errno.h>
#include <io.h>
#include <stdio.h>
#include <process.h>

static int C_not_implemented(void);
int C_not_implemented() { return -1; }

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <direct.h>

#include <time.h>

#define ARG_MAX 256
#define PIPE_BUF 512

static C_TLS char *C_exec_args[ ARG_MAX ];
static C_TLS struct group *C_group;
static C_TLS int C_pipefds[ 2 ];
static C_TLS time_t C_secs;
static C_TLS struct tm C_tm;
static C_TLS struct stat C_statbuf;
/* pipe handles */
static C_TLS HANDLE C_rd0, C_wr0, C_wr0_, C_rd1, C_wr1, C_rd1_;
static C_TLS HANDLE C_save0, C_save1; /* saved I/O handles */
static C_TLS char C_rdbuf; /* one-char buffer for read */
static C_TLS int C_exstatus;

static C_TLS char C_hostname[256];
static C_TLS char C_osver[16];
static C_TLS char C_osrel[16];
static C_TLS char C_processor[16];

#define C_mkdir(str)        C_fix(mkdir(C_c_string(str)))
#define C_chdir(str)        C_fix(chdir(C_c_string(str)))
#define C_rmdir(str)        C_fix(rmdir(C_c_string(str)))

/* DIRENT stuff */
struct dirent
{
    char *		d_name;
};

typedef struct
{
    struct _finddata_t	fdata;
    int			handle;
    struct dirent	current;
} DIR;

static DIR *opendir(const char *name);
static int closedir(DIR *dir);
static struct dirent *readdir(DIR *dir);

static DIR *opendir(const char *name)
{
    int name_len = strlen(name);
    DIR *dir = (DIR *)malloc(sizeof(DIR));
    char *what;
    if (!dir)
    {
	errno = ENOMEM;
	return NULL;
    }
    what = (char *)malloc(name_len + 3);
    if (!what)
    {
	free(dir);
	errno = ENOMEM;
	return NULL;
    }
    strcpy(what, name);
    if (strchr("\\/", name[name_len - 1]))
	strcat(what, "*");
    else
	strcat(what, "\\*");

    dir->handle = _findfirst(what, &dir->fdata);
    if (dir->handle == -1)
    {
	free(what);
	free(dir);
	return NULL;
    }
    dir->current.d_name = NULL; /* as the first-time indicator */
    free(what);
    return dir;
}
static int closedir(DIR * dir)
{
    if (dir)
    {
	int res = _findclose(dir->handle);
	free(dir);
	return res;
    }
    return -1;
}
static struct dirent *readdir(DIR * dir)
{
    if (dir)
    {
	if (!dir->current.d_name /* first time after opendir */
	     || _findnext(dir->handle, &dir->fdata) != -1)
	{
	    dir->current.d_name = dir->fdata.name;
	    return &dir->current;
	}
    }
    return NULL;
}

#define C_opendir(x,h)		C_set_block_item(h, 0, (C_word) opendir(C_c_string(x)))
#define C_closedir(h)   	(closedir((DIR *)C_block_item(h, 0)), C_SCHEME_UNDEFINED)
#define C_readdir(h,e)		C_set_block_item(e, 0, (C_word) readdir((DIR *)C_block_item(h, 0)))
#define C_foundfile(e,b)	(strcpy(C_c_string(b), ((struct dirent *) C_block_item(e, 0))->d_name),	C_fix(strlen(((struct dirent *) C_block_item(e, 0))->d_name)))

#define C_curdir(buf)       (getcwd(C_c_string(buf), 256) ? C_fix(strlen(C_c_string(buf))) : C_SCHEME_FALSE)

#define open_binary_input_pipe(a, n, name)   C_mpointer(a, _popen(C_c_string(name), "r"))
#define open_text_input_pipe(a, n, name)     open_binary_input_pipe(a, n, name)
#define open_binary_output_pipe(a, n, name)  C_mpointer(a, _popen(C_c_string(name), "w"))
#define open_text_output_pipe(a, n, name)    open_binary_output_pipe(a, n, name)
#define close_pipe(p)                        C_fix(_pclose(C_port_file(p)))

#define C_set_file_ptr(port, ptr)  (C_set_block_item(port, 0, (C_block_item(ptr, 0))), C_SCHEME_UNDEFINED)

#define C_getpid            getpid
#define C_chmod(fn, m)      C_fix(chmod(C_data_pointer(fn), C_unfix(m)))
#define C_fdopen(a, n, fd, m) C_mpointer(a, fdopen(C_unfix(fd), C_c_string(m)))
#define C_C_fileno(p)       C_fix(fileno(C_port_file(p)))
#define C_dup(x)            C_fix(dup(C_unfix(x)))
#define C_dup2(x, y)        C_fix(dup2(C_unfix(x), C_unfix(y)))
#define C_setvbuf(p, m, s)  C_fix(setvbuf(C_port_file(p), NULL, C_unfix(m), C_unfix(s)))
#define C_access(fn, m)     C_fix(access((char *)C_data_pointer(fn), C_unfix(m)))
#define C_pipe(d)           C_fix(_pipe(C_pipefds, PIPE_BUF, O_BINARY))
#define C_close(fd)         C_fix(close(C_unfix(fd)))

#define C_getenventry(i)   environ[ i ]

#define C_putenv(s)         C_fix(putenv((char *)C_data_pointer(s)))
#define C_stat(fn)          C_fix(stat((char *)C_data_pointer(fn), &C_statbuf))
#define C_fstat(f)          C_fix(fstat(C_unfix(f), &C_statbuf))

static C_word C_fcall C_setenv(C_word x, C_word y);
C_word C_fcall C_setenv(C_word x, C_word y) {
  char *sx = C_data_pointer(x),
       *sy = C_data_pointer(y);
  int n1 = C_strlen(sx), n2 = C_strlen(sy);				       
  char *buf = (char *)C_malloc(n1 + n2 + 2);
  if(buf == NULL) return(C_fix(0));
  else {
    C_strcpy(buf, sx);
    buf[ n1 ] = '=';
    C_strcpy(buf + n1 + 1, sy);
    return(C_fix(putenv(buf)));
  }
}

static void C_fcall C_set_exec_arg(int i, char *a, int len);
void C_fcall C_set_exec_arg(int i, char *a, int len) {
  char *ptr;
  if(a != NULL) {
    ptr = (char *)C_malloc(len + 1);
    C_memcpy(ptr, a, len);
    ptr[ len ] = '\0';
  }
  else ptr = NULL;
  C_exec_args[ i ] = ptr;
}

static void C_fcall C_free_exec_args();
void C_fcall C_free_exec_args() {
  char **a = C_exec_args;
  while((*a) != NULL) C_free(*(a++));
}

#define C_execvp(f)         C_fix(execvp(C_data_pointer(f), C_exec_args))

/* MS replacement for the fork-exec pair */
#define C_spawnvp(m, f)	    C_fix(spawnvp(C_unfix(m), C_data_pointer(f), C_exec_args))

#define C_open(fn, fl, m)   C_fix(open(C_c_string(fn), C_unfix(fl), C_unfix(m)))
#define C_read(fd, b, n)    C_fix(read(C_unfix(fd), C_data_pointer(b), C_unfix(n)))
#define C_write(fd, b, n)   C_fix(write(C_unfix(fd), C_data_pointer(b), C_unfix(n)))
#define C_mkstemp(t)        C_fix(mktemp(C_c_string(t)))

#define C_ftell(p)            C_fix(ftell(C_port_file(p)))
#define C_fseek(p, n, w)      C_mk_nbool(fseek(C_port_file(p), C_unfix(n), C_unfix(w)))
#define C_lseek(fd, o, w)     C_fix(lseek(C_unfix(fd), C_unfix(o), C_unfix(w)))

#define C_ctime(n)          (C_secs = (n), ctime(&C_secs))

#define C_asctime(v)        (memset(&C_tm, 0, sizeof(struct tm)), C_tm.tm_sec = C_unfix(C_block_item(v, 0)), C_tm.tm_min = C_unfix(C_block_item(v, 1)), C_tm.tm_hour = C_unfix(C_block_item(v, 2)), C_tm.tm_mday = C_unfix(C_block_item(v, 3)), C_tm.tm_mon = C_unfix(C_block_item(v, 4)), C_tm.tm_year = C_unfix(C_block_item(v, 5)), C_tm.tm_wday = C_unfix(C_block_item(v, 6)), C_tm.tm_yday = C_unfix(C_block_item(v, 7)), C_tm.tm_isdst = (C_block_item(v, 8) != C_SCHEME_FALSE), asctime(&C_tm) )

/* mapping from Win32 error codes to errno */
typedef struct
{
    DWORD   win32;
    int	    libc;
} errmap_t;
static errmap_t errmap[] =
{
    {ERROR_INVALID_FUNCTION,      EINVAL},
    {ERROR_FILE_NOT_FOUND,        ENOENT},
    {ERROR_PATH_NOT_FOUND,        ENOENT},
    {ERROR_TOO_MANY_OPEN_FILES,   EMFILE},
    {ERROR_ACCESS_DENIED,         EACCES},
    {ERROR_INVALID_HANDLE,        EBADF},
    {ERROR_ARENA_TRASHED,         ENOMEM},
    {ERROR_NOT_ENOUGH_MEMORY,     ENOMEM},
    {ERROR_INVALID_BLOCK,         ENOMEM},
    {ERROR_BAD_ENVIRONMENT,       E2BIG},
    {ERROR_BAD_FORMAT,            ENOEXEC},
    {ERROR_INVALID_ACCESS,        EINVAL},
    {ERROR_INVALID_DATA,          EINVAL},
    {ERROR_INVALID_DRIVE,         ENOENT},
    {ERROR_CURRENT_DIRECTORY,     EACCES},
    {ERROR_NOT_SAME_DEVICE,       EXDEV},
    {ERROR_NO_MORE_FILES,         ENOENT},
    {ERROR_LOCK_VIOLATION,        EACCES},
    {ERROR_BAD_NETPATH,           ENOENT},
    {ERROR_NETWORK_ACCESS_DENIED, EACCES},
    {ERROR_BAD_NET_NAME,          ENOENT},
    {ERROR_FILE_EXISTS,           EEXIST},
    {ERROR_CANNOT_MAKE,           EACCES},
    {ERROR_FAIL_I24,              EACCES},
    {ERROR_INVALID_PARAMETER,     EINVAL},
    {ERROR_NO_PROC_SLOTS,         EAGAIN},
    {ERROR_DRIVE_LOCKED,          EACCES},
    {ERROR_BROKEN_PIPE,           EPIPE},
    {ERROR_DISK_FULL,             ENOSPC},
    {ERROR_INVALID_TARGET_HANDLE, EBADF},
    {ERROR_INVALID_HANDLE,        EINVAL},
    {ERROR_WAIT_NO_CHILDREN,      ECHILD},
    {ERROR_CHILD_NOT_COMPLETE,    ECHILD},
    {ERROR_DIRECT_ACCESS_HANDLE,  EBADF},
    {ERROR_NEGATIVE_SEEK,         EINVAL},
    {ERROR_SEEK_ON_DEVICE,        EACCES},
    {ERROR_DIR_NOT_EMPTY,         ENOTEMPTY},
    {ERROR_NOT_LOCKED,            EACCES},
    {ERROR_BAD_PATHNAME,          ENOENT},
    {ERROR_MAX_THRDS_REACHED,     EAGAIN},
    {ERROR_LOCK_FAILED,           EACCES},
    {ERROR_ALREADY_EXISTS,        EEXIST},
    {ERROR_FILENAME_EXCED_RANGE,  ENOENT},
    {ERROR_NESTING_NOT_ALLOWED,   EAGAIN},
    {ERROR_NOT_ENOUGH_QUOTA,      ENOMEM},
    {0, 0}
};

static void set_errno(DWORD w32err)
{
    errmap_t *map = errmap;
    for (; errmap->win32; ++map)
    {
	if (errmap->win32 == w32err)
	{
	    errno = errmap->libc;
	    return;
	}
    }
}

/* functions for creating process with redirected I/O */
static int zero_handles()
{
    C_rd0 = C_wr0 = C_wr0_ = INVALID_HANDLE_VALUE;
    C_rd1 = C_wr1 = C_rd1_ = INVALID_HANDLE_VALUE;
    C_save0 = C_save1 = INVALID_HANDLE_VALUE;
    return 1;
}
static int close_handles()
{
    if (C_rd0 != INVALID_HANDLE_VALUE)
	CloseHandle(C_rd0);
    if (C_rd1 != INVALID_HANDLE_VALUE)
	CloseHandle(C_rd1);
    if (C_wr0 != INVALID_HANDLE_VALUE)
	CloseHandle(C_wr0);
    if (C_wr1 != INVALID_HANDLE_VALUE)
	CloseHandle(C_wr1);
    if (C_rd1_ != INVALID_HANDLE_VALUE)
	CloseHandle(C_rd1_);
    if (C_wr0_ != INVALID_HANDLE_VALUE)
	CloseHandle(C_wr0_);
    if (C_save0 != INVALID_HANDLE_VALUE)
    {
	SetStdHandle(STD_INPUT_HANDLE, C_save0);
	CloseHandle(C_save0);
    }
    if (C_save1 != INVALID_HANDLE_VALUE)
    {
	SetStdHandle(STD_OUTPUT_HANDLE, C_save1);
	CloseHandle(C_save1);
    }
    return zero_handles();
}
static int redir_io()
{
    SECURITY_ATTRIBUTES sa;
    sa.nLength = sizeof(SECURITY_ATTRIBUTES);
    sa.bInheritHandle = TRUE;
    sa.lpSecurityDescriptor = NULL;

    zero_handles();

    C_save0 = GetStdHandle(STD_INPUT_HANDLE);
    C_save1 = GetStdHandle(STD_OUTPUT_HANDLE);
    if (!CreatePipe(&C_rd0, &C_wr0, &sa, 0)
	    || !SetStdHandle(STD_INPUT_HANDLE, C_rd0)
	    || !DuplicateHandle(GetCurrentProcess(), C_wr0, GetCurrentProcess(),
		&C_wr0_, 0, FALSE, DUPLICATE_SAME_ACCESS)
	    || !CreatePipe(&C_rd1, &C_wr1, &sa, 0)
	    || !SetStdHandle(STD_OUTPUT_HANDLE, C_wr1)
	    || !DuplicateHandle(GetCurrentProcess(), C_rd1, GetCurrentProcess(),
		&C_rd1_, 0, FALSE, DUPLICATE_SAME_ACCESS))
    {
	set_errno(GetLastError());
	close_handles();
	return 0;
    }

    CloseHandle(C_wr0);
    C_wr0 = INVALID_HANDLE_VALUE;
    CloseHandle(C_rd1);
    C_rd1 = INVALID_HANDLE_VALUE;
    return 1;
}
static int run_process(char *cmdline)
{
    PROCESS_INFORMATION pi;
    STARTUPINFO si;

    ZeroMemory(&pi, sizeof(PROCESS_INFORMATION));
    ZeroMemory(&si, sizeof(STARTUPINFO));
    si.cb = sizeof(STARTUPINFO);

    C_wr0_ = C_rd1_ = INVALID_HANDLE_VALUE; /* these handles are saved */

    if (CreateProcess(NULL, cmdline, NULL, NULL, TRUE, 0, NULL,
		NULL, &si, &pi))
    {
	CloseHandle(pi.hThread);

	SetStdHandle(STD_INPUT_HANDLE, C_save0);
	SetStdHandle(STD_OUTPUT_HANDLE, C_save1);
	C_save0 = C_save1 = INVALID_HANDLE_VALUE;

	CloseHandle(C_rd0);
	CloseHandle(C_wr1);
	C_rd0 = C_wr1 = INVALID_HANDLE_VALUE;
	return (int)pi.hProcess;
    }
    else
    {
	set_errno(GetLastError());
	return 0;
    }
}
static int pipe_write(int hpipe, void* buf, int count)
{
    DWORD done = 0;
    if (WriteFile((HANDLE)hpipe, buf, count, &done, NULL))
	return 1;
    else
    {
	set_errno(GetLastError());
	return 0;
    }
}
static int pipe_read(int hpipe)
{
    DWORD done = 0;
    /* TODO:
    if (!pipe_ready(hpipe))
	go_to_sleep;
    */
    if (ReadFile((HANDLE)hpipe, &C_rdbuf, 1, &done, NULL))
    {
	if (done > 0) /* not EOF yet */
	    return 1;
	else
	    return -1;
    }
    set_errno(GetLastError());
    return 0;
}
static int pipe_ready(int hpipe)
{
    DWORD avail = 0;
    if (PeekNamedPipe((HANDLE)hpipe, NULL, 0, NULL, &avail, NULL) && avail)
	return 1;
    else 
    {
	Sleep(0); /* give pipe a chance */
	if (PeekNamedPipe((HANDLE)hpipe, NULL, 0, NULL, &avail, NULL))
	    return (avail > 0);
	else
	    return 0;
    }
}

#define C_zero_handles() C_fix(zero_handles())
#define C_close_handles() C_fix(close_handles())
#define C_redir_io() (redir_io() ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_run_process(cmdline) C_fix(run_process(C_c_string(cmdline)))
#define C_pipe_write(h, b, n) (pipe_write(C_unfix(h), C_c_string(b), C_unfix(n)) ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_pipe_read(h) C_fix(pipe_read(C_unfix(h)))
#define C_pipe_ready(h) (pipe_ready(C_unfix(h)) ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define close_handle(h) CloseHandle((HANDLE)h)

int process_wait(int h, int t)
{   
    if (WaitForSingleObject((HANDLE)h, (t ? 0 : INFINITE)) == WAIT_OBJECT_0)
    {
	DWORD ret;
	if (GetExitCodeProcess((HANDLE)h, &ret))
	{
	    CloseHandle((HANDLE)h);
	    C_exstatus = ret;
	    return 1;
	}
    }
    set_errno(GetLastError());
    return 0;
}

#define C_process_wait(p, t) (process_wait(C_unfix(p), C_truep(t)) ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_sleep(t) (Sleep(C_unfix(t) * 1000), C_SCHEME_UNDEFINED)

int get_hostname()
{
    WSADATA wsa;
    if (WSAStartup(MAKEWORD(1, 1), &wsa) == 0)
    {
	int nok = gethostname(C_hostname, 256);
	WSACleanup();
	return !nok;
    }
    return 0;
}

int sysinfo()
{
    OSVERSIONINFO ovf;
    ZeroMemory(&ovf, sizeof(ovf));
    ovf.dwOSVersionInfoSize = sizeof(ovf);
    if (get_hostname() && GetVersionEx(&ovf))
    {
	SYSTEM_INFO si;
	_snprintf(C_osver, sizeof(C_osver) - 1, "%d.%d.%d", 
			   ovf.dwMajorVersion, ovf.dwMinorVersion, ovf.dwBuildNumber);
	switch (ovf.dwPlatformId)
	{
	case VER_PLATFORM_WIN32s:
	    strncpy(C_osrel, "Win32s", sizeof(C_osrel) - 1);
	    break;
	case VER_PLATFORM_WIN32_WINDOWS:
	    strncpy(C_osrel, "Win9x", sizeof(C_osrel) - 1);
	    break;
	case VER_PLATFORM_WIN32_NT:
	default:
	    strncpy(C_osrel, "WinNT", sizeof(C_osrel) - 1);
	    break;
	}
	GetSystemInfo(&si);
	switch (si.wProcessorArchitecture)
	{
    	case PROCESSOR_ARCHITECTURE_INTEL:
	    strncpy(C_processor, "Intel", sizeof(C_processor) - 1);
	    break;
    	case PROCESSOR_ARCHITECTURE_UNKNOWN:
	default:
	    strncpy(C_processor, "Unknown", sizeof(C_processor) - 1);
	    break;
	}
	return 1;
    }
    set_errno(GetLastError());
    return 0;
}

#define C_get_hostname() (get_hostname() ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_sysinfo() (sysinfo() ? C_SCHEME_TRUE : C_SCHEME_FALSE)


C_externimport void C_scheduler_toplevel(C_word c,C_word d,C_word k) C_noret;
C_externimport void C_regex_toplevel(C_word c,C_word d,C_word k) C_noret;
C_externimport void C_extras_toplevel(C_word c,C_word d,C_word k) C_noret;
C_externimport void C_utils_toplevel(C_word c,C_word d,C_word k) C_noret;

static C_TLS C_word lf[243];


/* from close-handle in k641 in k638 in k635 in k632 in k629 */
static C_word C_fcall stub394(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub394(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_truep(C_a0);
C_r=C_fix((C_word)close_handle(t0));
return C_r;}

/* from get-shell in k641 in k638 in k635 in k632 in k629 */
#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_return; C_cblockend
static C_word C_fcall stub385(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub385(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
    char *ret = getenv("COMSPEC");
    if (ret)
	return (ret);
    else
    {
	OSVERSIONINFO ovf;
	ovf.dwOSVersionInfoSize = sizeof(ovf);
	if (GetVersionEx(&ovf) && (ovf.dwPlatformId == VER_PLATFORM_WIN32_NT))
	    return ("cmd.exe");
	else
	    return ("command.com");
    }
C_return:
#undef return

return C_r;}

/* from current-process-id in k641 in k638 in k635 in k632 in k629 */
static C_word C_fcall stub383(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub383(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_fix((C_word)C_getpid());
return C_r;}

/* from freeargs */
static C_word C_fcall stub364(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub364(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_free_exec_args();
return C_r;}

/* from k2171 */
static C_word C_fcall stub357(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2) C_regparm;
C_regparm static C_word C_fcall stub357(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
void * t1=(void * )C_data_pointer_or_null(C_a1);
int t2=(int )C_unfix(C_a2);
C_set_exec_arg(t0,t1,t2);
return C_r;}

/* from freeargs */
static C_word C_fcall stub314(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub314(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_free_exec_args();
return C_r;}

/* from k2031 */
static C_word C_fcall stub307(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2) C_regparm;
C_regparm static C_word C_fcall stub307(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
void * t1=(void * )C_data_pointer_or_null(C_a1);
int t2=(int )C_unfix(C_a2);
C_set_exec_arg(t0,t1,t2);
return C_r;}

/* from ex0 */
static C_word C_fcall stub260(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub260(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
_exit(t0);
return C_r;}

/* from asctime */
static C_word C_fcall stub249(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub249(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word t0=(C_word )(C_a0);
C_r=C_mpointer(&C_a,(void*)C_asctime(t0));
return C_r;}

/* from ctime */
static C_word C_fcall stub240(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub240(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_num_to_int(C_a0);
C_r=C_mpointer(&C_a,(void*)C_ctime(t0));
return C_r;}

/* from get */
static C_word C_fcall stub225(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub225(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenventry(t0));
return C_r;}

C_externexport void C_posix_toplevel(C_word c,C_word t0,C_word t1) C_noret;
static void f_631(C_word c,C_word t0,C_word t1) C_noret;
static void f_634(C_word c,C_word t0,C_word t1) C_noret;
static void f_637(C_word c,C_word t0,C_word t1) C_noret;
static void f_640(C_word c,C_word t0,C_word t1) C_noret;
static void f_643(C_word c,C_word t0,C_word t1) C_noret;
static void f_2531(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_2531r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void C_fcall f_2679(C_word t0,C_word t1) C_noret;
static void f_2685(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void C_fcall f_2674(C_word t0,C_word t1,C_word t2) C_noret;
static void C_fcall f_2669(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void C_fcall f_2533(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
static void f_2656(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_2664(C_word c,C_word t0,C_word t1,...) C_noret;
static void C_fcall f_2537(C_word t0,C_word t1) C_noret;
static void f_2644(C_word c,C_word t0,C_word t1) C_noret;
static void f_2547(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2549(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_2568(C_word c,C_word t0,C_word t1) C_noret;
static void f_2630(C_word c,C_word t0,C_word t1) C_noret;
static void f_2637(C_word c,C_word t0,C_word t1) C_noret;
static void f_2624(C_word c,C_word t0,C_word t1) C_noret;
static void f_2583(C_word c,C_word t0,C_word t1) C_noret;
static void f_2614(C_word c,C_word t0,C_word t1) C_noret;
static void f_2600(C_word c,C_word t0,C_word t1) C_noret;
static void f_2612(C_word c,C_word t0,C_word t1) C_noret;
static void f_2608(C_word c,C_word t0,C_word t1) C_noret;
static void f_2595(C_word c,C_word t0,C_word t1) C_noret;
static void f_2593(C_word c,C_word t0,C_word t1) C_noret;
static void f_2648(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2500(C_word c,C_word t0,C_word t1) C_noret;
static void f_2526(C_word c,C_word t0,C_word t1) C_noret;
static void f_2511(C_word c,C_word t0,C_word t1) C_noret;
static void f_2515(C_word c,C_word t0,C_word t1) C_noret;
static void f_2519(C_word c,C_word t0,C_word t1) C_noret;
static void f_2523(C_word c,C_word t0,C_word t1) C_noret;
static void f_2488(C_word c,C_word t0,C_word t1) C_noret;
static void f_2485(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2446(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_2446r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_2465(C_word c,C_word t0,C_word t1) C_noret;
static void f_2298(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_2298r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void C_fcall f_2401(C_word t0,C_word t1) C_noret;
static void C_fcall f_2396(C_word t0,C_word t1) C_noret;
static void C_fcall f_2300(C_word t0,C_word t1) C_noret;
static void f_2392(C_word c,C_word t0,C_word t1) C_noret;
static void f_2307(C_word c,C_word t0,C_word t1) C_noret;
static void f_2379(C_word c,C_word t0,C_word t1) C_noret;
static void f_2382(C_word c,C_word t0,C_word t1) C_noret;
static void f_2385(C_word c,C_word t0,C_word t1) C_noret;
static void f_2372(C_word c,C_word t0,C_word t1) C_noret;
static void f_2369(C_word c,C_word t0,C_word t1) C_noret;
static void f_2345(C_word c,C_word t0,C_word t1) C_noret;
static void f_2320(C_word c,C_word t0,C_word t1) C_noret;
static void f_2339(C_word c,C_word t0,C_word t1) C_noret;
static void f_2326(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_2324(C_word c,C_word t0,C_word t1) C_noret;
static C_word C_fcall f_2295(C_word t0);
static void f_2266(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_2266r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_2283(C_word c,C_word t0,C_word t1) C_noret;
static void f_2260(C_word c,C_word t0,C_word t1) C_noret;
static void f_2257(C_word c,C_word t0,C_word t1) C_noret;
static void f_2176(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_2176r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_2183(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2191(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_2224(C_word c,C_word t0,C_word t1) C_noret;
static void f_2205(C_word c,C_word t0,C_word t1) C_noret;
static void f_2208(C_word c,C_word t0,C_word t1) C_noret;
static C_word C_fcall f_2168(C_word t0,C_word t1,C_word t2);
static void f_2036(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_2036r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void C_fcall f_2123(C_word t0,C_word t1) C_noret;
static void C_fcall f_2118(C_word t0,C_word t1,C_word t2) C_noret;
static void C_fcall f_2038(C_word t0,C_word t1,C_word t2) C_noret;
static void f_2045(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_2053(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_2086(C_word c,C_word t0,C_word t1) C_noret;
static void f_2067(C_word c,C_word t0,C_word t1) C_noret;
static void f_2070(C_word c,C_word t0,C_word t1) C_noret;
static C_word C_fcall f_2028(C_word t0,C_word t1,C_word t2);
static void f_1919(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_1919r(C_word t0,C_word t1,C_word t3) C_noret;
static void C_fcall f_1925(C_word t0,C_word t1,C_word t2) C_noret;
static void f_1946(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
static void f_2017(C_word c,C_word t0,C_word t1) C_noret;
static void f_1950(C_word c,C_word t0,C_word t1) C_noret;
static void f_1957(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1959(C_word t0,C_word t1,C_word t2) C_noret;
static void f_1976(C_word c,C_word t0,C_word t1) C_noret;
static void f_1986(C_word c,C_word t0,C_word t1) C_noret;
static void f_1990(C_word c,C_word t0,C_word t1) C_noret;
static void f_1940(C_word c,C_word t0,C_word t1) C_noret;
static void f_1866(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1866r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1873(C_word c,C_word t0,C_word t1) C_noret;
static void f_1847(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_1847r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_1851(C_word c,C_word t0,C_word t1) C_noret;
static void f_1817(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1824(C_word c,C_word t0,C_word t1) C_noret;
static void f_1827(C_word c,C_word t0,C_word t1) C_noret;
static void f_1830(C_word c,C_word t0,C_word t1) C_noret;
static void f_1800(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1804(C_word c,C_word t0,C_word t1) C_noret;
static void f_1807(C_word c,C_word t0,C_word t1) C_noret;
static void f_1789(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1783(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1718(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1724(C_word t0,C_word t1,C_word t2) C_noret;
static void f_1728(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1736(C_word t0,C_word t1,C_word t2) C_noret;
static void f_1762(C_word c,C_word t0,C_word t1) C_noret;
static void f_1766(C_word c,C_word t0,C_word t1) C_noret;
static void f_1754(C_word c,C_word t0,C_word t1) C_noret;
static void f_1706(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1711(C_word c,C_word t0,C_word t1) C_noret;
static void f_1695(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_1700(C_word c,C_word t0,C_word t1) C_noret;
static void f_1704(C_word c,C_word t0,C_word t1) C_noret;
static void f_1671(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_1671r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void C_fcall f_1675(C_word t0,C_word t1) C_noret;
static void f_1684(C_word c,C_word t0,C_word t1) C_noret;
static void f_1678(C_word c,C_word t0,C_word t1) C_noret;
static void f_1639(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1669(C_word c,C_word t0,C_word t1) C_noret;
static void f_1655(C_word c,C_word t0,C_word t1) C_noret;
static void f_1649(C_word c,C_word t0,C_word t1) C_noret;
static void f_1628(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_1628r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_1637(C_word c,C_word t0,C_word t1) C_noret;
static void f_1617(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_1617r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_1626(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1599(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_1603(C_word c,C_word t0,C_word t1) C_noret;
static void f_1615(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1562(C_word t0,C_word t1,C_word t2) C_noret;
static void f_1570(C_word c,C_word t0,C_word t1) C_noret;
static void f_1553(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1547(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1541(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void C_fcall f_1520(C_word t0,C_word t1,C_word t2) C_noret;
static void f_1539(C_word c,C_word t0,C_word t1) C_noret;
static void f_1535(C_word c,C_word t0,C_word t1) C_noret;
static void f_1527(C_word c,C_word t0,C_word t1) C_noret;
static void f_1496(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_1518(C_word c,C_word t0,C_word t1) C_noret;
static void f_1514(C_word c,C_word t0,C_word t1) C_noret;
static void f_1506(C_word c,C_word t0,C_word t1) C_noret;
static void f_1440(C_word c,C_word t0,C_word t1) C_noret;
static void f_1453(C_word c,C_word t0,C_word t1) C_noret;
static void f_1444(C_word c,C_word t0,C_word t1) C_noret;
static void f_1420(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1420r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1424(C_word c,C_word t0,C_word t1) C_noret;
static void f_1430(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_1430r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_1434(C_word c,C_word t0,C_word t1) C_noret;
static void f_1400(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1400r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1404(C_word c,C_word t0,C_word t1) C_noret;
static void f_1410(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_1410r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_1414(C_word c,C_word t0,C_word t1) C_noret;
static void f_1376(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1376r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1380(C_word c,C_word t0,C_word t1) C_noret;
static void f_1391(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_1391r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_1395(C_word c,C_word t0,C_word t1) C_noret;
static void f_1385(C_word c,C_word t0,C_word t1) C_noret;
static void f_1352(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1352r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1356(C_word c,C_word t0,C_word t1) C_noret;
static void f_1367(C_word c,C_word t0,C_word t1,...) C_noret;
static void f_1367r(C_word t0,C_word t1,C_word t3) C_noret;
static void f_1371(C_word c,C_word t0,C_word t1) C_noret;
static void f_1361(C_word c,C_word t0,C_word t1) C_noret;
static void f_1336(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1340(C_word c,C_word t0,C_word t1) C_noret;
static void f_1303(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_1303r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_1331(C_word c,C_word t0,C_word t1) C_noret;
static void f_1321(C_word c,C_word t0,C_word t1) C_noret;
static void f_1314(C_word c,C_word t0,C_word t1) C_noret;
static void f_1270(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_1270r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void f_1298(C_word c,C_word t0,C_word t1) C_noret;
static void f_1288(C_word c,C_word t0,C_word t1) C_noret;
static void f_1281(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1252(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
static void f_1256(C_word c,C_word t0,C_word t1) C_noret;
static void f_1268(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1246(C_word t0,C_word t1) C_noret;
static C_word C_fcall f_1234(C_word t0);
static void f_1216(C_word c,C_word t0,C_word t1) C_noret;
static void f_1220(C_word c,C_word t0,C_word t1) C_noret;
static void f_1223(C_word c,C_word t0,C_word t1) C_noret;
static void f_1196(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1214(C_word c,C_word t0,C_word t1) C_noret;
static void f_1200(C_word c,C_word t0,C_word t1) C_noret;
static void f_1142(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1146(C_word c,C_word t0,C_word t1) C_noret;
static void f_1149(C_word c,C_word t0,C_word t1) C_noret;
static void f_1152(C_word c,C_word t0,C_word t1) C_noret;
static void f_1194(C_word c,C_word t0,C_word t1) C_noret;
static void f_1156(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_1173(C_word t0,C_word t1) C_noret;
static void f_1183(C_word c,C_word t0,C_word t1) C_noret;
static void f_1190(C_word c,C_word t0,C_word t1) C_noret;
static void f_1165(C_word c,C_word t0,C_word t1) C_noret;
static void f_1118(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1140(C_word c,C_word t0,C_word t1) C_noret;
static void f_1136(C_word c,C_word t0,C_word t1) C_noret;
static void f_1128(C_word c,C_word t0,C_word t1) C_noret;
static void f_1094(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1116(C_word c,C_word t0,C_word t1) C_noret;
static void f_1112(C_word c,C_word t0,C_word t1) C_noret;
static void f_1104(C_word c,C_word t0,C_word t1) C_noret;
static void f_1070(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_1092(C_word c,C_word t0,C_word t1) C_noret;
static void f_1088(C_word c,C_word t0,C_word t1) C_noret;
static void f_1080(C_word c,C_word t0,C_word t1) C_noret;
static void f_1015(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_1015r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_1022(C_word c,C_word t0,C_word t1) C_noret;
static void f_1037(C_word c,C_word t0,C_word t1) C_noret;
static void f_1028(C_word c,C_word t0,C_word t1) C_noret;
static void f_1031(C_word c,C_word t0,C_word t1) C_noret;
static void f_975(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_994(C_word c,C_word t0,C_word t1) C_noret;
static void f_979(C_word c,C_word t0,C_word t1) C_noret;
static void f_988(C_word c,C_word t0,C_word t1) C_noret;
static void f_982(C_word c,C_word t0,C_word t1) C_noret;
static void f_972(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_952(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_970(C_word c,C_word t0,C_word t1) C_noret;
static void f_956(C_word c,C_word t0,C_word t1) C_noret;
static void f_946(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_950(C_word c,C_word t0,C_word t1) C_noret;
static void f_940(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_944(C_word c,C_word t0,C_word t1) C_noret;
static void f_934(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_938(C_word c,C_word t0,C_word t1) C_noret;
static void f_928(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_932(C_word c,C_word t0,C_word t1) C_noret;
static void f_922(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_926(C_word c,C_word t0,C_word t1) C_noret;
static void f_916(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_920(C_word c,C_word t0,C_word t1) C_noret;
static void f_888(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
static void f_888r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
static void C_fcall f_892(C_word t0,C_word t1) C_noret;
static void f_895(C_word c,C_word t0,C_word t1) C_noret;
static void C_fcall f_850(C_word t0,C_word t1) C_noret;
static void f_883(C_word c,C_word t0,C_word t1) C_noret;
static void f_879(C_word c,C_word t0,C_word t1) C_noret;
static void f_854(C_word c,C_word t0,C_word t1) C_noret;
static void f_863(C_word c,C_word t0,C_word t1) C_noret;
static void f_815(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_819(C_word c,C_word t0,C_word t1) C_noret;
static void f_822(C_word c,C_word t0,C_word t1) C_noret;
static void f_842(C_word c,C_word t0,C_word t1) C_noret;
static void f_825(C_word c,C_word t0,C_word t1) C_noret;
static void f_832(C_word c,C_word t0,C_word t1) C_noret;
static void f_779(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_779r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_783(C_word c,C_word t0,C_word t1) C_noret;
static void f_795(C_word c,C_word t0,C_word t1) C_noret;
static void f_789(C_word c,C_word t0,C_word t1) C_noret;
static void f_740(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_740r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_744(C_word c,C_word t0,C_word t1) C_noret;
static void f_747(C_word c,C_word t0,C_word t1) C_noret;
static void f_759(C_word c,C_word t0,C_word t1) C_noret;
static void f_750(C_word c,C_word t0,C_word t1) C_noret;
static void f_725(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_735(C_word c,C_word t0,C_word t1) C_noret;
static void f_693(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
static void f_693r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
static void f_717(C_word c,C_word t0,C_word t1) C_noret;
static void f_701(C_word c,C_word t0,C_word t1) C_noret;
static void f_710(C_word c,C_word t0,C_word t1) C_noret;
static void f_704(C_word c,C_word t0,C_word t1) C_noret;
static void f_645(C_word c,C_word t0,C_word t1) C_noret;
static void f_651(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
static void f_660(C_word c,C_word t0,C_word t1) C_noret;

static void C_fcall trf_2679(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2679(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2679(t0,t1);}

static void C_fcall trf_2674(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2674(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_2674(t0,t1,t2);}

static void C_fcall trf_2669(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2669(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_2669(t0,t1,t2,t3);}

static void C_fcall trf_2533(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2533(void *dummy){
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
f_2533(t0,t1,t2,t3,t4);}

static void C_fcall trf_2537(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2537(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2537(t0,t1);}

static void C_fcall trf_2549(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2549(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_2549(t0,t1,t2,t3);}

static void C_fcall trf_2401(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2401(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2401(t0,t1);}

static void C_fcall trf_2396(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2396(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2396(t0,t1);}

static void C_fcall trf_2300(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2300(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2300(t0,t1);}

static void C_fcall trf_2191(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2191(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_2191(t0,t1,t2,t3);}

static void C_fcall trf_2123(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2123(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2123(t0,t1);}

static void C_fcall trf_2118(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2118(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_2118(t0,t1,t2);}

static void C_fcall trf_2038(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2038(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_2038(t0,t1,t2);}

static void C_fcall trf_2053(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2053(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_2053(t0,t1,t2,t3);}

static void C_fcall trf_1925(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1925(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_1925(t0,t1,t2);}

static void C_fcall trf_1959(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1959(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_1959(t0,t1,t2);}

static void C_fcall trf_1724(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1724(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_1724(t0,t1,t2);}

static void C_fcall trf_1736(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1736(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_1736(t0,t1,t2);}

static void C_fcall trf_1675(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1675(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_1675(t0,t1);}

static void C_fcall trf_1599(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1599(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_1599(t0,t1,t2,t3);}

static void C_fcall trf_1562(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1562(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_1562(t0,t1,t2);}

static void C_fcall trf_1520(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1520(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_1520(t0,t1,t2);}

static void C_fcall trf_1252(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1252(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_1252(t0,t1,t2,t3);}

static void C_fcall trf_1246(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1246(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_1246(t0,t1);}

static void C_fcall trf_1173(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_1173(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_1173(t0,t1);}

static void C_fcall trf_892(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_892(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_892(t0,t1);}

static void C_fcall trf_850(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_850(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_850(t0,t1);}

static void C_fcall tr5(C_proc5 k) C_regparm C_noret;
C_regparm static void C_fcall tr5(C_proc5 k){
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
(k)(5,t0,t1,t2,t3,t4);}

static void C_fcall tr3(C_proc3 k) C_regparm C_noret;
C_regparm static void C_fcall tr3(C_proc3 k){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
(k)(3,t0,t1,t2);}

static void C_fcall tr4(C_proc4 k) C_regparm C_noret;
C_regparm static void C_fcall tr4(C_proc4 k){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
(k)(4,t0,t1,t2,t3);}

static void C_fcall tr2(C_proc2 k) C_regparm C_noret;
C_regparm static void C_fcall tr2(C_proc2 k){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
(k)(2,t0,t1);}

static void C_fcall tr2r(C_proc2 k) C_regparm C_noret;
C_regparm static void C_fcall tr2r(C_proc2 k){
int n;
C_word *a,t2;
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
n=C_rest_count(0);
a=C_alloc(n*3);
t2=C_restore_rest(a,n);
(k)(t0,t1,t2);}

static void C_fcall tr3r(C_proc3 k) C_regparm C_noret;
C_regparm static void C_fcall tr3r(C_proc3 k){
int n;
C_word *a,t3;
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
n=C_rest_count(0);
a=C_alloc(n*3);
t3=C_restore_rest(a,n);
(k)(t0,t1,t2,t3);}

static void C_fcall tr4r(C_proc4 k) C_regparm C_noret;
C_regparm static void C_fcall tr4r(C_proc4 k){
int n;
C_word *a,t4;
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
n=C_rest_count(0);
a=C_alloc(n*3);
t4=C_restore_rest(a,n);
(k)(t0,t1,t2,t3,t4);}

static void C_fcall tr2rv(C_proc2 k) C_regparm C_noret;
C_regparm static void C_fcall tr2rv(C_proc2 k){
int n;
C_word *a,t2;
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
n=C_rest_count(0);
a=C_alloc(n+1);
t2=C_restore_rest_vector(a,n);
(k)(t0,t1,t2);}

static void C_fcall tr4rv(C_proc4 k) C_regparm C_noret;
C_regparm static void C_fcall tr4rv(C_proc4 k){
int n;
C_word *a,t4;
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
n=C_rest_count(0);
a=C_alloc(n+1);
t4=C_restore_rest_vector(a,n);
(k)(t0,t1,t2,t3,t4);}

static void C_fcall tr3rv(C_proc3 k) C_regparm C_noret;
C_regparm static void C_fcall tr3rv(C_proc3 k){
int n;
C_word *a,t3;
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
n=C_rest_count(0);
a=C_alloc(n+1);
t3=C_restore_rest_vector(a,n);
(k)(t0,t1,t2,t3);}

/* toplevel */
static C_TLS int toplevel_initialized=0;
static void C_fcall toplevel_trampoline(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall toplevel_trampoline(void *dummy){
C_posix_toplevel(2,C_SCHEME_UNDEFINED,C_restore);}

void C_posix_toplevel(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(toplevel_initialized) C_kontinue(t1,C_SCHEME_UNDEFINED);
else C_toplevel_entry(C_text("posix_toplevel"));
C_check_nursery_minimum(3);
if(!C_demand(3)){
C_save(t1);
C_reclaim((void*)toplevel_trampoline,NULL);}
toplevel_initialized=1;
if(!C_demand_2(3050)){
C_save(t1);
C_rereclaim2(3050*sizeof(C_word), 1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,243);
lf[1]=C_string(C_heaptop,27,"too many optional arguments");
lf[3]=C_h_intern(&lf[3],18,"\003syscurrent-thread");
lf[4]=C_h_intern(&lf[4],12,"\003sysschedule");
lf[5]=C_h_intern(&lf[5],8,"pipe/buf");
lf[6]=C_h_intern(&lf[6],11,"open/rdonly");
lf[7]=C_h_intern(&lf[7],11,"open/wronly");
lf[8]=C_h_intern(&lf[8],9,"open/rdwr");
lf[9]=C_h_intern(&lf[9],9,"open/read");
lf[10]=C_h_intern(&lf[10],10,"open/write");
lf[11]=C_h_intern(&lf[11],10,"open/creat");
lf[12]=C_h_intern(&lf[12],11,"open/append");
lf[13]=C_h_intern(&lf[13],9,"open/excl");
lf[14]=C_h_intern(&lf[14],10,"open/trunc");
lf[15]=C_h_intern(&lf[15],11,"open/binary");
lf[16]=C_h_intern(&lf[16],9,"open/text");
lf[17]=C_h_intern(&lf[17],10,"perm/irusr");
lf[18]=C_h_intern(&lf[18],10,"perm/iwusr");
lf[19]=C_h_intern(&lf[19],10,"perm/ixusr");
lf[20]=C_h_intern(&lf[20],10,"perm/irgrp");
lf[21]=C_h_intern(&lf[21],10,"perm/iwgrp");
lf[22]=C_h_intern(&lf[22],10,"perm/ixgrp");
lf[23]=C_h_intern(&lf[23],10,"perm/iroth");
lf[24]=C_h_intern(&lf[24],10,"perm/iwoth");
lf[25]=C_h_intern(&lf[25],10,"perm/ixoth");
lf[26]=C_h_intern(&lf[26],10,"perm/irwxu");
lf[27]=C_h_intern(&lf[27],10,"perm/irwxg");
lf[28]=C_h_intern(&lf[28],10,"perm/irwxo");
lf[29]=C_h_intern(&lf[29],9,"file-open");
lf[30]=C_h_intern(&lf[30],15,"\003syssignal-hook");
lf[31]=C_h_intern(&lf[31],11,"\000file-error");
lf[32]=C_string(C_heaptop,17,"can not open file");
lf[33]=C_h_intern(&lf[33],16,"\003sysupdate-errno");
lf[34]=C_h_intern(&lf[34],17,"\003sysmake-c-string");
lf[35]=C_h_intern(&lf[35],20,"\003sysexpand-home-path");
lf[36]=C_h_intern(&lf[36],10,"file-close");
lf[37]=C_string(C_heaptop,18,"can not close file");
lf[38]=C_h_intern(&lf[38],11,"make-string");
lf[39]=C_h_intern(&lf[39],9,"file-read");
lf[40]=C_string(C_heaptop,22,"can not read from file");
lf[41]=C_h_intern(&lf[41],11,"\000type-error");
lf[42]=C_string(C_heaptop,47,"bad argument type - not a string or byte-vector");
lf[43]=C_h_intern(&lf[43],10,"file-write");
lf[44]=C_string(C_heaptop,21,"can not write to file");
lf[45]=C_string(C_heaptop,47,"bad argument type - not a string or byte-vector");
lf[46]=C_h_intern(&lf[46],13,"string-length");
lf[47]=C_h_intern(&lf[47],12,"file-mkstemp");
lf[48]=C_h_intern(&lf[48],13,"\003syssubstring");
lf[49]=C_string(C_heaptop,29,"can not create temporary file");
lf[50]=C_h_intern(&lf[50],8,"seek/set");
lf[51]=C_h_intern(&lf[51],8,"seek/end");
lf[52]=C_h_intern(&lf[52],8,"seek/cur");
lf[54]=C_string(C_heaptop,19,"can not access file");
lf[55]=C_string(C_heaptop,42,"bad argument type - not a fixnum or string");
lf[56]=C_h_intern(&lf[56],9,"file-stat");
lf[57]=C_h_intern(&lf[57],9,"file-size");
lf[58]=C_h_intern(&lf[58],22,"file-modification-time");
lf[59]=C_h_intern(&lf[59],16,"file-access-time");
lf[60]=C_h_intern(&lf[60],16,"file-change-time");
lf[61]=C_h_intern(&lf[61],10,"file-owner");
lf[62]=C_h_intern(&lf[62],16,"file-permissions");
lf[63]=C_h_intern(&lf[63],13,"regular-file\077");
lf[64]=C_h_intern(&lf[64],13,"\003sysfile-info");
lf[65]=C_h_intern(&lf[65],14,"symbolic-link\077");
lf[66]=C_h_intern(&lf[66],13,"file-position");
lf[67]=C_string(C_heaptop,38,"can not retrieve file position of port");
lf[68]=C_h_intern(&lf[68],6,"stream");
lf[69]=C_string(C_heaptop,12,"invalid file");
lf[70]=C_h_intern(&lf[70],5,"port\077");
lf[71]=C_h_intern(&lf[71],18,"set-file-position!");
lf[72]=C_string(C_heaptop,25,"can not set file position");
lf[73]=C_string(C_heaptop,12,"invalid file");
lf[74]=C_h_intern(&lf[74],13,"\000bounds-error");
lf[75]=C_string(C_heaptop,30,"invalid negative port position");
lf[76]=C_h_intern(&lf[76],16,"create-directory");
lf[77]=C_string(C_heaptop,24,"can not create directory");
lf[78]=C_h_intern(&lf[78],16,"change-directory");
lf[79]=C_string(C_heaptop,32,"can not change current directory");
lf[80]=C_h_intern(&lf[80],16,"delete-directory");
lf[81]=C_string(C_heaptop,24,"can not delete directory");
lf[82]=C_h_intern(&lf[82],13,"string-append");
lf[83]=C_h_intern(&lf[83],6,"string");
lf[84]=C_h_intern(&lf[84],9,"substring");
lf[85]=C_h_intern(&lf[85],9,"directory");
lf[86]=C_string(C_heaptop,22,"can not open directory");
lf[87]=C_h_intern(&lf[87],16,"\003sysmake-pointer");
lf[88]=C_h_intern(&lf[88],10,"directory\077");
lf[89]=C_h_intern(&lf[89],17,"current-directory");
lf[90]=C_string(C_heaptop,34,"can not retrieve current directory");
lf[91]=C_h_intern(&lf[91],5,"\000text");
lf[92]=C_h_intern(&lf[92],9,"\003syserror");
lf[93]=C_string(C_heaptop,35,"illegal input/output mode specifier");
lf[94]=C_string(C_heaptop,17,"can not open pipe");
lf[95]=C_h_intern(&lf[95],13,"\003sysmake-port");
lf[96]=C_h_intern(&lf[96],21,"\003sysstream-port-class");
lf[97]=C_string(C_heaptop,6,"(pipe)");
lf[98]=C_h_intern(&lf[98],15,"open-input-pipe");
lf[99]=C_h_intern(&lf[99],7,"\000binary");
lf[100]=C_h_intern(&lf[100],16,"open-output-pipe");
lf[101]=C_h_intern(&lf[101],16,"close-input-pipe");
lf[102]=C_string(C_heaptop,24,"error while closing pipe");
lf[103]=C_h_intern(&lf[103],17,"close-output-pipe");
lf[104]=C_h_intern(&lf[104],20,"call-with-input-pipe");
lf[105]=C_h_intern(&lf[105],21,"call-with-output-pipe");
lf[106]=C_h_intern(&lf[106],20,"with-input-from-pipe");
lf[107]=C_h_intern(&lf[107],18,"\003sysstandard-input");
lf[108]=C_h_intern(&lf[108],19,"with-output-to-pipe");
lf[109]=C_h_intern(&lf[109],19,"\003sysstandard-output");
lf[110]=C_h_intern(&lf[110],11,"create-pipe");
lf[111]=C_string(C_heaptop,19,"can not create pipe");
lf[112]=C_h_intern(&lf[112],10,"errno/perm");
lf[113]=C_h_intern(&lf[113],11,"errno/noent");
lf[114]=C_h_intern(&lf[114],10,"errno/srch");
lf[115]=C_h_intern(&lf[115],10,"errno/intr");
lf[116]=C_h_intern(&lf[116],8,"errno/io");
lf[117]=C_h_intern(&lf[117],12,"errno/noexec");
lf[118]=C_h_intern(&lf[118],10,"errno/badf");
lf[119]=C_h_intern(&lf[119],11,"errno/child");
lf[120]=C_h_intern(&lf[120],11,"errno/nomem");
lf[121]=C_h_intern(&lf[121],11,"errno/acces");
lf[122]=C_h_intern(&lf[122],11,"errno/fault");
lf[123]=C_h_intern(&lf[123],10,"errno/busy");
lf[124]=C_h_intern(&lf[124],11,"errno/exist");
lf[125]=C_h_intern(&lf[125],12,"errno/notdir");
lf[126]=C_h_intern(&lf[126],11,"errno/isdir");
lf[127]=C_h_intern(&lf[127],11,"errno/inval");
lf[128]=C_h_intern(&lf[128],11,"errno/mfile");
lf[129]=C_h_intern(&lf[129],11,"errno/nospc");
lf[130]=C_h_intern(&lf[130],11,"errno/spipe");
lf[131]=C_h_intern(&lf[131],10,"errno/pipe");
lf[132]=C_h_intern(&lf[132],11,"errno/again");
lf[133]=C_h_intern(&lf[133],10,"errno/rofs");
lf[134]=C_h_intern(&lf[134],10,"errno/nxio");
lf[135]=C_h_intern(&lf[135],10,"errno/2big");
lf[136]=C_h_intern(&lf[136],10,"errno/xdev");
lf[137]=C_h_intern(&lf[137],11,"errno/nodev");
lf[138]=C_h_intern(&lf[138],11,"errno/nfile");
lf[139]=C_h_intern(&lf[139],11,"errno/notty");
lf[140]=C_h_intern(&lf[140],10,"errno/fbig");
lf[141]=C_h_intern(&lf[141],11,"errno/mlink");
lf[142]=C_h_intern(&lf[142],9,"errno/dom");
lf[143]=C_h_intern(&lf[143],11,"errno/range");
lf[144]=C_h_intern(&lf[144],12,"errno/deadlk");
lf[145]=C_h_intern(&lf[145],17,"errno/nametoolong");
lf[146]=C_h_intern(&lf[146],11,"errno/nolck");
lf[147]=C_h_intern(&lf[147],11,"errno/nosys");
lf[148]=C_h_intern(&lf[148],14,"errno/notempty");
lf[149]=C_h_intern(&lf[149],11,"errno/ilseq");
lf[150]=C_h_intern(&lf[150],16,"change-file-mode");
lf[151]=C_string(C_heaptop,24,"can not change file mode");
lf[152]=C_h_intern(&lf[152],17,"file-read-access\077");
lf[153]=C_h_intern(&lf[153],18,"file-write-access\077");
lf[154]=C_h_intern(&lf[154],20,"file-execute-access\077");
lf[155]=C_h_intern(&lf[155],12,"fileno/stdin");
lf[156]=C_h_intern(&lf[156],13,"fileno/stdout");
lf[157]=C_h_intern(&lf[157],13,"fileno/stderr");
lf[158]=C_h_intern(&lf[158],7,"\000append");
lf[159]=C_string(C_heaptop,27,"invalid mode for input file");
lf[160]=C_string(C_heaptop,1,"a");
lf[161]=C_string(C_heaptop,21,"invalid mode argument");
lf[162]=C_string(C_heaptop,1,"r");
lf[163]=C_string(C_heaptop,1,"w");
lf[164]=C_string(C_heaptop,17,"can not open file");
lf[165]=C_string(C_heaptop,8,"(fdport)");
lf[166]=C_h_intern(&lf[166],16,"open-input-file*");
lf[167]=C_h_intern(&lf[167],17,"open-output-file*");
lf[168]=C_h_intern(&lf[168],12,"port->fileno");
lf[169]=C_string(C_heaptop,25,"port has no attached file");
lf[170]=C_string(C_heaptop,38,"can not access file-descriptor of port");
lf[171]=C_h_intern(&lf[171],25,"\003syspeek-unsigned-integer");
lf[172]=C_h_intern(&lf[172],16,"duplicate-fileno");
lf[173]=C_string(C_heaptop,33,"can not duplicate file descriptor");
lf[174]=C_h_intern(&lf[174],6,"setenv");
lf[175]=C_h_intern(&lf[175],8,"unsetenv");
lf[176]=C_h_intern(&lf[176],19,"current-environment");
lf[177]=C_h_intern(&lf[177],17,"\003syspeek-c-string");
lf[178]=C_h_intern(&lf[178],19,"seconds->local-time");
lf[179]=C_h_intern(&lf[179],18,"\003sysdecode-seconds");
lf[180]=C_h_intern(&lf[180],17,"seconds->utc-time");
lf[181]=C_h_intern(&lf[181],15,"seconds->string");
lf[182]=C_string(C_heaptop,33,"can not convert seconds to string");
lf[183]=C_h_intern(&lf[183],12,"time->string");
lf[184]=C_string(C_heaptop,29,"can not time vector to string");
lf[185]=C_string(C_heaptop,21,"time vector too short");
lf[186]=C_h_intern(&lf[186],5,"_exit");
lf[187]=C_h_intern(&lf[187],23,"\003syscleanup-before-exit");
lf[188]=C_h_intern(&lf[188],19,"set-buffering-mode!");
lf[189]=C_string(C_heaptop,26,"can not set buffering mode");
lf[190]=C_h_intern(&lf[190],5,"\000full");
lf[191]=C_h_intern(&lf[191],5,"\000line");
lf[192]=C_h_intern(&lf[192],5,"\000none");
lf[193]=C_string(C_heaptop,22,"invalid buffering-mode");
lf[194]=C_h_intern(&lf[194],15,"pattern->regexp");
lf[195]=C_h_intern(&lf[195],13,"make-pathname");
lf[196]=C_h_intern(&lf[196],18,"decompose-pathname");
lf[197]=C_h_intern(&lf[197],4,"glob");
lf[198]=C_h_intern(&lf[198],12,"string-match");
lf[199]=C_string(C_heaptop,1,".");
lf[200]=C_string(C_heaptop,1,"*");
lf[201]=C_h_intern(&lf[201],13,"spawn/overlay");
lf[202]=C_h_intern(&lf[202],10,"spawn/wait");
lf[203]=C_h_intern(&lf[203],12,"spawn/nowait");
lf[204]=C_h_intern(&lf[204],13,"spawn/nowaito");
lf[205]=C_h_intern(&lf[205],12,"spawn/detach");
lf[206]=C_h_intern(&lf[206],24,"pathname-strip-directory");
lf[207]=C_h_intern(&lf[207],15,"process-execute");
lf[208]=C_string(C_heaptop,23,"can not execute process");
lf[209]=C_h_intern(&lf[209],13,"process-spawn");
lf[210]=C_string(C_heaptop,23,"can not execute process");
lf[211]=C_h_intern(&lf[211],18,"current-process-id");
lf[212]=C_h_intern(&lf[212],9,"get-shell");
lf[213]=C_h_intern(&lf[213],6,"getenv");
lf[214]=C_h_intern(&lf[214],11,"process-run");
lf[215]=C_string(C_heaptop,2,"/c");
lf[217]=C_h_intern(&lf[217],15,"make-input-port");
lf[218]=C_h_intern(&lf[218],16,"make-output-port");
lf[219]=C_h_intern(&lf[219],7,"process");
lf[220]=C_string(C_heaptop,23,"could not write to pipe");
lf[221]=C_string(C_heaptop,24,"could not read from pipe");
lf[222]=C_string(C_heaptop,24,"could not create process");
lf[223]=C_h_intern(&lf[223],14,"C_close_handle");
lf[224]=C_string(C_heaptop,4," /c ");
lf[225]=C_string(C_heaptop,1,"\000");
lf[226]=C_string(C_heaptop,22,"could not redirect I/O");
lf[227]=C_h_intern(&lf[227],12,"process-wait");
lf[228]=C_h_intern(&lf[228],5,"sleep");
lf[229]=C_h_intern(&lf[229],13,"get-host-name");
lf[230]=C_string(C_heaptop,26,"can not retrieve host-name");
lf[231]=C_h_intern(&lf[231],18,"system-information");
lf[232]=C_string(C_heaptop,7,"windows");
lf[233]=C_string(C_heaptop,35,"can not retrieve system-information");
lf[234]=C_h_intern(&lf[234],10,"find-files");
lf[235]=C_string(C_heaptop,1,".");
lf[236]=C_string(C_heaptop,2,"..");
lf[237]=C_string(C_heaptop,1,"*");
lf[238]=C_h_intern(&lf[238],16,"\003sysdynamic-wind");
lf[239]=C_h_intern(&lf[239],13,"pathname-file");
lf[240]=C_string(C_heaptop,1,"*");
lf[241]=C_h_intern(&lf[241],17,"register-feature!");
lf[242]=C_h_intern(&lf[242],5,"posix");
C_register_lf(lf,243);
t2=C_mutate(&lf[0],lf[1]);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_631,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
C_scheduler_toplevel(2,C_SCHEME_UNDEFINED,t3);}

/* k629 */
static void f_631(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_631,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_634,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
C_regex_toplevel(2,C_SCHEME_UNDEFINED,t2);}

/* k632 in k629 */
static void f_634(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_634,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_637,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
C_extras_toplevel(2,C_SCHEME_UNDEFINED,t2);}

/* k635 in k632 in k629 */
static void f_637(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_637,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_640,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
C_utils_toplevel(2,C_SCHEME_UNDEFINED,t2);}

/* k638 in k635 in k632 in k629 */
static void f_640(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_640,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_643,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=*((C_word*)lf[241]+1);
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,lf[242]);}

/* k641 in k638 in k635 in k632 in k629 */
static void f_643(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word t67;
C_word t68;
C_word t69;
C_word t70;
C_word t71;
C_word t72;
C_word t73;
C_word t74;
C_word t75;
C_word t76;
C_word t77;
C_word t78;
C_word t79;
C_word t80;
C_word t81;
C_word t82;
C_word t83;
C_word t84;
C_word t85;
C_word t86;
C_word t87;
C_word t88;
C_word t89;
C_word t90;
C_word t91;
C_word t92;
C_word t93;
C_word t94;
C_word t95;
C_word t96;
C_word t97;
C_word t98;
C_word t99;
C_word t100;
C_word t101;
C_word t102;
C_word t103;
C_word t104;
C_word t105;
C_word t106;
C_word t107;
C_word t108;
C_word t109;
C_word t110;
C_word t111;
C_word t112;
C_word t113;
C_word t114;
C_word t115;
C_word t116;
C_word t117;
C_word t118;
C_word t119;
C_word t120;
C_word t121;
C_word t122;
C_word t123;
C_word t124;
C_word t125;
C_word t126;
C_word t127;
C_word t128;
C_word t129;
C_word t130;
C_word t131;
C_word t132;
C_word t133;
C_word t134;
C_word t135;
C_word t136;
C_word t137;
C_word t138;
C_word t139;
C_word t140;
C_word t141;
C_word t142;
C_word t143;
C_word t144;
C_word t145;
C_word t146;
C_word t147;
C_word t148;
C_word t149;
C_word t150;
C_word t151;
C_word t152;
C_word t153;
C_word t154;
C_word t155;
C_word t156;
C_word t157;
C_word t158;
C_word t159;
C_word t160;
C_word t161;
C_word t162;
C_word t163;
C_word t164;
C_word t165;
C_word t166;
C_word t167;
C_word t168;
C_word t169;
C_word t170;
C_word t171;
C_word t172;
C_word t173;
C_word t174;
C_word t175;
C_word ab[188],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_643,2,t0,t1);}
t2=C_mutate(&lf[2],(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_645,tmp=(C_word)a,a+=2,tmp));
t3=C_mutate((C_word*)lf[5]+1,C_fix((C_word)PIPE_BUF));
t4=C_mutate((C_word*)lf[6]+1,C_fix((C_word)O_RDONLY));
t5=C_mutate((C_word*)lf[7]+1,C_fix((C_word)O_WRONLY));
t6=C_mutate((C_word*)lf[8]+1,C_fix((C_word)O_RDWR));
t7=C_mutate((C_word*)lf[9]+1,C_fix((C_word)O_RDWR));
t8=C_mutate((C_word*)lf[10]+1,C_fix((C_word)O_WRONLY));
t9=C_mutate((C_word*)lf[11]+1,C_fix((C_word)O_CREAT));
t10=C_mutate((C_word*)lf[12]+1,C_fix((C_word)O_APPEND));
t11=C_mutate((C_word*)lf[13]+1,C_fix((C_word)O_EXCL));
t12=C_mutate((C_word*)lf[14]+1,C_fix((C_word)O_TRUNC));
t13=C_mutate((C_word*)lf[15]+1,C_fix((C_word)O_BINARY));
t14=C_mutate((C_word*)lf[16]+1,C_fix((C_word)O_TEXT));
t15=C_mutate((C_word*)lf[17]+1,C_fix((C_word)S_IREAD));
t16=C_mutate((C_word*)lf[18]+1,C_fix((C_word)S_IWRITE));
t17=C_mutate((C_word*)lf[19]+1,C_fix((C_word)S_IEXEC));
t18=C_mutate((C_word*)lf[20]+1,C_fix((C_word)S_IREAD));
t19=C_mutate((C_word*)lf[21]+1,C_fix((C_word)S_IWRITE));
t20=C_mutate((C_word*)lf[22]+1,C_fix((C_word)S_IEXEC));
t21=C_mutate((C_word*)lf[23]+1,C_fix((C_word)S_IREAD));
t22=C_mutate((C_word*)lf[24]+1,C_fix((C_word)S_IWRITE));
t23=C_mutate((C_word*)lf[25]+1,C_fix((C_word)S_IEXEC));
t24=C_mutate((C_word*)lf[26]+1,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t25=C_mutate((C_word*)lf[27]+1,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t26=C_mutate((C_word*)lf[28]+1,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t27=(C_word)C_u_fixnum_or(C_fix((C_word)S_IREAD),C_fix((C_word)S_IREAD));
t28=(C_word)C_a_i_bitwise_ior(&a,2,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC),t27);
t29=C_mutate((C_word*)lf[29]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_693,a[2]=t28,tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[36]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_725,tmp=(C_word)a,a+=2,tmp));
t31=*((C_word*)lf[38]+1);
t32=C_mutate((C_word*)lf[39]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_740,a[2]=t31,tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[43]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_779,tmp=(C_word)a,a+=2,tmp));
t34=*((C_word*)lf[46]+1);
t35=C_mutate((C_word*)lf[47]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_815,a[2]=t34,tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[50]+1,C_fix((C_word)SEEK_SET));
t37=C_mutate((C_word*)lf[51]+1,C_fix((C_word)SEEK_END));
t38=C_mutate((C_word*)lf[52]+1,C_fix((C_word)SEEK_CUR));
t39=C_mutate(&lf[53],(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_850,tmp=(C_word)a,a+=2,tmp));
t40=C_mutate((C_word*)lf[56]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_888,tmp=(C_word)a,a+=2,tmp));
t41=C_mutate((C_word*)lf[57]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_916,tmp=(C_word)a,a+=2,tmp));
t42=C_mutate((C_word*)lf[58]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_922,tmp=(C_word)a,a+=2,tmp));
t43=C_mutate((C_word*)lf[59]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_928,tmp=(C_word)a,a+=2,tmp));
t44=C_mutate((C_word*)lf[60]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_934,tmp=(C_word)a,a+=2,tmp));
t45=C_mutate((C_word*)lf[61]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_940,tmp=(C_word)a,a+=2,tmp));
t46=C_mutate((C_word*)lf[62]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_946,tmp=(C_word)a,a+=2,tmp));
t47=C_mutate((C_word*)lf[63]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_952,tmp=(C_word)a,a+=2,tmp));
t48=C_mutate((C_word*)lf[65]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_972,tmp=(C_word)a,a+=2,tmp));
t49=C_mutate((C_word*)lf[66]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_975,tmp=(C_word)a,a+=2,tmp));
t50=C_mutate((C_word*)lf[71]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1015,tmp=(C_word)a,a+=2,tmp));
t51=C_mutate((C_word*)lf[76]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1070,tmp=(C_word)a,a+=2,tmp));
t52=C_mutate((C_word*)lf[78]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1094,tmp=(C_word)a,a+=2,tmp));
t53=C_mutate((C_word*)lf[80]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1118,tmp=(C_word)a,a+=2,tmp));
t54=*((C_word*)lf[82]+1);
t55=*((C_word*)lf[38]+1);
t56=*((C_word*)lf[83]+1);
t57=*((C_word*)lf[84]+1);
t58=C_mutate((C_word*)lf[85]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1142,a[2]=t55,a[3]=t57,tmp=(C_word)a,a+=4,tmp));
t59=C_mutate((C_word*)lf[88]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1196,tmp=(C_word)a,a+=2,tmp));
t60=*((C_word*)lf[38]+1);
t61=*((C_word*)lf[84]+1);
t62=C_mutate((C_word*)lf[89]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1216,a[2]=t60,a[3]=t61,tmp=(C_word)a,a+=4,tmp));
t63=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1234,tmp=(C_word)a,a+=2,tmp);
t64=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1246,tmp=(C_word)a,a+=2,tmp);
t65=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1252,tmp=(C_word)a,a+=2,tmp);
t66=C_mutate((C_word*)lf[98]+1,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1270,a[2]=t64,a[3]=t65,a[4]=t63,tmp=(C_word)a,a+=5,tmp));
t67=C_mutate((C_word*)lf[100]+1,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1303,a[2]=t64,a[3]=t65,a[4]=t63,tmp=(C_word)a,a+=5,tmp));
t68=C_mutate((C_word*)lf[101]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1336,tmp=(C_word)a,a+=2,tmp));
t69=C_mutate((C_word*)lf[103]+1,*((C_word*)lf[101]+1));
t70=*((C_word*)lf[98]+1);
t71=*((C_word*)lf[100]+1);
t72=*((C_word*)lf[101]+1);
t73=*((C_word*)lf[103]+1);
t74=C_mutate((C_word*)lf[104]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1352,a[2]=t70,a[3]=t72,tmp=(C_word)a,a+=4,tmp));
t75=C_mutate((C_word*)lf[105]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1376,a[2]=t71,a[3]=t73,tmp=(C_word)a,a+=4,tmp));
t76=C_mutate((C_word*)lf[106]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1400,a[2]=t70,a[3]=t72,tmp=(C_word)a,a+=4,tmp));
t77=C_mutate((C_word*)lf[108]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1420,a[2]=t71,a[3]=t73,tmp=(C_word)a,a+=4,tmp));
t78=C_mutate((C_word*)lf[110]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1440,tmp=(C_word)a,a+=2,tmp));
t79=C_mutate((C_word*)lf[112]+1,C_fix((C_word)EPERM));
t80=C_mutate((C_word*)lf[113]+1,C_fix((C_word)ENOENT));
t81=C_mutate((C_word*)lf[114]+1,C_fix((C_word)ESRCH));
t82=C_mutate((C_word*)lf[115]+1,C_fix((C_word)EINTR));
t83=C_mutate((C_word*)lf[116]+1,C_fix((C_word)EIO));
t84=C_mutate((C_word*)lf[117]+1,C_fix((C_word)ENOEXEC));
t85=C_mutate((C_word*)lf[118]+1,C_fix((C_word)EBADF));
t86=C_mutate((C_word*)lf[119]+1,C_fix((C_word)ECHILD));
t87=C_mutate((C_word*)lf[120]+1,C_fix((C_word)ENOMEM));
t88=C_mutate((C_word*)lf[121]+1,C_fix((C_word)EACCES));
t89=C_mutate((C_word*)lf[122]+1,C_fix((C_word)EFAULT));
t90=C_mutate((C_word*)lf[123]+1,C_fix((C_word)EBUSY));
t91=C_mutate((C_word*)lf[124]+1,C_fix((C_word)EEXIST));
t92=C_mutate((C_word*)lf[125]+1,C_fix((C_word)ENOTDIR));
t93=C_mutate((C_word*)lf[126]+1,C_fix((C_word)EISDIR));
t94=C_mutate((C_word*)lf[127]+1,C_fix((C_word)EINVAL));
t95=C_mutate((C_word*)lf[128]+1,C_fix((C_word)EMFILE));
t96=C_mutate((C_word*)lf[129]+1,C_fix((C_word)ENOSPC));
t97=C_mutate((C_word*)lf[130]+1,C_fix((C_word)ESPIPE));
t98=C_mutate((C_word*)lf[131]+1,C_fix((C_word)EPIPE));
t99=C_mutate((C_word*)lf[132]+1,C_fix((C_word)EAGAIN));
t100=C_mutate((C_word*)lf[133]+1,C_fix((C_word)EROFS));
t101=C_mutate((C_word*)lf[134]+1,C_fix((C_word)ENXIO));
t102=C_mutate((C_word*)lf[135]+1,C_fix((C_word)E2BIG));
t103=C_mutate((C_word*)lf[136]+1,C_fix((C_word)EXDEV));
t104=C_mutate((C_word*)lf[137]+1,C_fix((C_word)ENODEV));
t105=C_mutate((C_word*)lf[138]+1,C_fix((C_word)ENFILE));
t106=C_mutate((C_word*)lf[139]+1,C_fix((C_word)ENOTTY));
t107=C_mutate((C_word*)lf[140]+1,C_fix((C_word)EFBIG));
t108=C_mutate((C_word*)lf[141]+1,C_fix((C_word)EMLINK));
t109=C_mutate((C_word*)lf[142]+1,C_fix((C_word)EDOM));
t110=C_mutate((C_word*)lf[143]+1,C_fix((C_word)ERANGE));
t111=C_mutate((C_word*)lf[144]+1,C_fix((C_word)EDEADLK));
t112=C_mutate((C_word*)lf[145]+1,C_fix((C_word)ENAMETOOLONG));
t113=C_mutate((C_word*)lf[146]+1,C_fix((C_word)ENOLCK));
t114=C_mutate((C_word*)lf[147]+1,C_fix((C_word)ENOSYS));
t115=C_mutate((C_word*)lf[148]+1,C_fix((C_word)ENOTEMPTY));
t116=C_mutate((C_word*)lf[149]+1,C_fix((C_word)EILSEQ));
t117=C_mutate((C_word*)lf[150]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1496,tmp=(C_word)a,a+=2,tmp));
t118=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1520,tmp=(C_word)a,a+=2,tmp);
t119=C_mutate((C_word*)lf[152]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1541,a[2]=t118,tmp=(C_word)a,a+=3,tmp));
t120=C_mutate((C_word*)lf[153]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1547,a[2]=t118,tmp=(C_word)a,a+=3,tmp));
t121=C_mutate((C_word*)lf[154]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1553,a[2]=t118,tmp=(C_word)a,a+=3,tmp));
t122=C_mutate((C_word*)lf[155]+1,C_fix((C_word)0));
t123=C_mutate((C_word*)lf[156]+1,C_fix((C_word)1));
t124=C_mutate((C_word*)lf[157]+1,C_fix((C_word)2));
t125=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1562,tmp=(C_word)a,a+=2,tmp);
t126=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1599,tmp=(C_word)a,a+=2,tmp);
t127=C_mutate((C_word*)lf[166]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1617,a[2]=t125,a[3]=t126,tmp=(C_word)a,a+=4,tmp));
t128=C_mutate((C_word*)lf[167]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1628,a[2]=t125,a[3]=t126,tmp=(C_word)a,a+=4,tmp));
t129=C_mutate((C_word*)lf[168]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1639,tmp=(C_word)a,a+=2,tmp));
t130=C_mutate((C_word*)lf[172]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1671,tmp=(C_word)a,a+=2,tmp));
t131=C_mutate((C_word*)lf[174]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1695,tmp=(C_word)a,a+=2,tmp));
t132=C_mutate((C_word*)lf[175]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1706,tmp=(C_word)a,a+=2,tmp));
t133=*((C_word*)lf[84]+1);
t134=C_mutate((C_word*)lf[176]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1718,a[2]=t133,tmp=(C_word)a,a+=3,tmp));
t135=C_mutate((C_word*)lf[178]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1783,tmp=(C_word)a,a+=2,tmp));
t136=C_mutate((C_word*)lf[180]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1789,tmp=(C_word)a,a+=2,tmp));
t137=C_mutate((C_word*)lf[181]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1800,tmp=(C_word)a,a+=2,tmp));
t138=C_mutate((C_word*)lf[183]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1817,tmp=(C_word)a,a+=2,tmp));
t139=C_mutate((C_word*)lf[186]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1847,tmp=(C_word)a,a+=2,tmp));
t140=C_mutate((C_word*)lf[188]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1866,tmp=(C_word)a,a+=2,tmp));
t141=*((C_word*)lf[194]+1);
t142=*((C_word*)lf[85]+1);
t143=*((C_word*)lf[195]+1);
t144=*((C_word*)lf[196]+1);
t145=C_mutate((C_word*)lf[197]+1,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1919,a[2]=t141,a[3]=t142,a[4]=t143,a[5]=t144,tmp=(C_word)a,a+=6,tmp));
t146=C_mutate((C_word*)lf[201]+1,C_fix((C_word)P_OVERLAY));
t147=C_mutate((C_word*)lf[202]+1,C_fix((C_word)P_WAIT));
t148=C_mutate((C_word*)lf[203]+1,C_fix((C_word)P_NOWAIT));
t149=C_mutate((C_word*)lf[204]+1,C_fix((C_word)P_NOWAITO));
t150=C_mutate((C_word*)lf[205]+1,C_fix((C_word)P_DETACH));
t151=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2028,tmp=(C_word)a,a+=2,tmp);
t152=*((C_word*)lf[206]+1);
t153=C_mutate((C_word*)lf[207]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2036,a[2]=t152,a[3]=t151,tmp=(C_word)a,a+=4,tmp));
t154=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2168,tmp=(C_word)a,a+=2,tmp);
t155=*((C_word*)lf[206]+1);
t156=C_mutate((C_word*)lf[209]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2176,a[2]=t155,a[3]=t154,tmp=(C_word)a,a+=4,tmp));
t157=C_mutate((C_word*)lf[211]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2257,tmp=(C_word)a,a+=2,tmp));
t158=C_mutate((C_word*)lf[212]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2260,tmp=(C_word)a,a+=2,tmp));
t159=*((C_word*)lf[209]+1);
t160=*((C_word*)lf[213]+1);
t161=C_mutate((C_word*)lf[214]+1,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2266,a[2]=t159,tmp=(C_word)a,a+=3,tmp));
t162=C_mutate(&lf[216],(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2295,tmp=(C_word)a,a+=2,tmp));
t163=*((C_word*)lf[217]+1);
t164=*((C_word*)lf[218]+1);
t165=C_mutate((C_word*)lf[219]+1,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2298,a[2]=t163,a[3]=t164,tmp=(C_word)a,a+=4,tmp));
t166=C_mutate((C_word*)lf[227]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2446,tmp=(C_word)a,a+=2,tmp));
t167=C_mutate((C_word*)lf[228]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2485,tmp=(C_word)a,a+=2,tmp));
t168=C_mutate((C_word*)lf[229]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2488,tmp=(C_word)a,a+=2,tmp));
t169=C_mutate((C_word*)lf[231]+1,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2500,tmp=(C_word)a,a+=2,tmp));
t170=*((C_word*)lf[197]+1);
t171=*((C_word*)lf[198]+1);
t172=*((C_word*)lf[195]+1);
t173=*((C_word*)lf[88]+1);
t174=C_mutate((C_word*)lf[234]+1,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2531,a[2]=t173,a[3]=t172,a[4]=t170,a[5]=t171,tmp=(C_word)a,a+=6,tmp));
t175=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t175+1)))(2,t175,C_SCHEME_UNDEFINED);}

/* find-files in k641 in k638 in k635 in k632 in k629 */
static void f_2531(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+17)){
C_save_and_reclaim((void*)tr4r,(void*)f_2531r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_2531r(t0,t1,t2,t3,t4);}}

static void f_2531r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a=C_alloc(17);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2533,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2669,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2674,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2679,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_nullp(t4))){
t9=t8;
f_2679(t9,t1);}
else{
t9=(C_word)C_u_i_car(t4);
t10=(C_word)C_slot(t4,C_fix(1));
if(C_truep((C_word)C_i_nullp(t10))){
t11=t7;
f_2674(t11,t1,t9);}
else{
t11=(C_word)C_u_i_car(t10);
t12=(C_word)C_slot(t10,C_fix(1));
if(C_truep((C_word)C_i_nullp(t12))){
t13=t6;
f_2669(t13,t1,t9,t11);}
else{
t13=(C_word)C_u_i_car(t12);
t14=(C_word)C_slot(t12,C_fix(1));
t15=t5;
f_2533(t15,t1,t9,t11,t13);}}}}

/* def-action452 in find-files in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_2679(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2679,NULL,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2685,tmp=(C_word)a,a+=2,tmp);
t3=((C_word*)t0)[2];
f_2674(t3,t1,t2);}

/* a2684 in def-action452 in find-files in k641 in k638 in k635 in k632 in k629 */
static void f_2685(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_2685,4,t0,t1,t2,t3);}
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,(C_word)C_a_i_cons(&a,2,t2,t3));}

/* def-id453 in find-files in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_2674(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2674,NULL,3,t0,t1,t2);}
t3=((C_word*)t0)[2];
f_2669(t3,t1,t2,C_SCHEME_END_OF_LIST);}

/* def-limit454 in find-files in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_2669(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2669,NULL,4,t0,t1,t2,t3);}
t4=((C_word*)t0)[2];
f_2533(t4,t1,t2,t3,C_SCHEME_FALSE);}

/* body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_2533(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word ab[20],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2533,NULL,5,t0,t1,t2,t3,t4);}
t5=C_fix(0);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_2537,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=t1,a[5]=((C_word*)t0)[3],a[6]=t2,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=t6,a[10]=((C_word*)t0)[6],a[11]=((C_word*)t0)[7],tmp=(C_word)a,a+=12,tmp);
t8=t4;
if(C_truep(t8)){
t9=(C_word)C_fixnump(t4);
t10=t7;
f_2537(t10,(C_truep(t9)?(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2664,a[2]=t4,a[3]=t6,tmp=(C_word)a,a+=4,tmp):t4));}
else{
t9=t7;
f_2537(t9,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2656,tmp=(C_word)a,a+=2,tmp));}}

/* f_2656 in body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void f_2656(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2656,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_TRUE);}

/* f_2664 in body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void f_2664(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2664,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_fixnum_lessp(((C_word*)((C_word*)t0)[3])[1],((C_word*)t0)[2]));}

/* k2535 in body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_2537(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[19],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2537,NULL,2,t0,t1);}
t2=(C_word)C_i_stringp(((C_word*)t0)[11]);
t3=(C_truep(t2)?(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2648,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[10],tmp=(C_word)a,a+=4,tmp):((C_word*)t0)[11]);
t4=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_2547,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=t1,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2644,a[2]=t4,a[3]=((C_word*)t0)[8],tmp=(C_word)a,a+=4,tmp);
t6=((C_word*)t0)[7];
((C_proc4)(void*)(*((C_word*)t6+1)))(4,t6,t5,((C_word*)t0)[2],lf[240]);}

/* k2642 in k2535 in body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void f_2644(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2545 in k2535 in body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void f_2547(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[12],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2547,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_2549,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=t3,tmp=(C_word)a,a+=10,tmp));
t5=((C_word*)t3)[1];
f_2549(t5,((C_word*)t0)[3],t1,((C_word*)t0)[2]);}

/* loop in k2545 in k2535 in body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_2549(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[13],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2549,NULL,4,t0,t1,t2,t3);}
if(C_truep((C_word)C_i_nullp(t2))){
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t4=(C_word)C_slot(t2,C_fix(0));
t5=(C_word)C_slot(t2,C_fix(1));
t6=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_2568,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t4,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=t3,a[10]=t5,a[11]=t1,a[12]=((C_word*)t0)[9],tmp=(C_word)a,a+=13,tmp);
t7=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t7+1)))(3,t7,t6,t4);}}

/* k2566 in loop in k2545 in k2535 in body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void f_2568(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[19],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2568,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_2624,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],tmp=(C_word)a,a+=11,tmp);
t3=*((C_word*)lf[239]+1);
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,((C_word*)t0)[5]);}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2630,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[10],a[6]=((C_word*)t0)[11],a[7]=((C_word*)t0)[12],tmp=(C_word)a,a+=8,tmp);
t3=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,((C_word*)t0)[5]);}}

/* k2628 in k2566 in loop in k2545 in k2535 in body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void f_2630(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2630,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2637,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[4];
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,((C_word*)t0)[3],((C_word*)t0)[2]);}
else{
t2=((C_word*)((C_word*)t0)[7])[1];
f_2549(t2,((C_word*)t0)[6],((C_word*)t0)[5],((C_word*)t0)[2]);}}

/* k2635 in k2628 in k2566 in loop in k2545 in k2535 in body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void f_2637(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)((C_word*)t0)[4])[1];
f_2549(t2,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* k2622 in k2566 in loop in k2545 in k2535 in body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void f_2624(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2624,2,t0,t1);}
if(C_truep((C_truep((C_word)C_i_equalp(t1,lf[235]))?C_SCHEME_TRUE:(C_truep((C_word)C_i_equalp(t1,lf[236]))?C_SCHEME_TRUE:C_SCHEME_FALSE)))){
t2=((C_word*)((C_word*)t0)[10])[1];
f_2549(t2,((C_word*)t0)[9],((C_word*)t0)[8],((C_word*)t0)[7]);}
else{
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_2583,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[6],tmp=(C_word)a,a+=10,tmp);
t3=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,((C_word*)t0)[3]);}}

/* k2581 in k2622 in k2566 in loop in k2545 in k2535 in body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void f_2583(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word ab[26],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2583,2,t0,t1);}
if(C_truep(t1)){
t2=(C_word)C_u_fixnum_plus(((C_word*)((C_word*)t0)[9])[1],C_fix(1));
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2593,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2595,a[2]=t4,a[3]=((C_word*)t0)[9],a[4]=t6,tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2600,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[8],tmp=(C_word)a,a+=7,tmp);
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2614,a[2]=t6,a[3]=((C_word*)t0)[9],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t11=*((C_word*)lf[238]+1);
((C_proc5)(void*)(*((C_word*)t11+1)))(5,t11,t7,t8,t9,t10);}
else{
t2=((C_word*)((C_word*)t0)[8])[1];
f_2549(t2,((C_word*)t0)[7],((C_word*)t0)[6],((C_word*)t0)[5]);}}

/* a2613 in k2581 in k2622 in k2566 in loop in k2545 in k2535 in body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void f_2614(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2614,2,t0,t1);}
t2=C_mutate(((C_word *)((C_word*)t0)[4])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[2])[1]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* a2599 in k2581 in k2622 in k2566 in loop in k2545 in k2535 in body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void f_2600(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2600,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2608,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2612,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t3,((C_word*)t0)[2],lf[237]);}

/* k2610 in a2599 in k2581 in k2622 in k2566 in loop in k2545 in k2535 in body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void f_2612(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2606 in a2599 in k2581 in k2622 in k2566 in loop in k2545 in k2535 in body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void f_2608(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)((C_word*)t0)[4])[1];
f_2549(t2,((C_word*)t0)[3],t1,((C_word*)t0)[2]);}

/* a2594 in k2581 in k2622 in k2566 in loop in k2545 in k2535 in body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void f_2595(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2595,2,t0,t1);}
t2=C_mutate(((C_word *)((C_word*)t0)[4])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[2])[1]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k2591 in k2581 in k2622 in k2566 in loop in k2545 in k2535 in body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void f_2593(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)((C_word*)t0)[4])[1];
f_2549(t2,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* f_2648 in k2535 in body450 in find-files in k641 in k638 in k635 in k632 in k629 */
static void f_2648(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2648,3,t0,t1,t2);}
t3=((C_word*)t0)[3];
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t1,((C_word*)t0)[2],t2);}

/* system-information in k641 in k638 in k635 in k632 in k629 */
static void f_2500(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2500,2,t0,t1);}
if(C_truep((C_word)C_sysinfo())){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2511,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t3=*((C_word*)lf[177]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_hostname),C_fix(0));}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2526,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t3=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}}

/* k2524 in system-information in k641 in k638 in k635 in k632 in k629 */
static void f_2526(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[92]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],lf[231],lf[233]);}

/* k2509 in system-information in k641 in k638 in k635 in k632 in k629 */
static void f_2511(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2511,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2515,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[177]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_osrel),C_fix(0));}

/* k2513 in k2509 in system-information in k641 in k638 in k635 in k632 in k629 */
static void f_2515(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2515,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2519,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t3=*((C_word*)lf[177]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_osver),C_fix(0));}

/* k2517 in k2513 in k2509 in system-information in k641 in k638 in k635 in k632 in k629 */
static void f_2519(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2519,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2523,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=*((C_word*)lf[177]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_processor),C_fix(0));}

/* k2521 in k2517 in k2513 in k2509 in system-information in k641 in k638 in k635 in k632 in k629 */
static void f_2523(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(7,0,((C_word*)t0)[5],lf[232],((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* get-host-name in k641 in k638 in k635 in k632 in k629 */
static void f_2488(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2488,2,t0,t1);}
if(C_truep((C_word)C_get_hostname())){
t2=*((C_word*)lf[177]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,C_mpointer(&a,(void*)C_hostname),C_fix(0));}
else{
t2=*((C_word*)lf[92]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[229],lf[230]);}}

/* sleep in k641 in k638 in k635 in k632 in k629 */
static void f_2485(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2485,3,t0,t1,t2);}
t3=(C_word)C_sleep(t2);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_fix(0));}

/* process-wait in k641 in k638 in k635 in k632 in k629 */
static void f_2446(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+3)){
C_save_and_reclaim((void*)tr3r,(void*)f_2446r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_2446r(t0,t1,t2,t3);}}

static void f_2446r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a=C_alloc(3);
t4=(C_word)C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:(C_word)C_u_i_car(t3));
t6=(C_word)C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:(C_word)C_slot(t3,C_fix(1)));
if(C_truep((C_word)C_process_wait(t2,t5))){
C_values(5,0,t1,t2,C_SCHEME_TRUE,C_fix((C_word)C_exstatus));}
else{
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2465,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t9=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t9+1)))(2,t9,t8);}}

/* k2463 in process-wait in k641 in k638 in k635 in k632 in k629 */
static void f_2465(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(5,0,((C_word*)t0)[2],C_fix(0),C_SCHEME_FALSE,C_fix(0));}

/* process in k641 in k638 in k635 in k632 in k629 */
static void f_2298(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+11)){
C_save_and_reclaim((void*)tr3r,(void*)f_2298r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_2298r(t0,t1,t2,t3);}}

static void f_2298r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2300,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2396,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2401,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_nullp(t3))){
t7=t6;
f_2401(t7,t1);}
else{
t7=(C_word)C_u_i_car(t3);
t8=(C_word)C_slot(t3,C_fix(1));
if(C_truep((C_word)C_i_nullp(t8))){
t9=t5;
f_2396(t9,t1);}
else{
t9=(C_word)C_u_i_car(t8);
t10=(C_word)C_slot(t8,C_fix(1));
t11=t4;
f_2300(t11,t1);}}}

/* def-args406 in process in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_2401(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2401,NULL,2,t0,t1);}
t2=((C_word*)t0)[2];
f_2396(t2,t1);}

/* def-env407 in process in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_2396(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2396,NULL,2,t0,t1);}
t2=((C_word*)t0)[2];
f_2300(t2,t1);}

/* body404 in process in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_2300(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2300,NULL,2,t0,t1);}
if(C_truep((C_word)C_redir_io())){
t2=C_fix((C_word)C_wr0_);
t3=C_fix((C_word)C_rd1_);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2307,a[2]=((C_word*)t0)[3],a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2392,a[2]=((C_word*)t0)[2],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=*((C_word*)lf[212]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}
else{
t2=*((C_word*)lf[92]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[219],lf[226]);}}

/* k2390 in body404 in process in k641 in k638 in k635 in k632 in k629 */
static void f_2392(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[82]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],t1,lf[224],((C_word*)t0)[2],lf[225]);}

/* k2305 in body404 in process in k641 in k638 in k635 in k632 in k629 */
static void f_2307(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[20],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2307,2,t0,t1);}
t2=(C_word)C_run_process(t1);
if(C_truep((C_word)C_fixnum_greaterp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2320,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=t2,a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2345,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2369,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2372,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t7=((C_word*)t0)[2];
((C_proc5)(void*)(*((C_word*)t7+1)))(5,t7,t3,t4,t5,t6);}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2379,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}}

/* k2377 in k2305 in body404 in process in k641 in k638 in k635 in k632 in k629 */
static void f_2379(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2379,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2382,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[223]+1);
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,((C_word*)t0)[2]);}

/* k2380 in k2377 in k2305 in body404 in process in k641 in k638 in k635 in k632 in k629 */
static void f_2382(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2382,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2385,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t3=*((C_word*)lf[223]+1);
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,((C_word*)t0)[2]);}

/* k2383 in k2380 in k2377 in k2305 in body404 in process in k641 in k638 in k635 in k632 in k629 */
static void f_2385(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[92]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],lf[219],lf[222]);}

/* a2371 in k2305 in body404 in process in k641 in k638 in k635 in k632 in k629 */
static void f_2372(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2372,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,f_2295(((C_word*)t0)[2]));}

/* a2368 in k2305 in body404 in process in k641 in k638 in k635 in k632 in k629 */
static void f_2369(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2369,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_pipe_ready(((C_word*)t0)[2]));}

/* a2344 in k2305 in body404 in process in k641 in k638 in k635 in k632 in k629 */
static void f_2345(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2345,2,t0,t1);}
t2=(C_word)C_pipe_read(((C_word*)t0)[2]);
switch(t2){
case C_fix(-1):
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_END_OF_FILE);
case C_fix(0):
t3=*((C_word*)lf[92]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t1,lf[219],lf[221]);
default:
t3=(C_word)C_eqp(t2,C_fix(1));
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,(C_truep(t3)?C_make_character((C_word)C_rdbuf):C_SCHEME_UNDEFINED));}}

/* k2318 in k2305 in body404 in process in k641 in k638 in k635 in k632 in k629 */
static void f_2320(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2320,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2324,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2326,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2339,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t5=((C_word*)t0)[2];
((C_proc4)(void*)(*((C_word*)t5+1)))(4,t5,t2,t3,t4);}

/* a2338 in k2318 in k2305 in body404 in process in k641 in k638 in k635 in k632 in k629 */
static void f_2339(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2339,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,f_2295(((C_word*)t0)[2]));}

/* a2325 in k2318 in k2305 in body404 in process in k641 in k638 in k635 in k632 in k629 */
static void f_2326(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2326,3,t0,t1,t2);}
t3=(C_word)C_fix((C_word)C_header_size(t2));
if(C_truep((C_word)C_pipe_write(((C_word*)t0)[2],t2,t3))){
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_UNDEFINED);}
else{
t4=*((C_word*)lf[92]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t1,lf[219],lf[220]);}}

/* k2322 in k2318 in k2305 in body404 in process in k641 in k638 in k635 in k632 in k629 */
static void f_2324(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(5,0,((C_word*)t0)[4],((C_word*)t0)[3],t1,((C_word*)t0)[2]);}

/* close-handle in k641 in k638 in k635 in k632 in k629 */
static C_word C_fcall f_2295(C_word t1){
C_word tmp;
C_word t2;
return((C_word)stub394(C_SCHEME_UNDEFINED,t1));}

/* process-run in k641 in k638 in k635 in k632 in k629 */
static void f_2266(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr3rv,(void*)f_2266r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest_vector(a,C_rest_count(0));
f_2266r(t0,t1,t2,t3);}}

static void f_2266r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(5);
t4=(C_word)C_notvemptyp(t3);
t5=(C_truep(t4)?(C_word)C_slot(t3,C_fix(0)):C_SCHEME_FALSE);
if(C_truep(t5)){
t6=((C_word*)t0)[2];
((C_proc5)(void*)(*((C_word*)t6+1)))(5,t6,t1,*((C_word*)lf[203]+1),t2,t5);}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2283,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t7=*((C_word*)lf[212]+1);
((C_proc2)(void*)(*((C_word*)t7+1)))(2,t7,t6);}}

/* k2281 in process-run in k641 in k638 in k635 in k632 in k629 */
static void f_2283(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2283,2,t0,t1);}
t2=(C_word)C_a_i_list(&a,2,lf[215],((C_word*)t0)[4]);
t3=((C_word*)t0)[3];
((C_proc5)(void*)(*((C_word*)t3+1)))(5,t3,((C_word*)t0)[2],*((C_word*)lf[203]+1),t1,t2);}

/* get-shell in k641 in k638 in k635 in k632 in k629 */
static void f_2260(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2260,2,t0,t1);}
t2=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t3=*((C_word*)lf[177]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t1,(C_word)stub385(t2),C_fix(0));}

/* current-process-id in k641 in k638 in k635 in k632 in k629 */
static void f_2257(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2257,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)stub383(C_SCHEME_UNDEFINED));}

/* process-spawn in k641 in k638 in k635 in k632 in k629 */
static void f_2176(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+7)){
C_save_and_reclaim((void*)tr4rv,(void*)f_2176r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_2176r(t0,t1,t2,t3,t4);}}

static void f_2176r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a=C_alloc(7);
t5=(C_word)C_notvemptyp(t4);
t6=(C_truep(t5)?(C_word)C_slot(t4,C_fix(0)):C_SCHEME_END_OF_LIST);
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2183,a[2]=t6,a[3]=t1,a[4]=t3,a[5]=t2,a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
t8=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t8+1)))(3,t8,t7,t3);}

/* k2181 in process-spawn in k641 in k638 in k635 in k632 in k629 */
static void f_2183(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2183,2,t0,t1);}
t2=(C_word)C_block_size(t1);
t3=f_2168(C_fix(0),t1,t2);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2191,a[2]=t5,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_2191(t7,((C_word*)t0)[3],((C_word*)t0)[2],C_fix(1));}

/* do371 in k2181 in process-spawn in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_2191(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
loop:
a=C_alloc(8);
if(!C_stack_probe(a)){
C_save_and_reclaim((void*)trf_2191,NULL,4,t0,t1,t2,t3);}
if(C_truep((C_word)C_i_nullp(t2))){
t4=f_2168(t3,C_SCHEME_FALSE,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2205,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2224,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=*((C_word*)lf[35]+1);
((C_proc3)(void*)(*((C_word*)t7+1)))(3,t7,t6,((C_word*)t0)[3]);}
else{
t4=(C_word)C_u_i_car(t2);
t5=(C_word)C_block_size(t4);
t6=f_2168(t3,t4,t5);
t7=(C_word)C_slot(t2,C_fix(1));
t8=(C_word)C_u_fixnum_plus(t3,C_fix(1));
t13=t1;
t14=t7;
t15=t8;
t1=t13;
t2=t14;
t3=t15;
goto loop;}}

/* k2222 in do371 in k2181 in process-spawn in k641 in k638 in k635 in k632 in k629 */
static void f_2224(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2203 in do371 in k2181 in process-spawn in k641 in k638 in k635 in k632 in k629 */
static void f_2205(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2205,2,t0,t1);}
t2=(C_word)C_spawnvp(((C_word*)t0)[4],t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2208,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k2206 in k2203 in do371 in k2181 in process-spawn in k641 in k638 in k635 in k632 in k629 */
static void f_2208(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
t2=(C_word)C_eqp(((C_word*)t0)[4],C_fix(-1));
if(C_truep(t2)){
t3=(C_word)stub364(C_SCHEME_UNDEFINED);
t4=*((C_word*)lf[92]+1);
((C_proc5)(void*)(*((C_word*)t4+1)))(5,t4,((C_word*)t0)[3],lf[209],lf[210],((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* setarg in k641 in k638 in k635 in k632 in k629 */
static C_word C_fcall f_2168(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
t4=(C_truep(t2)?t2:C_SCHEME_FALSE);
return((C_word)stub357(C_SCHEME_UNDEFINED,t1,t4,t3));}

/* process-execute in k641 in k638 in k635 in k632 in k629 */
static void f_2036(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+11)){
C_save_and_reclaim((void*)tr3r,(void*)f_2036r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_2036r(t0,t1,t2,t3);}}

static void f_2036r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2038,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2118,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2123,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_nullp(t3))){
t7=t6;
f_2123(t7,t1);}
else{
t7=(C_word)C_u_i_car(t3);
t8=(C_word)C_slot(t3,C_fix(1));
if(C_truep((C_word)C_i_nullp(t8))){
t9=t5;
f_2118(t9,t1,t7);}
else{
t9=(C_word)C_u_i_car(t8);
t10=(C_word)C_slot(t8,C_fix(1));
t11=t4;
f_2038(t11,t1,t7);}}}

/* def-arglist323 in process-execute in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_2123(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2123,NULL,2,t0,t1);}
t2=((C_word*)t0)[2];
f_2118(t2,t1,C_SCHEME_END_OF_LIST);}

/* def-envlist324 in process-execute in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_2118(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2118,NULL,3,t0,t1,t2);}
t3=((C_word*)t0)[2];
f_2038(t3,t1,t2);}

/* body321 in process-execute in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_2038(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2038,NULL,3,t0,t1,t2);}
t3=(C_word)C_i_pairp(t2);
t4=(C_truep(t3)?(C_word)C_u_i_car(t2):C_SCHEME_END_OF_LIST);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2045,a[2]=t4,a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t6=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t6+1)))(3,t6,t5,((C_word*)t0)[3]);}

/* k2043 in body321 in process-execute in k641 in k638 in k635 in k632 in k629 */
static void f_2045(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2045,2,t0,t1);}
t2=(C_word)C_block_size(t1);
t3=f_2028(C_fix(0),t1,t2);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2053,a[2]=t5,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_2053(t7,((C_word*)t0)[3],((C_word*)t0)[2],C_fix(1));}

/* do331 in k2043 in body321 in process-execute in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_2053(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
loop:
a=C_alloc(7);
if(!C_stack_probe(a)){
C_save_and_reclaim((void*)trf_2053,NULL,4,t0,t1,t2,t3);}
if(C_truep((C_word)C_i_nullp(t2))){
t4=f_2028(t3,C_SCHEME_FALSE,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2067,a[2]=((C_word*)t0)[3],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2086,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=*((C_word*)lf[35]+1);
((C_proc3)(void*)(*((C_word*)t7+1)))(3,t7,t6,((C_word*)t0)[3]);}
else{
t4=(C_word)C_u_i_car(t2);
t5=(C_word)C_block_size(t4);
t6=f_2028(t3,t4,t5);
t7=(C_word)C_slot(t2,C_fix(1));
t8=(C_word)C_u_fixnum_plus(t3,C_fix(1));
t13=t1;
t14=t7;
t15=t8;
t1=t13;
t2=t14;
t3=t15;
goto loop;}}

/* k2084 in do331 in k2043 in body321 in process-execute in k641 in k638 in k635 in k632 in k629 */
static void f_2086(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2065 in do331 in k2043 in body321 in process-execute in k641 in k638 in k635 in k632 in k629 */
static void f_2067(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2067,2,t0,t1);}
t2=(C_word)C_execvp(t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2070,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k2068 in k2065 in do331 in k2043 in body321 in process-execute in k641 in k638 in k635 in k632 in k629 */
static void f_2070(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
t2=(C_word)C_eqp(((C_word*)t0)[4],C_fix(-1));
if(C_truep(t2)){
t3=(C_word)stub314(C_SCHEME_UNDEFINED);
t4=*((C_word*)lf[92]+1);
((C_proc5)(void*)(*((C_word*)t4+1)))(5,t4,((C_word*)t0)[3],lf[207],lf[208],((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* setarg in k641 in k638 in k635 in k632 in k629 */
static C_word C_fcall f_2028(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
t4=(C_truep(t2)?t2:C_SCHEME_FALSE);
return((C_word)stub307(C_SCHEME_UNDEFINED,t1,t4,t3));}

/* glob in k641 in k638 in k635 in k632 in k629 */
static void f_1919(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+9)){
C_save_and_reclaim((void*)tr2r,(void*)f_1919r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_1919r(t0,t1,t2);}}

static void f_1919r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a=C_alloc(9);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1925,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t4,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_1925(t6,t1,t2);}

/* conc in glob in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_1925(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1925,NULL,3,t0,t1,t2);}
if(C_truep((C_word)C_i_nullp(t2))){
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_END_OF_LIST);}
else{
t3=(C_word)C_u_i_car(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1940,a[2]=t3,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1946,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,tmp=(C_word)a,a+=7,tmp);
C_u_call_with_values(4,0,t1,t4,t5);}}

/* a1945 in conc in glob in k641 in k638 in k635 in k632 in k629 */
static void f_1946(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[12],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr5,(void*)f_1946,5,t0,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1950,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2017,a[2]=t5,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t7=(C_truep(t3)?t3:lf[200]);
t8=((C_word*)t0)[4];
((C_proc5)(void*)(*((C_word*)t8+1)))(5,t8,t6,C_SCHEME_FALSE,t7,t4);}

/* k2015 in a1945 in conc in glob in k641 in k638 in k635 in k632 in k629 */
static void f_2017(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1948 in a1945 in conc in glob in k641 in k638 in k635 in k632 in k629 */
static void f_1950(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1950,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1957,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=(C_truep(((C_word*)t0)[4])?((C_word*)t0)[4]:lf[199]);
t4=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t2,t3);}

/* k1955 in k1948 in a1945 in conc in glob in k641 in k638 in k635 in k632 in k629 */
static void f_1957(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1957,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1959,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_1959(t5,((C_word*)t0)[2],t1);}

/* loop in k1955 in k1948 in a1945 in conc in glob in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_1959(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1959,NULL,3,t0,t1,t2);}
if(C_truep((C_word)C_i_nullp(t2))){
t3=(C_word)C_slot(((C_word*)t0)[7],C_fix(1));
t4=((C_word*)((C_word*)t0)[6])[1];
f_1925(t4,t1,t3);}
else{
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1976,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t2,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t4=(C_word)C_u_i_car(t2);
t5=*((C_word*)lf[198]+1);
((C_proc4)(void*)(*((C_word*)t5+1)))(4,t5,t3,((C_word*)t0)[2],t4);}}

/* k1974 in loop in k1955 in k1948 in a1945 in conc in glob in k641 in k638 in k635 in k632 in k629 */
static void f_1976(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1976,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1986,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t3=(C_word)C_u_i_car(t1);
t4=((C_word*)t0)[3];
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t2,((C_word*)t0)[2],t3);}
else{
t2=(C_word)C_slot(((C_word*)t0)[5],C_fix(1));
t3=((C_word*)((C_word*)t0)[4])[1];
f_1959(t3,((C_word*)t0)[6],t2);}}

/* k1984 in k1974 in loop in k1955 in k1948 in a1945 in conc in glob in k641 in k638 in k635 in k632 in k629 */
static void f_1986(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1986,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1990,a[2]=t1,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(C_word)C_slot(((C_word*)t0)[3],C_fix(1));
t4=((C_word*)((C_word*)t0)[2])[1];
f_1959(t4,t2,t3);}

/* k1988 in k1984 in k1974 in loop in k1955 in k1948 in a1945 in conc in glob in k641 in k638 in k635 in k632 in k629 */
static void f_1990(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1990,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_cons(&a,2,((C_word*)t0)[2],t1));}

/* a1939 in conc in glob in k641 in k638 in k635 in k632 in k629 */
static void f_1940(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1940,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,t1,((C_word*)t0)[2]);}

/* set-buffering-mode! in k641 in k638 in k635 in k632 in k629 */
static void f_1866(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr4rv,(void*)f_1866r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_1866r(t0,t1,t2,t3,t4);}}

static void f_1866r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a=C_alloc(5);
t5=(C_word)C_notvemptyp(t4);
t6=(C_truep(t5)?(C_word)C_slot(t4,C_fix(0)):C_fix((C_word)BUFSIZ));
t7=t3;
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1873,a[2]=t1,a[3]=t6,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t9=(C_word)C_eqp(t7,lf[190]);
if(C_truep(t9)){
t10=t8;
f_1873(2,t10,C_fix((C_word)_IOFBF));}
else{
t10=(C_word)C_eqp(t7,lf[191]);
if(C_truep(t10)){
t11=t8;
f_1873(2,t11,C_fix((C_word)_IOLBF));}
else{
t11=(C_word)C_eqp(t7,lf[192]);
if(C_truep(t11)){
t12=t8;
f_1873(2,t12,C_fix((C_word)_IONBF));}
else{
t12=*((C_word*)lf[92]+1);
((C_proc6)(void*)(*((C_word*)t12+1)))(6,t12,t8,lf[188],lf[193],t3,t2);}}}}

/* k1871 in set-buffering-mode! in k641 in k638 in k635 in k632 in k629 */
static void f_1873(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
t2=(C_word)C_slot(((C_word*)t0)[4],C_fix(7));
t3=(C_word)C_eqp(lf[68],t2);
t4=(C_truep(t3)?(C_word)C_setvbuf(((C_word*)t0)[4],t1,((C_word*)t0)[3]):C_fix(-1));
if(C_truep((C_word)C_fixnum_lessp(t4,C_fix(0)))){
t5=*((C_word*)lf[92]+1);
((C_proc7)(void*)(*((C_word*)t5+1)))(7,t5,((C_word*)t0)[2],lf[188],lf[189],((C_word*)t0)[4],t1,((C_word*)t0)[3]);}
else{
t5=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,C_SCHEME_UNDEFINED);}}

/* _exit in k641 in k638 in k635 in k632 in k629 */
static void f_1847(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr2rv,(void*)f_1847r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest_vector(a,C_rest_count(0));
f_1847r(t0,t1,t2);}}

static void f_1847r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1851,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[187]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k1849 in _exit in k641 in k638 in k635 in k632 in k629 */
static void f_1851(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
t2=(C_word)C_notvemptyp(((C_word*)t0)[3]);
t3=(C_truep(t2)?(C_word)C_slot(((C_word*)t0)[3],C_fix(0)):C_fix(0));
t4=((C_word*)t0)[2];
t5=t4;
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,(C_word)stub260(C_SCHEME_UNDEFINED,t3));}

/* time->string in k641 in k638 in k635 in k632 in k629 */
static void f_1817(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1817,3,t0,t1,t2);}
t3=(C_word)C_i_check_vector_2(t2,lf[183]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1824,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(C_word)C_block_size(t2);
if(C_truep((C_word)C_fixnum_lessp(t5,C_fix(10)))){
t6=*((C_word*)lf[92]+1);
((C_proc5)(void*)(*((C_word*)t6+1)))(5,t6,t4,lf[183],lf[185],t2);}
else{
t6=t4;
f_1824(2,t6,C_SCHEME_UNDEFINED);}}

/* k1822 in time->string in k641 in k638 in k635 in k632 in k629 */
static void f_1824(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1824,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1827,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[2];
t4=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t5=*((C_word*)lf[177]+1);
((C_proc4)(void*)(*((C_word*)t5+1)))(4,t5,t2,(C_word)stub249(t4,t3),C_fix(0));}

/* k1825 in k1822 in time->string in k641 in k638 in k635 in k632 in k629 */
static void f_1827(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1827,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1830,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t1)){
t3=t2;
f_1830(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=*((C_word*)lf[92]+1);
((C_proc5)(void*)(*((C_word*)t3+1)))(5,t3,t2,lf[183],lf[184],((C_word*)t0)[2]);}}

/* k1828 in k1825 in k1822 in time->string in k641 in k638 in k635 in k632 in k629 */
static void f_1830(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* seconds->string in k641 in k638 in k635 in k632 in k629 */
static void f_1800(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1800,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1804,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=t2;
t5=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t6=*((C_word*)lf[177]+1);
((C_proc4)(void*)(*((C_word*)t6+1)))(4,t6,t3,(C_word)stub240(t5,t4),C_fix(0));}

/* k1802 in seconds->string in k641 in k638 in k635 in k632 in k629 */
static void f_1804(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1804,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1807,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t1)){
t3=t2;
f_1807(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=*((C_word*)lf[92]+1);
((C_proc5)(void*)(*((C_word*)t3+1)))(5,t3,t2,lf[181],lf[182],((C_word*)t0)[2]);}}

/* k1805 in k1802 in seconds->string in k641 in k638 in k635 in k632 in k629 */
static void f_1807(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* seconds->utc-time in k641 in k638 in k635 in k632 in k629 */
static void f_1789(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1789,3,t0,t1,t2);}
t3=*((C_word*)lf[179]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t1,t2,C_SCHEME_TRUE);}

/* seconds->local-time in k641 in k638 in k635 in k632 in k629 */
static void f_1783(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1783,3,t0,t1,t2);}
t3=*((C_word*)lf[179]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t1,t2,C_SCHEME_FALSE);}

/* current-environment in k641 in k638 in k635 in k632 in k629 */
static void f_1718(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1718,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1724,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_1724(t5,t1,C_fix(0));}

/* loop in current-environment in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_1724(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1724,NULL,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1728,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=t2;
t5=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
t6=*((C_word*)lf[177]+1);
((C_proc4)(void*)(*((C_word*)t6+1)))(4,t6,t3,(C_word)stub225(t5,t4),C_fix(0));}

/* k1726 in loop in current-environment in k641 in k638 in k635 in k632 in k629 */
static void f_1728(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1728,2,t0,t1);}
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1736,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_1736(t5,((C_word*)t0)[2],C_fix(0));}
else{
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_END_OF_LIST);}}

/* scan in k1726 in loop in current-environment in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_1736(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
a=C_alloc(8);
if(!C_stack_probe(a)){
C_save_and_reclaim((void*)trf_1736,NULL,3,t0,t1,t2);}
t3=(C_word)C_eqp(C_make_character(61),(C_word)C_subchar(((C_word*)t0)[6],t2));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1762,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t5=((C_word*)t0)[3];
((C_proc5)(void*)(*((C_word*)t5+1)))(5,t5,t4,((C_word*)t0)[6],C_fix(0),t2);}
else{
t4=(C_word)C_u_fixnum_plus(t2,C_fix(1));
t7=t1;
t8=t4;
t1=t7;
t2=t8;
goto loop;}}

/* k1760 in scan in k1726 in loop in current-environment in k641 in k638 in k635 in k632 in k629 */
static void f_1762(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1762,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1766,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t3=(C_word)C_u_fixnum_plus(((C_word*)t0)[4],C_fix(1));
t4=(C_word)C_block_size(((C_word*)t0)[3]);
t5=((C_word*)t0)[2];
((C_proc5)(void*)(*((C_word*)t5+1)))(5,t5,t2,((C_word*)t0)[3],t3,t4);}

/* k1764 in k1760 in scan in k1726 in loop in current-environment in k641 in k638 in k635 in k632 in k629 */
static void f_1766(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1766,2,t0,t1);}
t2=(C_word)C_a_i_cons(&a,2,((C_word*)t0)[5],t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1754,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=(C_word)C_u_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t5=((C_word*)((C_word*)t0)[2])[1];
f_1724(t5,t3,t4);}

/* k1752 in k1764 in k1760 in scan in k1726 in loop in current-environment in k641 in k638 in k635 in k632 in k629 */
static void f_1754(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1754,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_cons(&a,2,((C_word*)t0)[2],t1));}

/* unsetenv in k641 in k638 in k635 in k632 in k629 */
static void f_1706(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1706,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1711,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,t2);}

/* k1709 in unsetenv in k641 in k638 in k635 in k632 in k629 */
static void f_1711(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_putenv(t1);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}

/* setenv in k641 in k638 in k635 in k632 in k629 */
static void f_1695(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_1695,4,t0,t1,t2,t3);}
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1700,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t4,t2);}

/* k1698 in setenv in k641 in k638 in k635 in k632 in k629 */
static void f_1700(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1700,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1704,a[2]=((C_word*)t0)[3],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,((C_word*)t0)[2]);}

/* k1702 in k1698 in setenv in k641 in k638 in k635 in k632 in k629 */
static void f_1704(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_setenv(((C_word*)t0)[3],t1);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}

/* duplicate-fileno in k641 in k638 in k635 in k632 in k629 */
static void f_1671(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr3rv,(void*)f_1671r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest_vector(a,C_rest_count(0));
f_1671r(t0,t1,t2,t3);}}

static void f_1671r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1675,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_vemptyp(t3))){
t5=t4;
f_1675(t5,(C_word)C_dup(t2));}
else{
t5=(C_word)C_slot(t3,C_fix(0));
t6=t4;
f_1675(t6,(C_word)C_dup2(t2,t5));}}

/* k1673 in duplicate-fileno in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_1675(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1675,NULL,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1678,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnum_lessp(t1,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1684,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=t2;
f_1678(2,t3,C_SCHEME_UNDEFINED);}}

/* k1682 in k1673 in duplicate-fileno in k641 in k638 in k635 in k632 in k629 */
static void f_1684(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[172],lf[173],((C_word*)t0)[2]);}

/* k1676 in k1673 in duplicate-fileno in k641 in k638 in k635 in k632 in k629 */
static void f_1678(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* port->fileno in k641 in k638 in k635 in k632 in k629 */
static void f_1639(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1639,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1669,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[171]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t3,t2,C_fix(0));}

/* k1667 in port->fileno in k641 in k638 in k635 in k632 in k629 */
static void f_1669(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1669,2,t0,t1);}
if(C_truep((C_word)C_i_zerop(t1))){
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[41],lf[168],lf[169],((C_word*)t0)[2]);}
else{
t2=(C_word)C_C_fileno(((C_word*)t0)[2]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1649,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1655,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}
else{
t4=t3;
f_1649(2,t4,C_SCHEME_UNDEFINED);}}}

/* k1653 in k1667 in port->fileno in k641 in k638 in k635 in k632 in k629 */
static void f_1655(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[168],lf[170],((C_word*)t0)[2]);}

/* k1647 in k1667 in port->fileno in k641 in k638 in k635 in k632 in k629 */
static void f_1649(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* open-output-file* in k641 in k638 in k635 in k632 in k629 */
static void f_1628(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr3r,(void*)f_1628r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_1628r(t0,t1,t2,t3);}}

static void f_1628r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1637,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
f_1562(t4,C_SCHEME_FALSE,t3);}

/* k1635 in open-output-file* in k641 in k638 in k635 in k632 in k629 */
static void f_1637(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1637,2,t0,t1);}
t2=(C_word)C_fdopen(&a,2,((C_word*)t0)[4],t1);
f_1599(((C_word*)t0)[2],((C_word*)t0)[4],C_SCHEME_FALSE,t2);}

/* open-input-file* in k641 in k638 in k635 in k632 in k629 */
static void f_1617(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr3r,(void*)f_1617r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_1617r(t0,t1,t2,t3);}}

static void f_1617r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1626,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
f_1562(t4,C_SCHEME_TRUE,t3);}

/* k1624 in open-input-file* in k641 in k638 in k635 in k632 in k629 */
static void f_1626(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1626,2,t0,t1);}
t2=(C_word)C_fdopen(&a,2,((C_word*)t0)[4],t1);
f_1599(((C_word*)t0)[2],((C_word*)t0)[4],C_SCHEME_TRUE,t2);}

/* check in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_1599(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1599,NULL,4,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1603,a[2]=t3,a[3]=t2,a[4]=t1,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}

/* k1601 in check in k641 in k638 in k635 in k632 in k629 */
static void f_1603(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1603,2,t0,t1);}
if(C_truep((C_word)C_null_pointerp(((C_word*)t0)[5]))){
t2=*((C_word*)lf[30]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[4],lf[31],lf[164],((C_word*)t0)[3]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1615,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[95]+1);
((C_proc6)(void*)(*((C_word*)t3+1)))(6,t3,t2,((C_word*)t0)[2],*((C_word*)lf[96]+1),lf[165],lf[68]);}}

/* k1613 in k1601 in check in k641 in k638 in k635 in k632 in k629 */
static void f_1615(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_set_file_ptr(t1,((C_word*)t0)[3]);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t1);}

/* mode in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_1562(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1562,NULL,3,t1,t2,t3);}
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1570,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_pairp(t3))){
t5=(C_word)C_u_i_car(t3);
t6=(C_word)C_eqp(t5,lf[158]);
if(C_truep(t6)){
t7=t2;
if(C_truep(t7)){
t8=*((C_word*)lf[92]+1);
((C_proc4)(void*)(*((C_word*)t8+1)))(4,t8,t4,lf[159],t5);}
else{
t8=t4;
f_1570(2,t8,lf[160]);}}
else{
t7=*((C_word*)lf[92]+1);
((C_proc4)(void*)(*((C_word*)t7+1)))(4,t7,t4,lf[161],t5);}}
else{
t5=t4;
f_1570(2,t5,(C_truep(t2)?lf[162]:lf[163]));}}

/* k1568 in mode in k641 in k638 in k635 in k632 in k629 */
static void f_1570(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* file-execute-access? in k641 in k638 in k635 in k632 in k629 */
static void f_1553(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1553,3,t0,t1,t2);}
f_1520(t1,t2,C_fix((C_word)2));}

/* file-write-access? in k641 in k638 in k635 in k632 in k629 */
static void f_1547(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1547,3,t0,t1,t2);}
f_1520(t1,t2,C_fix((C_word)4));}

/* file-read-access? in k641 in k638 in k635 in k632 in k629 */
static void f_1541(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1541,3,t0,t1,t2);}
f_1520(t1,t2,C_fix((C_word)2));}

/* check in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_1520(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1520,NULL,3,t1,t2,t3);}
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1535,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1539,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[35]+1);
((C_proc3)(void*)(*((C_word*)t6+1)))(3,t6,t5,t2);}

/* k1537 in check in k641 in k638 in k635 in k632 in k629 */
static void f_1539(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1533 in check in k641 in k638 in k635 in k632 in k629 */
static void f_1535(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1535,2,t0,t1);}
t2=(C_word)C_access(t1,((C_word*)t0)[3]);
t3=(C_word)C_eqp(C_fix(0),t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1527,a[2]=t3,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t3)){
t5=t4;
f_1527(2,t5,C_SCHEME_UNDEFINED);}
else{
t5=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}}

/* k1525 in k1533 in check in k641 in k638 in k635 in k632 in k629 */
static void f_1527(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* change-file-mode in k641 in k638 in k635 in k632 in k629 */
static void f_1496(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_1496,4,t0,t1,t2,t3);}
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1514,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1518,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[35]+1);
((C_proc3)(void*)(*((C_word*)t6+1)))(3,t6,t5,t2);}

/* k1516 in change-file-mode in k641 in k638 in k635 in k632 in k629 */
static void f_1518(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1512 in change-file-mode in k641 in k638 in k635 in k632 in k629 */
static void f_1514(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1514,2,t0,t1);}
t2=(C_word)C_chmod(t1,((C_word*)t0)[4]);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1506,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* k1504 in k1512 in change-file-mode in k641 in k638 in k635 in k632 in k629 */
static void f_1506(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc7)(void*)(*((C_word*)t2+1)))(7,t2,((C_word*)t0)[4],lf[31],lf[150],lf[151],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* create-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1440(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1440,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1444,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_fixnum_lessp((C_word)C_pipe(C_SCHEME_FALSE),C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1453,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=t2;
f_1444(2,t3,C_SCHEME_UNDEFINED);}}

/* k1451 in create-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1453(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[2],lf[31],lf[110],lf[111]);}

/* k1442 in create-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1444(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(4,0,((C_word*)t0)[2],C_fix((C_word)C_pipefds[ 0 ]),C_fix((C_word)C_pipefds[ 1 ]));}

/* with-output-to-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1420(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4r,(void*)f_1420r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_1420r(t0,t1,t2,t3,t4);}}

static void f_1420r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(6);
t5=*((C_word*)lf[109]+1);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1424,a[2]=t3,a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t5,tmp=(C_word)a,a+=6,tmp);
C_apply(5,0,t6,((C_word*)t0)[2],t2,t4);}

/* k1422 in with-output-to-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1424(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1424,2,t0,t1);}
t2=C_mutate((C_word*)lf[109]+1,t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1430,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
C_u_call_with_values(4,0,((C_word*)t0)[3],((C_word*)t0)[2],t3);}

/* a1429 in k1422 in with-output-to-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1430(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr2r,(void*)f_1430r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_1430r(t0,t1,t2);}}

static void f_1430r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1434,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,((C_word*)t0)[2]);}

/* k1432 in a1429 in k1422 in with-output-to-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1434(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=C_mutate((C_word*)lf[109]+1,((C_word*)t0)[4]);
C_apply_values(3,0,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* with-input-from-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1400(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4r,(void*)f_1400r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_1400r(t0,t1,t2,t3,t4);}}

static void f_1400r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(6);
t5=*((C_word*)lf[107]+1);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1404,a[2]=t3,a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t5,tmp=(C_word)a,a+=6,tmp);
C_apply(5,0,t6,((C_word*)t0)[2],t2,t4);}

/* k1402 in with-input-from-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1404(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1404,2,t0,t1);}
t2=C_mutate((C_word*)lf[107]+1,t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1410,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
C_u_call_with_values(4,0,((C_word*)t0)[3],((C_word*)t0)[2],t3);}

/* a1409 in k1402 in with-input-from-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1410(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr2r,(void*)f_1410r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_1410r(t0,t1,t2);}}

static void f_1410r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1414,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,((C_word*)t0)[2]);}

/* k1412 in a1409 in k1402 in with-input-from-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1414(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=C_mutate((C_word*)lf[107]+1,((C_word*)t0)[4]);
C_apply_values(3,0,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* call-with-output-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1376(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr4r,(void*)f_1376r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_1376r(t0,t1,t2,t3,t4);}}

static void f_1376r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1380,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
C_apply(5,0,t5,((C_word*)t0)[2],t2,t4);}

/* k1378 in call-with-output-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1380(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1380,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1385,a[2]=t1,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1391,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
C_u_call_with_values(4,0,((C_word*)t0)[2],t2,t3);}

/* a1390 in k1378 in call-with-output-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1391(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr2r,(void*)f_1391r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_1391r(t0,t1,t2);}}

static void f_1391r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1395,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,((C_word*)t0)[2]);}

/* k1393 in a1390 in k1378 in call-with-output-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1395(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_apply_values(3,0,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* a1384 in k1378 in call-with-output-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1385(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1385,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,t1,((C_word*)t0)[2]);}

/* call-with-input-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1352(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr4r,(void*)f_1352r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_1352r(t0,t1,t2,t3,t4);}}

static void f_1352r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1356,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
C_apply(5,0,t5,((C_word*)t0)[2],t2,t4);}

/* k1354 in call-with-input-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1356(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1356,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1361,a[2]=t1,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1367,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
C_u_call_with_values(4,0,((C_word*)t0)[2],t2,t3);}

/* a1366 in k1354 in call-with-input-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1367(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr2r,(void*)f_1367r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_1367r(t0,t1,t2);}}

static void f_1367r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1371,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,((C_word*)t0)[2]);}

/* k1369 in a1366 in k1354 in call-with-input-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1371(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_apply_values(3,0,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* a1360 in k1354 in call-with-input-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1361(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1361,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,t1,((C_word*)t0)[2]);}

/* close-input-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1336(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1336,3,t0,t1,t2);}
t3=(C_word)close_pipe(t2);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1340,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}

/* k1338 in close-input-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1340(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_eqp(C_fix(-1),((C_word*)t0)[4]);
if(C_truep(t2)){
t3=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t3+1)))(6,t3,((C_word*)t0)[3],lf[31],lf[101],lf[102],((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* open-output-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1303(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+11)){
C_save_and_reclaim((void*)tr3r,(void*)f_1303r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_1303r(t0,t1,t2,t3);}}

static void f_1303r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a=C_alloc(11);
t4=f_1234(t3);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1314,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t6=(C_word)C_eqp(t4,lf[91]);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1321,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t8=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t8+1)))(3,t8,t7,t2);}
else{
t7=(C_word)C_eqp(t4,lf[99]);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1331,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t9=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t9+1)))(3,t9,t8,t2);}
else{
f_1246(t5,t4);}}}

/* k1329 in open-output-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1331(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1331,2,t0,t1);}
t2=((C_word*)t0)[2];
f_1314(2,t2,(C_word)open_binary_output_pipe(&a,1,t1));}

/* k1319 in open-output-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1321(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1321,2,t0,t1);}
t2=((C_word*)t0)[2];
f_1314(2,t2,(C_word)open_text_output_pipe(&a,1,t1));}

/* k1312 in open-output-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1314(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
f_1252(((C_word*)t0)[3],((C_word*)t0)[2],C_SCHEME_FALSE,t1);}

/* open-input-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1270(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+11)){
C_save_and_reclaim((void*)tr3r,(void*)f_1270r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_1270r(t0,t1,t2,t3);}}

static void f_1270r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a=C_alloc(11);
t4=f_1234(t3);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1281,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t6=(C_word)C_eqp(t4,lf[91]);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1288,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t8=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t8+1)))(3,t8,t7,t2);}
else{
t7=(C_word)C_eqp(t4,lf[99]);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1298,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t9=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t9+1)))(3,t9,t8,t2);}
else{
f_1246(t5,t4);}}}

/* k1296 in open-input-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1298(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1298,2,t0,t1);}
t2=((C_word*)t0)[2];
f_1281(2,t2,(C_word)open_binary_input_pipe(&a,1,t1));}

/* k1286 in open-input-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1288(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1288,2,t0,t1);}
t2=((C_word*)t0)[2];
f_1281(2,t2,(C_word)open_text_input_pipe(&a,1,t1));}

/* k1279 in open-input-pipe in k641 in k638 in k635 in k632 in k629 */
static void f_1281(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
f_1252(((C_word*)t0)[3],((C_word*)t0)[2],C_SCHEME_TRUE,t1);}

/* check in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_1252(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1252,NULL,4,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1256,a[2]=t3,a[3]=t2,a[4]=t1,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}

/* k1254 in check in k641 in k638 in k635 in k632 in k629 */
static void f_1256(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1256,2,t0,t1);}
if(C_truep((C_word)C_null_pointerp(((C_word*)t0)[5]))){
t2=*((C_word*)lf[30]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[4],lf[31],lf[94],((C_word*)t0)[3]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1268,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[95]+1);
((C_proc6)(void*)(*((C_word*)t3+1)))(6,t3,t2,((C_word*)t0)[2],*((C_word*)lf[96]+1),lf[97],lf[68]);}}

/* k1266 in k1254 in check in k641 in k638 in k635 in k632 in k629 */
static void f_1268(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_set_file_ptr(t1,((C_word*)t0)[3]);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t1);}

/* badmode in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_1246(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1246,NULL,2,t1,t2);}
t3=*((C_word*)lf[92]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t1,lf[93],t2);}

/* mode in k641 in k638 in k635 in k632 in k629 */
static C_word C_fcall f_1234(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
t2=(C_word)C_i_pairp(t1);
return((C_truep(t2)?(C_word)C_slot(t1,C_fix(0)):lf[91]));}

/* current-directory in k641 in k638 in k635 in k632 in k629 */
static void f_1216(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1216,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1220,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,C_fix(256));}

/* k1218 in current-directory in k641 in k638 in k635 in k632 in k629 */
static void f_1220(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1220,2,t0,t1);}
t2=(C_word)C_curdir(t1);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1223,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k1221 in k1218 in current-directory in k641 in k638 in k635 in k632 in k629 */
static void f_1223(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_truep(((C_word*)t0)[5])){
t2=((C_word*)t0)[4];
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],((C_word*)t0)[2],C_fix(0),((C_word*)t0)[5]);}
else{
t2=*((C_word*)lf[30]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],lf[31],lf[89],lf[90]);}}

/* directory? in k641 in k638 in k635 in k632 in k629 */
static void f_1196(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1196,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1200,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1214,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=*((C_word*)lf[35]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t4,t2);}

/* k1212 in directory? in k641 in k638 in k635 in k632 in k629 */
static void f_1214(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[64]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1198 in directory? in k641 in k638 in k635 in k632 in k629 */
static void f_1200(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(t1,C_fix(4));
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,(C_word)C_eqp(C_fix(1),t2));}
else{
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_FALSE);}}

/* directory in k641 in k638 in k635 in k632 in k629 */
static void f_1142(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1142,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1146,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,C_fix(256));}

/* k1144 in directory in k641 in k638 in k635 in k632 in k629 */
static void f_1146(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1146,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1149,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=*((C_word*)lf[87]+1);
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}

/* k1147 in k1144 in directory in k641 in k638 in k635 in k632 in k629 */
static void f_1149(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1149,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1152,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t3=*((C_word*)lf[87]+1);
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}

/* k1150 in k1147 in k1144 in directory in k641 in k638 in k635 in k632 in k629 */
static void f_1152(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1152,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1156,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1194,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t4=*((C_word*)lf[35]+1);
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,((C_word*)t0)[4]);}

/* k1192 in k1150 in k1147 in k1144 in directory in k641 in k638 in k635 in k632 in k629 */
static void f_1194(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1154 in k1150 in k1147 in k1144 in directory in k641 in k638 in k635 in k632 in k629 */
static void f_1156(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[13],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1156,2,t0,t1);}
t2=(C_word)C_opendir(t1,((C_word*)t0)[7]);
if(C_truep((C_word)C_null_pointerp(((C_word*)t0)[7]))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1165,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1173,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_1173(t6,((C_word*)t0)[6]);}}

/* loop in k1154 in k1150 in k1147 in k1144 in directory in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_1173(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_1173,NULL,2,t0,t1);}
t2=(C_word)C_readdir(((C_word*)t0)[6],((C_word*)t0)[5]);
if(C_truep((C_word)C_null_pointerp(((C_word*)t0)[5]))){
t3=(C_word)C_closedir(((C_word*)t0)[6]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_END_OF_LIST);}
else{
t3=(C_word)C_foundfile(((C_word*)t0)[5],((C_word*)t0)[4]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1183,a[2]=((C_word*)t0)[3],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=((C_word*)t0)[2];
((C_proc5)(void*)(*((C_word*)t5+1)))(5,t5,t4,((C_word*)t0)[4],C_fix(0),t3);}}

/* k1181 in loop in k1154 in k1150 in k1147 in k1144 in directory in k641 in k638 in k635 in k632 in k629 */
static void f_1183(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1183,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1190,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)((C_word*)t0)[2])[1];
f_1173(t3,t2);}

/* k1188 in k1181 in loop in k1154 in k1150 in k1147 in k1144 in directory in k641 in k638 in k635 in k632 in k629 */
static void f_1190(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1190,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_cons(&a,2,((C_word*)t0)[2],t1));}

/* k1163 in k1154 in k1150 in k1147 in k1144 in directory in k641 in k638 in k635 in k632 in k629 */
static void f_1165(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[85],lf[86],((C_word*)t0)[2]);}

/* delete-directory in k641 in k638 in k635 in k632 in k629 */
static void f_1118(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1118,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1136,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1140,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=*((C_word*)lf[35]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t4,t2);}

/* k1138 in delete-directory in k641 in k638 in k635 in k632 in k629 */
static void f_1140(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1134 in delete-directory in k641 in k638 in k635 in k632 in k629 */
static void f_1136(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1136,2,t0,t1);}
t2=(C_word)C_rmdir(t1);
if(C_truep((C_word)C_i_zerop(t2))){
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1128,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}}

/* k1126 in k1134 in delete-directory in k641 in k638 in k635 in k632 in k629 */
static void f_1128(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[80],lf[81],((C_word*)t0)[2]);}

/* change-directory in k641 in k638 in k635 in k632 in k629 */
static void f_1094(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1094,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1112,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1116,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=*((C_word*)lf[35]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t4,t2);}

/* k1114 in change-directory in k641 in k638 in k635 in k632 in k629 */
static void f_1116(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1110 in change-directory in k641 in k638 in k635 in k632 in k629 */
static void f_1112(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1112,2,t0,t1);}
t2=(C_word)C_chdir(t1);
if(C_truep((C_word)C_i_zerop(t2))){
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1104,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}}

/* k1102 in k1110 in change-directory in k641 in k638 in k635 in k632 in k629 */
static void f_1104(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[78],lf[79],((C_word*)t0)[2]);}

/* create-directory in k641 in k638 in k635 in k632 in k629 */
static void f_1070(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1070,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1088,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1092,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=*((C_word*)lf[35]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t4,t2);}

/* k1090 in create-directory in k641 in k638 in k635 in k632 in k629 */
static void f_1092(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1086 in create-directory in k641 in k638 in k635 in k632 in k629 */
static void f_1088(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1088,2,t0,t1);}
t2=(C_word)C_mkdir(t1);
if(C_truep((C_word)C_i_zerop(t2))){
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1080,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}}

/* k1078 in k1086 in create-directory in k641 in k638 in k635 in k632 in k629 */
static void f_1080(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[76],lf[77],((C_word*)t0)[2]);}

/* set-file-position! in k641 in k638 in k635 in k632 in k629 */
static void f_1015(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4rv,(void*)f_1015r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_1015r(t0,t1,t2,t3,t4);}}

static void f_1015r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a=C_alloc(6);
t5=(C_word)C_notvemptyp(t4);
t6=(C_truep(t5)?(C_word)C_slot(t4,C_fix(0)):C_fix((C_word)SEEK_SET));
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1022,a[2]=t6,a[3]=t3,a[4]=t2,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
if(C_truep((C_word)C_fixnum_lessp(t3,C_fix(0)))){
t8=*((C_word*)lf[30]+1);
((C_proc7)(void*)(*((C_word*)t8+1)))(7,t8,t7,lf[74],lf[71],lf[75],t3,t2);}
else{
t8=t7;
f_1022(2,t8,C_SCHEME_UNDEFINED);}}

/* k1020 in set-file-position! in k641 in k638 in k635 in k632 in k629 */
static void f_1022(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1022,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1028,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1037,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=*((C_word*)lf[70]+1);
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,((C_word*)t0)[4]);}

/* k1035 in k1020 in set-file-position! in k641 in k638 in k635 in k632 in k629 */
static void f_1037(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(((C_word*)t0)[5],C_fix(7));
t3=(C_word)C_eqp(t2,lf[68]);
t4=((C_word*)t0)[4];
f_1028(2,t4,(C_truep(t3)?(C_word)C_fseek(((C_word*)t0)[5],((C_word*)t0)[3],((C_word*)t0)[2]):C_SCHEME_FALSE));}
else{
if(C_truep((C_word)C_fixnump(((C_word*)t0)[5]))){
t2=((C_word*)t0)[4];
f_1028(2,t2,(C_word)C_lseek(((C_word*)t0)[5],((C_word*)t0)[3],((C_word*)t0)[2]));}
else{
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[4],lf[41],lf[71],lf[73],((C_word*)t0)[5]);}}}

/* k1026 in k1020 in set-file-position! in k641 in k638 in k635 in k632 in k629 */
static void f_1028(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1028,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_UNDEFINED);}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1031,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}}

/* k1029 in k1026 in k1020 in set-file-position! in k641 in k638 in k635 in k632 in k629 */
static void f_1031(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc7)(void*)(*((C_word*)t2+1)))(7,t2,((C_word*)t0)[4],lf[31],lf[71],lf[72],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* file-position in k641 in k638 in k635 in k632 in k629 */
static void f_975(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_975,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_979,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_994,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=*((C_word*)lf[70]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t4,t2);}

/* k992 in file-position in k641 in k638 in k635 in k632 in k629 */
static void f_994(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(((C_word*)t0)[3],C_fix(7));
t3=(C_word)C_eqp(t2,lf[68]);
t4=((C_word*)t0)[2];
f_979(2,t4,(C_truep(t3)?(C_word)C_ftell(((C_word*)t0)[3]):C_fix(-1)));}
else{
if(C_truep((C_word)C_fixnump(((C_word*)t0)[3]))){
t2=((C_word*)t0)[2];
f_979(2,t2,(C_word)C_lseek(((C_word*)t0)[3],C_fix(0),C_fix((C_word)SEEK_CUR)));}
else{
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[2],lf[41],lf[66],lf[69],((C_word*)t0)[3]);}}}

/* k977 in file-position in k641 in k638 in k635 in k632 in k629 */
static void f_979(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_979,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_982,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnum_lessp(t1,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_988,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=t2;
f_982(2,t3,C_SCHEME_UNDEFINED);}}

/* k986 in k977 in file-position in k641 in k638 in k635 in k632 in k629 */
static void f_988(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[66],lf[67],((C_word*)t0)[2]);}

/* k980 in k977 in file-position in k641 in k638 in k635 in k632 in k629 */
static void f_982(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* symbolic-link? in k641 in k638 in k635 in k632 in k629 */
static void f_972(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_972,3,t0,t1,t2);}
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_FALSE);}

/* regular-file? in k641 in k638 in k635 in k632 in k629 */
static void f_952(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_952,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_956,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_970,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=*((C_word*)lf[35]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t4,t2);}

/* k968 in regular-file? in k641 in k638 in k635 in k632 in k629 */
static void f_970(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[64]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k954 in regular-file? in k641 in k638 in k635 in k632 in k629 */
static void f_956(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(t1,C_fix(4));
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,(C_word)C_eqp(C_fix(0),t2));}
else{
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_FALSE);}}

/* file-permissions in k641 in k638 in k635 in k632 in k629 */
static void f_946(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_946,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_950,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_850(t3,t2);}

/* k948 in file-permissions in k641 in k638 in k635 in k632 in k629 */
static void f_950(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_mode));}

/* file-owner in k641 in k638 in k635 in k632 in k629 */
static void f_940(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_940,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_944,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_850(t3,t2);}

/* k942 in file-owner in k641 in k638 in k635 in k632 in k629 */
static void f_944(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_uid));}

/* file-change-time in k641 in k638 in k635 in k632 in k629 */
static void f_934(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_934,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_938,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_850(t3,t2);}

/* k936 in file-change-time in k641 in k638 in k635 in k632 in k629 */
static void f_938(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_938,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_flonum(&a,C_statbuf.st_ctime));}

/* file-access-time in k641 in k638 in k635 in k632 in k629 */
static void f_928(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_928,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_932,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_850(t3,t2);}

/* k930 in file-access-time in k641 in k638 in k635 in k632 in k629 */
static void f_932(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_932,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_flonum(&a,C_statbuf.st_atime));}

/* file-modification-time in k641 in k638 in k635 in k632 in k629 */
static void f_922(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_922,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_926,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_850(t3,t2);}

/* k924 in file-modification-time in k641 in k638 in k635 in k632 in k629 */
static void f_926(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_926,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_flonum(&a,C_statbuf.st_mtime));}

/* file-size in k641 in k638 in k635 in k632 in k629 */
static void f_916(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_916,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_920,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
f_850(t3,t2);}

/* k918 in file-size in k641 in k638 in k635 in k632 in k629 */
static void f_920(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_size));}

/* file-stat in k641 in k638 in k635 in k632 in k629 */
static void f_888(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr3r,(void*)f_888r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_888r(t0,t1,t2,t3);}}

static void f_888r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_892,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_i_nullp(t3))){
t5=t4;
f_892(t5,C_SCHEME_FALSE);}
else{
t5=(C_word)C_slot(t3,C_fix(1));
t6=(C_word)C_i_nullp(t5);
t7=t4;
f_892(t7,(C_truep(t6)?(C_word)C_u_i_car(t3):C_SCHEME_TRUE));}}

/* k890 in file-stat in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_892(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_892,NULL,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_895,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
f_850(t2,((C_word*)t0)[2]);}

/* k893 in k890 in file-stat in k641 in k638 in k635 in k632 in k629 */
static void f_895(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[22],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_895,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_vector(&a,9,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_ino),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_mode),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_nlink),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_uid),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_gid),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_size),C_flonum(&a,C_statbuf.st_atime),C_flonum(&a,C_statbuf.st_ctime),C_flonum(&a,C_statbuf.st_mtime)));}

/* ##sys#stat in k641 in k638 in k635 in k632 in k629 */
static void C_fcall f_850(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_850,NULL,2,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_854,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnump(t2))){
t4=t3;
f_854(2,t4,(C_word)C_fstat(t2));}
else{
if(C_truep((C_word)C_i_stringp(t2))){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_879,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_883,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=*((C_word*)lf[35]+1);
((C_proc3)(void*)(*((C_word*)t6+1)))(3,t6,t5,t2);}
else{
t4=*((C_word*)lf[30]+1);
((C_proc5)(void*)(*((C_word*)t4+1)))(5,t4,t3,lf[41],lf[55],t2);}}}

/* k881 in ##sys#stat in k641 in k638 in k635 in k632 in k629 */
static void f_883(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k877 in ##sys#stat in k641 in k638 in k635 in k632 in k629 */
static void f_879(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
f_854(2,t2,(C_word)C_stat(t1));}

/* k852 in ##sys#stat in k641 in k638 in k635 in k632 in k629 */
static void f_854(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_854,2,t0,t1);}
if(C_truep((C_word)C_fixnum_lessp(t1,C_fix(0)))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_863,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}
else{
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_UNDEFINED);}}

/* k861 in k852 in ##sys#stat in k641 in k638 in k635 in k632 in k629 */
static void f_863(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],lf[31],lf[54],((C_word*)t0)[2]);}

/* file-mkstemp in k641 in k638 in k635 in k632 in k629 */
static void f_815(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_815,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_819,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,t2);}

/* k817 in file-mkstemp in k641 in k638 in k635 in k632 in k629 */
static void f_819(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_819,2,t0,t1);}
t2=(C_word)C_mkstemp(t1);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_822,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,t1);}

/* k820 in k817 in file-mkstemp in k641 in k638 in k635 in k632 in k629 */
static void f_822(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_822,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_825,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(C_word)C_eqp(C_fix(-1),((C_word*)t0)[4]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_842,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}
else{
t4=t2;
f_825(2,t4,C_SCHEME_UNDEFINED);}}

/* k840 in k820 in k817 in file-mkstemp in k641 in k638 in k635 in k632 in k629 */
static void f_842(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[47],lf[49],((C_word*)t0)[2]);}

/* k823 in k820 in k817 in file-mkstemp in k641 in k638 in k635 in k632 in k629 */
static void f_825(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_825,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_832,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
t3=(C_word)C_u_fixnum_difference(((C_word*)t0)[3],C_fix(1));
t4=*((C_word*)lf[48]+1);
((C_proc5)(void*)(*((C_word*)t4+1)))(5,t4,t2,((C_word*)t0)[2],C_fix(0),t3);}

/* k830 in k823 in k820 in k817 in file-mkstemp in k641 in k638 in k635 in k632 in k629 */
static void f_832(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_values(4,0,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* file-write in k641 in k638 in k635 in k632 in k629 */
static void f_779(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4rv,(void*)f_779r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_779r(t0,t1,t2,t3,t4);}}

static void f_779r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_783,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=(C_truep((C_word)C_blockp(t3))?(C_word)C_byteblockp(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
t7=t5;
f_783(2,t7,C_SCHEME_UNDEFINED);}
else{
t7=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t7+1)))(6,t7,t5,lf[41],lf[43],lf[45],t3);}}

/* k781 in file-write in k641 in k638 in k635 in k632 in k629 */
static void f_783(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_783,2,t0,t1);}
t2=(C_word)C_notvemptyp(((C_word*)t0)[5]);
t3=(C_truep(t2)?(C_word)C_slot(((C_word*)t0)[5],C_fix(0)):(C_word)C_block_size(((C_word*)t0)[4]));
t4=(C_word)C_write(((C_word*)t0)[3],((C_word*)t0)[4],t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_789,a[2]=t4,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t6=(C_word)C_eqp(C_fix(-1),t4);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_795,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t8=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t8+1)))(2,t8,t7);}
else{
t7=t5;
f_789(2,t7,C_SCHEME_UNDEFINED);}}

/* k793 in k781 in file-write in k641 in k638 in k635 in k632 in k629 */
static void f_795(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc7)(void*)(*((C_word*)t2+1)))(7,t2,((C_word*)t0)[4],lf[31],lf[43],lf[44],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* k787 in k781 in file-write in k641 in k638 in k635 in k632 in k629 */
static void f_789(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* file-read in k641 in k638 in k635 in k632 in k629 */
static void f_740(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr4rv,(void*)f_740r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_740r(t0,t1,t2,t3,t4);}}

static void f_740r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_744,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep((C_word)C_notvemptyp(t4))){
t6=t5;
f_744(2,t6,(C_word)C_slot(t4,C_fix(0)));}
else{
t6=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t6+1)))(3,t6,t5,t3);}}

/* k742 in file-read in k641 in k638 in k635 in k632 in k629 */
static void f_744(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_744,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_747,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=(C_truep((C_word)C_blockp(t1))?(C_word)C_byteblockp(t1):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t2;
f_747(2,t4,C_SCHEME_UNDEFINED);}
else{
t4=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t4+1)))(6,t4,t2,lf[41],lf[39],lf[42],t1);}}

/* k745 in k742 in file-read in k641 in k638 in k635 in k632 in k629 */
static void f_747(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_747,2,t0,t1);}
t2=(C_word)C_read(((C_word*)t0)[5],((C_word*)t0)[4],((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_750,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t4=(C_word)C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_759,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t6=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}
else{
t5=t3;
f_750(2,t5,C_SCHEME_UNDEFINED);}}

/* k757 in k745 in k742 in file-read in k641 in k638 in k635 in k632 in k629 */
static void f_759(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc7)(void*)(*((C_word*)t2+1)))(7,t2,((C_word*)t0)[4],lf[31],lf[39],lf[40],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* k748 in k745 in k742 in file-read in k641 in k638 in k635 in k632 in k629 */
static void f_750(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_750,2,t0,t1);}
t2=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_list(&a,2,((C_word*)t0)[3],((C_word*)t0)[2]));}

/* file-close in k641 in k638 in k635 in k632 in k629 */
static void f_725(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_725,3,t0,t1,t2);}
if(C_truep((C_word)C_fixnum_lessp((C_word)C_close(t2),C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_735,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* k733 in file-close in k641 in k638 in k635 in k632 in k629 */
static void f_735(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[31],lf[36],lf[37],((C_word*)t0)[2]);}

/* file-open in k641 in k638 in k635 in k632 in k629 */
static void f_693(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+9)){
C_save_and_reclaim((void*)tr4rv,(void*)f_693r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_693r(t0,t1,t2,t3,t4);}}

static void f_693r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a=C_alloc(9);
t5=(C_word)C_notvemptyp(t4);
t6=(C_truep(t5)?(C_word)C_slot(t4,C_fix(0)):((C_word*)t0)[2]);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_701,a[2]=t2,a[3]=t1,a[4]=t6,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_717,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t9=*((C_word*)lf[35]+1);
((C_proc3)(void*)(*((C_word*)t9+1)))(3,t9,t8,t2);}

/* k715 in file-open in k641 in k638 in k635 in k632 in k629 */
static void f_717(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[34]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k699 in file-open in k641 in k638 in k635 in k632 in k629 */
static void f_701(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_701,2,t0,t1);}
t2=(C_word)C_open(t1,((C_word*)t0)[5],((C_word*)t0)[4]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_704,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=(C_word)C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_710,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t6=*((C_word*)lf[33]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}
else{
t5=t3;
f_704(2,t5,C_SCHEME_UNDEFINED);}}

/* k708 in k699 in file-open in k641 in k638 in k635 in k632 in k629 */
static void f_710(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=*((C_word*)lf[30]+1);
((C_proc8)(void*)(*((C_word*)t2+1)))(8,t2,((C_word*)t0)[5],lf[31],lf[29],lf[32],((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* k702 in k699 in file-open in k641 in k638 in k635 in k632 in k629 */
static void f_704(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* yield in k641 in k638 in k635 in k632 in k629 */
static void f_645(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_645,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_651,tmp=(C_word)a,a+=2,tmp);
C_call_cc(3,0,t1,t2);}

/* a650 in yield in k641 in k638 in k635 in k632 in k629 */
static void f_651(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_651,3,t0,t1,t2);}
t3=*((C_word*)lf[3]+1);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_660,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t5=(C_word)C_i_setslot(t3,C_fix(1),t4);
t6=*((C_word*)lf[4]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t1);}

/* a659 in a650 in yield in k641 in k638 in k635 in k632 in k629 */
static void f_660(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_660,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,t1,C_SCHEME_UNDEFINED);}
/* end of file */
